<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Titre de la page
$page_titre = $langue['accueil'];
$page_infos = $langue['accueil_texte'];


$page_texte = $site->Parser ( $configuration['accueil_texte'] , 2 );
$page_texte .= "\n\n";


// Liste des news
if ( $configuration['accueil_mod'] == 'news' && $droit['news_lecture'] == 1 )
{
    // News
    $sql = "SELECT news_id,
                   news_titre,
                   news_texte,
                   news_time,
                   news_auteur,
                   news_lectures,
                   news_commentaires,
                   membre_nom";

    if ( $_SESSION['groupe'] != 1 )
    {
        $sql .= ", news_last_commentaire, cv_message ";
    }

    $sql .= " FROM " . $database->pref . "news
        LEFT JOIN " . $database->pref . "membres
            ON membre_id = news_auteur ";

    if ( $_SESSION['groupe'] != 1 )
    {
        $sql .= " LEFT JOIN " . $database->pref . "commentaire_view
            ON cv_referent = news_id
            AND cv_type = '1'
            AND cv_membre = '" . $_SESSION['membre_id'] . "'";
    }

    $sql .= " ORDER BY news_time DESC";

    //=>MYSQL
        if ( SGBD == 'mysql' ) $sql .= ' LIMIT 0, ' . $configuration['page_news_accueil'];
        $sql .= ';';
    //=>END

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    if ( $database->NbrRowsSelected ( $req ) > 0 )
    {
        $sql_limite = 0;

        // On affiche les enregistrements de 0 à $configuration['page_news_accueil']
        while ( $sql_limite < $configuration['page_news_accueil'] && $row = $database->ResultArray ( $req ) )
        {
            $page_texte .= "<div class=\"news\">\n";
            $page_texte .= '<h3 class="news_titre">' . $row['news_titre'] . "</h3>\n";
            $page_texte .= '<div class="news_infos"><a href="index.' . EXT . '?page=News&amp;id=' . $row['news_id'] . '">#</a> ' . $langue['postee_le'] . date ( $configuration['format_date'] , $row['news_time'] + $configuration['decalage'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['news_time'] + $configuration['decalage'] ) . $langue['_par_'] . '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['news_auteur'] . '" title="' . $langue['view_fiche'] . $row['membre_nom'] . '">' . $row['membre_nom'] . '</a> - ' . $row['news_lectures'];

            // Nombre de lectures
            if ( $row['news_lectures'] <= 1 )
            {
                $page_texte .= $langue['_lecture'];
            }
            else
            {
                $page_texte .= $langue['_lectures'];
            }

            $page_texte .= ' - <a href="index.' . EXT . '?page=News&amp;id=' . $row['news_id'] . '#commentaires">';


            // Lien vers le dernier message lu si il y a des nouveaux messages
            if ( $_SESSION['groupe'] != 1 && !empty ( $row['cv_message'] ) && $row['news_last_commentaire'] != $row['cv_message'] )
            {
                $page_texte .= '<a href="index.' . EXT . '?page=Commentaires&amp;id=' . $row['cv_message'] . '" title="' . $langue['last_read_msg'] . '"><img src="themes/' . $configuration['style'] . '/images/dernier_message_lu.png" alt="" title="' . $langue['last_read_msg'] . '" /></a> ';
            }

            // Nombre de commentaires
            $page_texte .= '' . $row['news_commentaires'];

            if ( $row['news_commentaires'] <= 1 )
            {
                $page_texte .= $langue['_commentaire'];
            }
            else
            {
                $page_texte .= $langue['_commentaires'];
            }

            $page_texte .= '</a>';

            // Droit d'éditer la news
            if ( ( $droit['news_edition_auteur'] == 1 && $row['news_auteur'] == $_SESSION['membre_id'] ) || $droit['news_edition'] == 1 )
            {
                $page_texte .= ' - <a href="index.' . EXT . '?page=News&amp;action=editer&amp;id=' . $row['news_id'] . '">' . $langue['editer'] . '</a> - <a href="index.' . EXT . '?page=News&amp;action=supprimer&amp;id=' . $row['news_id'] . '">' . $langue['supprimer'] . '</a>';
            }

            $page_texte .= '</div><div class="news_texte">' . stripslashes(CoupeChaine($site->Parser ( $row['news_texte'] , 1 ),200)) . '<br /><br /><a href="index.' . EXT . '?page=News&amp;id=' . $row['news_id'] . '">Lire la suite...</a></div></div>';

            $sql_limite++;
        }
    }
}

?>