<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droits d'administration
if ( $droit['administration'] == 0 )
{
    $page_msg = 2;
    include_once ( './systeme/msg.' . EXT );
}


// Titre de la page
$page_titre = $langue['administration'];
$page_infos = $langue['administration_texte'];


$page_texte .= "\n<p>Vous êtes dans l'interface d'administration du site. Utilisez les liens ci-dessous vous gérer l'ensemble de son contenu.</p>\n\n";

$page_texte .= "\n<p class=\"vertf\">Conditions d'utilisation du cms Woopress : <a href=\"index.php?page=Legal\" title=\"Licence d'utilisation\">&nbsp;&copy;&nbsp;Licence d'utilisation</a>.<br /><br /><span class=\"rouge\">Rappel :</span><span class=\"noir\">&nbsp;Les liens inséré dans le pied de page &laquo;&nbsp;&copy;&nbsp;Inform@dream&nbsp;&raquo; et &laquo;&nbsp;&copy;&nbsp;Codes&nbsp;Scripts&nbsp;&raquo; ou &laquo;&nbsp;Propuls&eacute; par&nbsp;&copy;&nbsp;Inform@dream&nbsp;&copy;&nbsp;et&nbsp;Codes&nbsp;Scripts&nbsp;&raquo;&nbsp; qui pointe vers les sites webs <a href='http://www.informadream.fr' title='Inform@dream'>&copy;&nbsp;Inform@dream</a> et <a href='http://www.codesscripts.fr' title='CodesScripts.fr'>&copy;&nbsp;Codes Scripts</a>, ne doivent en aucun cas être masqués ou supprimés. En cas de constat, cela équivaudrait à une rupture du contrat. Il s'en suivrait l'interdiction immédiate d'utiliser le cms WooPress et le faire-valoir de la législation attachée aux droits d'auteur, avec son application, et les poursuites éventuelles.</span></p>\n\n";


//version du logiciel
$version = '';

if ( $fsock = fsockopen ( 'woopress.fr' , 80 , $errno, $errstr ) )
{
    fputs ( $fsock , "GET /version HTTP/1.1\r\n" );
    fputs ( $fsock , "HOST: woopress.fr\r\n" );
    fputs ( $fsock , "Connection: close\r\n\r\n" );

    $get_info = false;

    while ( !feof ( $fsock ) )
    {
        if ( $get_info )
        {
            $version .= fread ( $fsock , 1024 );
        }
        else
        {
            if ( fgets ( $fsock , 1024 ) == "\r\n" )
            {
                $get_info = true;
            }
        }
    }

    fclose ( $fsock );
}
else
{
    trigger_error ( 'Impossible de contacter le site Woopress.' , E_USER_NOTICE );
    trigger_error ( $errstr . '(' . $errno . ').' , E_USER_NOTICE );
}


if ( $version == '' )
{
    $page_texte .= '<p class="orange">Vous utilisez la version : ' . $version . '<br /> Mise à jour et téléchargement sur le site <a href="http://www.woopress.fr/" title="Woopress">Woopress</a> ' . $version . '.';
}
else if ( version_compare ( WOOPRESS_VERSION , $version , '==' ) )
{
    $page_texte .= '<p class="vertf">Vous utilisez la dernière version de Woopress (' . $version . ').';
}
else
{
    $page_texte .= '<p class="rouge">Vous n\'utilisez pas la dernière version de Tagadash. Des mises-à-jours sont disponibles sur le site de <a href="http://www.tagadash.fr/" title="Tagadash">Tagadash</a>.<br />La dernière version est <q>' . $version . '</q> et vous utilisez la version <q>' . WOOPRESS_VERSION . '</q>';
}


$page_texte .= "</p>\n<ul>\n" . '  <li>Version de PHP&nbsp;: ' . PHP_VERSION . "</li>\n";

$page_texte .= '  <li>Version de ';
if ( SGBD == 'mysql' ) $page_texte .= 'MySQL';

$page_texte .= ' : ' . $database->Version () . "</li>\n";


// Taille de la base de données
$sql = 'SHOW TABLE STATUS FROM ' . $database->base . ';';

if ( $req = $database->Requete ( $sql ) )
{
    $tables = array ();

    while ( $row = $database->ResultArray ( $req ) )
    {
        $tables[] = $row;
    }

    $dbsize = 0;
    $pertes = 0;

    for ( $i = 0 ; $i < count ( $tables ) ; $i++ )
    {
        if ( $database->pref != '' )
        {
            if ( strstr ( $tables[$i]['Name'] , $database->pref ) )
            {
                $dbsize += $tables[$i]['Data_length'] + $tables[$i]['Index_length'];
                $pertes += $tables[$i]['Data_free'];
            }
        }
        else
        {
            $dbsize += $tables[$i]['Data_length'] + $tables[$i]['Index_length'];
            $pertes += $tables[$i]['Data_free'];
        }
    }
}

$page_texte .= '  <li>Taille de la base de données&nbsp;: ' . $site->ConvertTaille ( $dbsize , 'Kio' ) . " (perte&nbsp;: " . $site->ConvertTaille ( $pertes , 'Kio' ) . ")</li>\n</ul>\n\n\n\n";

$page_texte .= '  <li>------------------------------------------------------------------------------------------------'."</li>\n</ul>\n\n\n\n";

$page_texte .= "<h2>Gestion des téléchargement</h2>\n\n<ul>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=DL_admin">Gestion des téléchargements' . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Administration_upload">Upload Image Editeur' . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Administration_liste_upload">Liste Image Editeur' . "</a></li>\n";
$page_texte .= "</ul>\n\n";

$page_texte .= "<h2>Articles</h2>\n\n<ul>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Administration_des_categories" title="' . $langue['admin_categorie_txt'] . '">' . $langue['admin_categorie'] . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Ajouter_un_article" title="Rédiger un nouvel article">Nouvel article' . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Liste_des_articles" title="' . $langue['articles_texte'] . '">' . $langue['articles_liste'] . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Articles_supprimes" title="' . $langue['articles_deleted_txt'] . '">' . $langue['articles_deleted_txt'] . "</a></li>\n";
$page_texte .= "</ul>\n\n";

$page_texte .= "<h2>Gestion des messages du livre d'or</h2>\n\n<ul>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Liste_mes_livre_or" title="Supprimer un message du livre d\'or">Gestion du Livre d\'or' . "</a></li>\n";
$page_texte .= "</ul>\n\n";

$page_texte .= "<h2>Gestion de la Newsletter</h2>\n\n<ul>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Newsletter_admin" title="Gestion Newsletter">Ecrire une Newsletter' . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Newsletter_mail" title="Gestion Newsletter">Liste des Emails' . "</a></li>\n";
$page_texte .= "</ul>\n\n";

$page_texte .= "<h2>Membres</h2>\n\n<ul>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Liste_des_membres" title="' . $langue['membres_texte'] . '">' . $langue['membres_liste'] . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Modifier_un_membre" title="Modifier la fiche d\'un membre">Modifier la fiche d\'un membre' . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Supprimer_un_membre" title="' . $langue['supprimer_membre_txt'] . '">' . $langue['supprimer_membre'] . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Membres_supprimes">Liste des membres supprimés' . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Membres_validation">Liste des membres en attente de validation' . "</a></li>\n";
$page_texte .= "</ul>\n\n";

$page_texte .= "<h2>News</h2>\n\n<ul>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=News" title="Liste des news">Liste des news' . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=News&amp;action=nouvelle" title="Nouvelle news">Nouvelle news' . "</a></li>\n";
$page_texte .= "</ul>\n\n";

$page_texte .= "<h2>Autres</h2>\n\n<ul>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Administration_des_forums" title="' . $langue['admin_forums_texte'] . '">' . $langue['admin_forums'] . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Reponse_automatique" title="Gestion des réponses automatiques">Réponses automatiques' . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Administration_des_sondages" title="' . $langue['admin_sondages_texte'] . '">' . $langue['admin_sondages'] . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Liste_des_fichiers" title="' . $langue['liste_file'] . '">' . $langue['liste_file'] . "</a></li>\n";
$page_texte .= "</ul>\n\n";

$page_texte .= "<h2>Gestion du site</h2>\n\n<ul>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Edit_accueil" title="Éditer la page d\'accueil">' . $langue['accueil_texte'] . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Configuration' . "\" title=\"Configuration du site\">Configuration du site</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Messages_contact' . '" title="Messages reçus par le formulaire de contact">Messages reçus par le formulaire de contact' . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Bloquage" title="' . $langue['bloquage_texte'] . "\">" . $langue['bloquage'] . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Groupes' . '" title="Gérer les groupes et les droits">Gérer les groupes et les droits' . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Bannir' . '" title="Bannir une adresse IP">Bannir une adresse IP' . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Statistiques' . '" title="Statistiques du site">Statistiques' . "</a></li>\n";
$page_texte .= '  <li><a href="index.' . EXT . '?page=Erreur' . '" title="' . $langue['erreur_liste'] . '">' . $langue['erreur_liste'] . "</a></li>\n";
$page_texte .= "</ul>\n";

?>