<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droits d'administration
if ( $droit['administration'] == 0 )
{
    $page_msg = 2;
    include_once ( 'systeme/msg.' . EXT );
}


// Titre de la page
$page_titre = $langue['admin_categorie'];
$page_infos = $langue['administration_texte'];


if ( isset ( $_GET['action'] ) )
{
    $action = $_GET['action'];
}
else
{
    $action = '';
}

switch ( $action )
{
    default:

        $page_texte .= "<table>\n\n<thead>\n<tr>\n";
        $page_texte .= '  <th>' . $langue['categorie'] . "</th>\n";
        $page_texte .= '  <th>' . $langue['actions'] . "</th>\n";
        $page_texte .= "</tr>\n</thead>\n\n<tbody>\n";

        $sql = "SELECT `cat_id`,
                       `cat_nom`
                FROM `" . $database->pref . "article_cat`
                WHERE `cat_categorie` = '0'
                ORDER BY `cat_nom` ASC;";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) > 0 )
        {
            while ( $row = $database->ResultArray ( $req ) )
            {
                $deplacer = ( $database->NbrRowsSelected ( $req ) === 1 ) ? '#' : 'index.' . EXT . '?page=Administration_des_categories&amp;action=deplacer&amp;id=' . $row['cat_id'];

                $page_texte .= "<tr>\n  <td><a href=\"index." . EXT . '?page=Liste_des_articles&amp;categorie=' . $row['cat_id'] . '">' . $row['cat_nom'] . "</a></td>\n";
                $page_texte .= '  <td class="centre"><a href="index.' . EXT . '?page=Administration_des_categories&amp;action=modifier&amp;id=' . $row['cat_id'] . "\" title=\"" . $langue['modifier_cat'] . '">' . $langue['modifier'] . '</a>';
                $page_texte .= ' - <a href="' . $deplacer . "\" title=\"" . $langue['deplacer_cat'] . "\">" . $langue['deplacer'] . '</a>';
                $page_texte .= ' - <a href="index.' . EXT . '?page=Administration_des_categories&amp;action=supprimer&amp;id=' . $row['cat_id'] . "\" title=\"" . $langue['supprimer_cat'] . "\">" . $langue['supprimer'] . "</a></td>\n</tr>\n";

                $sql = "SELECT `cat_id`,
                               `cat_nom`
                        FROM `" . $database->pref . "article_cat`
                        WHERE `cat_categorie` = '" . $row['cat_id'] . "'
                        ORDER BY `cat_nom` ASC;";

                $req2 = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                if ( $database->NbrRowsSelected ( $req2 ) > 0 )
                {
                    while ( $row2 = $database->ResultArray ( $req2 ) )
                    {
                        $deplacer = ( $database->NbrRowsSelected ( $req ) === 1 ) ? '#' : 'index.' . EXT . '?page=Administration_des_categories&amp;action=deplacer&id=' . $row2['cat_id'];

                        $page_texte .="  <tr>\n  <td><a href=\"index." . EXT . '?page=Liste_des_articles&amp;categorie=' . $row2['cat_id'] . '">' . $row['cat_nom'] . ' - ' . $row2['cat_nom'] . "</a></td>\n";
                        $page_texte .= "  <td class=\"centre\"><a href=\"" . 'index.' . EXT . '?page=Administration_des_categories&amp;action=modifier&id=' . $row2['cat_id'] . '" title="' . $langue['modifier_cat'] . '">' . $langue['modifier'] . "</a> - <a href=\"" . $deplacer . '">Déplacer</a>';
                        $page_texte .= ' - <a href="index.' . EXT . '?page=Administration_des_categories&amp;action=supprimer&id=' . $row2['cat_id'] . "\" title=\"" . $langue['supprimer_cat'] . '">' . $langue['supprimer'] . "</a></td>\n</tr>\n";
                    }
                }
            }
        }

        $page_texte .= "</tbody>\n\n</table>\n\n";
        $page_texte .= '<p><a href="index.' . EXT . '?page=Administration_des_categories&amp;action=nouvelle">' . $langue['nouvelle_categorie'] . "</a></p>\n\n";

        break;

    case 'nouvelle':

        $page_texte .= '<p><a href="index.' . EXT . '?page=Administration_des_categories' . "\" title=\"" . $langue['admin_categorie_txt'] . '">' . $langue['admin_categorie'] . "</a></p>\n";

        // Traitement des données du formulaire
        if ( isset ( $_POST['submit'] ) )
        {
            if ( empty ( $_POST['nom'] ) )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong> : ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else
            {
                $sql = "SELECT COUNT(*) AS `count`
                        FROM `" . $database->pref . "article_cat`
                        WHERE `cat_nom` = '" . $database->Protege ( $_POST['nom'] ) . "';";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                if ( $database->Result ( $req , 'count' ) > 0 )
                {
                    $page_texte .= '<p><strong>' . $langue['erreur'] . "</strong>&nbsp;: Une catégorie porte déjà ce nom.</p>\n\n";
                }
                else
                {
                    $sql = "INSERT INTO `" . $database->pref . "article_cat`
                            (`cat_nom`, `cat_categorie`)
                            VALUES
                            ('" . $database->Protege ( $_POST['nom'] ) . "', '" . $_POST['categorie'] . "');";

                    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    header ( 'Location: index.' . EXT . '?page=Administration_des_categories' );
                    die ( -1 );
                }
            }
        }

        $form_champ_nom = ( isset ( $_POST['nom'] ) ) ? $_POST['nom'] : '';

        $page_texte .= '<form action="index.' . EXT . '?page=Administration_des_categories&amp;action=nouvelle" title="' . $langue['nouvelle_categorie'] . "\" method=\"post\">\n\n";
        $page_texte .= "<fieldset>\n<legend>" . $langue['nouvelle_categorie'] . "</legend>\n\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_nom\">Nom&nbsp;:</label><input type=\"text\" name=\"nom\" size=\"50\" id=\"id_nom\" value=\"" . $form_champ_nom . "\" /></p>\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_categorie\">" . $langue['categorie'] . "&nbsp:</label><select name=\"categorie\" id=\"id_categorie\">\n";
        $page_texte .= '  <option value="0" selected="selected">' . $langue['no_categorie'] . "</option>\n";

        // Sélectionne toutes les catégories principales
        $sql = "SELECT `cat_id`,
                       `cat_nom`
                FROM `" . $database->pref . "article_cat`
                WHERE `cat_categorie` ='0'
                ORDER BY `cat_nom` ASC;";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        while ( $row = $database->ResultArray ( $req ) )
        {
            $page_texte .= '  <option value="' . $row['cat_id'] . '">' . $row['cat_nom'] . "</option>\n";
        }

        $page_texte .= "</select></p>\n\n";
        $page_texte .= "</fieldset>\n\n<p class=\"centre\"><input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" /></p>\n\n</form>\n";

        break;

    // Supprimer une catégorie
    case 'supprimer':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 )
        {
            header ( 'Location: index.' . EXT . '?page=Administration_des_categories' );
            die ( -1 );
        }

        $sql = "SELECT COUNT(*) AS `count`
                FROM `" . $database->pref . "article_cat`
                WHERE `cat_id` = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // Si la catégorie n'existe pas
        if ( $database->Result ( $req ,'count' ) === 0 )
        {
            header ( 'Location: index.' . EXT . '?page=Administration_des_categories' );
            die ( -1 );
        }

        if ( isset ( $_GET['ok'] ) )
        {
            $sql = "DELETE FROM `" . $database->pref . "article_cat`
                    WHERE `cat_id` = '" . $_GET['id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            $sql = "DELETE FROM `" . $database->pref . "article_article`
                    WHERE `article_categorie` = '" . $_GET['id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            header ( 'Location: index.' . EXT . '?page=Administration_des_categories' );
            die ( -1 );
        }

        $sql = "SELECT COUNT(*) AS `count`
                FROM `" . $database->pref . "article_cat`;";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $deplacer = ( $database->Result ( $req , 'count' ) == 1 ) ? '#' : 'index.' . EXT . '?page=Administration_des_categories&amp;action=deplacer&amp;id=' . $_GET['id'];

        $page_texte .= '<p><a href="index.' . EXT . '?page=Administration_des_categories' . "\">Administration des catégories</a></p>\n";
        $page_texte .= "<p>La suppression d'une catégorie entraine la suppression des articles de cette catégorie.<br />Pour supprimer la catégorie en conservant ses articles (en les déplaçant vers une autre catégorie), <a href=\"" . $deplacer . "\">cliquez-ici</a>, sinon <a href=\"" . 'index.' . EXT . '?page=Administration_des_categories&action=supprimer&id=' . $_GET['id'] . '&ok' . "\">cliquez-ici</a>.</p>\n";

        break;

    // Modifier une catégorie
    case 'modifier':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 )
        {
            header ( 'Location: index.' . EXT . '?page=Administration_des_categories' );
            die ( -1 );
        }

        // Informations de la catégorie
        $sql = "SELECT `cat_categorie`,
                       `cat_nom`
                FROM `" . $database->pref . "article_cat`
                WHERE `cat_id` = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // Si la catégorie n'existe pas
        if ( $database->NbrRowsSelected ( $req ) === 0 )
        {
            header ( 'Location: index.' . EXT . '?page=Administration_des_categories' );
            die ( -1 );
        }

        $page_texte .= '<p><a href="index.' . EXT . '?page=Administration_des_categories" title="' . $langue['admin_categorie_txt'] . '">' . $langue['admin_categorie'] . "</a></p>\n";

        // Traitement des données du formulaire
        if ( isset ( $_POST['submit'] ) )
        {
            if ( empty ( $_POST['nom'] ) )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else
            {
                $sql = "SELECT COUNT(*) AS `count`
                        FROM `" . $database->pref . "article_cat`
                        WHERE `cat_nom` = '" . $_POST['nom'] . "';";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                if ( $database->Result ( $req , 'count' ) > 1 )
                {
                    $page_texte .= '<p><strong>' . $langue['erreur'] . "</strong>&nbsp;: Le nom de destination est déjà utilisé.</p>\n\n";
                }
                else
                {
                
                    $sql = "UPDATE `" . $database->pref . "article_cat`
                            SET `cat_nom` = '" . $_POST['nom'] . "',
                                `cat_categorie` = '" . $_POST['categorie'] . "'
                            WHERE `cat_id` = '" . $_GET['id'] . "';";

                    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    header ( 'Location: index.' . EXT . '?page=Administration_des_categories' );
                    die ( -1 );
                }
            }
        }

        $row = $database->ResultArray ( $req );

        $categorie_nom = $row['cat_nom'];
        $categorie = $row['cat_categorie'];

        $page_texte .= '<form action="index.' . EXT . '?page=Administration_des_categories&amp;action=modifier&amp;id=' . $_GET['id'] . "\" method=\"post\" title=\"Modification de la catégorie\">\n\n";
        $page_texte .= "<fieldset>\n<legend>Modification de la catégorie</legend>\n\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_nom\">Nom&nbsp;:</label><input name=\"nom\" id=\"id_nom\" value=\"" . $categorie_nom . "\" size=\"35\" type=\"text\" /></p>\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_categorie\">" . $langue['categorie'] . "&nbsp;:</label><select name=\"categorie\" id=\"id_categorie\">\n";
        $page_texte .= '  <option value="0">' . $langue['no_categorie'] . "</option>\n";

        // Informations des autres catégories
        $sql = "SELECT `cat_id`,
                       `cat_nom`
                FROM `" . $database->pref . "article_cat`
                WHERE
                        `cat_categorie` = '0'
                    AND `cat_id` <> '" . $_GET['id'] . "'
                ORDER BY `cat_nom` ASC;";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        while ( $row = $database->ResultArray ( $req ) )
        {
            $page_texte .= '  <option value="' . $row['cat_id'] . '"';
            if ( $row['cat_id'] == $categorie ) $page_texte .= ' selected="selected"';
            $page_texte .= '>' . $row['cat_nom'] . "</option>\n";
        }

        $page_texte .= "</select></p>\n\n</fieldset>\n\n";
        $page_texte .= "<p class=\"centre\"><input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" accesskey=\"s\" /></p>\n\n</form>\n";

        break;

    // Déplacer une catégorie vers une autre
    case 'deplacer':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 )
        {
            header ( 'Location: index.' . EXT . '?page=Administration_des_categories' );
            die ( -1 );
        }

        $sql = "SELECT `cat_categorie`
                FROM `" . $database->pref . "article_cat`
                WHERE `cat_id`= '" . $_GET['id'] . "';";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $sous_categorie = $database->Result ( $req , 'cat_categorie' );

        // Si la catégorie n'existe pas
        if ( $database->Result ( $req ,'count' ) === 0 )
        {
            header ( 'Location: index.' . EXT . '?page=Administration_des_categories' );
            die ( -1 );
        }

        $page_texte .= '<p><a href="index.' . EXT . '?page=Administration_des_categories" title="' . $langue['admin_categorie_txt'] . '">' . $langue['admin_categorie'] . "</a></p>\n";

        if ( isset ( $_POST['destination'] ) )
        {
            if ( empty ( $_POST['destination'] ) )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else
            {
                $sql = "DELETE FROM `" . $database->pref . "article_cat`
                        WHERE `cat_id` = '" . $_GET['id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                $sql = "UPDATE `" . $database->pref . "article_cat`
                        SET `cat_categorie` = '" . $_POST['destination'] . "'
                        WHERE `cat_categorie` = '" . $_GET['id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                $sql = "UPDATE `" . $database->pref . "article_article`
                        SET `article_categorie` = '" . $_POST['destination'] . "'
                        WHERE `article_categorie` = '" . $_GET['id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                header ( 'Location: index.' . EXT . '?page=Administration_des_categories' );
                die ( -1 );
            }
        }

        $page_texte .= "\n<form action=\"" . 'index.' . EXT . '?page=Administration_des_categories&amp;action=deplacer&amp;id=' . $_GET['id'] . "\" method=\"post\" title=\"Déplacement de la catégorie\">\n\n";
        $page_texte .= "<fieldset>\n<legend>Déplacement de la catégorie</legend>\n\n";
        $page_texte .= "<p class=\"form_input\"><label for=\"id_destination\">Catégorie de destination&nbsp;:</label> <select name=\"destination\" id=\"id_destination\">\n";
        $page_texte .= "<option value=\"0\">" . $langue['no_categorie'] . "</option>\n";

        $sql = "SELECT `cat_id`,
                       `cat_nom`
                FROM `" . $database->pref . "article_cat`
                WHERE `cat_id` <> '" . $_GET['id'] . "'
                ORDER BY `cat_nom` ASC;";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        while ( $row = $database->ResultArray ( $req ) )
        {
            $page_texte .= '<option value="' . $row['cat_id'] . '"';
            if ( $row['cat_id'] == $sous_categorie ) $page_texte .= ' selected="selected"';
            $page_texte .= '>' . $row['cat_nom'] . "</option>\n";
        }

        $page_texte .= "</select></p>\n\n</fieldset>\n<p class=\"centre\"><input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" accesskey=\"s\" /></p>\n\n</form>\n";

        break;
}

?>