<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droits d'administration
if ( $droit['administration'] == 0 )
{
    $page_msg = 2;
    include_once ( 'systeme/msg.' . EXT );
}


// Titre de la page
$page_titre = $langue['admin_sondages'];
$page_infos = $langue['administration_texte'];


if ( isset ( $_GET['action'] ) )
{
    $action = $_GET['action'];
}
else
{
    $action = '';
}


switch ( $action )
{
    // Page principale
    default:

        // Haut du tableau
        $page_texte .= "<table>\n\n<thead>\n<tr>\n";
        $page_texte .= '  <th class="sondage_question">Question' . "</th>\n";
        $page_texte .= '  <th class="sondage_date">' . $langue['date'] . "</th>\n";
        $page_texte .= '  <th class="sondage_reponses">' . $langue['reponses'] . "</th>\n";
        $page_texte .= '  <th class="sondage_actions">Actions' . "</th>\n";
        $page_texte .= "</tr>\n</thead>\n\n<tbody>\n";

        $sql = "SELECT `sondage_question`,
                       `sondage_time`,
                       `sondage_id`,
                       `sondage_actif`,
                       COUNT(`vote_sondage`) AS `reponses`
                FROM `" . $database->pref . "sondages`
                LEFT JOIN `" . $database->pref . "votes`
                    ON `vote_sondage` = `sondage_id`
                GROUP BY `sondage_id`
                ORDER BY `sondage_time` DESC;";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) > 0 )
        {
            while ( $row = $database->ResultArray ( $req ) )
            {
                $page_texte .= "<tr>\n";
                $page_texte .= '  <td><a href="index.' . EXT . '?page=Sondages&id=' . $row['sondage_id'] . '">' . $row['sondage_question'] . "</a></td>\n";
                $page_texte .= '  <td class="centre">' . date ( $configuration['format_date'] , $row['sondage_time'] ) . "</td>\n";
                $page_texte .= '  <td class="centre">' . $row['reponses'] . "</td>\n";
                $page_texte .= '  <td class="centre"><a href="index.' . EXT . '?page=Administration_des_sondages&amp;action=modifier&amp;id='. $row['sondage_id'] . '">Modifier</a>';
                $page_texte .= " - <a href=\"" . 'index.' . EXT . '?page=Administration_des_sondages&amp;action=supprimer&amp;id=' . $row['sondage_id'] . '">Supprimer</a> - ';

                if ( $row['sondage_actif'] == 1 )
                {
                    $page_texte .= '<a href="index.' . EXT . '?page=Administration_des_sondages&amp;action=fermer&amp;id=' . $row['sondage_id'] . '">Fermer</a>';
                 }
                 else
                 {
                    $page_texte .= '<a href="index.' . EXT . '?page=Administration_des_sondages&amp;action=ouvrir&amp;id=' . $row['sondage_id'] . "\">Ouvrir</a></td>\n";
                }

                $page_texte .= "</tr>\n";
            }
        }

        $page_texte .= "<tr>\n  <td colspan=\"4\"><a href=\"index." . EXT . '?page=Administration_des_sondages&amp;action=nouveau">Nouveau sondage' . "</a></td>\n</tr>\n";

        // Bas du tableau
        $page_texte .= "</tbody>\n\n</table>\n\n";

        break;

    // Créer un nouveau sondage
    case 'nouveau':

        $page_texte .= '<p><a href="index.' . EXT . '?page=Administration_des_sondages" title="' . $langue['admin_sondages_texte'] . '">' . $langue['admin_sondages'] . "</a></p>\n";

        // Traitement des données du formulaire
        if ( isset ( $_POST['submit'] ) )
        {
            $nbr_choix = 0;

            // Nombre de réponses
            for ( $i = 0 ; $i <= 9 ; $i++ )
            {
                if ( !empty ( $_POST['rep_' . $i] ) ) $nbr_choix++;
            }

            // Il faut une question
            if ( empty ( $_POST['question'] ) )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: ' . $langue['err_oblig'] . "</p>\n\n";
            }
            // Il faut au moins deux ou trois réponses possibles selon le type
            else if ( ( $nbr_choix < 2 && $_POST['type'] == 0 ) || ( $nbr_choix < 3 && $_POST['type'] == 1 ) )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . "</strong>&nbsp;: Vous devez indiquer plus de réponses possibles.</p>\n\n";
            }
            else
            {
                for ( $i = 0 ; $i <= 9 ; $i++ )
                {
                    $rep[$i] = '';
                }

                // Tri des réponses
                for ( $i = 0 ; $i <= 9 ; $i++ )
                {
                    $j = $i;

                    while ( $j <= 9 )
                    {
                        if ( !empty ( $_POST['rep_' . $j] ) )
                        {
                            $rep[$i] = $_POST['rep_' . $j];
                            unset ( $_POST['rep_' . $j] );
                            $j = 9;
                        }
                        else
                        {
                            $j++;
                        }
                    }
                }

                $sql = "INSERT INTO `" . $database->pref . "sondages`
                        (`sondage_question`, `sondage_time`, `sondage_actif`, `sondage_type`, `sondage_auteur`, `sondage_rep_0`, `sondage_rep_1`, `sondage_rep_2`, `sondage_rep_3`, `sondage_rep_4`, `sondage_rep_5`, `sondage_rep_6`, `sondage_rep_7`, `sondage_rep_8`, `sondage_rep_9`)
                        VALUES
                        ('" . $database->Protege ( $_POST['question'] ) . "', '" . $time . "', '1', '" . $_POST['type'] . "', '" . $_SESSION['membre_id'] . "', '" . $rep[0] . "', '" . $rep[1] . "', '" . $rep[2] . "', '" . $rep[3] . "', '" . $rep[4] . "', '" . $rep[5] . "', '" . $rep[6] . "', '" . $rep[7] . "', '" . $rep[8] . "', '" . $rep[9] . "');";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                header ( 'Location: index.' . EXT . '?page=Administration_des_sondages' );
                die ( -1 );
            }
        }

        $page_texte .= '<form action="index.' . EXT . '?page=Administration_des_sondages&action=nouveau' . "\" method=\"post\" title=\"" . $langue['nouveau_sondage'] . "\">\n\n";
        $page_texte .= "<fieldset>\n<legend>" . $langue['nouveau_sondage'] . "</legend>\n\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_question\">" . $langue['question'] . "&nbsp;:</label><input name=\"question\" id=\"id_question\" value=\"\" size=\"35\" type=\"text\" /><br />\n\n";
        $page_texte .= "<input name=\"type\" name=\"type\" id=\"id_type0\" value=\"0\" type=\"radio\" checked=\"checked\"/><label for=\"id_type0\">" . $langue['choix_unique'] . "</label>\n";
        $page_texte .= "<input name=\"type\" name=\"type\" id=\"id_type1\" value=\"1\" type=\"radio\" /><label for=\"id_type1\">" . $langue['choix_multiples'] . "</label><br />\n\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_0\">" . $langue['choix_numero'] . "1&nbsp;:</label><input name=\"rep_0\" id=\"id_rep_0\" value=\"\" size=\"35\" type=\"text\" /><br />\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_1\">" . $langue['choix_numero'] . "2&nbsp;:</label><input name=\"rep_1\" id=\"id_rep_1\" value=\"\" size=\"35\" type=\"text\" /><br />\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_2\">" . $langue['choix_numero'] . "3&nbsp;:</label><input name=\"rep_2\" id=\"id_rep_2\" value=\"\" size=\"35\" type=\"text\" /><br />\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_3\">" . $langue['choix_numero'] . "4&nbsp;:</label><input name=\"rep_3\" id=\"id_rep_3\" value=\"\" size=\"35\" type=\"text\" /><br />\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_4\">" . $langue['choix_numero'] . "5&nbsp;:</label><input name=\"rep_4\" id=\"id_rep_4\" value=\"\" size=\"35\" type=\"text\" /><br />\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_5\">" . $langue['choix_numero'] . "6&nbsp;:</label><input name=\"rep_5\" id=\"id_rep_5\" value=\"\" size=\"35\" type=\"text\" /><br />\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_6\">" . $langue['choix_numero'] . "7&nbsp;:</label><input name=\"rep_6\" id=\"id_rep_6\" value=\"\" size=\"35\" type=\"text\" /><br />\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_7\">" . $langue['choix_numero'] . "8&nbsp;:</label><input name=\"rep_7\" id=\"id_rep_7\" value=\"\" size=\"35\" type=\"text\" /><br />\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_8\">" . $langue['choix_numero'] . "9&nbsp;:</label><input name=\"rep_8\" id=\"id_rep_8\" value=\"\" size=\"35\" type=\"text\" /><br />\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_9\">" . $langue['choix_numero'] . "10&nbsp;:</label><input name=\"rep_9\" id=\"id_rep_9\" value=\"\" size=\"35\" type=\"text\" /><br />\n\n";
        $page_texte .= "</fieldset>\n\n";
        $page_texte .= "<p class=\"centre\"><input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" accesskey=\"s\" /></p>\n\n</form>\n";

        break;

    // Modifier la question ou les réponses d'un sondage
    case 'modifier':

        if ( !isset ( $_GET['id'] ) )
        {
            header ( 'Location: index.' . EXT . '?page=Administration_des_sondages' );
            die ( -1 );
        }

        $sql = "SELECT COUNT(*) AS `count`
                FROM `" . $database->pref . "sondages`
                WHERE `sondage_id` = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( !isset ( $_GET['id'] ) || $database->Result ( $req , 'count' ) == 0 )
        {
            header ( 'Location: index.' . EXT . '?page=Administration_des_sondages' );
            die ( -1 );
        }

        $page_texte .= '<p><a href="index.' . EXT . '?page=Administration_des_sondages' . "\" title=\"Administration des sondages\">Administration des sondages</a></p>\n";

        // Traitement des données du formulaire
        if ( isset ( $_POST['submit'] ) )
        {
            $nbr_choix = 0;

            // Nombre de réponses
            for ( $i = 0 ; $i <= 9 ; $i++ )
            {
                if ( !empty ( $_POST['rep_' . $i] ) ) $nbr_choix++;
            }

            // Il faut une question
            if ( empty ( $_POST['question'] ) )
            {
                $page_texte .= "\n<p><strong>" . $langue['erreur'] . '</strong> : ' . $langue['err_oblig'] . "</p>\n";
            }
            // Il faut au moins deux ou trois réponses possibles selon le type
            else if ( ( $nbr_choix < 2 && $_POST['type'] == 0 ) || ( $nbr_choix < 3 && $_POST['type'] == 1 ) )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . "</strong> : Vous devez indiquer plus de réponses possibles.</p>\n\n";
            }
            else
            {
                for ( $i = 0 ; $i <= 9 ; $i++ )
                {
                    $rep[$i] = '';
                }

                // Tri des réponses
                for ( $i = 0 ; $i <= 9 ; $i++ )
                {
                    $j = $i;

                    while ( $j <= 9 )
                    {
                        if ( !empty ( $_POST['rep_' . $j] ) )
                        {
                            $rep[$i] = $_POST['rep_' . $j];
                            unset ( $_POST['rep_' . $j] );
                            $j = 9;
                        }
                        else
                        {
                            $j++;
                        }
                    }
                }

                $sql = "UPDATE `" . $database->pref . "sondages`
                        SET `sondage_question` = '" . $database->Protege ( $_POST['question'] ) . "',
                            `sondage_type` = '" . $_POST['type'] . "',
                            `sondage_rep_0`= '" . $rep[0] . "',
                            `sondage_rep_1`= '" . $rep[1] . "',
                            `sondage_rep_2`= '" . $rep[2] . "',
                            `sondage_rep_3`= '" . $rep[3] . "',
                            `sondage_rep_4`= '" . $rep[4] . "',
                            `sondage_rep_5`= '" . $rep[5] . "',
                            `sondage_rep_6`= '" . $rep[6] . "',
                            `sondage_rep_7`= '" . $rep[7] . "',
                            `sondage_rep_8`= '" . $rep[8] . "',
                            `sondage_rep_9`= '" . $rep[9] . "'
                        WHERE `sondage_id` = '" . $_GET['id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                header ( 'Location: index.' . EXT . '?page=Administration_des_sondages' );
                die ( -1 );
            }
        }

        $sql = "SELECT `sondage_question`,
                       `sondage_type`,
                       `sondage_rep_0`,
                       `sondage_rep_1`,
                       `sondage_rep_2`,
                       `sondage_rep_3`,
                       `sondage_rep_4`,
                       `sondage_rep_5`,
                       `sondage_rep_6`,
                       `sondage_rep_7`,
                       `sondage_rep_8`,
                       `sondage_rep_9`
                FROM `" . $database->pref . "sondages`
                WHERE `sondage_id` = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $row = $database->ResultArray ( $req );

        $page_texte .= '<form action="index.' . EXT . '?page=Administration_des_sondages&action=modifier&id=' . $_GET['id'] . "\" method=\"post\" title=\"Modifier un sondage\">\n\n";
        $page_texte .= "<fieldset>\n<legend>Modifier un sondage</legend>\n\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_question\">" . $langue['question'] . " :</label><input name=\"question\" id=\"id_question\" value=\"" . $row['sondage_question'] . "\" size=\"35\" type=\"text\" /><br/>\n\n";
        $page_texte .= "<input name=\"type\" id=\"id_type0\" value=\"0\" type=\"radio\"";
        if ( $row['sondage_type'] == 0 ) $page_texte .= ' checked="checked"';
        $page_texte .= "/><label for=\"id_type0\">" . $langue['choix_unique'] . "</label>\n";
        $page_texte .= "<input name=\"type\" id=\"id_type1\" value=\"1\" type=\"radio\"";
        if ( $row['sondage_type'] == 1 ) $page_texte .= ' checked="checked"';
        $page_texte .= " /><label for=\"id_type1\">" . $langue['choix_multiples'] . "</label><br/>\n\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_0\">" . $langue['choix_numero'] . "1 :</label><input name=\"rep_0\" id=\"id_rep_0\" value=\"" . $row['sondage_rep_0'] . "\" size=\"35\" type=\"text\" /><br/>\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_1\">" . $langue['choix_numero'] . "2 :</label><input name=\"rep_1\" id=\"id_rep_1\" value=\"" . $row['sondage_rep_1'] . "\" size=\"35\" type=\"text\" /><br/>\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_2\">" . $langue['choix_numero'] . "3 :</label><input name=\"rep_2\" id=\"id_rep_2\" value=\"" . $row['sondage_rep_2'] . "\" size=\"35\" type=\"text\" /><br/>\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_3\">" . $langue['choix_numero'] . "4 :</label><input name=\"rep_3\" id=\"id_rep_3\" value=\"" . $row['sondage_rep_3'] . "\" size=\"35\" type=\"text\" /><br/>\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_4\">" . $langue['choix_numero'] . "5 :</label><input name=\"rep_4\" id=\"id_rep_4\" value=\"" . $row['sondage_rep_4'] . "\" size=\"35\" type=\"text\" /><br/>\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_5\">" . $langue['choix_numero'] . "6 :</label><input name=\"rep_5\" id=\"id_rep_5\" value=\"" . $row['sondage_rep_5'] . "\" size=\"35\" type=\"text\" /><br/>\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_6\">" . $langue['choix_numero'] . "7 :</label><input name=\"rep_6\" id=\"id_rep_6\" value=\"" . $row['sondage_rep_6'] . "\" size=\"35\" type=\"text\" /><br/>\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_7\">" . $langue['choix_numero'] . "8 :</label><input name=\"rep_7\" id=\"id_rep_7\" value=\"" . $row['sondage_rep_7'] . "\" size=\"35\" type=\"text\" /><br/>\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_8\">" . $langue['choix_numero'] . "9 :</label><input name=\"rep_8\" id=\"id_rep_8\" value=\"" . $row['sondage_rep_8'] . "\" size=\"35\" type=\"text\" /><br/>\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_rep_9\">" . $langue['choix_numero'] . "10 :</label><input name=\"rep_9\" id=\"id_rep_9\" value=\"" . $row['sondage_rep_9'] . "\" size=\"35\" type=\"text\" /><br/>\n\n";
        $page_texte .= "</fieldset>\n\n";
        $page_texte .= "<p class=\"centre\"><input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" accesskey=\"s\" /></p>\n\n</form>\n";

        break;

    // Supprimer un sondage
    case 'supprimer':

        $sql = "SELECT COUNT(*) AS `count`
                FROM `" . $database->pref . "sondages`
                WHERE `sondage_id` = '" . $_GET['id'] . "';";

        if ( !isset ( $_GET['id'] ) || $database->Result ( $req , 'count' ) === 0 )
        {
            header ( 'Location: index.' . EXT . '?page=Administration_des_sondages' );
            die ( -1 );
        }

        if ( isset( $_GET['ok'] ) )
        {
            // On supprime le sondage
            $sql = "DELETE FROM `" . $database->pref . "sondages`
                    WHERE `sondage_id` = '" . $_GET['id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            // On supprime les votes de ce sondage
            $sql = "DELETE FROM `" . $database->pref . "votes`
                    WHERE `vote_sondage` = '" . $_GET['id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            header ( 'Location: index.' . EXT . '?page=Administration_des_sondages' );
            die ( -1 );
        }

        $page_texte .= "\n<p><a href=\"" . 'index.' . EXT . '?page=Administration_des_sondages' . "\" title=\"Administration des sondages\">Administration des sondages</a></p>\n";
        $page_texte .= "<p>La suppresion d'un sondage est définitif. <a href=\"" . 'index.' . EXT . '?page=Administration_des_sondages&action=supprimer&id=' . $_GET['id'] . '&ok' . "\">Cliquez ici</a> pour continuer.</p>\n";

        break;

    // Fermer un sondage
    case 'fermer':

        if ( isset ( $_GET['id'] ) )
        {
            $sql = "UPDATE `" . $database->pref . "sondages`
                    SET `sondage_actif` = '0'
                    WHERE
                            `sondage_id` = '" . $_GET['id'] . "'
                        AND `sondage_actif` = '1';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        header ( 'Location: index.' . EXT . '?page=Administration_des_sondages' );
        die ( -1 );

        break;

    // Ouvrir un sondage précedemment fermé
    case 'ouvrir':

        if ( isset ( $_GET['id'] ) )
        {
            $sql = "UPDATE `" . $database->pref . "sondages`
                    SET `sondage_actif` = '1'
                    WHERE
                            `sondage_id` = '" . $_GET['id'] . "'
                        AND `sondage_actif` = '0';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        header ( 'Location: index.' . EXT . '?page=Administration_des_sondages' );
        die ( -1 );
}

?>