<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

if ( $_SESSION['groupe'] == 1 ) {
    header ( 'Location: index.' . EXT );
    die ( -1 );
}

// Titre de la page
$page_titre = $langue['amis_titre'];
$page_infos = 'Gestion des amis';

$action = ( isset ( $_GET['action'] ) ) ? $_GET['action'] : '';

switch ( $action )
{
    // Liste des amis et des demandes
    default:

        // Demandes en cours de validation
        $sql = "SELECT ami_to,
                       ami_time,
                       membre_nom
                FROM " . $database->pref . "amis
                LEFT JOIN " . $database->pref . "membres
                    ON membre_id = ami_to
                WHERE
                        ami_from = '" . $_SESSION['membre_id'] . "'
                    AND ami_accepte = '0';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) > 0 )
        {
            $page_texte .= "<h2>Vos demandes en attentes de validation</h2>\n\n";
            $page_texte .= "<table>\n\n<thead>\n<tr>\n";
            $page_texte .= '  <th class="ami_membre">' . $langue['user'] . "</th>\n";
            $page_texte .= '  <th class="ami_date">' . $langue['date'] . "</th>\n";
            $page_texte .= "</tr>\n</thead>\n\n<tbody>\n";

            while ( $row = $database->ResultArray ( $req ) )
            {
                $page_texte .= "<tr>\n";
                $page_texte .= '  <td><a href="index.' . EXT . '?page=Membre&amp;id=' . $row['ami_to'] . "\" title=\"" . $langue['view_fiche'] . $row['membre_nom'] . '">' . $row['membre_nom'] . "</a></td>\n";
                $page_texte .= '  <td class="centre">' . date ( $configuration['format_date'] , $row['ami_time'] ) . "</td>\n";
                $page_texte .= "</tr>\n";
            }

            $page_texte .= "</tbody>\n\n</table>\n";
        }


        // Demandes en cours
        $sql = "SELECT ami_from,
                       ami_time,
                       membre_nom
                FROM " . $database->pref . "amis
                LEFT JOIN " . $database->pref . "membres
                    ON membre_id = ami_from
                WHERE
                        ami_to = '" . $_SESSION['membre_id'] . "'
                    AND ami_accepte = '0';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) > 0 )
        {
            $page_texte .= "<h2>Demandes en cours</h2>\n\n";
            $page_texte .= "<table>\n\n<thead>\n<tr>\n";
            $page_texte .= "  <th class=\"ami_membre\">" . $langue['user'] . "</th>\n";
            $page_texte .= "  <th class=\"ami_date\">" . $langue['date'] . "</th>\n";
            $page_texte .= "  <th class=\"ami_actions\">" . $langue['actions'] . "</th>\n";
            $page_texte .= "</tr>\n</thead>\n\n<tbody>\n";

            while ( $row = $database->ResultArray ( $req ) )
            {
                $page_texte .= "<tr>\n";
                $page_texte .= '  <td><a href="index.' . EXT . '?page=Membre&amp;id=' . $row['ami_from'] . "\" title=\"" . $langue['view_fiche'] . $row['membre_nom'] . '">' . $row['membre_nom'] . "</a></td>\n";
                $page_texte .= '  <td class="centre">' . date ( $configuration['format_date'] , $row['ami_time'] ) . "</td>\n";
                $page_texte .= '  <td><a href="index.' . EXT . '?page=Amis&amp;action=accepter&amp;id=' . $row['ami_from'] . '">Accepter</a> - <a href="index.' . EXT . '?page=Amis&amp;action=refuser&amp;id=' . $row['ami_from'] . "\">Refuser</a></td>\n";
                $page_texte .= "</tr>\n";
            }

            $page_texte .= "</tbody>\n\n</table>\n";
        }


        // Liste des amis

        $page_texte .= '<h2>' . $langue['amis'] . "</h2>\n\n";
        $page_texte .= "<table>\n\n<thead>\n<tr>\n";
        $page_texte .= '  <th class="ami_membre">' . $langue['user'] . "</th>\n";
        $page_texte .= '  <th class="ami_date">' . $langue['date'] . "</th>\n";
        $page_texte .= '  <th class="ami_actions">' . $langue['actions'] . "</th>\n";
        $page_texte .= "</tr>\n</thead>\n\n<tbody>\n";

        $nbr_amis = 0;

        $sql = "SELECT ami_from,
                       ami_to,
                       ami_time,
                       membre_nom,
                       visiteur_time
                FROM " . $database->pref . "amis
                LEFT JOIN " . $database->pref . "membres
                    ON membre_id = ami_from
                LEFT JOIN " . $database->pref . "visiteurs
                    ON visiteur_nom = membre_nom
                    AND visiteur_time > '" . ( $time - 300 ) . "'
                WHERE
                (
                        ami_to = '" . $_SESSION['membre_id'] . "'
                    AND ami_accepte = '1'
                )
                OR
                (
                        ami_from = '" . $_SESSION['membre_id'] . "'
                    AND ami_accepte = '1'
                )
                ORDER BY ami_time ASC;";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        while ( $row = $database->ResultArray ( $req ) )
        {
            if ( $row['ami_to'] == $_SESSION['membre_id'] )
            {
                $page_texte .= "<tr>\n";
                $page_texte .= '  <td>';

                if ( empty ( $row['visiteur_time'] ) )
                {
                    $page_texte .= '<img src="themes/' . $configuration['style'] . '/images/perso1.png" title="' . $langue['deconnecte'] . '" alt="" /> ';
                }
                else
                {
                    $page_texte .= '<img src="themes/' . $configuration['style'] . '/images/perso2.png" title="' . $langue['connecte'] . '" alt="" /> ';
                }

                $page_texte .= '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['ami_from'] . '" title="' . $langue['view_fiche'] . $row['membre_nom'] . '">' . $row['membre_nom'] . "</a></td>\n";
                $page_texte .= '  <td class="centre">' . date ( $configuration['format_date'] , $row['ami_time'] ) . "</td>\n";
                $page_texte .= '  <td class="centre"><a href="index.' . EXT . '?page=Messagerie&amp;action=nouveau&amp;id=' . $row['ami_from'] . '">Nouveau message</a> - <a href="index.' . EXT . '?page=Amis&amp;action=supprimer&amp;id=' . $row['ami_from'] . "\">Supprimer</a></td>\n";
                $page_texte .= "</tr>\n";
            }

            $nbr_amis++;
        }

        $sql = "SELECT ami_from,
                       ami_to,
                       ami_time,
                       membre_nom,
                       visiteur_time
                FROM " . $database->pref . "amis
                LEFT JOIN " . $database->pref . "membres
                    ON membre_id = ami_to
                LEFT JOIN " . $database->pref . "visiteurs
                    ON visiteur_nom = membre_nom
                    AND visiteur_time > '" . ( $time - 300 ) . "'
                WHERE
                (
                        ami_to = '" . $_SESSION['membre_id'] . "'
                    AND ami_accepte = '1'
                )
                OR
                (
                        ami_from = '" . $_SESSION['membre_id'] . "'
                    AND ami_accepte = '1'
                )
                ORDER BY ami_time ASC;";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $nbr_amis = 0;

        while ( $row = $database->ResultArray ( $req ) )
        {
            if ( $row['ami_from'] == $_SESSION['membre_id'] )
            {
                $page_texte .= "<tr>\n";
                $page_texte .= '  <td>';

                if ( empty ( $row['visiteur_time'] ) )
                {
                    $page_texte .= '<img src="themes/' . $configuration['style'] . '/images/perso1.png" title="' . $langue['deconnecte'] . '" alt="" /> ';
                }
                else
                {
                    $page_texte .= '<img src="themes/' . $configuration['style'] . '/images/perso2.png" title="' . $langue['connecte'] . '" alt="" /> ';
                }

                $page_texte .= '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['ami_to'] . '" title="' . $langue['view_fiche'] . $row['membre_nom'] . '">' . $row['membre_nom'] . "</a></td>\n";
                $page_texte .= '  <td class="centre">' . date ( $configuration['format_date'] , $row['ami_time'] ) . "</td>\n";
                $page_texte .= '  <td class="centre"><a href="index.' . EXT . '?page=Messagerie&amp;action=nouveau&amp;id=' . $row['ami_to'] . '">Nouveau message</a> - <a href="index.' . EXT . '?page=Amis&amp;action=supprimer&amp;id=' . $row['ami_to'] . "\">Supprimer</a></td>\n";
                $page_texte .= "</tr>\n";
            }

            $nbr_amis++;
        }

        if ( $nbr_amis == 0 )
        {
            $page_texte .= "<tr>\n  <td colspan=\"3\">Vous n'avez aucun ami :(</td>\n</tr>\n";
        }

        $page_texte .= "</tbody>\n\n</table>\n";


        // Ajouter un ami
        $page_texte .= '<p><a href="index.' . EXT . '?page=Amis&amp;action=nouveau' . '">' . $langue['amis_new'] . "</a></p>\n";

        break;


    // Nouvelle amitié
    case 'nouveau':

        $page_texte .= '<p><a href="index.' . EXT .'?page=Amis" title="' . $langue['amis_titre'] . '">' . $langue['amis_titre'] . "</a></p>\n\n";

        if ( isset ( $_GET['id'] ) )
        {
            $sql = "SELECT COUNT(*) AS count
                    FROM " . $database->pref . "membres
                    WHERE membre_id = '" . $_GET['id'] . "';";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            if ( $_GET['id'] == $_SESSION['membre_id'] )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_ami_you'] . "</p>\n\n";
            }
            else if ( $database->Result ( $req ,'count' ) == 0 )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . 'Cet utilisateur n\'existe pas.' . "</p>\n\n";
            }
            else
            {
                $sql = 'SELECT ami_time
                        FROM ' . $database->pref . "amis
                        WHERE
                        (
                                ami_from = '" . $_SESSION['membre_id'] . "'
                            AND ami_to = '" . $_GET['id'] . "'
                        )
                        OR
                        (
                                ami_from = '" . $_GET['id'] . "'
                            AND ami_to= '" . $_SESSION['membre_id'] . "'
                        );";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                if ( $database->NbrRowsSelected ( $req ) > 0 )
                {
                    $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_ami_exist'] . "</p>\n\n";
                }
                else
                {
                    $sql = 'INSERT INTO ' . $database->pref . "amis
                            (ami_from, ami_to, ami_time, ami_accepte)
                            VALUES
                            ('" . $_SESSION['membre_id'] . "', '" . $_GET['id'] . "', '" . $time . "', '0');";

                    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    // On crée un nouveau message
                    $sql = 'INSERT INTO ' . $database->pref . "messages
                            (msg_auteur, msg_dest0, msg_dest1, msg_dest2, msg_dest3, msg_dest4, msg_time, msg_sujet, msg_texte, msg_reponse, msg_lectures)
                            VALUES
                            ('0', '" . $_GET['id'] . "', '0', '0', '0', '0', '" . $time . "', 'Demande d\'amitié', '<lien titre=\"" . $_SESSION['membre'] . "\">redirect.php?p=Membre&amp;id=" . $_SESSION['membre_id'] . "</lien> vous a ajouté dans sa liste d\'amis. Acceptez-vous cette amitié ?\n\n<lien titre=\"Oui\">redirect.php?p=Amis&amp;action=accepter&amp;id=" . $_SESSION['membre_id'] . "</lien> - <lien titre=\"Non\">redirect.php?p=Amis&amp;action=refuser&amp;id=" . $_SESSION['membre_id'] . "</lien>', '0', '0');";

                    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    $message_id = $database->LastInsertId ( $req );

                    // On ajoute ce message dans la boite de réception du destinataire
                    $sql = 'INSERT INTO ' . $database->pref . "msg_box
                            (msg_box_msg, msg_box_membre, msg_box_lu)
                            VALUES
                            ('" . $message_id . "', '" . $_GET['id'] . "', '0');";

                    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    header ( 'Location: index.' . EXT . '?page=Amis' );
                    die ( -1 );
                }
            }
        }

        // Traitement des données du formulaire
        else if ( isset ( $_POST['submit'] ) && !empty ( $_POST['nom'] ) && trim ( $_POST['nom'] ) != '' )
        {
            $sql = "SELECT membre_id
                    FROM " . $database->pref . "membres
                    WHERE membre_nom = '" . $_POST['nom'] . "';";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            if ( $_POST['nom'] == $_SESSION['membre'] )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_ami_you'] . "</p>\n\n";
            }
            else if ( $database->NbrRowsSelected ( $req ) === 0 )
            {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . 'Cet utilisateur n\'existe pas.' . "</p>\n\n";
            }
            else
            {
                $row = $database->ResultArray ( $req );

                $sql = "SELECT ami_time
                        FROM " . $database->pref . "amis
                        WHERE
                        (
                                ami_from = '" . $_SESSION['membre_id'] . "'
                            AND ami_to = '" . $row['membre_id'] . "'
                        )
                        OR
                        (
                                ami_from = '" . $row['membre_id'] . "'
                            AND ami_to= '" . $_SESSION['membre_id'] . "'
                        );";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                if ( $database->NbrRowsSelected ( $req ) > 0 )
                {
                    $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_ami_exist'] . "</p>\n\n";
                }
                else
                {
                    $sql = "INSERT INTO " . $database->pref . "amis
                            (ami_from, ami_to, ami_time, ami_accepte)
                            VALUES
                            ('" . $_SESSION['membre_id'] . "', '" . $row['membre_id'] . "', '" . $time . "', '0');";

                    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    // On crée un nouveau message
                    $sql = "INSERT INTO " . $database->pref . "messages
                            (msg_auteur, msg_destinataire, msg_time, msg_sujet, msg_texte, msg_reponse, msg_lectures)
                            VALUES
                            ('" . $_SESSION['membre_id'] . "', '" . $row['membre_id'] . "', '" . $time . "', 'Demande d\'amitié', '<lien titre=\"" . $_SESSION['membre'] . "\">redirect.php?p=Membre&amp;id=" . $_SESSION['membre_id'] . "</lien> vous a ajouté dans sa liste d\'amis. Acceptez-vous cette amitié ?\n\n<lien titre=\"Oui\">redirect.php?p=Amis&amp;action=accepter&amp;id=" . $_SESSION['membre_id'] . "</lien> - <lien titre=\"Non\">redirect.php?p=Amis&amp;action=refuser&amp;id=" . $_SESSION['membre_id'] . "</lien>', '0', '0');";

                    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    $message_id = $database->LastInsertId ( $req );

                    // On ajoute ce message dans la boite de réception du destinataire
                    $sql = "INSERT INTO " . $database->pref . "msg_box
                            (msg_box_msg, msg_box_membre, msg_box_lu)
                            VALUES
                            ('" . $message_id . "', '" . $row['membre_id'] . "', '0');";

                    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    header ( 'Location: index.' . EXT . '?page=Amis' );
                    die ( -1 );
                }
            }
        }

        $page_texte .= '<form action="index.' . EXT . '?page=Amis&amp;action=nouveau" method="post" title="' . $langue['amis_new'] . "\">\n\n";
        $page_texte .= "<fieldset>\n<legend>" . $langue['amis_new'] . "</legend>\n\n";
        $page_texte .= '<p class="form_input"><label for="id_nom">' . $langue['user'] . "&nbsp;:</label> <input type=\"text\" size=\"25\" name=\"nom\" id=\"id_nom\" value=\"\" tabindex=\"10\" /> <input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" accesskey=\"s\" tabindex=\"11\" /></p>";
        $page_texte .= "</fieldset>\n\n</form>\n";

        break;


    // Supprimer une amitié
    case 'supprimer':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 )
        {
            header ( 'Location: index.' . EXT . '?page=Amis' );
            die ( -1 );
        }

        $sql = "DELETE FROM " . $database->pref . "amis
                WHERE
                (
                        ami_from = '" . $_SESSION['membre_id'] . "'
                    AND ami_to = '" . $_GET['id'] . "'
                )
                OR
                (
                        ami_from = '" . $_GET['id'] . "'
                    AND ami_to = '" . $_SESSION['membre_id'] . "'
                );";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        header ( 'Location: index.' . EXT . '?page=Amis' );
        die ( -1 );


    // Refuser une proposition d'amitié
    case 'refuser':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 )
        {
            header ( 'Location: index.' . EXT . '?page=Amis' );
            die ( -1 );
        }

        $sql = "SELECT COUNT(*) AS count
                FROM " . $database->pref . "amis
                WHERE
                        ami_from = '" . $_GET['id'] . "'
                    AND ami_to = '" . $_SESSION['membre_id'] . "'
                    AND ami_accepte = '0';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->Result ( $req , 'count' ) > 0 )
        {
            $sql = "DELETE FROM " . $database->pref . "amis
                    WHERE
                            ami_from = '" . $_GET['id'] . "'
                        AND ami_to = '" . $_SESSION['membre_id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        header ( 'Location: index.' . EXT . '?page=Amis' );
        die ( -1 );


    // Accepter une proposition d'amitié
    case 'accepter':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 )
        {
            header ( 'Location: index.' . EXT . '?page=Amis' );
            die ( -1 );
        }

        $sql = "SELECT COUNT(*) AS count
                FROM " . $database->pref . "amis
                WHERE
                        ami_from = '" . $_GET['id'] . "'
                    AND ami_to = '" . $_SESSION['membre_id'] . "'
                    AND ami_accepte = '0';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->Result ( $req , 'count' ) > 0 )
        {
            $sql = "UPDATE " . $database->pref . "amis
                    SET ami_accepte = '1'
                    WHERE
                            ami_from = '" . $_GET['id'] . "'
                        AND ami_to = '" . $_SESSION['membre_id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        header ( 'Location: index.' . EXT . '?page=Amis' );
        die ( -1 );
}

?>