<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droits de lire un article
if ( $droit['article_lecture'] == 0 ) {
    $page_msg = 1;
    include_once ( './systeme/msg.' . EXT );
}

if ( !isset ( $_GET['id'] ) ) {
    header ( 'Location: index.' . EXT . '?page=Liste_des_articles' );
    die ( -1 );
}

$sql = "SELECT article_titre,
               article_commentaires,
               article_compteur,
               article_actif,
               article_auteur,
               article_texte,
               article_modification,
               article_categorie AS categorie_id,
               membre_nom,
               cata.cat_nom AS categorie_nom,
               catb.cat_nom AS sous_categorie_nom,
               catb.cat_id AS sous_categorie_id
        FROM " . $database->pref . "article_article
        LEFT JOIN " . $database->pref . "membres
            ON membre_id= article_auteur
        LEFT JOIN " . $database->pref . "article_cat cata
            ON cata.cat_id= article_categorie
        LEFT JOIN " . $database->pref . "article_cat catb
            ON catb.cat_id= cata.cat_categorie
        WHERE article_id = '" . $_GET['id'] . "';";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

if ( $database->NbrRowsSelected ( $req ) === 0 ) {
    header ( 'Location: index.' . EXT . '?page=Liste_des_articles' );
    die ( -1 );
}

$row = $database->ResultArray ( $req );

$article = $row['article_titre'];

$page_infos = 'Lecture de l\'article ' . $article;

$nbr_commentaires = $row['article_commentaires'];

$page_texte .= '<p>' . $langue['navigation'] . '&nbsp;: <a href="index.' . EXT . '?page=Liste_des_articles" title="' . $langue['articles_liste'] . '">' . $langue['articles'] . '</a> > ';
if ( !empty ( $row['sous_categorie_nom'] ) ) $page_texte .= '<a href="index.' . EXT . "?page=Liste_des_articles&amp;categorie=" . $row['sous_categorie_id'] . "\">" . $row['sous_categorie_nom'] . '</a> > ';
if ( !empty ( $row['categorie_nom'] ) ) $page_texte .= '<a href="index.' . EXT . "?page=Liste_des_articles&amp;categorie=" . $row['categorie_id'] . "\">" . $row['categorie_nom'] . '</a> > ';
$page_texte .= '<a href="index.' . EXT . '?page=Article&id=' . $_GET['id'] . '">' . $article . "</a></p>\n\n";
$page_texte .= "<hr />\n\n";

$compteur_page = $row['article_compteur'] + 1;

// Incrémentation du compteur de lectures
$sql = "UPDATE " . $database->pref . "article_article
        SET article_compteur = article_compteur + 1
        WHERE article_id = '" . $_GET['id'] . "';";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

// Voir une ancienne version de cet article
if ( isset ( $_GET['version'] ) ) {
    // Titre de la page
    $page_titre = $langue['old_version'] . $article;

    if ( $row['article_actif'] == 1 ) {
        // Si on a le droit de modifier l'article
        if ( ( $droit['article_edition_auteur'] == 1 && $_SESSION['groupe'] != 1 && $row['article_auteur'] == $_SESSION['membre_id'] ) || $droit['article_edition'] == 1 ) {
            $menu_article_editer = '  <li><a href="index.' . EXT . '?page=Editer_un_article&amp;id=' . $_GET['id'] . '" title="' . $langue['editer_article'] . '">' . $langue['editer'] . "</a></li>\n";
        }

        // Si on a le droit de supprimer l'article
        if ( ( $droit['article_sup_auteur'] == 1 && $_SESSION['groupe'] != 1 && $row['article_auteur'] == $_SESSION['membre_id'] ) || $droit['article_sup'] == 1 ) {
            $menu_article_supprimer = '  <li><a href="index.' . EXT . '?page=Supprimer_un_article&amp;id=' . $_GET['id'] . '" title="' . $langue['supprimer_article'] . '">' . $langue['supprimer'] . "</a></li>\n";
        }
    }
    else {
        // Si on a le droit de supprimer l'article
        if ( ( $droit['article_sup_auteur'] == 1 && $_SESSION['groupe'] != 1 && $row['article_auteur'] == $_SESSION['membre_id'] ) || $droit['article_sup'] == 1 ) {
            $menu_article_supprimer = '  <li><a href="index.' . EXT . '?page=Article&amp;id=' . $_GET['id'] . '&amp;retablir' . "\" title=\"Rétablir cet article\">Rétablir</a></li>\n";
        }
    }

    $sql = "SELECT membre_nom,
                   historique_auteur,
                   historique_time,
                   historique_texte
            FROM " . $database->pref . "article_historique
            LEFT JOIN " . $database->pref . "membres
                ON membre_id= historique_auteur
            WHERE
                    historique_id = '" . $_GET['version'] . "'
                AND historique_article = '" . $_GET['id'] . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    // On vérifie que cette version existe et qu'elle correspond à l'article
    if ( $database->NbrRowsSelected ( $req ) === 0 ) {
        header ( 'Location: index.' . EXT . '?page=Article&amp;id=' . $_GET['id'] );
        die ( -1 );
    }

    $row = $database->ResultArray ( $req );

    $page_texte .= '<p><small>' . $langue['version_du'] . date ( $configuration['format_date'] , $row['historique_time'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['historique_time'] ) . $langue['_par_'] . '<a href="' . 'index.' . EXT . '?page=Membre&amp;id=' . $row['historique_auteur'] . '" title="' . $langue['view_fiche'] . $row['membre_nom'] . '">' . $row['membre_nom'] . "</a><br />\n";

    // Lien vers la version précédente
    $sql2 = "SELECT historique_id
             FROM " . $database->pref . "article_historique
             WHERE
                    historique_article = '" . $_GET['id'] . "'
                AND historique_time < '" . $row['historique_time'] . "'
             ORDER BY historique_time DESC";

    //=>MYSQL
        if ( SGBD == 'mysql' ) $sql2 .= ' LIMIT 0, 1';
        $sql2 .= ';';
    //=>END

    $req2 = $database->Requete ( $sql2 ) or $database->Erreur ( __LINE__ , __FILE__ , $sql2 );

    for ( $sql_limite = 0 ; $sql_limite < 1 && $row2 = $database->ResultArray ( $req2 ) ; $sql_limite++ ) {
        $historique_pre_id = $row2['historique_id'];
    }

    $nbr_article_pre = $database->NbrRowsSelected ( $req2 );

    if ( $nbr_article_pre != 0 ) {
        $page_texte .= '<a href="index.' . EXT . '?page=Article&amp;id=' . $_GET['id'] . '&amp;version=' . $historique_pre_id . '" title="' . $langue['version_pre_texte'] . '">' . $langue['version_pre'] . '</a>';
        $page_texte .= ' - <a href="index.' . EXT . '?page=Article&amp;id=' . $_GET['id'] . '" title="' . $langue['version_actuelle_txt'] . '">' . $langue['version_actuelle'] . '</a>';
    }

    // Lien vers la version suivante
    $sql2 = "SELECT historique_id
             FROM " . $database->pref . "article_historique
             WHERE
                    historique_article = '" . $_GET['id'] . "'
                AND historique_time > '" . $row['historique_time'] . "'
             ORDER BY historique_time ASC";

    //=>MYSQL
        if ( SGBD == 'mysql' ) $sql2 .= ' LIMIT 0, 1';
        $sql2 .= ';';
    //=>END

    $req2 = $database->Requete ( $sql2 ) or $database->Erreur ( __LINE__ , __FILE__ , $sql2 );

    for ( $sql_limite = 0 ; $sql_limite < 1 && $row2 = $database->ResultArray ( $req2 ) ; $sql_limite++ ) {
        $historique_sui_id = $row2['historique_id'];
    }

    if ( $database->NbrRowsSelected ( $req2 ) !== 0 ) {
        $page_texte .= ( $nbr_article_pre == 0 ) ? '<a href="index.' . EXT . '?page=Article&amp;id=' . $_GET['id'] . '" title="' . $langue['version_actuelle_txt'] . '">' . $langue['version_actuelle'] . '</a> - ' : ' - ';
        $page_texte .= '<a href="index.' . EXT . '?page=Article&amp;id=' . $_GET['id'] . '&amp;version=' . $historique_sui_id . '" title="' . $langue['version_sui_texte'] . '">' . $langue['version_sui'] . '</a>';
    }
    else if ( $nbr_article_pre == 0 ) {
        $page_texte .= '<a href="index.' . EXT . '?page=Article&amp;id=' . $_GET['id'] . '" title="' . $langue['version_actuelle_txt'] . '">' . $langue['version_actuelle'] . '</a>';
    }

    $page_texte .= "</small></p>\n<hr />\n\n";

    // Affichage du texte de la page
    $page_texte .= $site->Parser ( $row['historique_texte'] , 1 );

    $menu_article_historique = '  <li><a href="index.' . EXT . '?page=Historique&amp;id=' . $_GET['id'] . '" title="' . $langue['historique_texte'] . '">' . $langue['historique'] . "</a></li>\n";
}

// Si l'article n'est pas actif ou qu'il a été supprimé
else if ( $row['article_actif'] == 0 ) {
    // Titre de la page
    $page_titre = $article;

    if ( $_SESSION['groupe'] != 1 && isset ( $_GET['retablir'] ) ) {
        if ( $droit['article_suppression_auteur'] && $row['article_auteur'] == $_SESSION['membre_id'] || $droit['article_suppression'] == 1 ) {
            $sql = "UPDATE " . $database->pref . "article_article
                    SET article_actif = '1'
                    WHERE article_id = '" . $_GET['id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            header ( 'Location: index.' . EXT . '?page=Article&amp;id=' . $_GET['id'] );
            die ( -1 );
        }
    }

    // Si on a le droit de modifier l'article
    if ( ( $_SESSION['groupe'] != 1 && $droit['article_edition_auteur'] && $row['article_auteur'] == $_SESSION['membre_id'] ) || $droit['article_edition'] ) {
        $menu_article_supprimer = '  <li><a href="index.' . EXT . '?page=Article&amp;id=' . $_GET['id'] . '&amp;retablir' . "\" title=\"Rétablir cet article\">Rétablir</a></li>\n";
    }

    $menu_article_historique = '  <li><a href="index.' . EXT . '?page=Historique&amp;id=' . $_GET['id'] . "\" title=\"" . $langue['historique_texte'] . "\">" . $langue['historique'] . "</a></li>\n";

    $page_texte .= "\n<p>" . $langue['article_deleted'] . "</p>\n\n";
}
else {
    // Titre de la page
    $page_titre = $article;

    $page_texte .= $site->Parser ( $row['article_texte'] , 1 );
    $page_texte .= "\n\n";


    // Si on a le droit de modifier l'article
    if ( ( $droit['article_edition_auteur'] == 1 && $_SESSION['groupe'] != 1 && $row['article_auteur'] == $_SESSION['membre_id'] ) || $droit['article_edition'] == 1 ) {
        $article_editer = ' - <a href="index.' . EXT . '?page=Editer_un_article&amp;id=' . $_GET['id'] . '" title="' . $langue['editer_article'] . '">' . $langue['editer'] . '</a>';
    }
    else {
        $article_editer = '';
    }

    // Si on a le droit de supprimer l'article
    if ( ( $droit['article_sup_auteur'] == 1 && $_SESSION['groupe'] != 1 && $row['article_auteur'] == $_SESSION['membre_id'] ) || $droit['article_sup'] == 1 ) {
        $article_supprimer = ' - <a href="index.' . EXT . '?page=Supprimer_un_article&amp;id=' . $_GET['id'] . '" title="' . $langue['supprimer_article'] . '">' . $langue['supprimer'] . '</a>';
    }
    else {
        $article_supprimer = '';
    }

    $page_texte .= "<hr />\n\n";

    $page_texte .= '<p><small>' . $langue['last_modification'] . date ( $configuration['format_date'] , $row['article_modification'] + $configuration['decalage'] ) . $langue['_par_'] . '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['article_auteur'] . '" title="' . $langue['view_fiche'] . $row['membre_nom'] . '">' . $row['membre_nom'] . '</a> - ' . $compteur_page . ' ';

    if ( $compteur_page > 1 ) {
        $page_texte .= $langue['_lectures'];
    }
    else {
        $page_texte .= $langue['_lecture'];
    }

    $page_texte .= ' - ' . $row['article_commentaires'] . ' ';

    if ( $row['article_commentaires'] > 1 ) {
        $page_texte .= $langue['_commentaires'];
    }
    else {
        $page_texte .= $langue['_commentaire'];
    }

    $page_texte .= $article_editer . $article_supprimer . "</small></p>\n\n";

    // Nouveau commentaire
    if ( $droit['article_commentaire'] == 1 ) {
        $page_texte .= '<p class="droite print_hidden"><a href="index.' . EXT . '?page=Commentaires&amp;action=nouveau&amp;article=' . $_GET['id'] . '" title="' . $langue['nouveau_commentaire'] . '"><img src="themes/' . $configuration['style'] . '/images/commentaire.png" title="' . $langue['nouveau_commentaire'] . '" alt="' . $langue['nouveau_commentaire'] . "\" /></a></p>\n\n";
    }

    // Premier message et numéro de la page affichée
    $start = ( isset ( $_GET['start'] ) && is_numeric ( $_GET['start'] ) ) ? $_GET['start'] : 0;
    $page_actuelle = intval ( $start / $configuration['page_commentaires'] ) + 1;

    // Nombre de pages
    $nbr_page = ( ( $nbr_commentaires - 1 ) - ( $nbr_commentaires - 1 ) % $configuration['page_commentaires'] ) / $configuration['page_commentaires'] + 1;

    // Si on commence avant le premier ou message ou après le dernier, ça risque de poser un problème
    if ( $start < 0 || $start > $nbr_commentaires - 1 ) $start = 0;

    // Affichage des commentaires de la news
    $sql = "SELECT commentaire_id,
                   commentaire_auteur,
                   commentaire_time,
                   commentaire_texte,
                   membre_nom,
                   membre_avatar,
                   membre_signature,
                   groupe_nom
            FROM " . $database->pref . "commentaires
            LEFT JOIN " . $database->pref . "membres
                ON membre_id = commentaire_auteur
            LEFT JOIN " . $database->pref . "groupes
                ON groupe_id = membre_groupe
            WHERE
                    commentaire_reference = '" . $_GET['id'] . "'
                AND commentaire_type = '0'
            ORDER BY commentaire_time ASC";

    //=>MYSQL
        if ( SGBD == 'mysql' ) $sql .= ' LIMIT ' . $start . ', ' . $configuration['page_commentaires'];
        $sql .= ';';
    //=>END

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    if ( $database->NbrRowsSelected ( $req ) > 0 ) {
        $page_texte .= "<table class=\"forum_messages\" id=\"commentaires\">\n\n<thead>\n";

        // Liste des pages (Haut du tablau)
        if ( $nbr_commentaires > $configuration['page_commentaires'] ) {
            $page_texte .= "<tr>\n  <td colspan=\"2\">" . $langue['page'] . "&nbsp;:\n";

            for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
                $affiche_numero = false;

                for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
                    if ( $i == $numero ) $affiche_numero = true;
                }

                if ( !$affiche_numero ) {
                    for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                        if ( $i == $numero ) $affiche_numero = true;
                    }
                }

                if ( !$affiche_numero ) {
                    for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                        if ( $i == $numero ) $affiche_numero = true;
                    }
                }

                if ( $affiche_numero ) {
                    $page_texte .= '    <a href="index.' . EXT . '?page=Article&amp;id=' . $_GET['id'] . '&amp;start=' . ( $i - 1 ) * $configuration['page_commentaires'] . '#commentaires" title="' . $langue['page_goto'] . $i . '">';
                    $page_texte .= ( $start == ( $i - 1 ) * $configuration['page_commentaires'] ) ? '<span class="page_actuelle">' . $i . "</span></a>\n" : $i . "</a>\n";
                    $trois_petits_points = false;
                }
                else if ( !$trois_petits_points ) {
                    $page_texte .= "    ...\n";
                    $trois_petits_points = true;
                }
            }

            $page_texte .= "  </td>\n</tr>\n";
        }

        // En-tête du tableau
        $page_texte .= "<tr>\n";
        $page_texte .= '  <th class="forum_messages_auteur">' . $langue['auteur'] . "</th>\n";
        $page_texte .= '  <th class="forum_messages_valeur">' . $langue['message'] . "</th>\n";
        $page_texte .= "</tr>\n</thead>\n\n";

        // Liste des pages (Bas du tableau)
        if ( $nbr_commentaires > $configuration['page_commentaires'] ) {
            $page_texte .= "<tfoot>\n<tr>\n  <td colspan=\"2\">" . $langue['page'] . "&nbsp;:\n";

            for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
                $affiche_numero = false;

                for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
                    if ( $i == $numero ) $affiche_numero = true;
                }

                if ( !$affiche_numero ) {
                    for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                        if ( $i == $numero ) $affiche_numero = true;
                    }
                }

                if ( !$affiche_numero ) {
                    for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                        if ( $i == $numero ) $affiche_numero = true;
                    }
                }

                if ( $affiche_numero ) {
                    $page_texte .= '    <a href="index.' . EXT . '?page=Article&amp;id=' . $_GET['id'] . '&amp;start=' . ( $i - 1 ) * $configuration['page_commentaires'] . '#commentaires" title="' . $langue['page_goto'] . $i . '">';
                    $page_texte .= ( $start == ( $i - 1 ) * $configuration['page_commentaires'] ) ? '<span class="page_actuelle">' . $i . "</span></a>\n" : $i . "</a>\n";
                    $trois_petits_points = false;
                }
                else if ( !$trois_petits_points ) {
                    $page_texte .= "    ...\n";
                    $trois_petits_points = true;
                }
            }

            $page_texte .= "  </td>\n</tr>\n</tfoot>\n\n";
        }

        $page_texte .= "<tbody>\n";

        $sql_limite = 0;

        while ( $sql_limite < $start + $configuration['page_commentaires'] && $row = $database->ResultArray ( $req ) ) {
            // On affiche les enregistrements à partir de $start
            if ( SGBD != 'mysql' && $sql_limite < $start ) {
                continue;
            }

            $administration = '';

            // Droit d'édition d'un message
            if ( ( $droit['article_commentaire'] == 1 && $_SESSION['membre_id'] == $row['commentaire_auteur'] ) || $droit['administration'] == 1 ) {
                $administration = '<span class="print_hidden"> - <a href="index.' . EXT . '?page=Commentaires&amp;action=editer&amp;id=' . $row['commentaire_id'] . '" title="' . $langue['editer_message'] . '">' . $langue['editer'] . '</a>';

                if ( ( $droit['commentaire_sup'] == 1 && $_SESSION['groupe'] != 1 ) || $droit['commentaire_sup'] == 1 ) {
                    $administration .= ' - <a href="index.' . EXT . '?page=Commentaires&amp;action=supprimer&amp;id=' . $row['commentaire_id'] . '" title="' . $langue['supprimer_message'] . '">' . $langue['supprimer'] . '</a>';
                }

                $administration .= '</span>';
            }

            // Première ligne : auteur et date
            $page_texte .= '<tr class="message_entete" id="' . $row['commentaire_id'] . "\">\n";
            $page_texte .= '  <td class="centre">';
            $page_texte .= ( $row['commentaire_auteur'] == 0 ) ? $langue['anonyme'] : '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['commentaire_auteur'] . '" title="' . $langue['view_fiche'] . $row['membre_nom'] . '">' . $row['membre_nom'] . '</a>';
            $page_texte .= "</td>\n";
            $page_texte .= '  <td class="message_infos">' . $langue['poste_le'] . date ( $configuration['format_date'] , $row['commentaire_time'] + $configuration['decalage'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['commentaire_time'] + $configuration['decalage'] ) . $administration . "</td>\n</tr>\n";

            // Deuxième ligne : avatar, message et signature
            $page_texte .= "<tr class=\"message_corps\">\n  <td class=\"centre\">";

            if ( !empty ( $row['membre_avatar'] ) ) {
                if ( is_file ( './fichiers/thumbs/100px-' . $row['membre_avatar'] ) ) {
                    $page_texte .= '<img src="./fichiers/thumbs/100px-' . $row['membre_avatar'] . '" alt="[' . $langue['avatar'] . ']" title="' . $langue['avatar_of'] . $row['membre_nom'] . '" />';
                }
                else {
                    $page_texte .= '<img src="./fichiers/' . $row['membre_avatar'] . '" alt="[' . $langue['avatar'] . ']" title="' . $langue['avatar_of'] . $row['membre_nom'] . '" />';
                }
            }

            if ( $row['commentaire_auteur'] > 0 ) {
                $page_texte .= '<br />' . $langue['groupe'] . '&nbsp;: ' . $row['groupe_nom'] . "</td>\n";
            }

            $page_texte .= "  <td><div class=\"message\">\n" . $site->Parser ( $row['commentaire_texte'] , 0 ) . '</div>';

            if ( !empty ( $row['membre_signature'] ) ) {
                $page_texte .= '<div class="signature"><hr />' . $site->Parser ( $row['membre_signature'] , 0 ) . '</div>';
            }

            $page_texte .= "</td>\n</tr>\n";

            // On récupère l'identifiant du dernier message affiché
            $article_last_msg = $row['commentaire_id'];

            $sql_limite++;
        } // Fin de la boucle

        $page_texte .= "</tbody>\n\n</table>\n\n";

        // Mise-à-jour de la table des commentaires lus/non lus pour les membres enregistrés
        if ( $_SESSION['groupe'] != 1 ) {
            $sql = "SELECT cv_message
                    FROM " . $database->pref . "commentaire_view
                    WHERE
                            cv_referent = '" . $_GET['id'] . "'
                        AND cv_type= '0'
                        AND cv_membre = '" . $_SESSION['membre_id'] . "';";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            // Si on n'a jamais lu les commentaire de cettes news, on insère une ligne
            if ( $database->NbrRowsSelected ( $req ) === 0 ) {
                $sql = "INSERT INTO " . $database->pref . "commentaire_view
                        (cv_membre, cv_type, cv_referent, cv_message)
                        VALUES
                        ('" . $_SESSION['membre_id'] . "', '0', '" . $_GET['id'] . "', '" . $article_last_msg . "');";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
            }
            // Sinon on met-à-jour
            else if ( $database->Result ( $req , 'cv_message' ) < $article_last_msg ) {
                $sql = "UPDATE " . $database->pref . "commentaire_view
                        SET cv_message = '" . $article_last_msg . "'
                        WHERE
                                cv_referent = '" . $_GET['id'] . "'
                            AND cv_type= '0'
                            AND cv_membre = '" . $_SESSION['membre_id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
            }
        }

        // Nouveau commentaire
        if ( $droit['article_commentaire'] == 1 ) {
            $page_texte .= '<p class="droite print_hidden"><a href="index.' . EXT . '?page=Commentaires&amp;action=nouveau&amp;article=' . $_GET['id'] . '" title="' . $langue['nouveau_commentaire'] . '"><img src="themes/' . $configuration['style'] . '/images/commentaire.png" title="' . $langue['nouveau_commentaire'] . '" alt="' . $langue['nouveau_commentaire'] . "\" /></a></p>\n\n";
        }
    }
}

?>