<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Dveloppement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Scurit
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}
 
// Titre de la page
$page_titre = 'Calendrier';
$page_infos = 'Calendrier';
 
// Mois  afficher
if ( isset ( $_GET['mois'] ) && is_numeric ( $_GET['mois'] ) && $_GET['mois'] > 0 && $_GET['mois'] < 13 ) {
    $mois = $_GET['mois'];
}
else {
    $mois = date ('m');
}
 
// Anne  afficher
if ( isset ( $_GET['annee'] ) && is_numeric ( $_GET['annee'] ) ) {
    $annee = $_GET['annee'];
}
else {
    $annee = date ('Y');
}
 
$events = array ();
 
if ( $_SESSION['groupe'] == 1 ) {
    $sql = "SELECT event_id,
                   event_titre,
                   event_date
            FROM " . $database->pref . "event
            WHERE
               DATE_FORMAT(event_date,'%Y-%m') = '" . $annee . "-" . $mois . "' AND event_visible = '1' ;";
}
else {
    $sql = "SELECT event_id,
                   event_titre,
                   event_date
            FROM " . $database->pref . "event
            WHERE
               DATE_FORMAT(event_date,'%Y-%m') = '" . $annee . "-" . $mois . "'
               AND
               (event_auteur = '" . $_SESSION['membre_id'] . "' OR event_visible = '1');";
 
}
 
$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
 
while ( $row = $database->ResultArray ( $req ) ) {
    $day = explode ( '-' , $row['event_date'] );
 
    if ( $day[2] < 10 ) {
        $day[2] = $day[2][1];
    }
 
    $events[$day[2]][$row['event_id']] = $row['event_titre'];
}
 
$time_m = mktime ( 0 , 0 , 0 , $mois , 1 , $annee );

// Mois prcedent
$timestampMoisPrecedent=mktime(0,0,0,$mois-1,1,$annee);
$moisPrecedent = date("m", $timestampMoisPrecedent);
$anneeMoisPrecedent = date("Y", $timestampMoisPrecedent);
 
// Mois suivant
$timestampMoisSuivant=mktime(0,0,0,$mois+1,1,$annee);
$moisSuivant = date("m", $timestampMoisSuivant);
$anneeMoisSuivant = date("Y", $timestampMoisSuivant);
 
// Mois en lettre
$mois_txt = ucfirst ( $langue['mois_' . $mois] );
 
// Mise en page
$page_texte = '
<p class="centre">
<a href="index.' . EXT . '?page=Calendrier&amp;mois=' . $moisPrecedent . '&amp;annee=' . $anneeMoisPrecedent . '">&laquo;</a>
<a href="index.' . EXT . '?page=Calendrier&amp;mois=' . $mois . '&amp;annee=' . $annee . '">' . $mois_txt . ' ' . $annee . '</a>
<a href="?page=Calendrier&amp;mois=' . $moisSuivant . '&amp;annee=' . $anneeMoisSuivant . '">&raquo;</a>
</p>'."\n\n";
 
$page_texte .= "<table>\n\n<thead>\n<tr>\n";
$page_texte .= "  <th style=\"width: 14%;\"><span class=\"gris\">Lundi</span></th>\n";
$page_texte .= "  <th style=\"width: 14%;\"><span class=\"gris\">Mardi</span></th>\n";
$page_texte .= "  <th style=\"width: 14%;\"><span class=\"gris\">Mercredi</span></th>\n";
$page_texte .= "  <th style=\"width: 14%;\"><span class=\"gris\">Jeudi</span></th>\n";
$page_texte .= "  <th style=\"width: 14%;\"><span class=\"gris\">Vendredi</span></th>\n";
$page_texte .= "  <th style=\"width: 15%;\"><span class=\"gris\">Samedi</span></th>\n";
$page_texte .= "  <th style=\"width: 15%;\"><span class=\"gris\">Dimanche</span></th>\n";
$page_texte .= "</tr>\n\n</thead>\n\n<tbody>\n";
 
$premier_jour = date ( 'w' , $time_m );
if ( $premier_jour == 0 ) $premier_jour = 7;
 
// Nombre de ligne
switch ( date ( 't' , $time_m ) + $premier_jour - 1 ) {
    case 28: $nbr_rows = 4; break;
    case 29: $nbr_rows = 5; break;
    case 30: $nbr_rows = 5; break;
    case 31: $nbr_rows = 5; break;
    case 32: $nbr_rows = 5; break;
    case 33: $nbr_rows = 5; break;
    case 34: $nbr_rows = 5; break;
    case 35: $nbr_rows = 5; break;
    case 36: $nbr_rows = 6; break;
    case 37: $nbr_rows = 6; break;
    default: $nbr_rows = 1; break;
}
 
$start = false;
$start_event = false;
 
// Chaque ligne du tableau
for ( $i = 1 ; $i <= $nbr_rows * 2 ; $i++ ) {
    if ( $i % 2 === 1 ) {
        $page_texte .= "<tr class=\"centre\">\n";
 
        // Chaque colonne du tableau
        for ( $j = 1 ; $j <= 7 ; $j++ ) {
            $page_texte .= '  <td>';
 
            if ( $i === 1 && $j == $premier_jour ) {
                $start = true;
                $jour = 0;
            }
 
            if ( $start ) {
                $jour++;
 
                if ( $jour <= date ( 't' , $time_m ) ) {
                    if ( $jour == date ( 'j' ) && $mois == date ( 'n' ) && $annee == date ( 'Y' ) ) {
                        $page_texte .= '<strong><span class="rouge">' . $jour . '</span></strong>';
                    }
                    else {
                        $page_texte .= '<strong><span class="vertf">' . $jour . '</span></strong>';
                    }
                }
            }
 
            $page_texte .= "</td>\n";
        }
 
        $page_texte .= "</tr>\n";
    }
    else {
        $page_texte .= "<tr class=\"centre\">\n";
 
        // Chaque colonne du tableau
        for ( $j = 1 ; $j <= 7 ; $j++ ) {
            $page_texte .= '  <td style="height: 100px;">';
 
            if ( $i === 2 && $j == $premier_jour ) {
                $start_event = true;
                $jour_event = 0;
            }
 
            if ( $start_event ) {
                $jour_event++;
 
                if ( isset ( $events[$jour_event] ) ) {
                    $first = true;
 
                    foreach ( $events[$jour_event] as $id => $event ) {
                        if ( !$first ) {
                            $page_texte .= '<br />';
                        }
 
                        $page_texte .= '<a href="index.' . EXT . '?page=Evenements&amp;action=voir&amp;id=' . $id . '">' . $event . '</a>';
 
                        $first = false;
                    }
                }
            }
 
            $page_texte .= "</td>\n";
        }
 
        $page_texte .= "</tr>\n";
    }
}
 
$page_texte .= "</tbody>\n\n</table>\n";

if ( $_SESSION['groupe'] == 3 ) {
    $page_texte .= "<p><a href=\"index." . EXT . "?page=Evenements&amp;action=nouveau\">Ajouter un &eacute;v&egrave;nement !</a></p>\n\n";
}

?>