<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droit d'administration
if ( $droit['administration'] == 0 ) {
    $page_msg = 2;
    include_once ( './systeme/msg.' . EXT );
}

// Titre de la page
$page_titre = $langue['configuration'];
$page_infos = $langue['administration_texte'];

// Le style et la langue sont ceux de l'administrateur, donc on recherche les valeurs par défaut
$sql = "SELECT config_valeur
        FROM " . $database->pref . "configuration
        WHERE config_nom = 'langue';";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$configuration_langue = $database->Result ( $req ,'config_valeur' );

$sql = "SELECT config_valeur
        FROM " . $database->pref . "configuration
        WHERE config_nom = 'style';";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$configuration_style = $database->Result ( $req , 'config_valeur' );

// Traitement des données du formulaire
if ( isset ( $_POST['submit'] ) ) {
    if ( empty ( $_POST['titre'] ) || empty ( $_POST['adresse'] ) )
    {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
    }
    else {
        if ( $_POST['titre'] != $configuration['titre'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['titre'] ) . "' WHERE config_nom = 'titre';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['email'] != $configuration['email'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['email'] ) . "' WHERE config_nom = 'email';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['adresse'] != $configuration['adresse'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['adresse'] ) . "' WHERE config_nom = 'adresse';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['langue'] != $configuration_langue ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $_POST['langue'] . "' WHERE config_nom = 'langue';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['style'] != $configuration_style ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $_POST['style'] . "' WHERE config_nom = 'style';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['format_date'] != $configuration['format_date'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['format_date'] ) . "' WHERE config_nom = 'format_date';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['format_heure'] != $configuration['format_heure'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['format_heure'] ) . "' WHERE config_nom = 'format_heure';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['upload_taille'] != $configuration['upload_taille'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['upload_taille'] ) . "' WHERE config_nom = 'upload_taille';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['upload_total'] != $configuration['upload_total'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['upload_total'] ) . "' WHERE config_nom = 'upload_total';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['upload_extensions'] != $configuration['upload_extensions'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['upload_extensions'] ) . "' WHERE config_nom = 'upload_extensions';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['liens'] != $configuration['liens'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['liens'] ) . "' WHERE config_nom = 'liens';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['copyright'] != $configuration['copyright'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['copyright'] ) . "' WHERE config_nom = 'copyright';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['page_membres'] != $configuration['page_membres'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['page_membres'] ) . "' WHERE config_nom = 'page_membres';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['page_messages'] != $configuration['page_messages'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['page_messages'] ) . "' WHERE config_nom = 'page_messages';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['page_sujets'] != $configuration['page_sujets'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['page_sujets'] ) . "' WHERE config_nom = 'page_sujets';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['page_pm'] != $configuration['page_pm'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['page_pm'] ) . "' WHERE config_nom = 'page_pm';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['page_commentaires'] != $configuration['page_commentaires'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['page_commentaires'] ) . "' WHERE config_nom = 'page_commentaires';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['page_news_accueil'] != $configuration['page_news_accueil'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['page_news_accueil'] ) . "' WHERE config_nom = 'page_news_accueil';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['page_news'] != $configuration['page_news'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['page_news'] ) . "' WHERE config_nom = 'page_news';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['page_livre_or'] != $configuration['page_livre_or'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['page_livre_or'] ) . "' WHERE config_nom = 'page_livre_or';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['numero_debut'] != $configuration['numero_debut'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['numero_debut'] ) . "' WHERE config_nom = 'numero_debut';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['numero_debut'] != $configuration['numero_debut'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['numero_autour'] ) . "' WHERE config_nom = 'numero_autour';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['numero_fin'] != $configuration['numero_fin'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['numero_fin'] ) . "' WHERE config_nom = 'numero_fin';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['tps_sujet'] != $configuration['tps_sujet'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['tps_sujet'] ) . "' WHERE config_nom = 'tps_sujet';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['tps_sujet'] != $configuration['tps_msg'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['tps_msg'] ) . "' WHERE config_nom = 'tps_msg';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['tps_msg'] != $configuration['tps_msg'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['tps_msg'] ) . "' WHERE config_nom = 'tps_msg';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['tps_msg_up'] != $configuration['tps_msg_up'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['tps_msg_up'] ) . "' WHERE config_nom = 'tps_msg_up';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['navigation'] != $configuration['navigation'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['navigation'] ) . "' WHERE config_nom = 'navigation';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( isset ( $_POST['captcha'] ) && $configuration['captcha'] == 0 ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '1' WHERE config_nom = 'captcha';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }
        else if ( !isset ( $_POST['captcha'] ) && $configuration['captcha'] == 1 ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '0' WHERE config_nom = 'captcha';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['stat_count'] != $configuration['stat_count'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['stat_count'] ) . "' WHERE config_nom = 'stat_count';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['stat_time'] != $configuration['stat_time'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['stat_time'] ) . "' WHERE config_nom = 'stat_time';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        $groupes = '';

        foreach ( $_POST['equipe'] as $groupe ) {
            $groupes .= ';' . $groupe;
        }

        $groupes = preg_replace ( "#^;(.+)$#" , "$1" , $groupes );

        if ( $groupes != $configuration['equipe'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $groupes . "' WHERE config_nom = 'equipe';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['menus'] != $configuration['menus'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['menus'] ) . "' WHERE config_nom = 'menus';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['inscription'] != $configuration['inscription'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $_POST['inscription'] . "' WHERE config_nom = 'inscription';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['description'] != $configuration['description'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['description'] ) . "' WHERE config_nom = 'description';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( $_POST['keywords'] != $configuration['keywords'] ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = '" . $database->Protege ( $_POST['keywords'] ) . "' WHERE config_nom = 'keywords';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        if ( isset ( $_POST['file_mode'] ) && $configuration['file_mode'] == 'private' ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = 'public' WHERE config_nom = 'file_mode';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }
        else if ( !isset ( $_POST['file_mode'] ) && $configuration['captcha'] == 'public' ) {
            $sql = 'UPDATE ' . $database->pref . "configuration SET config_valeur = 'private' WHERE config_nom = 'file_mode';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        header ( 'Location: index.' . EXT . '?page=Configuration' );
        die ( -1 );
    }
}

$page_texte .= '<form action="index.' . EXT . '?page=Configuration" method="post" title="' . $langue['configuration'] . "\">

<fieldset>
<legend>Configuration générale</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_titre\">Titre du site&nbsp;:</label><input type=\"text\" size=\"30\" name=\"titre\" id=\"id_titre\" maxlength=\"50\" value=\"" . $configuration['titre'] . "\" tabindex=\"10\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_adresse\">Adresse du site&nbsp;:</label><input type=\"text\" size=\"30\" name=\"adresse\" maxlength=\"100\" id=\"id_adresse\" value=\"" . $configuration['adresse'] . "\" tabindex=\"12\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_email\">Adresse e-mail&nbsp;:</label><input type=\"text\" size=\"30\" name=\"email\" id=\"id_email\" maxlength=\"100\" value=\"" . $configuration['email'] . "\" tabindex=\"14\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_description\">Description du site&nbsp;:</label><input type=\"text\" size=\"50\" name=\"description\" id=\"id_description\" maxlength=\"100\" value=\"" . $configuration['description'] . "\" tabindex=\"16\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_keywords\">Mots-clés&nbsp;:</label><input type=\"text\" size=\"50\" name=\"keywords\" id=\"id_keywords\" maxlength=\"200\" value=\"" . $configuration['keywords'] . "\" tabindex=\"18\" /> <small>Séparés par une virgule.</small></p>
";

// Langues
$page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_langue\">Langue par défaut&nbsp;:</label>
<select name=\"langue\" id=\"id_langue\" tabindex=\"20\">\n";
$page_texte .= $site->FormSelect ( $langues , $configuration_langue );
$page_texte .= "</select></p>\n";

// Styles
$page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_style\">Style par défaut&nbsp;:</label>
<select name=\"style\" id=\"id_style\" tabindex=\"22\">\n";
$page_texte .= $site->FormSelect ( $themes , $configuration_style );
$page_texte .= "</select></p>

</fieldset>

<fieldset>
<legend>Affichage</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_navigation\">Barre de navigation&nbsp;:</label><input type=\"text\" size=\"50\" name=\"navigation\" id=\"id_navigation\" value=\"" . $configuration['navigation'] . "\" tabindex=\"24\" /> <small>Séparées par un point-virgule.</small></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_menus\">Menus&nbsp;:</label><input type=\"text\" size=\"50\" name=\"menus\" id=\"id_menus\" value=\"" . $configuration['menus'] . "\" tabindex=\"26\" /> <small>Séparées par un point-virgule.</small></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_equipe\">Groupes affichés dans la page de l'équipe&nbsp;:</label>
<select name=\"equipe[]\" id=\"id_equipe\" multiple=\"multiple\" size=\"4\" tabindex=\"28\">\n";

// Groupes affichés dans la page Équipe
$gr1 = explode ( ';' , $configuration['equipe'] );
$gr2 = array ();

foreach ( $gr1 as $groupe ) {
    $gr2[$groupe] = 1;
}

$sql = "SELECT groupe_id,
               groupe_nom
               FROM " . $database->pref . "groupes
               WHERE groupe_id <> '1'
               ORDER BY groupe_nom ASC;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

while ( $row = $database->ResultArray ( $req ) ) {
    $page_texte .= '  <option value="' . $row['groupe_id'] . '"';

    if ( isset ( $gr2[$row['groupe_id']] ) ) {
        $page_texte .= ' selected="selected"';
    }

    $page_texte .= '>' . $row['groupe_nom'] . "</option>\n";
}

$page_texte .= "</select></p>

</fieldset>

<fieldset>
<legend>Statistiques</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_stat_count\">Méthode de calcul&nbsp;:</label><select name=\"stat_count\" id=\"id_stat_count\" tabindex=\"30\">\n";
$page_texte .= $site->FormSelect ( array ( 'Pages vues' => 'hits' , 'Visites' => 'visite' ) , $configuration['stat_count'] );
$page_texte .= "</select></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_stat_time\">Durée d'une visite&nbsp;:</label><input name=\"stat_time\" id=\"id_stat_time\" value=\"" . $configuration['stat_time'] . "\" size=\"10\" type=\"text\" maxlength=\"4\" tabindex=\"32\" /> <small>secondes.</small></p>

</fieldset>

<fieldset>
<legend>Membres</legend>

<p class=\"form_input\"><input type=\"checkbox\" name=\"captcha\" tabindex=\"34\" id=\"id_captcha\"";
if ( $configuration['captcha'] == 1 ) $page_texte .= ' checked="checked"';
$page_texte .= "/><label for=\"id_captcha\">Protection anti-robots à l'inscription</label></p>

<p class=\"form_input\" tabindex=\"36\">Validation de l'inscription&nbsp;:<br />
<input type=\"radio\" name=\"inscription\" id=\"id_inscription_mail\" value=\"mail\"";

if ( $configuration['inscription'] == 'mail' ) {
    $page_texte .= ' checked="checked"';
}

$page_texte .= " /> <label for=\"id_inscription_mail\">Par e-mail</label>
<input type=\"radio\" name=\"inscription\" id=\"id_inscription_admin\" value=\"admin\"";

if ( $configuration['inscription'] == 'admin' ) {
    $page_texte .= ' checked="checked"';
}

$page_texte .= " /> <label for=\"id_inscription_admin\">Par l'administrateur</label>
<input type=\"radio\" name=\"inscription\" id=\"id_inscription_easy\" value=\"easy\"";

if ( $configuration['inscription'] == 'easy' ) {
    $page_texte .= ' checked="checked"';
}

$page_texte .= " /> <label for=\"id_inscription_easy\">Inscription directe</label>
</p>

</fieldset>

<fieldset>
<legend>Durées d'attentes</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_tps_sujet\">Nouveau sujet (flood)&nbsp;:</label><input name=\"tps_sujet\" id=\"id_tps_sujet\" value=\"" . $configuration['tps_sujet'] . "\" size=\"10\" type=\"text\" maxlength=\"6\" tabindex=\"38\" /> <small>secondes. (Temps d'attente après avoir crée un sujet pour pouvoir en créer un nouveau sur un même forum.)</small></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_tps_msg\">Nouvelle réponse (flood)&nbsp;:</label><input name=\"tps_msg\" id=\"id_tps_msg\" value=\"" . $configuration['tps_msg'] . "\" size=\"10\" type=\"text\" maxlength=\"6\" tabindex=\"40\" /> <small>secondes. (Temps d'attente après avoir posté une réponse pour pouvoir en poster une nouvelle sur un même sujet.)</small></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_tps_msg_up\">Nouvelle réponse (up)&nbsp;:</label><input name=\"tps_msg_up\" id=\"id_tps_msg_up\" value=\"" . $configuration['tps_msg_up'] . "\" size=\"10\" type=\"text\" maxlength=\"6\" tabindex=\"42\" /> <small>secondes. (Temps d'attente pour pouvoir poster une réponse à un sujet si on est l'auteur de la dernière réponse.)</small></p>

</fieldset>

<fieldset>
<legend>Format des dates</legend>

<p>Utilisez les symboles de la fonction <a href=\"http://fr.php.net/date\">date</a>.</p>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_format_date\">" . $langue['date'] . "&nbsp;:</label><input type=\"text\" size=\"30\" name=\"format_date\" id=\"id_format_date\" value=\"" . $configuration['format_date'] . "\" tabindex=\"44\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_format_heure\">Heure&nbsp;:</label><input type=\"text\" size=\"30\" name=\"format_heure\" id=\"id_format_heure\" value=\"" . $configuration['format_heure'] . "\" tabindex=\"46\" /></p>

</fieldset>

<fieldset>
<legend>Envoi de fichiers</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_upload_taille\">Taille limite par fichier&nbsp;:</label><input type=\"text\" size=\"10\" name=\"upload_taille\" id=\"id_upload_taille\" value=\"" . $configuration['upload_taille'] . "\" tabindex=\"48\" /> <small>octets.</small></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_upload_total\">Taille totale&nbsp;:</label><input type=\"text\" size=\"10\" name=\"upload_total\" id=\"id_upload_total\" value=\"" . $configuration['upload_total'] . "\" tabindex=\"50\" /> <small>octets.</small></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_upload_extensions\">Extensions autorisées&nbsp;:</label><input type=\"text\" size=\"29\" name=\"upload_extensions\" id=\"id_upload_extensions\" value=\"" . $configuration['upload_extensions'] . "\" tabindex=\"52\" /> <small>Séparées par un point-virgule.</small></p>
<p class=\"form_input\"><input type=\"checkbox\" name=\"file_mode\" id=\"id_file_mode\" tabindex=\"54\"";
if ( $configuration['file_mode'] == 'public' ) $page_texte .= ' checked="checked"';
$page_texte .= " /> <label for=\"id_file_mode\">Les fichiers sont visibles pas tout le monde</label></p>

</fieldset>

<fieldset>
<legend>Nombre d'entrées par page</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_page_membres\">Liste des membres ou des visiteurs&nbsp;:</label><input type=\"text\" size=\"10\" name=\"page_membres\" id=\"id_page_membres\" value=\"" . $configuration['page_membres'] . "\" maxlength=\"4\" tabindex=\"56\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_page_messages\">Messages d'un sujet&nbsp;:</label><input type=\"text\" size=\"10\" name=\"page_messages\" id=\"id_page_messages\" value=\"" . $configuration['page_messages'] . "\" maxlength=\"4\" tabindex=\"58\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_page_sujets\">Sujets d'un forum&nbsp;:</label><input type=\"text\" size=\"10\" name=\"page_sujets\" id=\"id_page_sujets\" value=\"" . $configuration['page_sujets'] . "\" maxlength=\"4\" tabindex=\"60\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_page_news_accueil\">News en page d'accueil&nbsp;:</label><input type=\"text\" size=\"10\" name=\"page_news_accueil\" id=\"id_page_news_accueil\" value=\"" . $configuration['page_news_accueil'] . "\" maxlength=\"4\" tabindex=\"62\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_page_news\">News dans la liste&nbsp;:</label><input type=\"text\" size=\"10\" name=\"page_news\" id=\"id_page_news\" value=\"" . $configuration['page_news'] . "\" maxlength=\"4\" tabindex=\"64\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_page_pms\">Messages privés&nbsp;:</label><input type=\"text\" size=\"10\" name=\"page_pm\" id=\"id_page_pm\" value=\"" . $configuration['page_pm'] . "\" maxlength=\"4\" tabindex=\"66\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_page_commentaires\">Commentaires des news ou des articles&nbsp;:</label><input type=\"text\" size=\"10\" name=\"page_commentaires\" id=\"id_page_commentaires\" value=\"" . $configuration['page_commentaires'] . "\" maxlength=\"4\" tabindex=\"68\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_page_livre_or\">Message du livre d'or&nbsp;:</label><input type=\"text\" size=\"10\" name=\"page_livre_or\" id=\"id_page_livre_or\" value=\"" . $configuration['page_livre_or'] . "\" maxlength=\"4\" tabindex=\"70\" /></p>

</fieldset>

<fieldset>
<legend>Affichage des numéros de page</legend>\n\n";

if ( is_file ( 'themes/' . $configuration['style'] . '/images/exemple_numero_pages.png' ) ) {
    $page_texte .= '<p><img src="themes/' . $configuration['style'] . "/images/exemple_numero_pages.png\" alt=\"\" title=\"Exemple d'affichage des numéros de page\" /></p>\n\n";
}

$page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_numero_debut\">Premières pages&nbsp;:</label><input type=\"text\" size=\"10\" name=\"numero_debut\" id=\"id_numero_debut\" value=\"" . $configuration['numero_debut'] . "\" tabindex=\"72\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_numero_fin\">Dernières pages&nbsp;:</label><input type=\"text\" size=\"10\" name=\"numero_fin\" id=\"id_numero_fin\" value=\"" . $configuration['numero_fin'] . "\" tabindex=\"74\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_numero_autour\">Autour de la page en cours&nbsp;:</label><input type=\"text\" size=\"10\" name=\"numero_autour\" id=\"id_numero_autour\" value=\"" . $configuration['numero_autour'] . "\" tabindex=\"76\" /></p>

</fieldset>

<fieldset>
<legend>Texte du bas de la page</legend>

<p>Utilisez le xHTML pour la mise en forme.</p>

<p class=\"form_input\"><label for=\"id_liens\">Liens&nbsp;:</label></p>
<textarea name=\"liens\" id=\"id_liens\" tabindex=\"78\">" . $configuration['liens'] . "</textarea>
<p class=\"form_input\"><label for=\"id_copyright\">Copyright&nbsp;:</label></p>
<textarea name=\"copyright\" id=\"id_copyright\" tabindex=\"80\">" . $configuration['copyright'] . "</textarea>

</fieldset>

<p class=\"centre\"><input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" tabindex=\"82\" /></p>

</form>\n";
?>