<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// On vérifie qu'on n'est pas connecté
if ( $_SESSION['groupe'] != 1 ) {
    $page_msg = 20;
    include_once ( './systeme/msg.' . EXT );
}

// Titre de la page
$page_titre = $langue['login'];
$page_infos = $langue['login'];

// Traitement des données du formulaire
if ( isset ( $_POST['submit'] ) ) {
    if ( empty ( $_POST['utilisateur'] ) || trim ( $_POST['utilisateur'] ) == '' || empty ( $_POST['mdp'] ) ) {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
    }
    else {
        $sql = "SELECT membre_id,
                       membre_groupe,
                       membre_mdp,
                       membre_actif,
                       membre_cle,
                       membre_nom
                FROM " . $database->pref . "membres
                WHERE membre_nom = '" . $database->Protege ( $_POST['utilisateur'] ) . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $row = $database->ResultArray ( $req );

        if ( $database->NbrRowsSelected ( $req ) === 0 ) {
            $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_membre_inconnu'] . "</p>\n\n";
        }
        else if ( md5 ( $_POST['mdp'] ) != $row['membre_mdp'] ) {
            $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_mdp_mauvais'] . "</p>\n\n";
        }
        else if ( $row['membre_actif'] == 0 ) {
            $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_membre_inactif'] . "</p>\n\n";
        }
        else {
            $_SESSION['membre'] = $row['membre_nom'];
            $_SESSION['membre_id'] = $row['membre_id'];
            $_SESSION['groupe'] = $row['membre_groupe'];

            if ( isset ( $_POST['souvenir'] ) ) {
                setcookie ( 'membre_nom' , $row['membre_nom'] , $time + 31536000 );
                setcookie ( 'membre_id' , $row['membre_id'] , $time + 31536000 );
                setcookie ( 'membre_mdp' , $row['membre_mdp'] , $time + 31536000 );
            }

            if ( $row['membre_cle'] != 0 ) {
                // On annule la demande éventuelle de nouveau mot de passe
                $sql = "UPDATE " . $database->pref . "membres
                        SET membre_cle = '0'
                        WHERE membre_id = '" . $row['membre_id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
            }

            header ( 'Location: index.' . EXT );
            die ( -1 );
        }
    }
}

$page_texte .= '<form action="index.' . EXT . '?page=Connexion" method="post" title="' . $langue['login'] . "\">

<fieldset>\n<legend>" . $langue['login'] . "</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_utilisateur\">" . $langue['user'] . "&nbsp;:</label> <input type=\"text\" size=\"30\" maxlength=\"20\" name=\"utilisateur\" id=\"id_utilisateur\" value=\"\" tabindex=\"10\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_mdp\">" . $langue['password'] . "&nbsp;:</label> <input type=\"password\" size=\"30\" maxlength=\"16\" name=\"mdp\" id=\"id_mdp\" value=\"\" tabindex=\"11\" /></p>
<p class=\"form_input\"><input type=\"checkbox\" name=\"souvenir\" id=\"id_souvenir\" checked=\"checked\" tabindex=\"12\" /> <label for=\"id_souvenir\">" . $langue['memory'] . "</label></p><br />

</fieldset>

<p class=\"centre\"><input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" tabindex=\"13\" /></p>

</form>\n\n";

$page_texte .= '<p><a href="index.' . EXT . '?page=Nouveau_mdp" title="' . $langue['mdp_oublie_texte'] . '">' . $langue['mdp_oublie'] . "</a></p>\n";
?>