<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Titre de la page
$page_titre = 'Formulaire de contact';
$page_infos = 'Formulaire de contact';

$page_texte .= "<p>Vous pouvez envoyer un message à l'équipe du site grâce à ce formulaire. Utilisez-le si vous rencontrez un problème pour vous inscrire ou vous connecter, ou si vous avez une proposition ou une remarque à faire. Si vous être confronté à un problème venant du logiciel, utilisez plutôt le forum du site.</p>\n\n";

// Traitement du formulaire
if ( isset ( $_POST['submit'] ) ) {
    if ( empty ( $_POST['email'] ) || empty ( $_POST['titre'] ) || empty ( $_POST['texte'] ) ) {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: ' . $langue['err_oblig'] . "</p>\n\n";
    }
    else if ( !preg_match ( "#^([a-z0-9._-]+@[a-z0-9._-]{2,}\.[a-z]{2,4})$#i" , $_POST['email'] ) ) {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: ' . $langue['err_email_format'] . "</p>\n\n";
    }
// Debut de la condition de securite captcha
    else if ( $_POST['captcha'] != $_SESSION['captcha'] ) {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_code'] . "</p>\n\n";
    }
// Fin de la condition de securite captcha	
    else {
        $sql = 'INSERT INTO ' . $database->pref . "contact
                (contact_auteur, contact_email, contact_time, contact_titre, contact_texte)
                VALUES
                ('" . $database->Protege ( $_POST['nom'] ) . "', '" . $database->Protege ( $_POST['email'] ) . "', '" . $time . "', '" . $database->Protege ( $_POST['titre'] ) . "', '" . $database->Protege ( $_POST['texte'] ) . "');";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $msg_id = $database->LastInsertId ( $req );

        // Envoi d'un message privé aux administrateurs
        $sql = "SELECT membre_id
                FROM " . $database->pref . "membres
                LEFT JOIN " . $database->pref . "droits
                    ON droit_groupe = membre_groupe
                WHERE
                        droit_nom = 'administration'
                    AND droit_valeur = '1';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        while ( $row = $database->ResultArray ( $req ) ) {
            // Création du message
            $sql = "INSERT INTO " . $database->pref . "messages
                    (msg_auteur, msg_dest0, msg_dest1, msg_dest2, msg_dest3, msg_dest4, msg_sujet, msg_time, msg_texte, msg_reponse, msg_lectures)
                    VALUES
                    ('0', '" . $row['membre_id'] . "', '0', '0', '0', '0', 'Nouveau message par le formulaire de contact', '" . $time . "', 'Bonjour, vous avez reçu un message par le formulaire de contact. <lien titre=\"Cliquez-ici\">index." . EXT . "?page=Messages_contact&id=" . $msg_id . "</lien> pour aller le lire.', '0', '0')";

            $req2 = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            $pm_id = $database->LastInsertId ( $req2 );

            // On met le message dans la boite de réception du membre
            $sql = "INSERT INTO " . $database->pref . "msg_box
                    (msg_box_msg, msg_box_membre, msg_box_lu)
                    VALUES
                    ('" . $pm_id . "', '" . $row['membre_id'] . "', '0')";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        $page_texte .= "<p>Votre message a été envoyé à l'équipe du site. Merci.</p>\n\n";
    }
}

$page_texte .= "<form action=\"index." . EXT . "?page=Contact\" method=\"post\" title=\"Nous contacter\">";
$page_texte .= "<fieldset>\n<legend>Nous contacter</legend>\n\n";
$page_texte .= "<p class=\"form_input\"><label for=\"id_email\" class=\"form_label\">Votre adresse e-mail&nbsp;:</label> <input type=\"text\" name=\"email\" id=\"id_email\" size=\"30\" maxlength=\"50\" value=\"";

if ( $_SESSION['groupe'] != 1 ) {
    $sql = "SELECT membre_email
            FROM " . $database->pref . "membres
            WHERE membre_id = '" . $_SESSION['membre_id'] . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    $page_texte .= $database->Result ( $req , 'membre_email' );
}

$page_texte .= "\" tabindex=\"12\" /></p>\n";
$page_texte .= "<p class=\"form_input\"><label for=\"id_nom\" class=\"form_label\">Votre nom&nbsp;:</label> <input type=\"text\" name=\"nom\" id=\"id_nom\" size=\"30\" maxlength=\"20\" value=\"";

if ( $_SESSION['groupe'] != 1 ) {
    $page_texte .= $_SESSION['membre'];
}

$page_texte .= "\" tabindex=\"14\" /></p>\n";
$page_texte .= "<p class=\"form_input\"><label for=\"id_titre\" class=\"form_label\">Titre du message&nbsp;:</label> <input type=\"text\" name=\"titre\" id=\"id_titre\" size=\"30\" maxlength=\"50\" value=\"\" tabindex=\"16\" /></p>\n\n";
$page_texte .= "<textarea name=\"texte\" id=\"id_texte\" cols=\"40\" rows=\"8\" tabindex=\"18\"></textarea>\n\n";
$page_texte .= "</fieldset>\n\n";
// Ci-dessous debut du module captcha //
$page_texte .= '<p><img src="captcha.' . EXT . "\" id=\"captcha\" alt=\"Captcha\" title=\"Captcha\" /><br />\n";
$page_texte .= "<a href=\"#\" onclick=\"javascript:document.getElementById('captcha').src='captcha." . EXT . "?'+i++;\">Changer le code</a></p>\n\n";
$page_texte .= "<p class=\"form_input\"><label for=\"id_captcha\">Recopiez ce code&nbsp;:</label> <input type=\"text\" name=\"captcha\" size=\"30\" id=\"id_captcha\" onload=\"javascript:this.value='';\" value=\"\" /></p>\n\n";
// Ci-dessus fin du module captcha //
$page_texte .= "<p class=\"centre\"><input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" accesskey=\"s\" tabindex=\"20\" /></p>\n\n";
$page_texte .= "</form>\n";
?>