<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// On regarde si on a le droit d'envoyer un fichier
if ( $_SESSION['groupe'] != 1 && $droit['upload'] == 0 ) {
    header ( 'Location: index.' . EXT );
    die ( -1 );
}

// Titre de la page
$page_titre = $langue['upload'];
$page_infos = $langue['upload'];

// Traitement des données du formulaire
if ( isset ( $_POST['submit'] ) ) {
    // Extension du fichier envoyé
    $extension = strtolower ( substr ( strrchr ( $_FILES['fichier']['name'] , '.' ) , 1 ) );
    $extensions_autorisees = explode ( ';' , $configuration['upload_extensions'] );

    // Taille totale uploadée par le membre
    $total_upload = 0;

    if ( $_SESSION['groupe'] != 3 ) {
        $sql = "SELECT SUM(fichier_taille) AS fichier_taille
                FROM " . $database->pref . "fichiers
                WHERE fichier_membre = '" . $_SESSION['membre_id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $total_upload = $database->Result ( $req , 'fichier_taille' );
    }

    // Si le membre dépasse son quota après avoir envoyé le fichier
    if ( $_SESSION['groupe'] != 3 && $total_upload + $_FILES['fichier']['size'] > $configuration['upload_total'] ) {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_file_quota'] . "</p>\n\n";
    }
    // Si la taille du fichier dépasse le maximum autorisé
    else if ( $_SESSION['groupe'] != 3 && $_FILES['fichier']['size'] >= $configuration['upload_taille'] ) {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ';
        $page_texte = sprintf ( "%s" . $langue['err_file_size'] . "</p>\n\n" , $texte , $_FILES['fichier']['size'] );
    }
    // Si l'extension n'est pas autorisée
    else if ( !in_array ( $extension , $extensions_autorisees ) ) {
        $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_file_format'] . "</p>\n\n";
    }
    else {
        $nom = ( empty ( $_POST['nom'] ) ) ? $_FILES['fichier']['name'] : $_POST['nom'];

        if ( $extension == 'jpeg' ) $extension = 'jpg';

        // On ajoute le fichier dans la base de données
        $sql = "INSERT INTO " . $database->pref . "fichiers
                (fichier_nom, fichier_extension, fichier_time, fichier_membre, fichier_taille, fichier_dir)
                VALUES
                ('" . $database->Protege ( $_POST['nom'] ) . "', '" . $extension . "', '" . $time . "', '" . $_SESSION['membre_id'] . "', '" . $_FILES['fichier']['size'] . "', '" . $_POST['dir'] . "');";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // On récupère l'id du fichier
        $file_id = $database->LastInsertId ( $req );

        // On copie le fichier
        if ( is_uploaded_file ( $_FILES['fichier']['tmp_name'] ) ) {
            if ( !$upload = move_uploaded_file ( $_FILES['fichier']['tmp_name'] , 'fichiers/' . $file_id . '.' . $extension ) ) {
                $page_msg = 26;
                include_once ( 'systeme/msg.' . EXT );
            }

            $page_texte = sprintf ( "%s\n<p>" . $langue['upload_ok'] . "</p>\n" , $page_texte  , $_FILES['fichier']['name'] );
        }
        else {
            $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_file_upload'] . "</p>\n\n";
        }

        // On crée une miniature si c'est une image
        if ( in_array ( $extension , array ( 'jpg' , 'jpeg' , 'gif' , 'png' , 'bmp' ) ) ) {
            $site->CreateMiniature ( $file_id , $extension , 200 );
        }
    }
}

// Formulaire d'envoi de fichiers
$page_texte .= '<form id="upload" action="index.' . EXT . '?page=Envoyer_un_fichier" title="' . $langue['upload'] . "\" method=\"post\" enctype=\"multipart/form-data\">

<fieldset>
<legend>" . $langue['upload'] . "</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_fichier\">" . $langue['file_adresse'] . "&nbsp;:</label>
<input type=\"hidden\" name=\"MAX_FILE_SIZE\" id=\"MAX_FILE_SIZE\" value=\"" . $configuration['upload_taille'] . "\" />
<input onchange=\"javascript:FichierNom();return false;\" type=\"file\" size=\"40\" name=\"fichier\" id=\"id_fichier\" value=\"\" tabindex=\"10\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_nom\">" . $langue['file_name'] . "&nbsp;:</label> <input type=\"text\" size=\"40\" name=\"nom\" id=\"id_nom\" value=\"\" tabindex=\"12\" /></p>
<p class=\"form_input\"><label class=\"form_label\" for=\"id_dir\">Dossier&nbsp;:</label> <select name=\"dir\" id=\"id_dir\" tabindex=\"14\">\n";

// Liste des dossiers
$sql = "SELECT dir_id,
               dir_nom
        FROM " . $database->pref . "file_dir
        WHERE dir_membre = '" . $_SESSION['membre_id'] . "'
        ORDER BY dir_nom ASC;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

if ( $database->NbrRowsSelected ( $req ) === 0 ) {
    // Création du dossier pour stocker les images
    $sql = "INSERT INTO `" . $database->pref . "file_dir`
            (dir_nom, dir_membre)
            VALUES
            ('Images', '" . $_SESSION['membre_id'] . "');";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    $page_texte .= '  <option value="' . $database->LastInsertId ( $req ) . "\">Images</option>\n";
}
else {
    while ( $row = $database->ResultArray ( $req ) ) {
        $page_texte .= '  <option value="' . $row['dir_id'] . '">' . $row['dir_nom'] . "</option>\n";
    }
}

$page_texte .= "</select></p>

</fieldset>

<p class=\"centre\"><input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" accesskey=\"s\" tabindex=\"16\" /></p>

</form>\n";
?>