<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droits d'administration
if ( $droit['administration'] == 0 ) {
    $page_msg = 2;
    include_once ( './systeme/msg.' . EXT );
}


// Informations de la page
$page_titre = $langue['erreur_liste'];
$page_infos = $langue['administration_texte'];

$action = ( isset ( $_GET['action'] ) ) ? $_GET['action'] : '';

switch ( $action ) {
    // Visualisation des erreurs
    default:

        $page_texte .= "<fieldset>\n<legend>" . $langue['actions'] . "</legend>\n\n<ul>\n";
        $page_texte .= '  <li><a href="index.' . EXT . '?page=Erreur&amp;action=voir">Voir le fichier' . "</a></li>\n";
        $page_texte .= '  <li><a href="index.' . EXT . '?page=Erreur&amp;action=sauvegarde">Sauvegarde' . "</a></li>\n";
        $page_texte .= '  <li><a href="index.' . EXT . '?page=Erreur&amp;action=creation">Creé un zip' . "</a></li>\n";

        if ( is_file ( './Error.zip' ) ) {
            $page_texte .= '  <li><a href="./Error.zip">Télécharger' . "</a></li>\n";
        }

        $page_texte .= '  <li><a href="index.' . EXT . '?page=Erreur&amp;action=purge">Supression globale' . "</a> (Efface: error.txt, eror.txt.bak et Error.zip)</li>\n";
        $page_texte .= "</ul>\n</fieldset>\n\n";

        $page_texte .= "<fieldset>\n<legend>Visualisation</legend>\n\n<ul>\n";

        // Visualisation de la presence des fichiers sur le FTP + suppression
        if ( is_file ( './error.txt' ) ) {
            $page_texte .= 'Fichier error.txt: <a href="index.' . EXT . '?page=Erreur&amp;action=effacertxt">Effacer le fichier' . "</a><p class=vertf>OK</p>";
        }
        else {
            $page_texte .= "Fichier error.txt:<p class=rouge>Absent</p>";
        }

        if ( is_file ( './error.txt.bak' ) ) {
            $page_texte .= 'Fichier error.txt.bak: <a href="index.' . EXT . '?page=Erreur&amp;action=effacerbak">Effacer le fichier' . "</a><p class=vertf>Ok</p>";
        }
        else {
            $page_texte .= "Fichier error.txt.bak:<p class=rouge>Absent</p>";
        }

        if ( is_file ( './Error.zip' ) ) {
            $page_texte .= 'Fichier Error.zip: <a href="index.' . EXT . '?page=Erreur&amp;action=effacerzip">Effacer le fichier' . "</a><p class=vertf>Ok</p>\n";
        }
        else {
            $page_texte .= "Fichier Error.zip:<p class=rouge>Absent</p>";
        }

        $page_texte .= "</ul>\n</fieldset>\n\n";

        break;

    //visualisation des erreurs
    case 'voir':

        $page_texte .= "<fieldset>\n<legend>" . $langue['actions'] . "</legend>\n\n<ul>\n";
        $page_texte .= '  <li><a href="#" onclick="javascript:location.reload();">Actualiser' . "</a></li>\n";
        $page_texte .= "</ul>\n</fieldset>\n\n";
        $page_texte .= "<fieldset>\n<legend>Erreurs</legend>\n\n";

        if ( is_file ( './error.txt' ) ) {
            if ( $tableau = file ( './error.txt' ) ) {
                $page_texte .= "<table>\n\n<thead>\n<tr>\n  <th>" . $langue['date'] . "</th>\n  <th>Type</th>\n  <th>" . $langue['erreur'] . "</th>\n  <th>" . $langue['file'] . "</th>\n  <th>Ligne</th>\n</tr>\n</thead>\n\n<tbody>\n";

                foreach ( $tableau as $val ) {
                    $page_texte .= "<tr>\n  <td class=\"centre\">" . preg_replace ( "#([0-9]{2})/([0-9]{2})/([0-9]{4}) ([0-9]{2}):([0-9]{2}):([0-9]{2}) \| ((Notice)      |(Warning)     |(Strict)      |(Parse)       |(Error)       |(User Error)  |(User Warning)|(User Notice) ) \| (.+) \| (.+) \(ligne ([0-9]+)\)#U" , "$1/$2/$3 à $4:$5:$6</td>\n  <td class=\"centre\"><strong>$8</strong></td>\n  <td>$16</td>\n  <td>$17</td>\n  <td class=\"centre\">$18" , $val ) . "</td>\n</tr>\n";
                }

                $page_texte .= "</tbody>\n\n</table>\n";
            }
            else {
                $page_texte .= '<p><strong>' . $langue['erreur'] . "&nbsp;:</strong> Le fichier n\'a pas pu être ouvert.</p>\n";
            }
        }
        else {
            $page_texte .= "<p>Il n'y a aucune erreur.</p>\n";
        }

        $page_texte .= "</fieldset>\n\n";

        break;

    // Supression du fichier d'erreurs: .txt
    case 'effacertxt':

        if ( is_file ( './error.txt' ) ) {
            unlink ( './error.txt' );
        }

        header ( 'Location: index.' . EXT . '?page=Erreur' );
        die ( -1 );

        break;

    // Supression du fichier d'erreurs : .bak
    case 'effacerbak':

        if ( is_file ( './error.txt.bak' ) ) {
            unlink ( './error.txt.bak' );
        }

        header ( 'Location: index.' . EXT . '?page=Erreur' );
        die ( -1 );

        break;

    // Supression du fichier d'erreurs: .zip
    case 'effacerzip':

        if ( is_file ( './Error.zip' ) ) {
            unlink ( './Error.zip' );
        }

        header ( 'Location: index.' . EXT . '?page=Erreur' );
        die ( -1 );

        break;

    // Creation du fichier error.zip
    case 'creation':

        include_once ( './systeme/Zip.' . EXT );

        $new_zip = new Archive_Zip ( 'Error.zip' );

        if ( is_file ( './Error.zip' ) ) {
            $page_texte .= "<p>Le fichier Zip existe déjà.</p>\n";
        }
        else {
            if ( $new_zip->create ( './error.txt' ) ) {
                $page_texte .= "<p>Le fichier Zip a été crée.</p>\n";
            }
            else {
                $page_texte .= "<p>Erreur lors de la création du fichier.</p>\n";
            }
        }

        break;

    // sauvegarde du fichier error.txt > error.txt.bak
    case 'sauvegarde':

        if ( is_file ( './error.txt' ) ) {
            if ( copy ( './error.txt' , './error.txt.bak' ) ) {
                $page_texte .= "<p>Sauvegarde réussi.</p>\n";
            }
            else {
                $page_texte .= "<p>Impossible de copier le fichier.</p>\n";
            }
        }
        else {
            $page_texte .= "<p>Aucun fichier d'erreur present.</p>\n";
        }

        break;

    //purge des fichiers error.zip,error.txt et error.txt.bak
    case 'purge':

        if ( is_file ( './error.txt' ) ) {
            unlink ( './error.txt' );
        }

        if ( is_file ( './error.txt.bak' ) ) {
            unlink ( './error.txt.bak' );
        }

        if ( is_file ( './Error.zip' ) ) {
            unlink ( './Error.zip' );
        }

        header ( 'Location: index.' . EXT . '?page=Erreur' );
        die ( -1 );

    break;
}
?>