<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

$action = ( isset ( $_GET['action'] ) ) ? $_GET['action'] : '';

switch ( $action ) {
    default:

        header ( 'Location: index.' . EXT . '?page=Calendrier' );
        die ( -1 );

        break;

    // Affichage d'un évènement
    case 'voir':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] <= 0 ) {
            header ( 'Location: index.' . EXT . '?page=Calendrier' );
            die ( -1 );
        }

        $sql = "SELECT event_date,
                       event_auteur,
                       event_visible,
                       event_titre,
                       event_texte,
                       membre_nom
                FROM " . $database->pref . "event
                LEFT JOIN " . $database->pref . "membres
                    ON membre_id = event_auteur
                WHERE event_id = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) === 0 ) {
            header ( 'Location: index.' . EXT . '?page=Calendrier' );
            die ( -1 );
        }

        $row = $database->ResultArray ( $req );

        // Un visiteur veut voir un évènement non public
        if ( $_SESSION['groupe'] == 1 && $row['event_visible'] == 0 ) {
            header ( 'Location: index.' . EXT . '?page=Calendrier' );
            die ( -1 );
        }

        // Un membre veut voir un évènement qui n'est pas le sien
        if ( $_SESSION['groupe'] != 1 && $row['event_visible'] == 0 && $_SESSION['membre_id'] != $row['event_auteur'] && $_SESSION['groupe'] != 3 ) {
            header ( 'Location: index.' . EXT . '?page=Calendrier' );
            die ( -1 );
        }

        $page_titre = 'Évènement';
        $page_infos = 'Affichage d\'un évènement';

        $page_texte .= '<p><a href="index.' . EXT . "?page=Calendrier\">Retour au calendrier</a></p>\n\n";

        $page_texte .= '<h2>' . $row['event_titre'] . "</h2>\n\n<ul>\n  <li>Date&nbsp;: ";

        // Si PHP 5.2 ou plus est trouvé, on utilise la fonction date_format
        if ( version_compare ( PHP_VERSION , '5.2' , '>' ) ) {
            $date = new DateTime ( $row['event_date'] );
            $page_texte .= date_format ( $date , $configuration['format_date'] );
        }
        // Sinon on utilise une fonction qui retourne une date d/m/Y
        else {
            $page_texte .= ConvertDate ( $row['event_date'] );
        }

        $page_texte .= "</li>\n  <li>Auteur&nbsp;: <a href=\"index." . EXT . '?page=Membre&amp;id=' . $row['event_auteur'] . '">' . $row['membre_nom'] . "</a></li>\n";

        if ( $_SESSION['groupe'] != 1 && ( $row['event_auteur'] == $_SESSION['membre_id'] || $droit['administration'] == 1 ) ) {
            $page_texte .= '  <li>Actions&nbsp;: <a href="index.' . EXT . '?page=Evenements&amp;action=editer&amp;id=' . $_GET['id'] . '">Éditer</a> - <a href="index.' . EXT . "?page=Evenements&amp;action=supprimer&amp;id=" . $_GET['id'] . "\">Supprimer</a></li>\n";
        }

        $page_texte .= "</ul>\n";
        $page_texte .= $site->Parser ( $row['event_texte'] );

    break;

    // Ajouter un évènement
    case 'nouveau':

        if ( $_SESSION['groupe'] == 1 ) {
            header ( 'Location: index.' . EXT . '?page=Calendrier' );
            die ( -1 );
        }

        $page_titre = 'Ajouter un évènement';
        $page_infos = 'Ajouter un évènement';

        $form_champ_titre = '';
        $form_champ_texte = '';
        $form_champ_date = '';

        // Traitement du formulaire
        if ( isset ( $_POST['submit'] ) ) {
            $form_champ_titre = Deprotege ( $_POST['titre'] );
            $form_champ_texte = Deprotege ( $_POST['texte'] );
            $form_champ_date = Deprotege ( $_POST['date'] );

            if ( empty ( $_POST['titre'] ) || trim ( $_POST['titre'] ) == '' || empty ( $_POST['date'] ) || trim ( $_POST['date'] ) == '' || empty ( $_POST['texte'] ) || trim ( $_POST['texte'] ) == '' ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else if ( !preg_match ( "#^([0-9]{1,2})/([0-9]{1,2})/([0-9]{4})$#is" , $_POST['date'] ) ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> Le format de la date est incorrect.' . "</p>\n\n";
            }
            else {
                $date = preg_replace ( "#^([0-9]{1,2})/([0-9]{1,2})/([0-9]{4})$#" , "$3-$2-$1" , $_POST['date'] );

                $visible = ( isset ( $_POST['visible'] ) ) ? 1 : 0;

                $sql = "INSERT INTO " . $database->pref . "event
                        (event_date, event_auteur, event_titre, event_texte, event_visible)
                        VALUES
                        ('" . $date . "', '" . $_SESSION['membre_id'] . "', '" . $database->Protege ( $_POST['titre'] ) . "', '" . $database->Protege ( $_POST['texte'] ) . "', '" . $visible . "');";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                $id = $database->LastInsertId ( $req );

                header ( 'Location: index.' . EXT . '?page=Evenements&action=voir&id=' . $id );
                die ( -1 );
            }
        }

        $page_texte .= '<form action="index.' . EXT . "?page=Evenements&amp;action=nouveau\" method=\"post\" title=\"Ajouter un évènement\">\n\n";
        $page_texte .= "<fieldset>\n<legend>Ajouter un évènement</legend>\n\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_titre\">Titre&nbsp;:</label> <input type=\"text\" name=\"titre\" id=\"id_titre\" size=\"30\" maxlength=\"50\" value=\"" . $form_champ_titre . "\" /></p>\n\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_date\">Date&nbsp;:</label> <input type=\"text\" name=\"date\" id=\"id_date\" size=\"30\" maxlength=\"10\" value=\"" . $form_champ_date . "\" /> <small>Format de la date&nbsp;: jj/mm/aaaa</small></p>\n\n";
        $page_texte .= "<p class=\"form_input\"><input type=\"checkbox\" name=\"visible\" id=\"id_visible\" /><label for=\"id_visible\">Rendre visible cet évènement aux autres membres</label></p><br />\n\n";

        include ( './systeme/formulaire.php' );

        $page_texte .= "</fieldset>\n\n<p class=\"centre\"><input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" /></p>\n\n</form>\n";

        break;

    case 'editer':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] <= 0 ) {
            header ( 'Location: index.' . EXT . '?page=Calendrier' );
            die ( -1 );
        }

        if ( $_SESSION['groupe'] == 1 ) {
            header ( 'Location: index.' . EXT . '?page=Calendrier' );
            die ( -1 );
        }

        $sql = "SELECT event_auteur,
                       event_titre,
                       event_date,
                       event_texte,
                       event_visible
                FROM " . $database->pref . "event
                WHERE event_id = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // Cet évènement n'existe pas
        if ( $database->NbrRowsSelected ( $req ) === 0 ) {
            header ( 'Location: index.' . EXT . '?page=Calendrier' );
            die ( -1 );
        }

        $row = $database->ResultArray ( $req );

        // On ne peut pas modifier cet évènement
        if ( $row['event_auteur'] != $_SESSION['membre_id'] && $droit['administration'] == 0 ) {
            header ( 'Location: index.' . EXT . '?page=Calendrier' );
            die ( -1 );
        }

        $page_titre = 'Éditer un évènement';
        $page_infos = 'Éditer un évènement';

        $form_champ_titre = $row['event_titre'];
        $form_champ_date = preg_replace ( "#([0-9]{4})-([0-9]{2})-([0-9]{2})#" , "$3/$2/$1" , $row['event_date'] );
        $form_champ_texte = $row['event_texte'];
        $form_champ_visible = $row['event_visible'];

        // Traitement du formulaire
        if ( isset ( $_POST['submit'] ) ) {
            $form_champ_titre = Deprotege ( $_POST['titre'] );
            $form_champ_texte = Deprotege ( $_POST['texte'] );
            $form_champ_date = Deprotege ( $_POST['date'] );

            if ( empty ( $_POST['titre'] ) || trim ( $_POST['titre'] ) == '' || empty ( $_POST['date'] ) || trim ( $_POST['date'] ) == '' || empty ( $_POST['texte'] ) || trim ( $_POST['texte'] ) == '' ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else if ( !preg_match ( "#^([0-9]{1,2})/([0-9]{1,2})/([0-9]{4})$#is" , $_POST['date'] ) ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> Le format de la date est incorrect.' . "</p>\n\n";
            }
            else {
                $date = preg_replace ( "#^([0-9]{1,2})/([0-9]{1,2})/([0-9]{4})$#" , "$3-$2-$1" , $_POST['date'] );

                $form_champ_visible = ( isset ( $_POST['visible'] ) ) ? 1 : 0;

            	$sql = "UPDATE " . $database->pref . "event
                        SET event_date = '" . $date . "', 
                                event_auteur = '" . $_SESSION['membre_id'] . "', 
                                event_titre = '" . $database->Protege ( $_POST['titre'] ) . "', 
                                event_texte = '" . $database->Protege ( $_POST['texte'] ) . "', 
                                event_visible = '" . $form_champ_visible . "'
                         WHERE event_id = '" . $_GET['id'] . "';";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                $id = $database->LastInsertId ( $req );

                header ( 'Location: index.' . EXT . '?page=Evenements&amp;action=voir&amp;id=' . $id );
                die ( -1 );
            }
        }

        $page_texte .= '<form action="index.' . EXT . "?page=Evenements&amp;action=editer&amp;id=".$_GET['id']." \" method=\"post\" title=\"Ajouter un évènement\">\n\n";
        $page_texte .= "<fieldset>\n<legend>Ajouter un évènement</legend>\n\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_titre\">Titre&nbsp;:</label> <input type=\"text\" name=\"titre\" id=\"id_titre\" size=\"30\" maxlength=\"50\" value=\"" . $form_champ_titre . "\" /></p>\n\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_date\">Date&nbsp;:</label> <input type=\"text\" name=\"date\" id=\"id_date\" size=\"30\" maxlength=\"10\" value=\"" . $form_champ_date . "\" /> <small>Format de la date&nbsp;: jj/mm/aaaa</small></p>\n\n";
        $page_texte .= "<p class=\"form_input\"><input type=\"checkbox\" name=\"visible\" id=\"id_visible\"";

        if ( $form_champ_visible == 1 ) $page_texte .= ' checked="checked"';

        $page_texte .= " /><label for=\"id_visible\">Rendre visible cet évènement aux autres membres</label></p><br />\n\n";

        include ( './systeme/formulaire.php' );

        $page_texte .= "</fieldset>\n\n<p class=\"centre\"><input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" /></p>\n\n</form>\n";

        break;

    case 'supprimer':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] <= 0 ) {
            header ( 'Location: index.' . EXT . '?page=Calendrier' );
            die ( -1 );
        }

        if ( $_SESSION['groupe'] == 1 ) {
            header ( 'Location: index.' . EXT . '?page=Calendrier' );
            die ( -1 );
        }

        $sql = "SELECT event_auteur
                FROM " . $database->pref . "event
                WHERE event_id = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // Cet évènement n'existe pas
        if ( $database->NbrRowsSelected ( $req ) === 0 ) {
            header ( 'Location: index.' . EXT . '?page=Calendrier' );
            die ( -1 );
        }

        $row = $database->ResultArray ( $req );

        // On ne peut pas modifier cet évènement
        if ( $row['event_auteur'] != $_SESSION['membre_id'] && $droit['administration'] == 0 ) {
            header ( 'Location: index.' . EXT . '?page=Calendrier' );
            die ( -1 );
        }

        if ( isset ( $_GET['ok'] ) ) {
            $sql = "DELETE FROM " . $database->pref . "event
                    WHERE event_id = '" . $_GET['id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            header ( 'Location: index.' . EXT . '?page=Calendrier' );
            die ( -1 );
        }

        $page_titre = 'Supprimer un évènement';
        $page_infos = 'Supprimer un évènement';

        $page_texte .= '<p>La suppression d\'un évènement est irréversible. <a href="index.' . EXT . '?page=Evenements&amp;action=supprimer&amp;id=' . $_GET['id'] . '&amp;ok">Cliquez-ici</a> pour continuer.</p>';

        break;
}
?>