<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

if ( $_SESSION['groupe'] == 1 || !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] <= 0 ) {
    header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
    die ( -1 );
}

// On vérifie que le fichier existe
if ( $configuration['file_mode'] == 'private' && $droit['administration'] == 0 ) {
    $sql = "SELECT fichier_nom,
                   fichier_extension,
                   fichier_taille,
                   fichier_time,
                   fichier_dir,
                   fichier_membre,
                   dir_nom
            FROM " . $database->pref . "fichiers
            LEFT JOIN " . $database->pref . "file_dir
                ON dir_id = fichier_dir
            WHERE
                    fichier_id = '" . $_GET['id'] . "'
                AND fichier_membre = '" . $_SESSION['membre_id'] . "';";
}
else {
    $sql = "SELECT fichier_nom,
                   fichier_extension,
                   fichier_taille,
                   fichier_time,
                   fichier_dir,
                   fichier_membre,
                   membre_nom,
                   dir_nom
            FROM " . $database->pref . "fichiers
            LEFT JOIN " . $database->pref . "membres
                ON membre_id = fichier_membre
            LEFT JOIN " . $database->pref . "file_dir
                ON dir_id = fichier_dir
            WHERE fichier_id = '" . $_GET['id'] . "';";
}

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

if ( $database->NbrRowsSelected ( $req ) === 0 ) {
    header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
    die ( -1 );
}

$row = $database->ResultArray ( $req );

if ( $configuration['file_mode'] == 'private' && $row['fichier_membre'] != $_SESSION['membre_id'] ) {
    $row['membre_nom'] = $_SESSION['membre'];
}

if ( $droit['administration'] != 1 && $row['fichier_membre'] != $_SESSION['membre_id'] ) {
    header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
    die ( -1 );
}

$action = ( isset ( $_GET['action'] ) ) ? $_GET['action'] : '';

switch ( $action ) {
    // Informations sur le fichier
    default:

        // Infos de la page
        $page_titre = $langue['file'];
        $page_infos = 'Voir un fichier';

        $page_texte .= '<p>Navigation&nbsp;: ';

        if ( $row['fichier_membre'] != $_SESSION['membre_id'] ) {
            $page_texte .= '<a href="index.' . EXT . '?page=Liste_des_fichiers">' . $langue['liste_file'] . '</a> &gt; <a href="index.' . EXT . '?page=Liste_des_fichiers&amp;membre=' . $row['fichier_membre'] . '">' . $row['membre_nom'] . '</a> &gt; ';
        }
        else {
            $page_texte .= '<a href="index.' . EXT . '?page=Liste_des_fichiers">Vos fichiers</a> &gt; ';
        }

        $page_texte .= '<a href="index.' . EXT . '?page=Liste_des_fichiers&amp;dir=' . $row['fichier_dir'] . '">' . $row['dir_nom'] . '</a> &gt; <a href="index.' . EXT . '?page=Fichier&amp;id=' . $_GET['id'] . '">' . $row['fichier_nom'] . "</a></p>\n\n";

        // Affichage de l'image
        if ( in_array ( $row['fichier_extension'] , array ( 'bmp' , 'gif' , 'png' , 'jpg' , 'jpeg' ) ) ) {
            // On crée une miniature de l'image
            $site->CreateMiniature ( $_GET['id'] , $row['fichier_extension'] , 200 );

            // Affichage de la miniature
            if ( is_file ( './fichiers/thumbs/200px-' . $_GET['id'] . '.' . $row['fichier_extension'] ) ) {
                $page_texte .= "<p class=\"flot_droite\"><img src=\"./fichiers/thumbs/200px-" . $_GET['id'] . '.' . $row['fichier_extension'] . '" alt="' . $_GET['id'] . '.' . $row['fichier_extension'] . '" title="' . $row['fichier_nom'] . "\" /></p>\n\n";
            }
            // Affichage de l'image en taille réelle
            else if ( is_file ( './fichiers/' . $_GET['id'] . '.' . $row['fichier_extension'] ) ) {
                $page_texte .= '<p class="flot_droite"><img src="./fichiers/' . $_GET['id'] . '.' . $row['fichier_extension'] . '" alt="' . $_GET['id'] . '.' . $row['fichier_extension'] . '" title="' . $row['fichier_nom'] . "\" /></p>\n\n";
            }
            // Le fichier de l'image n'existe pas, on supprimer l'entrée dans la base
            else {
                for ( $i = 20 ; $i < 800 ; $i++ ) {
                    // On supprime les miniatures si elles existent
                    if ( is_file ( './fichiers/thumbs/' . $i . 'px-' . $_GET['id'] . '.' . $row['fichier_extension'] ) ) {
                        unlink ( './fichiers/thumbs/' . $i . 'px-' . $_GET['id'] . '.' . $row['fichier_extension'] );
                    }
                }

                $sql = 'DELETE FROM ' . $database->pref . "fichiers
                        WHERE fichier_id = '" . $_GET['id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
                die ( -1 );
            }
        }

        $page_texte .= "<ul>\n";
        $page_texte .= '  <li>' . $langue['file'] . '&nbsp;: ' . $row['fichier_nom'] . "</li>\n";
        $page_texte .= '  <li>Adresse&nbsp;: ' . $configuration['adresse'] . 'fichiers/' . $_GET['id'] . '.' . $row['fichier_extension'] . "</li>\n";
        $page_texte .= '  <li>' . $langue['auteur'] . '&nbsp;: <a href="index.' . EXT . '?page=Membre&amp;id=' . $row['fichier_membre'] . '" title="' . $langue['view_fiche'];
        $page_texte .= ( isset ( $row['membre_nom'] ) ) ? $row['membre_nom'] : $_SESSION['membre'];
        $page_texte .= '">';
        $page_texte .= ( isset ( $row['membre_nom'] ) ) ? $row['membre_nom'] : $_SESSION['membre'];
        $page_texte .= "</a></li>\n";
        $page_texte .= '  <li>' . $langue['taille'] . '&nbsp;: '. $site->ConvertTaille ( $row['fichier_taille'] , 'Kio' ) . ' (' . $site->ConvertTaille ( $row['fichier_taille'] , 'Ko' ) .  ")</li>\n";
        $page_texte .= '  <li>' . $langue['date_upload'] . '&nbsp;: ' . date ( $configuration['format_date'] , $row['fichier_time'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['fichier_time'] ) . "</li>\n<br />\n";
        $page_texte .= "  <li><strong>Actions</strong>&nbsp;: <a href=\"./fichiers/" . $_GET['id'] . '.' . $row['fichier_extension'] . '">Ouvrir</a> - <a href="./fichiers/' . $_GET['id'] . '.' . $row['fichier_extension'] . '">Télécharger</a>';

        // Lien pour supprimer le fichier
        if ( ( $_SESSION['groupe'] != 1 && $row['fichier_membre'] == $_SESSION['membre_id'] ) || $droit['administration'] == 1 ) {
            $page_texte .= ' - <a href="./index.' . EXT . '?page=Fichier&amp;action=renommer&amp;id=' . $_GET['id'] . '">Renommer</a> - <a href="./index.' . EXT . '?page=Fichier&amp;action=deplacer&amp;id=' . $_GET['id'] . '">Déplacer</a> - <a href="./index.' . EXT . '?page=Fichier&amp;action=supprimer&amp;id=' . $_GET['id'] . '">Supprimer</a>';
        }

        $page_texte .= "</li>\n</ul>\n\n";

        break;

    // Supprimer le fichier
    case 'supprimer':

        if ( $_SESSION['membre_id'] != $row['fichier_membre'] && $droit['administration'] == 0 ) {
            header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
            die ( -1 );
        }

        // Infos de la page
        $page_titre = 'Supprimer un fichier';
        $page_infos = 'Supprimer un fichier';

        // Confirmation
        if ( isset ( $_GET['ok'] ) ) {
            // On supprime le fichier
            if ( is_file ( './fichiers/' . $_GET['id'] . '.' . $row['fichier_extension'] ) ) {
                unlink ( './fichiers/' . $_GET['id'] . '.' . $row['fichier_extension'] );
            }

            if ( in_array ( $row['fichier_extension'] , array ( 'jpg' , 'jpeg' , 'gif' , 'png' , 'bmp' ) ) ) {
                for ( $i = 20 ; $i < 800 ; $i++ ) {
                    // On supprime les miniatures si elles existent
                    if ( is_file ( './fichiers/thumbs/' . $i . 'px-' . $_GET['id'] . '.' . $row['fichier_extension'] ) ) {
                        unlink ( './fichiers/thumbs/' . $i . 'px-' . $_GET['id'] . '.' . $row['fichier_extension'] );
                    }
                }
            }

            $sql = 'DELETE FROM ' . $database->pref . "fichiers
                    WHERE fichier_id = '" . $_GET['id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
            die ( -1 );
        }

        $page_texte .= '<p>La suppression d\'un fichier irréversible. <a href="index.' . EXT . '?page=Fichier&amp;action=supprimer&amp;id=' . $_GET['id'] . "&amp;ok\">Cliquez-ici</a> pour continuer.</p>\n\n";

        break;

    // Renommer le fichier
    case 'renommer':

        if ( $_SESSION['membre_id'] != $row['fichier_membre'] && $droit['administration'] == 0 ) {
            header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
            die ( -1 );
        }

        // Infos de la page
        $page_titre = 'Renommer un fichier';
        $page_infos = 'Renommer un fichier';

        // Traitement du formulaire
        if ( isset ( $_POST['submit'] ) ) {
            if ( empty ( $_POST['nom'] ) || trim ( $_POST['nom'] ) == '' ) {
                $page_texte .= '';
            }
            else {
                $sql = 'UPDATE ' . $database->pref . "fichiers
                        SET fichier_nom = '" . $database->Protege ( $_POST['nom'] ) . "'
                        WHERE fichier_id = '" . $_GET['id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                header ( 'Location: index.' . EXT . '?page=Fichier&id=' . $_GET['id'] );
                die ( -1 );
            }
        }

        $page_texte .= "<form action=\"index." . EXT . "?page=Fichier&amp;action=renommer&amp;id=" . $_GET['id'] . "\" method=\"post\" title=\"Renommer un fichier\">\n\n";
        $page_texte .= "<fieldset>\n<legend>Renommer un fichier</legend>\n\n";
        $page_texte .= "<p><label for=\"id_nom\">Nom du fichier&nbsp;:</label> <input type=\"text\" name=\"nom\" id=\"id_nom\" value=\"" . $row['fichier_nom'] . "\" />";
        $page_texte .= "<input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\"></p>\n\n";

        break;

    // Déplacer le fichier
    case 'deplacer':

        if ( $_SESSION['membre_id'] != $row['fichier_membre'] && $droit['administration'] == 0 ) {
            header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
            die ( -1 );
        }

        // Infos de la page
        $page_titre = 'Déplacer un fichier';
        $page_infos = 'Déplacer un fichier';

        // Traitement du formulaire
        if ( isset ( $_POST['submit'] ) ) {
            $sql = 'UPDATE ' . $database->pref . "fichiers
                    SET fichier_dir = '" . $database->Protege ( $_POST['dir'] ) . "'
                    WHERE fichier_id = '" . $_GET['id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            header ( 'Location: index.' . EXT . '?page=Fichier&id=' . $_GET['id'] );
            die ( -1 );
        }

        $page_texte .= "<form action=\"index." . EXT . "?page=Fichier&amp;action=deplacer&amp;id=" . $_GET['id'] . "\" method=\"post\" title=\"Déplacer un fichier\">\n\n";
        $page_texte .= "<fieldset>\n<legend>Déplacer un fichier</legend>\n\n";
        $page_texte .= "<p><label for=\"id_dir\">Dossier&nbsp;:</label> <select name=\"dir\" id=\"id_dir\">\n";

        // Liste des dossiers
        $sql = "SELECT dir_id,
                       dir_nom
                FROM " . $database->pref . "file_dir";

        if ( $configuration['file_mode'] == 'private' ) {
            $sql .= " WHERE dir_membre = '" . $_SESSION['membre_id'] . "'";
        }
        else {
            $sql .= " GROUP BY dir_nom";
        }

        $sql .= ' ORDER BY dir_nom ASC;';

        $req2 = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req2 ) === 0 ) {
            // Création du dossier pour stocker les images
            $sql = "INSERT INTO " . $database->pref . "file_dir
                    (dir_nom, dir_membre)
                    VALUES
                    ('Images', '" . $_SESSION['membre_id'] . "');";

            $req2 = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            $page_texte .= '  <option value="' . $database->LastInsertId ( $req2 ) . "\">Images</option>\n";
        }
        else {
            while ( $row2 = $database->ResultArray ( $req2 ) ) {
                $page_texte .= '  <option value="' . $row2['dir_id'] . '"';
                if ( $row2['dir_nom'] == $row['dir_nom'] ) $page_texte .= ' selected="selected"';
                $page_texte .= '>' . $row2['dir_nom'] . "</option>\n";
            }
        }

        $page_texte .= "</select> <input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\"></p>\n\n";

        break;
}
?>