<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droit d'administration
if ( $droit['administration'] == 0 ) {
    $page_msg = 2;
    include_once ( './systeme/msg.' . EXT );
}

// Titre de la page
$page_titre = $langue['groupes_titre'];
$page_infos = $langue['administration_texte'];

$action = ( isset ( $_GET['action'] ) ) ? $_GET['action'] : '';

switch ( $action ) {
    default:
        // Liste des groupes
        $page_texte .= "<h2>Liste des groupes</h2>\n\n<ul>\n";

        $sql = "SELECT groupe_id,
                       groupe_nom,
                       membre_id,
                       COUNT(*) AS groupe_nbr
                FROM " . $database->pref . "groupes
                LEFT JOIN " . $database->pref . "membres
                    ON membre_groupe = groupe_id
                GROUP BY groupe_id
                ORDER BY groupe_nom ASC;";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        while ( $row = $database->ResultArray ( $req ) ) {
            $page_texte .= '  <li><a href="index.' . EXT . '?page=Groupes&amp;action=modifier&amp;id=' . $row['groupe_id'] . '">' . $row['groupe_nom'] . '</a>';

            // On affiche le nombre de membres de tous les groupes sauf "Visiteur"
            if ( $row['groupe_id'] != 1 ) {
                if ( $row['groupe_nbr'] == 1 && empty ( $row['membre_id'] ) ) {
                    $page_texte .= ' (0' . $langue['_membre'] . ')';
                }
                else if ( $row['groupe_nbr'] == 1 ) {
                    $page_texte .= ' (1' . $langue['_membre'] . ')';
                }
                else {
                    $page_texte .= ' (' . $row['groupe_nbr'] . $langue['_membres'] . ')';
                }
            }

            $page_texte .= "</li>\n";
        }

        $page_texte .= "</ul>\n\n<p><a href=\"index." . EXT . '?page=Groupes&amp;action=nouveau" title="' . $langue['newgroup'] . '">' . $langue['newgroup'] . "</a></p>\n";

        break;

    case 'nouveau':

        $page_texte .= '<p><a href="index.' . EXT . '?page=Groupes" title="' . $langue['groupes_titre'] . '">' . $langue['groupes_titre'] . "</a></p>\n\n";

        if ( isset ( $_POST['submit'] ) ) {
            if ( empty ( $_POST['nom'] ) || trim ( $_POST['nom'] ) == '' ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else {
                $sql = "INSERT INTO " . $database->pref . "groupes
                        (`groupe_nom`)
                        VALUES
                        ('" . $database->Protege ( $_POST['nom'] ) . "');";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                $groupe = $database->LastInsertId ( $req );

                $sql = "SELECT droit_nom,
                               droit_valeur
                        FROM " . $database->pref . "droits
                        WHERE droit_groupe = '" . $_POST['droits'] . "';";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                while ( $row = $database->ResultArray ( $req ) ) {
                    $groupe_droits[$row['droit_nom']] = $row['droit_valeur'];
                }

                foreach ( $groupe_droits as $nom => $value ) {
                    $sql = "INSERT INTO " . $database->pref . "droits
                            (droit_groupe, droit_nom, droit_valeur)
                            VALUES
                            ('" . $groupe . "', '" . $nom . "', '" . $value . "');";

                    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                }

                header ( 'Location: index.' . EXT . '?page=Groupes&action=modifier&id=' . $groupe );
                die ( -1 );
            }
        }

        $page_texte .= '<form action="index.' . EXT . "?page=Groupes&amp;action=nouveau\" method=\"post\" title=\"" . $langue['newgroup'] . "\">\n\n";
        $page_texte .= "<fieldset>\n<legend>" . $langue['newgroup'] . "</legend>\n\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_nom\">Nom&nbsp;:</label> <input type=\"text\" name=\"nom\" id=\"id_nom\" value=\"\" /></p>\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_droits\">Copier les droits depuis le groupe&nbsp;:</label> <select name=\"droits\" id=\"id_droits\">\n";

        $sql = "SELECT groupe_id,
                       groupe_nom
                FROM " . $database->pref . "groupes
                ORDER BY groupe_nom ASC;";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        while ( $row = $database->ResultArray ( $req ) ) {
            $page_texte .= '  <option value="' . $row['groupe_id'] . '"';
            if ( $row['groupe_id'] == '2' ) $page_texte .= ' selected="selected"';
            $page_texte .= '>' . $row['groupe_nom'] . "</option>\n";
        }

        $page_texte .= "</select></p>\n\n";
        $page_texte .= "</fieldset>\n\n";
        $page_texte .= "<p class=\"centre\"><input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" /></p>\n\n";
        $page_texte .= "</form>\n";

        break;

    // Modifier les informations d'un groupe
    case 'modifier':

        // Vérification du paramètres id
        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 ) {
            header ( 'Location: index.' . EXT . '?page=Groupes' );
            die ( -1 );
        }

        $sql = "SELECT groupe_nom,
                       groupe_couleur,
                       groupe_nbrmp
                FROM " . $database->pref . "groupes
                WHERE groupe_id = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // Le groupe demandé n'existe pas
        if ( $database->NbrRowsSelected ( $req ) === 0 ) {
            header ( 'Location: index.' . EXT . '?page=Groupes' );
            die ( -1 );
        }

        $row = $database->ResultArray ( $req );

        // Traitement du formulaire
        if ( isset ( $_POST['submit'] ) ) {
            if ( !empty ( $_POST['nom'] ) && !empty ( $_POST['couleur'] ) && !empty ( $_POST['nbrmp'] ) ) {
                $sql = "UPDATE " . $database->pref . "groupes
                        SET groupe_nom = '" . $database->Protege ( $_POST['nom'] ) . "',
                            groupe_couleur = '" . $database->Protege ( $_POST['couleur'] ) . "',
                            groupe_nbrmp = '" . $database->Protege ( $_POST['nbrmp'] ) . "'
                        WHERE groupe_id = '" . $_GET['id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                header ( 'Location: index.' . EXT . '?page=Groupes&action=modifier&id=' . $_GET['id'] );
                die ( -1 );
            }
            else if ( !empty ( $_POST['nom'] ) && empty ( $_POST['couleur'] ) && !empty ( $_POST['nbrmp'] ) ) {
                $sql = "UPDATE " . $database->pref . "groupes
                        SET groupe_nom = '" . $database->Protege ( $_POST['nom'] ) . "',
                            groupe_nbrmp = '" . $database->Protege ( $_POST['nbrmp'] ) . "'
                        WHERE groupe_id = '" . $_GET['id'] . "';";

                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                header ( 'Location: index.' . EXT . '?page=Groupes&action=modifier&id=' . $_GET['id'] );
                die ( -1 );
            }
        }

        $page_texte .= '<p><a href="index.' . EXT . '?page=Groupes" title="' . $langue['groupes_titre'] . '">' . $langue['groupes_titre'] . "</a></p>\n\n";

        // Options du groupe
        $page_texte .= "<form action=\"index." . EXT . "?page=Groupes&amp;action=modifier&amp;id=" . $_GET['id'] . "\" method=\"post\">\n\n";
        $page_texte .= "<fieldset>\n<legend>Options du groupe " . $row['groupe_nom'] . "</legend>\n\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_nom\">Nom&nbsp;:</label> <input type=\"text\" name=\"nom\" id=\"id_nom\" maxlength=\"50\" size=\"30\" value=\"" . $row['groupe_nom'] . "\" /></p>\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_couleur\">Couleur des membres&nbsp;:</label> <input type=\"text\" name=\"couleur\" id=\"id_couleur\" maxlength=\"15\" size=\"10\" value=\"" . $row['groupe_couleur']. "\" /></p>\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_nbrmp\">Nombre maximal de messages privés envoyés&nbsp;:</label> <input type=\"text\" name=\"nbrmp\" id=\"id_nbrmp\" maxlength=\"9\" size=\"10\" value=\"" . $row['groupe_nbrmp'] . "\" /></p>\n";
        $page_texte .= "</fieldset>\n\n<p class=\"centre\"><input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" /></p>\n\n</form>\n\n";

        // Droits du groupe
        $sql = "SELECT droit_nom,
                       droit_valeur
                FROM " . $database->pref . "droits
                WHERE droit_groupe = '" . $_GET['id'] . "'
                ORDER BY droit_nom ASC;";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $page_texte .= "<h2>Liste des droits de ce groupe</h2>\n\n";
        $page_texte .= "<table>\n\n<thead>\n<tr>\n";
        $page_texte .= '  <th>' . $langue['droit'] . "</th>\n";
        $page_texte .= "  <th>Valeur</th>\n";

        // Le groupe 3 (super-administrateur) a tous les droits
        if ( $_GET['id'] != 3 ) $page_texte .= "  <th>Actions</th>\n";
        $page_texte .= "</tr>\n</thead>\n\n<tbody>\n";

        while ( $row = $database->ResultArray ( $req ) ) {
            $page_texte .= "<tr>\n  <td>" . $row['droit_nom'] . "</td>\n";
            $page_texte .= '  <td class="centre"><span class="';
            $page_texte .= ( $row['droit_valeur'] == 0 ) ? 'rouge">false' : 'vertf">true';
            $page_texte .= "</span></td>\n";
            if ( $_GET['id'] != 3 ) $page_texte .= "  <td class=\"centre\"><a href=\"index." . EXT . "?page=Groupes&amp;action=changer_droit&amp;droit=" . $row['droit_nom'] . "&amp;groupe=" . $_GET['id'] . "\">Changer</a></td>\n";
            $page_texte .= "</tr>\n";
        }

        $page_texte .= "</tbody>\n\n</table>\n";

        // Suppression du groupe
        if ( $_GET['id'] > 3 ) {
            $page_texte .= '<p><a href="index.' . EXT . '?page=Groupes&amp;action=supprimer&amp;id=' . $_GET['id'] . '" title="Supprimer ce groupe">' . $langue['supprimer'] . "</a></p>\n\n";
        }

        break;

    // Supprimer un groupe
    case 'supprimer':

        // Vérification du paramètre id
        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 4 ) {
            header ( 'Location: index.' . EXT . '?page=Groupes' );
            die ( -1 );
        }

        $sql = "SELECT groupe_nom
                FROM " . $database->pref . "groupes
                WHERE groupe_id = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) === 0 ) {
            header ( 'Location: index.' . EXT . '?page=Groupes' );
            die ( -1 );
        }

        $sql = 'DELETE FROM ' . $database->pref . "groupes
                WHERE groupe_id = '" . $_GET['id'] . "';";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $sql = 'DELETE FROM ' . $database->pref . "droits
                WHERE droit_groupe = '" . $_GET['id'] . "';";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        header ( 'Location: index.' . EXT . '?page=Groupes' );
        die ( -1 );

        break;

    // Changer la valeur d'un droit
    case 'changer_droit':

        // Vérification du paramètre groupe
        if ( !isset ( $_GET['groupe'] ) || !is_numeric ( $_GET['groupe'] ) || $_GET['groupe'] < 1 || $_GET['groupe'] == 3 ) {
            header ( 'Location: index.' . EXT . '?page=Groupes' );
            die ( -1 );
        }

        // Vérification du paramètre droit
        if ( !isset ( $_GET['droit'] ) ) {
            header ( 'Location: index.' . EXT . '?page=Groupes' );
            die ( -1 );
        }

        $sql = "SELECT droit_valeur
                FROM " . $database->pref . "droits
                WHERE
                        droit_groupe = '" . $_GET['groupe'] . "'
                    AND droit_nom = '" . $_GET['droit'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) === 0 ) {
            header ( 'Location: index.' . EXT . '?page=Groupes' );
            die ( -1 );
        }

        if ( $database->Result ( $req , 'droit_valeur' ) == 0 ) {
            $sql = "UPDATE " . $database->pref . "droits
                    SET droit_valeur = '1'
                    WHERE
                            droit_groupe = '" . $_GET['groupe'] . "'
                        AND droit_nom = '" . $_GET['droit'] . "';";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }
        else {
            $sql = "UPDATE " . $database->pref . "droits
                    SET droit_valeur = '0'
                    WHERE
                            droit_groupe = '" . $_GET['groupe'] . "'
                        AND droit_nom = '" . $_GET['droit'] . "';";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }

        header ( 'Location: index.' . EXT . '?page=Groupes&action=modifier&id=' . $_GET['groupe'] );
        die ( -1 );

        break;
}
?>