<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

if ( is_file ( 'systeme/configuration.' . EXT ) ) {
    header ( 'Location: index.' . EXT );
    die ( -1 );
}

$page_titre = 'Installation du site - ';
$page_simple = 1;

$etape = ( isset ( $_GET['etape'] ) ) ? $_GET['etape'] : 1;

switch ( $etape ) {
    // Connection au serveur
    default:
    case 1:
        $page_titre .= 'Étape 1';
        $form_champ_hote = '';
        $form_champ_user = '';
        $form_champ_base = '';
        if ( isset ( $_POST['submit'] ) ) {
            $form_champ_hote = $_POST['hote'];
            $form_champ_user = $_POST['user'];
            $form_champ_base = $_POST['base'];
            if ( empty ( $_POST['hote'] ) || empty ( $_POST['user'] ) || empty ( $_POST['base'] ) ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else {
                $database->SetParametres ( $_POST['hote'] , $_POST['user'] , $_POST['pass'] , $_POST['base'] );
                if ( !$database->Connect () ) {
                    $page_texte .= '<p><strong>' . $langue['erreur'] . "&nbsp;:</strong> Impossible de se connecter au serveur.</p>\n\n";
                }
                else {
                    $contenu = "<?php\n\n\$bdd_hote = '" . $_POST['hote'] . "';\n\$bdd_user = '" . $_POST['user'] . "';\n\$bdd_pass = '" . $_POST['pass'] . "';\n\$bdd_base = '" . $_POST['base'] . "';\n\n?>";
                    $file = fopen ( 'systeme/configuration-tmp.' . EXT , 'w' );
                    if ( !$file ) {
                        $page_texte .= '<p><strong>' . $langue['erreur'] . "&nbsp;:</strong> Impossible d'ouvrir le fichier de configuration.</p>\n\n";
                    }
                    else if ( !fwrite ( $file , $contenu ) ) {
                        $page_texte .= '<p><strong>' . $langue['erreur'] . "&nbsp;:</strong> Impossible d'écrire dans le fichier temporaire de configuration.</p>\n\n";
                        fclose ( $file );
                    }
                    else {
                        fclose ( $file );
                        header ( 'Location: index.' . EXT . '?page=Installation&etape=2' );
                        die ( -1 );
                    }
                }
            }
        }
        $page_texte .= '<form action="index.' . EXT . '?page=Installation&etape=1' . "\" method=\"post\" title=\"Installation du site\">\n\n";
        $page_texte .= "<fieldset>\n<legend>Serveur de base de données</legend>\n\n";
        $page_texte .= "<label for=\"id_hote\" class=\"form_label\">Serveur&nbsp;:</label><input type=\"text\" name=\"hote\" id=\"id_hote\" size=\"30\" value=\"" . $form_champ_hote . "\" /><br/>\n";
        $page_texte .= "<label for=\"id_user\" class=\"form_label\">Utilisateur&nbsp;:</label><input type=\"text\" name=\"user\" id=\"id_user\" size=\"30\" value=\"" . $form_champ_user . "\" /><br/>\n";
        $page_texte .= "<label for=\"id_pass\" class=\"form_label\">Mot de passe&nbsp;:</label><input type=\"password\" name=\"pass\" id=\"id_pass\" size=\"30\" value=\"\" /><br/>\n";
        $page_texte .= "<label for=\"id_base\" class=\"form_label\">Base de données&nbsp;:</label><input type=\"text\" name=\"base\" id=\"id_base\" value=\"" . $form_champ_base . "\" size=\"30\" />\n\n";
        $page_texte .= "</fieldset>\n\n<p class=\"cleaner\"><input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" /></p>\n\n";
        $page_texte .= "</form>\n";
        break;
    // Création des tables
    case 2:
        $page_titre .= 'Étape 2';
        if ( is_file ( 'systeme/configuration-tmp.' . EXT ) ) {
            include ( 'systeme/configuration-tmp.' . EXT );
        }
        else {
            header ( 'Location: index.' . EXT . '?page=Installation&etape=1' );
            die ( -1 );
        }
        if ( !isset ( $bdd_hote ) || !isset ( $bdd_user ) || !isset ( $bdd_pass ) || !isset ( $bdd_base ) ) {
            header ( 'Location: index.' . EXT . '?page=Installation&etape=1' );
            die ( -1 );
        }
        $database->SetParametres ( $bdd_hote , $bdd_user , $bdd_pass , $bdd_base );
        $database->Disconnect ();
        if ( !$database->Connect () ) {
            header ( 'Location: index.' . EXT . '?page=Installation&etape=1' );
            die ( -1 );
        }
        $form_champ_pref = '';
        // Traitement des données du formulaire
        if ( isset ( $_POST['submit'] ) ) {
            $form_champ_pref = $_POST['pref'];
            $database->SetParametres ( $bdd_hote , $bdd_user , $bdd_pass , $bdd_base , $form_champ_pref );
            if ( is_file ( 'systeme/tables_' . SGBD . '.' . EXT ) ) {
                include_once ( 'systeme/tables_' . SGBD . '.' . EXT );
            }
            else {
                die ( '<p><strong>Erreur&nbsp;:</strong> Le fichier systemes/tables_' . SGBD . '.' . EXT . ' est introuvable.</p>' );
            }
            // On vérifie que les groupes n'existent pas
            $sql = "SELECT `groupe_id`
                    FROM `" . $database->pref . "groupes`;";
            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
            $table_droit = array ();
            while ( $row = $database->ResultArray ( $req ) ) {
                $table_droit[$row['groupe_id']] = $row['groupe_id'];
            }
            if ( !in_array ( '1' , $table_droit ) ) {
                // Configuration
                $sql = "INSERT INTO `" . $database->pref . "groupes`
                        (`groupe_id`, `groupe_nom`, `groupe_modo`)
                        VALUES
                        ('1', 'Visiteur', '0');";
                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
            }
            if ( !in_array ( '2' , $table_droit ) ) {
                // Configuration
                $sql = "INSERT INTO `" . $database->pref . "groupes`
                        (`groupe_id`, `groupe_nom`, `groupe_modo`)
                        VALUES
                        ('2', 'Membre', '0');";
                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
            }
            if ( !in_array ( '3' , $table_droit ) ) {
                // Configuration
                $sql = "INSERT INTO `" . $database->pref . "groupes`
                        (`groupe_id`, `groupe_nom`, `groupe_modo`)
                        VALUES
                        ('3', 'Administrateur', '0');";
                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
            }
            // On vérifie que les droits n'existent pas
            $sql = "DELETE FROM `" . $database->pref . "droits`
                    WHERE `droit_groupe` = '1'
                    OR `droit_groupe` = '2'
                    OR `droit_groupe` = '3';";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
            $sql = "INSERT INTO `" . $database->pref . "droits`
                    (`droit_groupe`, `droit_nom`, `droit_valeur`)
                    VALUES 
                    (1, 'accueil_edition',          '0'),
                    (1, 'administration',           '0'),
                    (1, 'article_commentaire',      '0'),
                    (1, 'article_edition_auteur',   '0'),
                    (1, 'article_edition',          '0'),
                    (1, 'article_lecture',          '1'),
                    (1, 'article_sup',              '0'),
                    (1, 'article_sup_auteur',       '0'),
                    (1, 'commentaire_sup_auteur',   '0'),
                    (1, 'commentaire_sup',          '0'),
                    (1, 'deplacer_sujet',           '0'),
                    (1, 'fiche_lecture',            '1'),
                    (1, 'message_edition_auteur',   '0'),
                    (1, 'message_edition',          '0'),
                    (1, 'message_lecture',          '1'),
                    (1, 'message_sup_auteur',       '0'),
                    (1, 'message_sup',              '0'),
                    (1, 'news_commentaire',         '0'),
                    (1, 'news_edition_auteur',      '0'),
                    (1, 'news_edition',             '0'),
                    (1, 'news_lecture',             '1'),
                    (1, 'sondage_lecture',          '1'),
                    (1, 'sondage_repondre',         '0'),
                    (1, 'sujet_edition_auteur',     '0'),
                    (1, 'sujet_edition',            '0'),
                    (1, 'sujet_epingle',            '0'),
                    (1, 'sujet_fermer',             '0'),
                    (1, 'sujet_lecture',            '1'),
                    (1, 'upload',                   '0'),
                    (2, 'accueil_edition',          '0'),
                    (2, 'administration',           '0'),
                    (2, 'article_commentaire',      '1'),
                    (2, 'article_edition_auteur',   '1'),
                    (2, 'article_edition',          '0'),
                    (2, 'article_lecture',          '1'),
                    (2, 'article_sup',              '0'),
                    (2, 'article_sup_auteur',       '0'),
                    (2, 'commentaire_sup_auteur',   '0'),
                    (2, 'commentaire_sup',          '0'),
                    (2, 'deplacer_sujet',           '0'),
                    (2, 'fiche_lecture',            '1'),
                    (2, 'message_edition_auteur',   '1'),
                    (2, 'message_edition',          '0'),
                    (2, 'message_lecture',          '1'),
                    (2, 'message_sup_auteur',       '0'),
                    (2, 'message_sup',              '0'),
                    (2, 'news_commentaire',         '1'),
                    (2, 'news_edition_auteur',      '0'),
                    (2, 'news_edition',             '0'),
                    (2, 'news_lecture',             '1'),
                    (2, 'sondage_lecture',          '1'),
                    (2, 'sondage_repondre',         '1'),
                    (2, 'sujet_edition_auteur',     '1'),
                    (2, 'sujet_edition',            '0'),
                    (2, 'sujet_epingle',            '0'),
                    (2, 'sujet_fermer',             '0'),
                    (2, 'sujet_lecture',            '1'),
                    (2, 'upload',                   '1'),
                    (3, 'accueil_edition',          '1'),
                    (3, 'administration',           '1'),
                    (3, 'article_commentaire',      '1'),
                    (3, 'article_edition_auteur',   '1'),
                    (3, 'article_edition',          '1'),
                    (3, 'article_lecture',          '1'),
                    (3, 'article_sup',              '1'),
                    (3, 'article_sup_auteur',       '1'),
                    (3, 'commentaire_sup_auteur',   '1'),
                    (3, 'commentaire_sup',          '1'),
                    (3, 'deplacer_sujet',           '1'),
                    (3, 'fiche_lecture',            '1'),
                    (3, 'message_edition_auteur',   '1'),
                    (3, 'message_edition',          '1'),
                    (3, 'message_lecture',          '1'),
                    (3, 'message_sup_auteur',       '1'),
                    (3, 'message_sup',              '1'),
                    (3, 'news_commentaire',         '1'),
                    (3, 'news_edition_auteur',      '1'),
                    (3, 'news_edition',             '1'),
                    (3, 'news_lecture',             '1'),
                    (3, 'sondage_lecture',          '1'),
                    (3, 'sondage_repondre',         '1'),
                    (3, 'sujet_edition_auteur',     '1'),
                    (3, 'sujet_edition',            '1'),
                    (3, 'sujet_epingle',            '1'),
                    (3, 'sujet_fermer',             '1'),
                    (3, 'sujet_lecture',            '1'),
                    (3, 'upload',                   '1');";
            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
            $contenu = "<?php\n\n\$bdd_hote = '" . $bdd_hote . "';\n\$bdd_user = '" . $bdd_user . "';\n\$bdd_pass = '" . $bdd_pass . "';\n\$bdd_base = '" . $bdd_base . "';\n\$bdd_pref = '" . $database->pref . "';\n\n?>";
            $file = fopen ( 'systeme/configuration-tmp.' . EXT , 'w' );
            if ( !$file ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . "&nbsp;:</strong> Impossible d'ouvrir le fichier temporaire de configuration.</p>\n\n";
            }
            else if ( !fwrite ( $file , $contenu ) ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . "&nbsp;:</strong> Impossible d'écrire dans le fichier temporaire de configuration.</p>\n\n";
                fclose ( $file );
            }
            else {
                fclose ( $file );
                header ( 'Location: index.' . EXT . '?page=Installation&etape=3' );
                die ( -1 );
            }
        }
        $page_texte .= '<form action="index.' . EXT . '?page=Installation&etape=2' . "\" method=\"post\" title=\"Installation du site\">\n\n";
        $page_texte .= "<fieldset>\n<legend>Création des tables</legend>\n\n";
        $page_texte .= "<p>Vous pouvez définir un préfixe pour différencier les tables de ce logiciel d'autres tables.</p>\n\n";
        $page_texte .= "<label for=\"id_pref\" class=\"form_label\">Préfixe&nbsp;:</label><input type=\"text\" name=\"pref\" id=\"id_pref\" size=\"30\" value=\"" . $form_champ_pref . "\" />\n\n";
        $page_texte .= "</fieldset>\n\n<p class=\"cleaner\"><input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" /></p>\n\n";
        $page_texte .= "</form>\n";
        break;
    // Administrateur
    case 3:
        $page_titre .= 'Étape 3';
        if ( is_file ( 'systeme/configuration-tmp.' . EXT ) ) {
            include ( 'systeme/configuration-tmp.' . EXT );
        }
        else {
            header ( 'Location: index.' . EXT . '?page=Installation&etape=1' );
            die ( -1 );
        }
        if ( !isset ( $bdd_hote ) || !isset ( $bdd_user ) || !isset ( $bdd_pass ) || !isset ( $bdd_base ) ) {
            header ( 'Location: index.' . EXT . '?page=Installation&etape=1' );
            die ( -1 );
        }
        if ( !isset ( $bdd_pref ) ) {
            header ( 'Location: index.' . EXT . '?page=Installation&etape=2' );
            die ( -1 );
        }
        $database->SetParametres ( $bdd_hote , $bdd_user , $bdd_pass , $bdd_base , $bdd_pref );
        $database->Disconnect ();
        if ( !$database->Connect () ) {
            header ( 'Location: index.' . EXT . '?page=Installation&etape=1' );
            die ( -1 );
        }
        // Traitement des données du formulaire
        if ( isset ( $_POST['submit'] ) ) {
            if ( empty ( $_POST['admin'] ) || empty ( $_POST['mdp'] ) || empty ( $_POST['mdp2'] ) || empty ( $_POST['email'] ) ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else if ( $_POST['mdp'] != $_POST['mdp2'] ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . "&nbsp;:</strong> Les deux mots de passe ne sont pas identiques.</p>\n\n";
            }
            // Vérification de la longueur du mot de passe
            else if ( strlen ( $_POST['mdp'] ) < 6 || strlen ( $_POST['mdp'] ) > 16 ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_mdp_size'] . "</p>\n\n";
            }
            // Vérification du nom d'utilisateur
            else if ( !preg_match ( "#^([a-z0-9_@-]{3,50})$#i" , $_POST['admin'] ) ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . "&nbsp;:</strong> Le nom d'utilisateur doit comporter au moins 4 caractères.</p>\n\n";
            }
            // Vérification du format de l'adresse e-mail
            else if ( !preg_match ( "#^([a-z0-9._-]+@[a-z0-9._-]{2,}\.[a-z]{2,4})$#i" , $_POST['email'] ) ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_email_format'] . "</p>\n\n";
            }
            else {
                $sql = "SELECT `membre_mdp`,
                               `membre_email`
                        FROM `" . $bdd_pref . "membres`
                        WHERE `membre_nom` = '" . $_POST['admin'] . "';";
                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                // Si le nom est déjà utilisé
                if ( $database->NbrRowsSelected ( $req ) > 0 ) {
                    $row = $database->ResultArray ( $req );
                    if ( $row['membre_mdp'] != md5 ( $_POST['mdp'] ) ) {
                        $page_texte .= '<p><strong>' . $langue['erreur'] . "&nbsp;:</strong> Cet utilisateur existe mais le mot de passe est incorrect.</p>";
                    }
                    else if ( $row['membre_email'] != $_POST['email'] ) {
                        $page_texte .= '<p><strong>' . $langue['erreur'] . "&nbsp;:</strong> Cet utilisateur existe mais l'adresse e-mail est incorrecte.</p>";
                    }
                    else {
                        // Mise-à-jour du membre
                        $sql = "UPDATE `" . $bdd_pref . "membres`
                                SET `membre_groupe` = '3'
                                WHERE `membre_nom` = '" . $_POST['admin'] . "'
                                    AND `membre_mdp` = '" . md5 ( $_POST['mdp'] ) . "'
                                    AND `membre_email` = '" . $_POST['email'] . "';";
                        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                        $sql = "SELECT `membre_id`
                                FROM `" . $bdd_pref . "membres`
                                WHERE `membre_nom` = '" . $_POST['admin'] . "'
                                    AND `membre_mdp` = '" . md5 ( $_POST['mdp'] ) . "'
                                    AND `membre_email` = '" . $_POST['email'] . "';";
                        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                        header ( 'Location: index.' . EXT . '?page=Installation&etape=4' );
                        die ( -1 );
                    }
                }
                else {
                    // Création du membre
                    $sql = "INSERT INTO `" . $bdd_pref . "membres`
                            (`membre_groupe`, `membre_cle`, `membre_nom`, `membre_mdp`, `membre_email`, `membre_inscription`, `membre_visite`, `membre_anniversaire`, `membre_langue`, `membre_style`)
                            VALUES
                            ('3', '0', '" . $_POST['admin'] . "', '" . md5 ( $_POST['mdp'] ) . "', '" . $_POST['email'] . "', '" . $time . "', '0',  '0000-00-00', 'fr', 'Chuwiki');";
                    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                    header ( 'Location: index.' . EXT . '?page=Installation&etape=4' );
                    die ( -1 );
                }
            }
        }
        // Suppression d'un éventuelle super-administrateur
        $sql = "UPDATE `" . $bdd_pref . "membres`
                SET `membre_groupe` = '2'
                WHERE `membre_groupe` = '3';";
        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        if ( $database->NbrRowsAffected ( $req ) === 1 ) {
            $page_texte .= "<p>Le super-administrateur qui existait est devenu un administrateur. Donnez les informations de cet utilisateur pour qu'il redevienne super-administrateur ou créez un nouveau super-administrateur.</p>\n\n";
        }
        else if ( $database->NbrRowsAffected ( $req ) > 1 ) {
            $page_texte .= "<p>Les super-administrateurs qui existaient sont devenus des administrateurs. Donnez les informations d'un de ces utilisateurs pour qu'il redevienne super-administrateur ou créez un nouveau super-administrateur.</p>\n\n";
        }
        $page_texte .= '<form action="index.' . EXT . '?page=Installation&etape=3' . "\" method=\"post\" title=\"Installation du site\">\n\n";
        $page_texte .= "<fieldset>\n<legend>Administrateur</legend>\n\n";
        $page_texte .= "<label for=\"id_admin\" class=\"form_label\">Nom d'utilisateur&nbsp;:</label><input type=\"text\" name=\"admin\" id=\"id_admin\" size=\"30\" maxlenght=\"50\" value=\"\" /><br/>\n";
        $page_texte .= "<label for=\"id_mdp\" class=\"form_label\">Mot de passe&nbsp;:</label><input type=\"password\" name=\"mdp\" id=\"id_mdp\" size=\"30\" maxlenght=\"16\" value=\"\" /> <small>Entre 6 et 16 caractères</small><br/>\n";
        $page_texte .= "<label for=\"id_mdp2\" class=\"form_label\">Confirmez le mot de passe&nbsp;:</label><input type=\"password\" name=\"mdp2\" id=\"id_mdp2\" size=\"30\" maxlenght=\"16\" value=\"\" /><br/>\n";
        $page_texte .= "<label for=\"id_email\" class=\"form_label\">Adresse e-mail&nbsp;:</label><input type=\"text\" name=\"email\" id=\"id_email\" size=\"30\" maxlenght=\"250\" value=\"\" />\n\n";
        $page_texte .= "</fieldset>\n\n<p class=\"cleaner\"><input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" /></p>\n\n";
        $page_texte .= "</form>\n";
        break;
    // Derniers paramètres
    case 4:
        $page_titre .= 'Étape 4';
        if ( is_file ( 'systeme/configuration-tmp.' . EXT ) ) {
            include ( 'systeme/configuration-tmp.' . EXT );
        }
        else {
            header ( 'Location: index.' . EXT . '?page=Installation&etape=1' );
            die ( -1 );
        }
        if ( !isset ( $bdd_hote ) || !isset ( $bdd_user ) || !isset ( $bdd_pass ) || !isset ( $bdd_base ) ) {
            header ( 'Location: index.' . EXT . '?page=Installation&etape=1' );
            die ( -1 );
        }
        if ( !isset ( $bdd_pref ) ) {
            header ( 'Location: index.' . EXT . '?page=Installation&etape=2' );
            die ( -1 );
        }
        $database->SetParametres ( $bdd_hote , $bdd_user , $bdd_pass , $bdd_base , $bdd_pref );
        $database->Disconnect ();
        if ( !$database->Connect () ) {
            header ( 'Location: index.' . EXT . '?page=Installation&etape=1' );
            die ( -1 );
        }
        $autoreps = array (
            'Langage incorrect'      => "'<position valeur=\"centre\"><taille valeur=\"tgros\"><police nom=\"impact\"><souligne>Langage SMS détecté</souligne></police></taille></position>\n\nBonjour,\n\nLes messages de ce sujet contiennent trop de fautes d\'orthographe. Si vous souhaitez parler à nouveau de ce sujet, vous êtes autorisé à en refaire un en respectant les règles de base d\'écriture. Sachez que ce site n\'accepte ni le langage SMS ni les fautes d\'orthographe volontaires.\nLes messages doivent être lisibles. Nous n''exigeons pas la perfection en orthographe, mais un minimum d''effort est demandé.\n\nMerci de votre compréhension :) ', '1', '0', '{Langage} %s'" ,
            'Politesse'              => "'<position valeur=\"centre\"><souligne><taille valeur=\"tgros\"><police nom=\"impact\">Manque de politesse</police></taille></souligne></position>\n\nBonjour,\n\nL\'une des principales règles du site est la politesse. Ainsi le fait que le premier message ne contienne pas les formules de politesse de base (\"Bonjour\", \"Merci\", \"Au revoir\", etc.) est inacceptable. Le sujet est par conséquent fermé.\n\nVous êtes autorisé à en créer un nouveau en faisant attention cette fois à la politesse.\n\nMerci de votre compréhension :) ', '1', '0', '{Politesse} %s'" ,
            'Aucune recherche'       => "'<position valeur=\"centre\"><taille valeur=\"tgros\"><police nom=\"impact\"><souligne>Aucune Recherche Effectuée</souligne></police></taille></position>\n\nBonjour,\n\nLe modérateur ayant fermé ce sujet juge que vous n\'avez pas assez cherché.\nIl est dans ce cas fortement probable que vous trouviez une réponse à votre requête en utilisant le <lien titre=\"formulaire de recherche du site\">redirect.php?p=Recherche</lien> ou un moteur de recherche global tel que <lien titre=\"Google\">http://www.google.com/</lien>, <lien titre=\"Yahoo\">http://fr.search.yahoo.com/</lien> ou encore <lien titre=\"Windows Live Search\">http://www.live.com/</lien>.\nVous pourrez trouver une liste plus exhaustive des moteurs de recherche sur Wikipedia à ce lien : Liste des moteurs de recherche.\n\nIl est aussi très fortement recommandé de chercher sur <lien titre=\"Wikipedia\">http://fr.wikipedia.org/</lien>, cette encyclopédie libre est une très grande source d\'informations sur des sujets très variés.\n\nMerci de votre compréhension. :) ', '1', '0', '{Recherche} %s'" ,
            'Titre incorrect'        => "'<position valeur=\"centre\"><taille valeur=\"tgros\"><police nom=\"impact\"><souligne>Le titre du sujet est incorrect</souligne></police></taille></position>\n\nBonjour,\n\nCe sujet a un titre qui ne décrit pas correctement le sujet, ou le titre est en majuscules. Vous pouvez re-poster votre sujet en rectifiant ce point.\n\nMerci de votre compréhension :) ', '1', '0', '%s'" ,
            'Sujet incompréhensible' => "'<position valeur=\"centre\"><taille valeur=\"tgros\"><police nom=\"impact\"><souligne>Sujet incompréhensible</souligne></police></taille></position>\n\nBonjour,\n\nLe modérateur ayant fermé ce sujet n\'a absolument rien compris de son contenu, votre sujet est surement mal structuré, votre question mal formulée ou votre esprit brouillé.\nVous êtes invité à refaire un sujet compréhensible de manière à ce que nous puissions résoudre votre problème.\n\nMerci de votre compréhension. :) ', '1', '0', '%s'" ,
            'Sujet illégal'          => "'<position valeur=\"centre\"><taille valeur=\"tgros\"><police nom=\"impact\"><souligne>Sujet illégal</souligne></police></taille></position>\n\nBonjour,\n\nCe site refuse tout contenu à caractère illégal, comme la violence, la pornographie, le raciste, la diffamation, etc. Le sujet a été fermé et tout ce qui peut être considéré comme illégal a été supprimé.\n\n<erreur>L\'auteur de ce délit risque un avertissement, ou en cas de récidive un bannissement à vie et une suppression de son compte.</erreur>\n\nMerci de votre compréhension :) ', '1', '0', '{Illégal} %s'"
        );
        // Réponses automatiques
        foreach ( $autoreps as $autorep_nom => $autorep_txt ) {
            $sql = "SELECT COUNT(*) AS `count`
                    FROM `" . $database->pref . "forum_autorep`
                    WHERE `autorep_nom` = '" . $autorep_nom . "';";
            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
            if ( $database->Result ( $req , 'count' ) == 0 ) {
                $sql = "INSERT INTO `" . $database->pref . "forum_autorep`
                        (`autorep_nom`, `autorep_texte`, `autorep_ferme`, `autorep_epingle`, `autorep_sujet`)
                        VALUES
                        ('" . $autorep_nom . "', " . $autorep_txt . ");";
                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
            }
        }
        $form_titre = '';
        $sql = "SELECT `config_valeur`
                FROM `" . $bdd_pref . "configuration`
                WHERE `config_nom` = 'titre';";
        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        if ( $database->NbrRowsSelected ( $req ) > 0 ) {
            $form_titre = $database->Result ( $req , 'valeur' );
        }
        // Informations sur l'administrateur
        $sql = "SELECT `membre_id`,
                       `membre_nom`,
                       `membre_email`
                FROM `" . $bdd_pref . "membres`
                WHERE `membre_groupe` = '3';";
        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        if ( $database->NbrRowsSelected ( $req ) === 0 ) {
            header ( 'Location: index.' . EXT . '?page=Installation&etape=3' );
            die ( -1 );
        }
        $row = $database->ResultArray ( $req );
        // Traitement des données du formulaire
        if ( isset ( $_POST['submit'] ) ) {
            $form_titre = $_POST['titre'];
            if ( empty( $_POST['titre'] ) || empty ( $_POST['adresse'] ) ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else {
                $sql = "SELECT `config_valeur`
                        FROM `" . $bdd_pref . "configuration`
                        WHERE `config_nom` = 'titre';";
                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                if ( $database->NbrRowsSelected ( $req ) === 0 ) {
                    $sql = "INSERT INTO `" . $bdd_pref . "configuration`
                            (`config_nom` , `config_valeur`)
                            VALUES
                            ('titre' , '" . $_POST['titre'] . "');";
                }
                else {
                    $sql = "UPDATE `" . $bdd_pref . "configuration`
                            SET `config_valeur` = '" . $_POST['titre'] . "'
                            WHERE `config_nom` = 'titre';";
                }
                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                $sql = "SELECT `config_valeur`
                        FROM `" . $bdd_pref . "configuration`
                        WHERE `config_nom` = 'adresse';";
                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                if ( $database->NbrRowsSelected ( $req ) === 0 ) {
                    $sql = "INSERT INTO `" . $bdd_pref . "configuration`
                            (`config_nom` , `config_valeur`)
                            VALUES
                            ('adresse' , '" . $_POST['adresse'] . "');";
                }
                else {
                    $sql = "UPDATE `" . $bdd_pref . "configuration`
                            SET `config_valeur` = '" . $_POST['adresse'] . "'
                            WHERE `config_nom` = 'adresse';";
                }
                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                $sql = "SELECT `config_valeur`
                        FROM `" . $bdd_pref . "configuration`
                        WHERE `config_nom` = 'email';";
                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                if ( $database->NbrRowsSelected ( $req ) === 0 ) {
                    $sql = "INSERT INTO `" . $bdd_pref . "configuration`
                            (`config_nom` , `config_valeur`)
                            VALUES
                            ('email' , '" . $row['membre_email'] . "');";
                }
                else {
                    $sql = "UPDATE `" . $bdd_pref . "configuration`
                            SET `config_valeur` = '" . $row['membre_email'] . "'
                            WHERE `config_nom` = 'email';";
                }
                $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
                // Fichier de configuration
                $contenu = "<?php\n\n\$bdd_hote = '" . $bdd_hote . "';\n\$bdd_user = '" . $bdd_user . "';\n\$bdd_pass = '" . $bdd_pass . "';\n\$bdd_base = '" . $bdd_base . "';\n\$bdd_pref = '" . $bdd_pref . "';\n\n?>";
                $file = fopen ( 'systeme/configuration.' . EXT , 'w' );
                if ( !$file ) {
                    $page_texte .= '<p><strong>' . $langue['erreur'] . "&nbsp;:</strong> Impossible d'ouvrir le fichier de configuration.</p>\n\n";
                }
                else if ( !fwrite ( $file , $contenu ) ) {
                    $page_texte .= '<p><strong>' . $langue['erreur'] . "&nbsp;:</strong> Impossible d'écrire dans le fichier de configuration.</p>\n\n";

                    fclose ( $file );
                }
                else {
                    fclose ( $file );
                }
                unlink ( 'systeme/configuration-tmp.' . EXT );
                // Connection de l'administrateur
                $_SESSION['membre'] = $row['membre_nom'];
                $_SESSION['membre_id'] = $row['membre_id'];
                $_SESSION['groupe'] = 3;
                header ( 'Location: index.' . EXT );
                die ( -1 );
            }
        }
        // Adresse du site
        $repertoire = preg_replace ( "#^(.+)index." . EXT . "#s" , "$1" , $_SERVER['SCRIPT_NAME'] );
        $repertoire = 'http://' . $_SERVER['HTTP_HOST'] . $repertoire;
        $repertoire = ( isset ( $_POST['adresse'] ) ) ? $_POST['adresse'] : $repertoire;
        // Formulaire
        $page_texte .= '<form action="index.' . EXT . '?page=Installation&etape=4' . "\" method=\"post\" title=\"Installation du site\">\n\n";
        $page_texte .= "<fieldset>\n<legend>Configuration générale</legend>\n\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_titre\">Titre du site&nbsp;:</label><input type=\"text\" size=\"30\" name=\"titre\" maxlenght=\"250\" id=\"id_titre\" value=\"" . $form_titre . "\" /><br/>\n";
        $page_texte .= "<label class=\"form_label\" for=\"id_adresse\">Adresse du site&nbsp;:</label><input type=\"text\" size=\"30\" maxlenght=\"250\" name=\"adresse\" id=\"id_adresse\" value=\"" . $repertoire . "\" />\n";
        $page_texte .= "</fieldset>\n\n<p class=\"cleaner\"><input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" /></p>\n\n";
        $page_texte .= "</form>\n";
        break;
}
?>