<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

$page_infos = $langue['articles_liste'];

$categorie = ( isset ( $_GET['categorie'] ) ) ? $_GET['categorie'] : 0;

if ( $categorie == 0 ) {
    $sql = "SELECT cat_id,
                   cat_nom
            FROM " . $database->pref . "article_cat
            WHERE cat_categorie = '0';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    // Titre de la page
    $page_titre = $langue['articles_liste'];

    if ( $database->NbrRowsSelected ( $req ) > 0 ) {
        $page_texte .= '<h2>' . $langue['categories'] . "</h2>\n\n<ul>\n";

        while ( $row = $database->ResultArray ( $req ) ) {
            $page_texte .= '  <li><a href="index.' . EXT . '?page=Liste_des_articles&amp;categorie=' . $row['cat_id'] . '" title="' . $langue['categories'] . '&nbsp;: ' . $row['cat_nom'] . '">' . $row['cat_nom'] . "</a></li>\n";
        }

        $page_texte .= "</ul>\n\n";
    }

    $sql = "SELECT article_id,
                   article_titre
            FROM " . $database->pref . "article_article
            WHERE 
                    article_actif = '1'
                AND article_categorie = '0'
            ORDER BY article_titre ASC;";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    if ( $database->NbrRowsSelected ( $req ) > 0 ) {
        $page_texte .= '<h2>' . $langue['articles'] . "</h2>\n\n<ul>\n";

        while ( $row = $database->ResultArray ( $req ) ) {
            $page_texte .= '  <li><a href="index.' . EXT . '?page=Article&amp;id=' . $row['article_id'] . '" title="' . $row['article_titre'] . '">' . $row['article_titre'] . "</a></li>\n";
        }

        $page_texte .= "</ul>\n";
    }
}
else {
    $sql = "SELECT cata.cat_categorie AS categorie_id,
                   cata.cat_nom AS categorie_nom,
                   catb.cat_nom AS sous_categorie_nom
            FROM " . $database->pref . "article_cat cata
            LEFT JOIN " . $database->pref . "article_cat catb
                ON catb.cat_id = cata.cat_categorie
            WHERE cata.cat_id = '" . $categorie . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    $row = $database->ResultArray ( $req );

    // Navigation
    $page_texte .= '<p>' . $langue['navigation'] . '&nbsp;: <a href="index.' . EXT . '?page=Liste_des_articles">Articles</a>';
    if ( !empty ( $row['sous_categorie_nom'] ) ) $page_texte .= ' > <a href="index.' . EXT . "?page=Liste_des_articles&amp;categorie=" . $row['categorie_id'] . '">' . $row['sous_categorie_nom'] . '</a>';
    if ( !empty ( $row['categorie_nom'] ) ) $page_texte .= ' > <a href="index.' . EXT . "?page=Liste_des_articles&amp;categorie=" . $categorie . '">' . $row['categorie_nom'] . '</a>';
    $page_texte .= "<hr />\n\n";

    $sous_categorie = $row['categorie_id'];

    // Titre de la page
    $page_titre = $langue['articles_liste'] . ' de ' . $row['categorie_nom'];

    // Si c'est une catégorie principale
    if ( $sous_categorie == 0 ) {
        $sql = "SELECT cat_id,
                       cat_nom
                FROM " . $database->pref . "article_cat
                WHERE cat_categorie = '" . $categorie . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) > 0 ) {
            $page_texte .= '<h2>' . $langue['categories'] . "</h2>\n\n<ul>\n";

            while ( $row = $database->ResultArray ( $req ) ) {
                $page_texte .= '  <li><a href="index.' . EXT . '?page=Liste_des_articles&amp;categorie=' . $row['cat_id'] . '" title="' . $langue['categories'] . '&nbsp;: ' . $row['cat_nom'] . '">' . $row['cat_nom'] . "</a></li>\n";
            }

            $page_texte .= "</ul>\n";
        }
    }

    $page_texte .= '<h2>' . $langue['articles'] . "</h2>\n\n";

    $sql = "SELECT article_id,
                   article_titre
            FROM " . $database->pref . "article_article
            WHERE
                    article_actif = '1'
                AND article_categorie = '" . $categorie . "'
            ORDER BY article_titre ASC;";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    // Articles dans cette catégorie
    if ( $database->NbrRowsSelected ( $req ) === 0 ) {
        if ( $sous_categorie == 0 ) {
            $page_texte .= "\n<p>Il n'y aucun article dans cette catégorie.</p>\n";
        }
        else {
            $page_texte .= "\n<p>Il n'y aucun article dans cette sous-catégorie.</p>\n";
        }
    }
    else {
        $page_texte .= "<ul>\n";

        while ( $row = $database->ResultArray ( $req ) ) {
            $article = str_replace ( '_' , ' ' , $row['article_titre'] );

            $page_texte .= '  <li><a href="index.' . EXT . '?page=Article&amp;id=' . $row['article_id'] . '" title="' . $article . '">' . $article . "</a></li>\n";
        }

        $page_texte .= "</ul>\n";
    }
}
?>