<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

if ( $_SESSION['groupe'] == 1 ) {
    header ( 'Location: index.' . EXT );
    die ( -1 );
}

if ( isset ( $_GET['action'] ) ) {
	if ( $_GET['action'] == 'new_dossier' ) {
		// Infos de la page
		$page_titre = 'Nouveau dossier';
		$page_infos = 'Nouveau dossier';
	
		if ( $configuration['file_mode'] == 'public' ) {
			if ( $droit['administration'] == 0 ) {
				header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
				die ( -1 );
			}
	
			$page_texte .= '<p>Navigation&nbsp;: <a href="index.' . EXT . "?page=Liste_des_fichiers\">Liste des fichiers</a></p>\n\n";
		}
		else if ( $configuration['file_mode'] == 'private' ) {
			$page_texte .= '<p>Navigation&nbsp;: <a href="index.' . EXT . "?page=Liste_des_fichiers\">Vos fichiers</a></p>\n\n";
		}
	
		// Traitement du formulaire
		if ( isset ( $_POST['submit'] ) ) {
			if ( empty ( $_POST['nom'] ) || trim ( $_POST['nom'] ) == '' ) {
				$page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
			}
			else {
				if ( $configuration['file_mode'] == 'private' ) {
					$sql = "SELECT COUNT(*) AS count
							FROM " . $database->pref . "file_dir
							WHERE
									dir_nom = '" . $database->Protege ( $_POST['nom'] ) . "'
								AND dir_membre = '" . $_SESSION['membre_id'] . "';";
				}
				else if ( $configuration['file_mode'] == 'public' ) {
					$sql = "SELECT COUNT(*) AS count
							FROM " . $database->pref . "file_dir
							WHERE dir_nom = '" . $database->Protege ( $_POST['nom'] ) . "';";
				}
	
				$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
	
				$row = $database->ResultArray ( $req );
	
				if ( $row['count'] > 0 ) {
					if ( $configuration['file_mode'] == 'private' ) {
						$page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> Vous avez déjà un dossier qui porte ce nom.' . "</p>\n\n";
					}
					else if ( $configuration['file_mode'] == 'public' ) {
						$page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> Un dossier porte déjà ce nom.' . "</p>\n\n";
					}
				}
				else {
					$sql = "INSERT INTO " . $database->pref . "file_dir
							(dir_nom, dir_membre)
							VALUES
							('" . $database->Protege ( $_POST['nom'] ) . "', '" . $_SESSION['membre_id'] . "');";
	
					$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
	
					header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers&dir=' . $database->LastInsertId ( $req ) );
					die ( -1 );
				}
			}
		}
	
		$page_texte .= '<form action="index.' . EXT . '?page=Liste_des_fichiers&amp;action=new_dossier" method="post" title="Nouveau dossier">' . "\n\n";
		$page_texte .= "<fieldset>\n\n";
		$page_texte .= "<p class=\"form_input\"><label for=\"id_nom\">Nom du dossier&nbsp;:</label> <input type=\"text\" name=\"nom\" id=\"id_nom\" value=\"\" maxlength=\"50\" /> <input type=\"submit\" name=\"submit\" value=\"" . $langue['valider'] . "\" accesskey=\"s\" /></p>\n\n";
		$page_texte .= "</fieldset>\n\n</form>\n\n";
	
	}
	else if ( $_GET['action'] == 'sup_dossier' && isset ( $_GET['id'] ) && is_numeric ( $_GET['id'] ) && $_GET['id'] > 0 ) {
		if ( $configuration['file_mode'] == 'public' && $droit['administration'] == 1 ) {
			$sql = "SELECT COUNT(*) AS count
					FROM " . $database->pref . "file_dir
					WHERE dir_id = '" . $_GET['id'] . "';";
	
			$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
	
			$row = $database->ResultArray ( $req );
	
			// Le dossier n'existe pas
			if ( $row['count'] == 0 ) {
				header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
				die ( -1 );
			}
		}
		else if ( $configuration['file_mode'] == 'private' ) {
			$sql = "SELECT dir_membre
					FROM " . $database->pref . "file_dir
					WHERE dir_id = '" . $_GET['id'] . "';";
	
			$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
	
			// Le dossier n'existe pas
			if ( $database->NbrRowsSelected ( $req ) === 0 ) {
				header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
				die ( -1 );
			}
	
			$row = $database->ResultArray ( $req );
			$dir_membre = $row['dir_membre'];
	
			if ( $droit['administration'] == 0 && $dir_membre != $_SESSION['membre_id'] ) {
				header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
				die ( -1 );
			}
		}
		else {
			header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
			die ( -1 );
		}
	
		// Confirmation
		if ( isset ( $_GET['ok'] ) ) {
			$sql = "DELETE FROM " . $database->pref . "file_dir
					WHERE dir_id = '" . $_GET['id'] . "';";
	
			$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
	
			header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
			die ( -1 );
		}
	
		// Infos de la page
		$page_titre = 'Supprimer un dossier';
		$page_infos = 'Supprimer un dossier';
	
		$page_texte .= '<p>La suppression d\'un dossier entraine la suppression des fichiers qui s\'y trouvent. Si vous souhaitez concerver les fichiers de ce dossier, vous devrez les déplacer manuellement vers un autre dossier avant de supprimer ce dossier. <a href="index.' . EXT . '?page=Liste_des_fichiers&amp;action=sup_dossier&amp;id=' . $_GET['id'] . '&amp;ok">Cliquez-ici</a> pour supprimer le dossier.</p>' . "\n\n";
	}
}
else if ( isset ( $_GET['dir'] ) && is_numeric ( $_GET['dir'] ) && $_GET['dir'] >= 0 ) {
    // Infos de la page
    $page_titre = $langue['liste_file'];
    $page_infos = $langue['liste_file'];

    if ( $configuration['file_mode'] == 'public' ) {
        $sql = "SELECT dir_nom
                FROM " . $database->pref . "file_dir
                WHERE dir_id = '" . $_GET['dir'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // Le dossier n'existe pas
        if ( $database->NbrRowsSelected ( $req ) === 0 ) {
            header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
            die ( -1 );
        }

        $row = $database->ResultArray ( $req );

        $dir_nom = $row['dir_nom'];

        $sql = "SELECT fichier_id,
                       fichier_nom,
                       fichier_extension
                FROM " . $database->pref . "file_dir
                LEFT JOIN " . $database->pref . "fichiers
                    ON fichier_dir = dir_id
                WHERE
                        dir_nom = '" . $dir_nom . "'
                    AND fichier_id IS NOT NULL;";

        // Navigation
        $page_texte .= '<p>Navigation&nbsp;: <a href="index.' . EXT . '?page=Liste_des_fichiers">Liste des fichiers</a> &gt; <a href="index.' . EXT . '?page=Liste_des_fichiers&amp;dir=' . $_GET['dir'] . '">' . $dir_nom . "</a></p>\n\n";
    }
    else if ( $configuration['file_mode'] == 'private' ) {
        $sql = "SELECT dir_nom,
                       dir_membre,
                       membre_nom
                FROM " . $database->pref . "file_dir
                LEFT JOIN " . $database->pref . "membres
                    ON membre_id = dir_membre
                WHERE dir_id = '" . $_GET['dir'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // Le dossier n'existe pas
        if ( $database->NbrRowsSelected ( $req ) === 0 ) {
            header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
            die ( -1 );
        }

        $row = $database->ResultArray ( $req );

        $dir_nom = $row['dir_nom'];
        $dir_membre = $row['dir_membre'];
        $dir_membre_nom = $row['membre_nom'];

        // Les administrateurs peuvent voir tous les dossiers
        if ( $droit['administration'] == 1 ) {
            $sql = "SELECT fichier_id,
                           fichier_nom,
                           fichier_extension,
                           fichier_membre
                    FROM " . $database->pref . "fichiers
                    WHERE fichier_dir = '" . $_GET['dir'] . "';";
        }
        else {
            // Les membres ne peuvent voir que leurs dossiers
            if ( $dir_membre != $_SESSION['membre_id'] ) {
                header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
                die ( -1 );
            }

            $sql = "SELECT fichier_id,
                           fichier_nom,
                           fichier_extension
                    FROM " . $database->pref . "fichiers
                    WHERE
                            fichier_dir = '" . $_GET['dir'] . "'
                        AND fichier_membre = '" . $_SESSION['membre_id'] . "';";
        }

        $page_texte .= '<p>Navigation&nbsp;: ';

        if ( $dir_membre != $_SESSION['membre_id'] ) {
            $page_texte .= '<a href="index.' . EXT . '?page=Liste_des_fichiers">Liste des fichiers</a> &gt; <a href="index.' . EXT . '?page=Liste_des_fichiers&amp;membre=' . $dir_membre . '">' . $dir_membre_nom . '</a> &gt; ';
        }
        else {
            $page_texte .= '<a href="index.' . EXT . '?page=Liste_des_fichiers">Vos fichiers</a> &gt; ';
        }

        $page_texte .= '<a href="index.' . EXT . '?page=Liste_des_fichiers&amp;dir=' . $_GET['dir'] . '">' . $dir_nom . "</a></p>\n\n";
    }

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    $page_texte .= "<div id=\"repertoire\">\n";

    if ( $database->NbrRowsSelected ( $req ) === 0 ) {
        $page_texte .= "<p>Il n'y a aucune image dans ce répertoire.</p>\n";
    }
    else {
        while ( $row = $database->ResultArray ( $req ) ) {
            $page_texte .= "  <div class=\"image\">\n";
            $page_texte .= '  <a href="index.' . EXT . '?page=Fichier&amp;id=' . $row['fichier_id'] . '">';

            // Images
            if ( in_array ( $row['fichier_extension'] , array ( 'jpg' , 'jpeg' , 'gif' , 'png' , 'bmp' ) ) ) {
                // Si la miniature n'existe pas, on tente de la créer
                if ( !is_file ( './fichiers/thumbs/200px-' . $row['fichier_id'] . '.' . $row['fichier_extension'] ) ) {
                    $site->CreateMiniature ( $row['fichier_id'] , $row['fichier_extension'] , 200 );
                }

                // Affichage de la miniature pour les plus grosses images
                if ( is_file ( './fichiers/thumbs/200px-' . $row['fichier_id'] . '.' . $row['fichier_extension'] ) ) {
                    $page_texte .= '<img src="./fichiers/thumbs/200px-' . $row['fichier_id'] . '.' . $row['fichier_extension'] . '" alt="' . $row['fichier_nom'] . '" title="' . $row['fichier_id'] . '.' . $row['fichier_extension'] . '" />';
                }
                else {
                    $page_texte .= '<img src="./fichiers/' . $row['fichier_id'] . '.' . $row['fichier_extension'] . '" alt="' . $row['fichier_nom'] . '" title="' . $row['fichier_id'] . '.' . $row['fichier_extension'] . '" />';
                }
            }
            else if ( $row['fichier_extension'] == 'txt' ) {
                $page_texte .= '<img src="./themes/commun/images/file/fileicon-txt.png" alt="Fichier texte" title="Fichier texte" />';
            }
            else {
                $page_texte .= '<img src="./themes/commun/images/file/fileicon.png" alt="Fichier" title="Fichier" />';
            }

            $page_texte .= '</a><br /><a href="index.' . EXT . '?page=Fichier&amp;id=' . $row['fichier_id'] . '">' . $row['fichier_nom'] . '</a>';
            $page_texte .= "\n  </div>\n";
        }
    }

    $page_texte .= "  </div>\n" . '<p class="centre"><a href="index.' . EXT . '?page=Liste_des_fichiers&amp;action=sup_dossier&amp;id=' . $_GET['dir'] . "\">Supprimer</a></p>\n\n";
}
else if ( isset ( $_GET['membre'] ) && is_numeric ( $_GET['membre'] ) && $_GET['membre'] > 0 ) {
    if ( $configuration['file_mode'] == 'private' && ( $droit['administration'] == 0 || $_GET['membre'] == $_SESSION['membre_id'] ) ) {
        header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
        die ( -1 );
    }

    $sql = "SELECT membre_nom
            FROM " . $database->pref . "membres
            WHERE membre_id = '" . $_GET['membre'] . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    if ( $database->NbrRowsSelected ( $req ) === 0 ) {
        header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers' );
        die ( -1 );
    }

    // Infos de la page
    $page_titre = $langue['liste_file'];
    $page_infos = $langue['liste_file'];

    $row = $database->ResultArray ( $req );

    $page_texte .= '<p>Navigation&nbsp;: <a href="index.' . EXT . '?page=Liste_des_fichiers">Liste des fichiers</a> &gt; <a href="index.' . EXT . '?page=Liste_des_fichiers&amp;membre=' . $_GET['membre'] . '">' . $row['membre_nom'] . "</a></p>\n\n";

    $sql = "SELECT dir_id,
                   dir_nom
            FROM " . $database->pref . "file_dir
            WHERE dir_membre = '" . $_GET['membre'] . "'
            ORDER BY dir_nom ASC;";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    if ( $database->NbrRowsSelected ( $req ) === 0 ) {
        // Création du dossier pour stocker ses images
        $sql = "INSERT INTO " . $database->pref . "file_dir
                (dir_nom, dir_membre)
                VALUES
                ('Images', '" . $_GET['membre'] . "');";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers&membre=' . $_GET['membre'] );
        die ( -1 );
    }

    $page_texte .= "<div id=\"repertoire\">\n";

    while ( $row = $database->ResultArray ( $req ) ) {
        $page_texte .= "  <div class=\"image\">\n";
        $page_texte .= '  <a href="index.' . EXT . '?page=Liste_des_fichiers&amp;dir=' . $row['dir_id'] . '"><img src="./themes/' . $configuration['style'] . '/images/dossier.png" alt="" title="" /></a><br /><a href="index.' . EXT . '?page=Liste_des_fichiers&amp;dir=' . $row['dir_id'] . '">' . $row['dir_nom'] . '</a>';
        $page_texte .= "\n  </div>\n";
    }

    $page_texte .= "  </div>\n";
}
else {
    // Infos de la page
    $page_titre = $langue['liste_file'];
    $page_infos = $langue['liste_file'];

    if ( $configuration['file_mode'] == 'public' ) {
        $page_texte .= '<p>Navigation&nbsp;: <a href="index.' . EXT . "?page=Liste_des_fichiers\">Liste des fichiers</a></p>\n\n";

        $sql = "SELECT dir_id,
                       dir_nom
                FROM " . $database->pref . "file_dir
                GROUP BY dir_nom
                ORDER BY dir_nom ASC;";
    }
    else if ( $configuration['file_mode'] == 'private' ) {
        $page_texte .= '<p>Navigation&nbsp;: <a href="index.' . EXT . "?page=Liste_des_fichiers\">Vos fichiers</a></p>\n\n";

        $sql = "SELECT dir_id,
                       dir_nom
                FROM " . $database->pref . "file_dir
                WHERE dir_membre = '" . $_SESSION['membre_id'] . "'
                ORDER BY dir_nom ASC;";
    }

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    if ( $database->NbrRowsSelected ( $req ) === 0 ) {
        // Création du dossier pour stocker ses images
        $sql = "INSERT INTO `" . $database->pref . "file_dir`
                (dir_nom, dir_membre)
                VALUES
                ('Images', '" . $_SESSION['membre_id'] . "');";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        header ( 'Location: index.' . EXT . '?page=Liste_des_fichiers&membre=' . $_SESSION['membre_id'] );
        die ( -1 );
    }

    $page_texte .= "<div id=\"repertoire\">\n";

    while ( $row = $database->ResultArray ( $req ) ) {
        $page_texte .= "  <div class=\"image\">\n";
        $page_texte .= '  <a href="index.' . EXT . '?page=Liste_des_fichiers&amp;dir=' . $row['dir_id'] . '"><img src="./themes/' . $configuration['style'] . '/images/dossier.png" alt="' . $row['dir_nom'] . '" title="' . $row['dir_nom'] . '" /></a><br /><a href="index.' . EXT . '?page=Liste_des_fichiers&amp;dir=' . $row['dir_id'] . '">' . $row['dir_nom'] . '</a>';
        $page_texte .= "\n  </div>\n";
    }

    $page_texte .= "  </div>\n";

    if ( $configuration['file_mode'] == 'public' && $droit['administration'] == 1 ) {
        $page_texte .= '<p class="centre"><a href="index.' . EXT . "?page=Liste_des_fichiers&amp;action=new_dossier\">Nouveau dossier</a></p>\n\n";
    }
    else if ( $configuration['file_mode'] == 'private' ) {
        $page_texte .= '<p class="centre"><a href="index.' . EXT . "?page=Liste_des_fichiers&amp;action=new_dossier\">Nouveau dossier</a></p>\n\n";
    }
}
?>