<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Titre de la page
$page_titre = 'Liste des membres du site';
$page_infos = 'Liste des membres du site';

// Statistiques
if ( $database->connected && is_file ( './systeme/statistiques.' . EXT ) ) {
    include_once ( './systeme/statistiques.' . EXT );
}

// Nombre de membres
$sql = "SELECT COUNT(*) AS count
        FROM " . $database->pref . "membres
        WHERE membre_actif = '1';";
        
$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$nbr_membre = $database->Result ( $req , 'count' );

// Premier membre et numéro de la page affichée
if ( isset ( $_GET['start'] ) && is_numeric ( $_GET['start'] ) && $_GET['start'] >= 0 && $_GET['start'] < $nbr_membre ) {
    $start = $_GET['start'];
}
else {
    $start = 0;
}

$page_actuelle = intval ( $start / $configuration['page_membres'] ) + 1;

// Nombre de pages
$nbr_page = ( ( $nbr_membre - 1 ) - ( $nbr_membre - 1 ) % $configuration['page_membres'] ) / $configuration['page_membres'] + 1;

// Ordre d'affichage
$ordre = ( isset ( $_GET['ordre'] ) ) ? $_GET['ordre'] : 'nom-ASC';

switch ( $ordre ) {
    default:
    case 'nom-ASC':
        $order_by = 'membre_nom';
        $order_tri = 'ASC';
        break;

    case 'nom-DESC':
        $order_by = 'membre_nom';
        $order_tri = 'DESC';
        break;

    case 'visite-ASC':
        $order_by = 'membre_visite';
        $order_tri = 'ASC';
        break;

    case 'visite-DESC':
        $order_by = 'membre_visite';
        $order_tri = 'DESC';
        break;

    case 'anniversaire-ASC':
        $order_by = 'membre_anniversaire';
        $order_tri = 'ASC';
        break;

    case 'anniversaire-DESC':
        $order_by = 'membre_anniversaire';
        $order_tri = 'DESC';
        break;
}

$sql = "SELECT membre_id,
               membre_nom,
               membre_visite,
               membre_anniversaire,
               visiteur_time,
               groupe_couleur
        FROM " . $database->pref . "membres
        LEFT JOIN " . $database->pref . "visiteurs
            ON visiteur_nom = membre_nom
            AND visiteur_time > '" . ( $time - 300 ) . "'
        LEFT JOIN " . $database->pref . "groupes
            ON groupe_id = membre_groupe
        WHERE membre_actif = '1'
        ORDER BY `" . $order_by . "` " . $order_tri . "";

//=>MYSQL
    if ( SGBD == 'mysql' ) $sql .= ' LIMIT ' . $start . ', ' . $configuration['page_membres'];
    $sql .= ';';
//=>END

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

if ( $database->NbrRowsSelected ( $req ) > 0 ) {
    $tpl = new Template ( './themes/' . $configuration['style'] . '/templates/memberlist.tpl' );

    $liste_page_haut = '';
    $liste_page_bas = '';

    // Liste des pages
    if ( $nbr_membre > $configuration['page_membres'] ) {
        $liste_page_haut = "<tr>\n  <td colspan=\"4\">" . $langue['page'] . "&nbsp;:\n";

        for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
            $affiche_numero = false;

            for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }

            if ( !$affiche_numero ) {
                for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                    if ( $i == $numero ) $affiche_numero = true;
                }
            }

            if ( !$affiche_numero ) {
                for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                    if ( $i == $numero ) $affiche_numero = true;
                }
            }

            if ( $affiche_numero ) {
                $liste_page_haut .= '    <a href="index.' . EXT . '?page=Liste_des_membres&start=' . ( $i - 1 ) * $configuration['page_membres'] . '" title="' . $langue['page_goto'] . $i . '">';
                $liste_page_haut .= ( $start == ( $i - 1 ) * $configuration['page_membres'] ) ? '<span class="page_actuelle">' . $i . "</span></a>\n" : $i . "</a>\n";
                $trois_petits_points = false;
            }
            else if ( !$trois_petits_points ) {
                $liste_page_haut .= "    ...\n";
                $trois_petits_points = true;
            }
        }

        $liste_page_haut .= "  </td>\n</tr>\n";

        $liste_page_bas = "<tfoot>\n<tr>\n  <td colspan=\"4\">" . $langue['page'] . "&nbsp;:\n";

        for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
            $affiche_numero = false;

            for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }

            if ( !$affiche_numero ) {
                for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                    if ( $i == $numero ) $affiche_numero = true;
                }
            }

            if ( !$affiche_numero ) {
                for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                    if ( $i == $numero ) $affiche_numero = true;
                }
            }

            if ( $affiche_numero ) {
                $liste_page_bas .= '    <a href="index.' . EXT . '?page=Liste_des_membres&start=' . ( $i - 1 ) * $configuration['page_membres'] . '" title="' . $langue['page_goto'] . $i . '">';
                $liste_page_bas .= ( $start == ( $i - 1 ) * $configuration['page_membres'] ) ? '<span class="page_actuelle">' . $i . "</span></a>\n" : $i . "</a>\n";
                $trois_petits_points = false;
            }
            else if ( !$trois_petits_points ) {
                $liste_page_bas .= "    ...\n";
                $trois_petits_points = true;
            }
        }

        $liste_page_bas .= "  </td>\n</tr>\n</tfoot>\n\n";
    }

    $tpl->SetVar ( array (
        'LNG_USERNAME'    => $langue['user'],
        'LNG_BIRTHDAY'    => $langue['naissance'],
        'LNG_LAST_VISITE' => $langue['last_visite'],
        'LNG_VIEW_FICHE'  => $langue['view_fiche'],
        'START'           => $start,
        'LISTE_PAGE_HAUT' => $liste_page_haut,
        'LISTE_PAGE_BAS'  => $liste_page_bas,
        'THEME'           => 'Woopress',
        '#EXT'            => EXT
    ) );

    $sql_limite = 0;

    while ( $sql_limite < $start + $configuration['page_membres'] && $row = $database->ResultArray ( $req ) ) {
        // On affiche les enregistrements à partir de $start
        if ( SGBD != 'mysql' && $sql_limite < $start ) {
            continue;
        }

        if ( empty ( $row['visiteur_time'] ) ) {
            $membre_etat = '<img src="./themes/' . $configuration['style'] . '/images/perso1.png" title="' . $langue['deconnecte'] . '" alt="" /> ';
        }
        else {
            $membre_etat = '<img src="./themes/' . $configuration['style'] . '/images/perso2.png" title="' . $langue['connecte'] . '" alt="" /> ';
        }

        $membre_couleur_start = '';
        $membre_couleur_end = '';

        // Couleur du groupe
        if ( preg_match ( "#^\#([0-9a-f]{3}|[0-9a-f]{6})$#" , $row['groupe_couleur'] ) ) {
            $membre_couleur_start = '<span style="color: ' . $row['groupe_couleur'] . ';">';
        }
        else if ( $row['groupe_couleur'] != '' ) {
            $membre_couleur_start = '<span class="' . $row['groupe_couleur'] . '">';
        }

        // Couleur du groupe
        if ( $row['groupe_couleur'] != '' ) {
            $membre_couleur_end = '</span>';
        }

        // Pas de date d'anniversaire
        if ( $row['membre_anniversaire'] == '0000-00-00' || empty ( $row['membre_anniversaire'] ) ) {
            $membre_naissance = $langue['date_inconnue'];
        }
        // Si PHP 5.2 ou plus est trouvé, on utilise la fonction date_format
        else if ( version_compare ( PHP_VERSION , '5.2' , '>' ) ) {
            $anniversaire = new DateTime ( $row['membre_anniversaire'] );
            $membre_naissance = date_format ( $anniversaire , $configuration['format_date'] );
        }
        // Sinon on utilise une fonction qui retourne une date d/m/Y
        else {
            $membre_naissance = ConvertDate ( $row['membre_anniversaire'] );
        }

        $tpl->SetBlock ( 'MEMBRE' , array (
            'ID'            => $row['membre_id'],
            'NOM'           => $row['membre_nom'] ,
            'VISITE'        => date ( $configuration['format_date'] , $row['membre_visite'] + $configuration['decalage'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['membre_visite'] + $configuration['decalage'] ),
            'BIRTHDAY'      => $membre_naissance,
            'ETAT'          => $membre_etat,
            'COULEUR_START' => $membre_couleur_start,
            'COULEUR_END'   => $membre_couleur_end
        ) );

        $sql_limite++;
    }

    $page_texte .= $tpl->Parse ();
}
else {
    $page_texte .= "\n<p>Il n'y a aucun membre.</p>\n";
}
?>