<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) ) {
    header ( 'Location: index.' . EXT . '?page=Liste_des_membres' );
    die ( -1 );
}

// Activation du compte
if ( isset ( $_GET['cle'] ) ) {
    $sql = "SELECT membre_nom,
                   membre_groupe
            FROM " . $database->pref . "membres
            WHERE
                    membre_id = '" . $_GET['id'] . "'
                AND membre_cle = '" . $_GET['cle'] . "'
                AND membre_actif = '0';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    if ( $database->NbrRowsSelected ( $req ) === 0 ) {
        header ( 'Location: index.' . EXT );
        die ( -1 );
    }
    else {
        $row = $database->ResultArray ( $req );

        $sql = "UPDATE " . $database->pref . "membres
                SET membre_cle = '0',
                    membre_actif = '1'
                WHERE membre_id = '" . $_GET['id'] . "';";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $_SESSION['membre'] = $row['membre_nom'];
        $_SESSION['membre_id'] = $_GET['id'];
        $_SESSION['groupe'] = $row['membre_groupe'];

        // On redirige vers la page d'accueil
        header ( 'Location: index.' . EXT );
        die ( -1 );
    }
}

// Droit de voir une fiche
if ( $droit['fiche_lecture'] == 0 ) {
    $page_msg = 8;
    include_once ( 'systeme/msg.' . EXT );
}

// Recherche des infos de ce membre
$sql = "SELECT membre_cle,
               membre_nom,
               membre_afficher_email,
               membre_email,
               membre_avatar,
               membre_inscription,
               membre_visite,
               membre_anniversaire,
               membre_localisation,
               membre_profession,
               membre_signature,
               membre_messagerie,
               membre_actif,
               membre_site,
               groupe_nom
        FROM " . $database->pref . "membres
        LEFT JOIN " . $database->pref . "groupes
            ON groupe_id = membre_groupe
        WHERE membre_id = '" . $_GET['id'] . "';";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$row = $database->ResultArray ( $req );

// Titre de la page
$page_titre = 'Fiche de ' . $row['membre_nom'];
$page_infos = 'Fiche de ' . $row['membre_nom'];

// La fiche n'existe pas
if ( $database->NbrRowsSelected ( $req ) === 0 ) {
    header ( 'Location: index.' . EXT . '?page=Liste_des_membres' );
    die ( -1 );
}
else if ( $row['membre_actif'] == 0 ) {
    $page_texte .= "<p>Ce membre a été supprimé.</p>\n";
}
else {
    // Le compte n'est pas activé
    if ( $row['membre_cle'] != 0 ) {
        $page_texte .= '<p>Ce membre n\'existe pas. Voulez-vous voir la <a href="index.' . EXT . '?page=Liste_des_membres" title="Liste des membres du site">' . 'liste des membres du site' . "</a> ?</p>\n";
    }
    else {
        // Nombre d'articles
        $sql = "SELECT COUNT(*) AS count
                FROM " . $database->pref . "article_article
                WHERE article_auteur = '" . $_GET['id'] . "';";

        $req =  $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $nbr_articles = $database->Result ( $req , 'count' );

        // Nombre de sujets crées dans les forums
        $sql = "SELECT COUNT(*) AS count
                FROM " . $database->pref . "forum_sujet
                WHERE sujet_auteur = '" . $_GET['id'] . "';";

        $req =  $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $nbr_sujets = $database->Result ( $req , 'count' );

        // Nombre de news rédigées
        $sql = "SELECT COUNT(*) AS count
                FROM " . $database->pref . "news
                WHERE news_auteur = '" . $_GET['id'] . "';";

        $req =  $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $nbr_news = $database->Result ( $req , 'count' );

        // Nombre de commentaires d'articles et de news
        $sql = "SELECT COUNT(*) AS count
                FROM " . $database->pref . "commentaires
                WHERE commentaire_auteur = '" . $_GET['id'] . "';";

        $req =  $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $nbr_commentaires = $database->Result ( $req , 'count' );


        // Recherche de l'image de l'adresse e-mail (contre les robots)
        if ( !empty ( $row['membre_email'] ) && is_file ( 'fichiers/membres/' . $_GET['id'] . '.png' ) ) {
            // Si on ne veut pas l'afficher, on supprimer l'image
            if ( $row['membre_afficher_email'] == 0 ) unlink ( 'fichiers/membres/' . $_GET['id'] . '.png' );

            // Sinon on l'a recrée au cas où l'adresse aurait changé
            else $site->CreateImageEmail ( $_GET['id'] , $row['membre_email'] );
        }
        // Si cette image n'existe pas
        else if ( !empty ( $row['membre_email'] ) ) {
            // Si on veut l'afficher, on crée l'image
            if ( $row['membre_afficher_email'] == 1 ) $site->CreateImageEmail ( $_GET['id'] , $row['membre_email'] );
        }

        // Affichage de l'avatar
        if ( !empty ( $row['membre_avatar'] ) ) {
            if ( is_file ( 'fichiers/thumbs/100px-' . $row['membre_avatar'] ) ) {
                $page_texte .= "<img class=\"flot_droite\" src=\"fichiers/thumbs/100px-" . $row['membre_avatar'] . "\" alt=\"[Avatar]\" title=\"" . $langue['avatar_of'] . $row['membre_nom'] . "\" />\n";
            }
            else if ( is_file ( 'fichiers/' . $row['membre_avatar'] ) ) {
                $page_texte .= "<img class=\"flot_droite\" src=\"fichiers/" . $row['membre_avatar'] . "\" alt=\"[Avatar]\" title=\"" . $langue['avatar_of'] . $row['membre_nom'] . "\" />\n";
            }
        }

        $page_texte .= "<ul>\n";

        // Interractions possibles
        if ( $_SESSION['groupe'] != 1 && $_GET['id'] != $_SESSION['membre_id'] ) {
            // On recherche si une amitié existe avec ce membre
            $sql = "SELECT ami_time
                    FROM " . $database->pref . "amis
                    WHERE
                        ami_from = '" . $_GET['id'] . "'
                     OR ami_to = '" . $_GET['id'] . "';";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            if ( $database->NbrRowsSelected ( $req ) === 0 ) {
                $page_texte .= '  <li><a href="index.' . EXT . '?page=Amis&amp;action=nouveau&amp;id=' . $_GET['id'] . '">' . $langue['amis_mbr'] . "</a></li>\n";
            }

            $page_texte .= '  <li><a href="index.' . EXT . '?page=Messagerie&amp;action=nouveau&amp;id=' . $_GET['id'] . '">' . $langue['messagerie_mbr'] . "</a></li>\n";

            if ( $droit['administration'] == 1 ) {
                $page_texte .= '  <li><a href="index.' . EXT . '?page=Liste_des_fichiers&amp;membre=' . $_GET['id'] . "\">Voir les fichiers de ce membre</a></li>\n";
                $page_texte .= '  <li><a href="index.' . EXT . '?page=Preferences&amp;id=' . $_GET['id'] . "\">Modifier cette fiche</a></li>\n";
                $page_texte .= '  <li><a href="index.' . EXT . '?page=Supprimer_un_membre&amp;id=' . $_GET['id'] . "\">Supprimer ce membre</a></li>\n";
                $page_texte .= '  <li><a href="index.' . EXT . '?page=Bannir&amp;membre=' . $_GET['id'] . "\">Bannir ce membre pour 7 jours</a></li>\n<br/>\n";
            }
        }

        $page_texte .= '  <li><span class="';

        // On regarde si le membre est dans la table des visiteurs
        $sql = "SELECT COUNT(*) AS count
                FROM " . $database->pref . "visiteurs
                WHERE
                        visiteur_nom = '" . $row['membre_nom'] . "'
                    AND visiteur_time > '" . ( $time - 300 ) . "';";

        $req =  $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->Result ( $req , 'count' ) == 0 ) {
            $page_texte .= 'rouge">' . $row['membre_nom'] . $langue['_deconnecte'];
        }
        else {
            $page_texte .='vertf">' . $row['membre_nom'] . $langue['_connecte'];
        }

        // Nombre de messages pour chaque forum
        $nbr_messages = 0;

        $sql = "SELECT forum_nom,
                       forum_id,
                       forum_description
                FROM " . $database->pref . "forum_msg
                LEFT JOIN " . $database->pref . "forum_forum
                    ON forum_id = forum_msg_forum
                WHERE forum_msg_auteur = '" . $_GET['id'] . "';";

        $req2 = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req2 ) > 0 ) {
            while ( $row2 = $database->ResultArray ( $req2 ) ) {
                $forum_nom[$row2['forum_id']] = $row2['forum_nom'];
                $forum_description[$row2['forum_id']] = ( empty ( $row2['forum_description'] ) ) ? $row2['forum_nom'] : $row2['forum_description'];
                $forum_msg[$row2['forum_id']] = ( !isset ( $forum_msg[$row2['forum_id']] ) ) ? 1 : $forum_msg[$row2['forum_id']] + 1;

                $nbr_messages++;
            }
        }

        $page_texte .= "</span></li>\n";
        if ( $row['membre_afficher_email'] == 1 ) $page_texte .= '  <li><strong>' . $langue['email'] . "</strong>&nbsp;: <img src=\"fichiers/membres/" . $_GET['id'] . ".png\" alt=\"[" . $langue['erreur'] . "]\" title=\"Adresse e-mail de " . $row['membre_nom'] . "\" /></li>\n";
        $page_texte .= '  <li><strong>' . $langue['groupe'] . '</strong>&nbsp;: ' . $row['groupe_nom'] . "</li>\n</ul>\n\n";

        // Activité sur le site
        $page_texte .= "<h2>Activité sur le site</h2>\n\n<ul>\n";
        $page_texte .= ( $nbr_articles <= 1 ) ? '  <li>' . $nbr_articles . " article crée</li>\n" : '  <li>' . $nbr_articles . " articles crées</li>\n";
        $page_texte .= ( $nbr_messages <= 1 ) ? '  <li>' . $nbr_messages . " message posté</li>\n" : '  <li>' . $nbr_messages . " messages postés</li>\n";
        $page_texte .= ( $nbr_sujets <= 1 ) ? '  <li>' . $nbr_sujets . " sujet crée</li>\n" : '  <li>' . $nbr_sujets . " sujets crées</li>\n";
        $page_texte .= ( $nbr_news <= 1 ) ? '  <li>' . $nbr_news . " news créée</li>\n" : '  <li>' . $nbr_news . " news créées</li>\n";
        $page_texte .= ( $nbr_commentaires <= 1 ) ? '  <li>' . $nbr_commentaires . " commentaire posté</li>\n" : '  <li>' . $nbr_commentaires . " commentaires postés</li>\n";
        $page_texte .= "</ul>\n\n";

        if ( $database->NbrRowsSelected ( $req2 ) > 0 ) {
            $page_texte .= "<table class=\"membre_liste_msg\">\n\n<thead>\n<tr>\n";
            $page_texte .= "  <th class=\"membre_liste_forum\">" . $langue['forum'] . "</th>\n";
            $page_texte .= "  <th class=\"membre_liste_messages\">" . $langue['messages'] . "</th>\n";
            $page_texte .= "  <th class=\"membre_liste_pourcentage\">Pourcentage</th>\n";
            $page_texte .= "</tr>\n</thead>\n\n<tbody>\n";

            while ( list ( $forum_id , $nbr_message ) = each ( $forum_msg ) ) {
                $page_texte .= "<tr>\n";
                $page_texte .= '  <td><a href="index.' . EXT . '?page=Forums&amp;id=' . $forum_id . '&amp;membre=' . $_GET['id'] . '" title="' . $forum_description[$forum_id] . '">' . $forum_nom[$forum_id] . "</a></td>\n";
                $page_texte .= '  <td class="centre">' . $nbr_message . "</td>\n";
                $page_texte .= '  <td class="centre">' . round ( $nbr_message / $nbr_messages * 100 , 2 ) . " %</td>\n";
                $page_texte .= "</tr>\n";
            }

            $page_texte .= "</tbody>\n\n</table>\n\n";
        }

        // Dates
        $page_texte .= "<h2>Dates</h2>\n\n<ul>\n";
        $page_texte .= "  <li><strong>Date d'inscription</strong>&nbsp;: " . date ( $configuration['format_date'] , $row['membre_inscription'] ) . "</li>\n";
        $page_texte .= '  <li><strong>Dernière visite</strong>&nbsp;: ' . date ( $configuration['format_date'] , $row['membre_visite'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['membre_visite'] ) . "</li>\n";

        // Anniversaire
        if ( $row['membre_anniversaire'] != '0000-00-00' && !empty ( $row['membre_anniversaire'] ) ) {
            $page_texte .= '  <li><strong>' . $langue['naissance'] . "</strong> : ";

            // Si PHP 5.2 ou plus est trouvé, on utilise la fonction date_format
            if ( version_compare ( PHP_VERSION , '5.2' , '>' ) ) {
                $anniversaire = new DateTime ( $row['membre_anniversaire'] );
                $page_texte .= date_format ( $anniversaire , $configuration['format_date'] );
            }
            // Sinon on utilise une fonction qui retourne une date d/m/Y
            else {
                $page_texte .= ConvertDate ( $row['membre_anniversaire'] );
            }

            $page_texte .= "</li>\n";
        }

        $page_texte .= "</ul>\n\n";

        // Informations
        if ( !empty ( $row['membre_localisation'] ) || !empty ( $row['membre_profession'] ) || !empty ( $row['membre_signature'] ) || !empty ( $row['membre_messagerie'] ) || !empty ( $row['site'] ) ) {
            $page_texte .= "<h2>Informations</h2>\n\n";
            $page_texte .= "<ul>\n";
            if ( !empty ( $row['membre_localisation'] ) ) $page_texte .= '  <li><strong>' . $langue['localisation'] . '</strong>&nbsp;: ' . $row['membre_localisation'] . "</li>\n";
            if ( !empty ( $row['membre_profession'] ) ) $page_texte .= '  <li><strong>' . $langue['profession'] . '</strong>&nbsp;: ' . $row['membre_profession'] . "</li>\n";
            if ( !empty ( $row['membre_signature'] ) ) $page_texte .= '  <li><strong>' . $langue['signature'] . '</strong>&nbsp;: ' . $row['membre_signature'] . "</li>\n";

            if ( !empty ( $row['membre_messagerie'] ) ) {
                $site->CreateImageEmail ( $_GET['id'] , $row['membre_messagerie'] , true );

                $page_texte .= "  <li><strong>Adresse de messagerie</strong>&nbsp;: <img src=\"fichiers/membres/msg-" . $_GET['id'] . ".png\" alt=\"[Erreur]\" title=\"Adresse de messagerie de " . $row['membre_nom'] . "\" /></li>\n";
            }
            else {
                if ( is_file ( 'fichiers/membres/msg-' . $_GET['id'] . '.png' ) ) {
                    unlink ( 'fichiers/membres/msg-' . $_GET['id'] . '.png' );
                }
            }

            if ( !empty ( $row['membre_site'] ) ) $page_texte .= "  <li><strong>Site Internet</strong> : <a href=\"redirect.php?s=" . $row['membre_site'] . '">' . $row['membre_site'] . "</a></li>\n";
            $page_texte .= "</ul>\n\n";
        }
    }
}
?>