<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Si on n'est pas connecté
if ( $_SESSION['groupe'] == 1 ) {
    header ( 'Location: index.' . EXT );
    die ( -1 );
}

$page_titre = $langue['messagerie_titre'];

$action = ( isset ( $_GET['action'] ) ) ? $_GET['action'] : '';

switch ( $action ) {
    // Boite de réception
    default:
        $page_infos = 'Liste des messages privés';
        // Nombre de messages reçus
        $sql = "SELECT COUNT(*) AS count
                FROM " . $database->pref . "msg_box
                LEFT JOIN " . $database->pref . "messages
                    ON msg_id = msg_box_msg
                WHERE
                        msg_box_membre = '" . $_SESSION['membre_id'] . "'
                    AND
                    (
                          msg_dest0 = '" . $_SESSION['membre_id'] . "'
                       OR msg_dest1 = '" . $_SESSION['membre_id'] . "'
                       OR msg_dest2 = '" . $_SESSION['membre_id'] . "'
                       OR msg_dest3 = '" . $_SESSION['membre_id'] . "'
                       OR msg_dest4 = '" . $_SESSION['membre_id'] . "'
                    );";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $nbr_msg_box = $database->Result ( $req , 'count' );

        // Premier message et numéro de la page affichée
        if ( isset ( $_GET['start'] ) && is_numeric ( $_GET['start'] ) && $_GET['start'] > 0 && $_GET['start'] < $nbr_msg_box ) {
            $start = $_GET['start'];
        }
        else {
            $start = 0;
        }

        $page_actuelle = intval ( $start / $configuration['page_pm'] ) + 1;

        // Nombre de pages
        $nbr_page = ( ( $nbr_msg_box - 1 ) - ( $nbr_msg_box - 1 ) % $configuration['page_pm'] ) / $configuration['page_pm'] + 1;

        $page_texte .= '<p>Vous avez ' . $nbr_msg_box . ' messages dans votre boite de réception.' . "</p>\n\n";
        $page_texte .= '<p><a href="index.' . EXT . '?page=Messagerie&amp;action=send">Voir les messages envoyés.' . "</a></p>\n\n";

        // Nouveau message
        $page_texte .= '<p class="droite print_hidden"><a href="index.' . EXT . '?page=Messagerie&amp;action=nouveau"><img src="themes/' . $configuration['style'] . '/images/nouveau.png" title="Nouveau message" alt="Nouveau' . "\" /></a></p>\n\n";

        $page_texte .= '<form action="index.' . EXT . "?page=Messagerie&amp;action=supprimer\" id=\"form_act_msg\" method=\"post\">\n\n";

        // En-tête du tableau
        $page_texte .= "<table>\n\n<thead>\n";

        $sql = "SELECT msg_id,
                       msg_sujet,
                       msg_time,
                       msg_auteur,
                       msg_lectures,
                       msg_box_lu,
                       Ma.membre_nom AS auteur,
                       Mb.membre_nom AS destinataire
                FROM " . $database->pref . "msg_box
                LEFT JOIN " . $database->pref . "messages
                    ON msg_id = msg_box_msg
                LEFT JOIN " . $database->pref . "membres Ma
                    ON Ma.membre_id = msg_auteur
                LEFT JOIN " . $database->pref . "membres Mb
                    ON Mb.membre_id = '" . $_SESSION['membre_id'] . "'
                WHERE
                        msg_box_membre = '" . $_SESSION['membre_id'] . "'
                    AND
                    (
                          msg_dest0 = '" . $_SESSION['membre_id'] . "'
                       OR msg_dest1 = '" . $_SESSION['membre_id'] . "'
                       OR msg_dest2 = '" . $_SESSION['membre_id'] . "'
                       OR msg_dest3 = '" . $_SESSION['membre_id'] . "'
                       OR msg_dest4 = '" . $_SESSION['membre_id'] . "'
                    )
                ORDER BY msg_time DESC";

        //=>MYSQL
            if ( SGBD == 'mysql' ) $sql .= ' LIMIT ' . $start . ', ' . $configuration['page_pm'];
            $sql .= ';';
        //=>END

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // Liste des pages (Haut du tableau)
        if ( $nbr_msg_box > $configuration['page_pm'] ) {
            $page_texte .= "<tr>\n  <td colspan=\"5\">" . $langue['page'] . "&nbsp;:\n";

            for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
                $affiche_numero = false;

                for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
                    if ( $i == $numero ) $affiche_numero = true;
                }

                if ( !$affiche_numero ) {
                    for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                        if ( $i == $numero ) $affiche_numero = true;
                    }
                }

                if ( !$affiche_numero ) {
                    for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                        if ( $i == $numero ) $affiche_numero = true;
                    }
                }

                if ( $affiche_numero ) {
                    $page_texte .= '    <a href="index.' . EXT . '?page=Messagerie&amp;start=' . ( $i - 1 ) * $configuration['page_pm'] . '" title="' . $langue['page_goto'] . $i . '">';

                    if ( $start == ( $i - 1 ) * $configuration['page_pm'] ) {
                        $page_texte .= '<span class="page_actuelle">' . $i . '</span>';
                    }
                    else {
                        $page_texte .= $i;
                    }

                    $page_texte .= "</a>\n";

                    $trois_petits_points = false;
                }
                else if ( !$trois_petits_points ) {
                    $page_texte .= "    ...\n";
                    $trois_petits_points = true;
                }
            }

            $page_texte .= "  </td>\n</tr>\n";
        }

        $page_texte .= "<tr>\n";
        $page_texte .= '  <th class="messages_sujet">' . $langue['sujet'] . "</th>\n";
        $page_texte .= '  <th class="messages_auteur">' . $langue['auteur'] . "</th>\n";
        $page_texte .= '  <th class="messages_lectures">' . $langue['lectures'] . "</th>\n";
        $page_texte .= '  <th class="messages_date">' . $langue['date'] . "</th>\n";
        $page_texte .= "  <th></th>\n";
        $page_texte .= "</tr>\n</thead>\n\n";

        // Liste des pages (Bas du tableau)
        if ( $nbr_msg_box > $configuration['page_pm'] ) {
            $page_texte .= "<tfoot>\n<tr>\n  <td colspan=\"5\">" . $langue['page'] . "&nbsp;:\n";

            for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
                $affiche_numero = false;

                for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
                    if ( $i == $numero ) $affiche_numero = true;
                }

                if ( !$affiche_numero ) {
                    for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                        if ( $i == $numero ) $affiche_numero = true;
                    }
                }

                if ( !$affiche_numero ) {
                    for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                        if ( $i == $numero ) $affiche_numero = true;
                    }
                }

                if ( $affiche_numero ) {
                    $page_texte .= '    <a href="index.' . EXT . '?page=Messagerie&amp;start=' . ( $i - 1 ) * $configuration['page_pm'] . '" title="' . $langue['page_goto'] . $i . '">';

                    if ( $start == ( $i - 1 ) * $configuration['page_pm'] ) {
                        $page_texte .= '<span class="page_actuelle">' . $i . '</span>';
                    }
                    else {
                        $page_texte .= $i;
                    }

                    $page_texte .= "</a>\n";

                    $trois_petits_points = false;
                }
                else if ( !$trois_petits_points ) {
                    $page_texte .= "    ...\n";
                    $trois_petits_points = true;
                }
            }

            $page_texte .= "  </td>\n</tr>\n</tfoot>\n\n";
        }

        $page_texte .= "<tbody>\n";

        if ( $database->NbrRowsSelected ( $req ) > 0 ) {
            $sql_limite = 0;
        
            while ( $sql_limite < $configuration['page_pm'] && $row = $database->ResultArray ( $req ) ) {
                $sql_limite++;

                $page_texte .= "<tr>\n";
                $page_texte .= '  <td><img src="themes/' . $configuration['style'] . '/images/';

                if ( $row['msg_box_lu'] == 0 ) {
                    $page_texte .= 'message_nouveau.png" title="Message non lu';
                }
                else {
                    $page_texte .= 'message.png" title="Message lu';
                }

                $page_texte .= '" alt="" /> <a href="index.' . EXT . '?page=Messagerie&amp;action=voir&amp;id=' . $row['msg_id'] . '">' . $row['msg_sujet'] . "</a></td>\n";
                $page_texte .= '  <td class="centre">';

                if ( $row['msg_auteur'] == 0 ) {
                    $page_texte .= $configuration['titre'];
                }
                else {
                    $page_texte .= '<a href="' . 'index.' . EXT . '?page=Membre&amp;id=' . $row['msg_auteur'] . '" title="' . $langue['view_fiche'] . $row['auteur'] . '">' . $row['auteur'] . "</a>";
                }

                $page_texte .= "</td>\n";
                $page_texte .= '  <td class="centre">' . $row['msg_lectures'] . "</td>\n";
                $page_texte .= '  <td class="centre">' . date ( $configuration['format_date'] , $row['msg_time'] + $configuration['decalage'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['msg_time'] + $configuration['decalage'] ) . "</td>\n";
                $page_texte .= "  <td><input type=\"checkbox\" name=\"msg_" . $row['msg_id'] . "\" /></td>\n";
                $page_texte .= "</tr>\n";
            }
        }
        else {
            $page_texte .= "<tr>\n  <td colspan=\"6\">" . $langue['aucun_message'] . "</td>\n</tr>\n";
        }

        $page_texte .= "</tbody>\n\n</table>\n\n";

        $page_texte .= "<p class=\"droite\"><input type=\"button\" name=\"deselect_all\" id=\"deselect_all\" onclick=\"deselect_all_msg();\" value=\"Tout désélectionner\" /> <input type=\"button\" name=\"select_all\" id=\"select_all\" onclick=\"select_all_msg();\" value=\"Tout sélectionner\" /><br />\n";
        $page_texte .= "<input type=\"submit\" name=\"delete\" id=\"delete\" value=\"Supprimer\" /></p>\n\n</form>\n\n";

        // Nouveau message
        $page_texte .= '<p class="droite print_hidden"><a href="index.' . EXT . '?page=Messagerie&amp;action=nouveau"><img src="themes/' . $configuration['style'] . '/images/nouveau.png" title="Nouveau message" alt="Nouveau' . "\" /></a></p>\n\n";

        break;

    // Liste des messages envoyés
    case 'send':

        $page_infos = 'Liste des messages privés';

        $page_texte .= '<p class="centre"><a href="index.' . EXT . '?page=Messagerie" title="' . $langue['messagerie_titre'] . '">' . $langue['messagerie_titre'] . "</a></p>\n\n";

        // Nombre de messages envoyés
        $sql = "SELECT COUNT(*) AS count
                FROM " . $database->pref . "msg_box
                LEFT JOIN " . $database->pref . "messages
                    ON msg_id = msg_box_msg
                WHERE
                        msg_box_membre = '" . $_SESSION['membre_id'] . "'
                    AND msg_auteur = '" . $_SESSION['membre_id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $nbr_msg_send = $database->Result ( $req , 'count' );

        // Premier message et numéro de la page affichée
        if ( isset ( $_GET['start'] ) && is_numeric ( $_GET['start'] ) && $_GET['start'] > 0 && $_GET['start'] < $nbr_msg_send ) {
            $start = $_GET['start'];
        }
        else {
            $start = 0;
        }

        $page_actuelle = intval ( $start / $configuration['page_pm'] ) + 1;

        // Nombre de pages
        $nbr_page = ( ( $nbr_msg_send - 1 ) - ( $nbr_msg_send - 1 ) % $configuration['page_pm'] ) / $configuration['page_pm'] + 1;

        $page_texte .= '<p>Vous avez envoyé ' . $nbr_msg_send . ' messages sur ' . $configuration['nbr_msg'] . ' maximum.' . "</p>\n\n";

        // Nouveau message
        $page_texte .= '<p class="droite print_hidden"><a href="index.' . EXT . '?page=Messagerie&amp;action=nouveau"><img src="themes/' . $configuration['style'] . '/images/nouveau.png" title="Nouveau message" alt="Nouveau' . "\" /></a></p>\n\n";

        $sql = "SELECT msg_id,
                       msg_sujet,
                       msg_time,
                       msg_dest0,
                       msg_dest1,
                       msg_dest2,
                       msg_dest3,
                       msg_dest4,
                       msg_lectures,
                       Tbl2.msg_box_lu,
                       Mbr.membre_nom AS auteur,
                       Mbr0.membre_nom AS destinataire0,
                       Mbr1.membre_nom AS destinataire1,
                       Mbr2.membre_nom AS destinataire2,
                       Mbr3.membre_nom AS destinataire3,
                       Mbr4.membre_nom AS destinataire4
                FROM " . $database->pref . "msg_box Tbl1
                LEFT JOIN " . $database->pref . "messages
                    ON msg_id = Tbl1.msg_box_msg
                LEFT JOIN " . $database->pref . "msg_box Tbl2
                    ON Tbl2.msg_box_msg = Tbl1.msg_box_msg
                    AND Tbl2.msg_box_membre = msg_dest0
                LEFT JOIN " . $database->pref . "membres Mbr
                    ON Mbr.membre_id = msg_auteur
                LEFT JOIN " . $database->pref . "membres Mbr0
                    ON Mbr0.membre_id = msg_dest0
                LEFT JOIN " . $database->pref . "membres Mbr1
                    ON Mbr1.membre_id = msg_dest1
                LEFT JOIN " . $database->pref . "membres Mbr2
                    ON Mbr2.membre_id = msg_dest2
                LEFT JOIN " . $database->pref . "membres Mbr3
                    ON Mbr3.membre_id = msg_dest3
                LEFT JOIN " . $database->pref . "membres Mbr4
                    ON Mbr4.membre_id = msg_dest4
                WHERE
                        Tbl1.msg_box_membre = '" . $_SESSION['membre_id'] . "'
                    AND msg_auteur = '" . $_SESSION['membre_id'] . "'
                ORDER BY msg_time DESC";

        //=>MYSQL
            if ( SGBD == 'mysql' ) $sql .= ' LIMIT ' . $start . ', ' . $configuration['page_pm'];
            $sql .= ';';
        //=>END

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // En-tête du tableau
        $page_texte .= '<form action="index.' . EXT . "?page=Messagerie&amp;action=supprimer\" id=\"form_act_msg\" method=\"post\">\n\n";
        $page_texte .= "<table>\n\n<thead>\n";

        // Liste des pages (Haut du tableau)
        if ( $nbr_msg_send > $configuration['page_pm'] ) {
            $page_texte .= "<tr>\n  <td colspan=\"5\">" . $langue['page'] . "&nbsp;:\n";

            for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
                $affiche_numero = false;

                for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
                    if ( $i == $numero ) $affiche_numero = true;
                }

                if ( !$affiche_numero ) {
                    for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                        if ( $i == $numero ) $affiche_numero = true;
                    }
                }

                if ( !$affiche_numero ) {
                    for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                        if ( $i == $numero ) $affiche_numero = true;
                    }
                }

                if ( $affiche_numero ) {
                    $page_texte .= '    <a href="index.' . EXT . '?page=Messagerie&amp;action=send&amp;start=' . ( $i - 1 ) * $configuration['page_pm'] . '" title="' . $langue['page_goto'] . $i . '">';

                    if ( $start == ( $i - 1 ) * $configuration['page_pm'] ) {
                        $page_texte .= '<span class="page_actuelle">' . $i . '</span>';
                    }
                    else {
                        $page_texte .= $i;
                    }

                    $page_texte .= "</a>\n";

                    $trois_petits_points = false;
                }
                else if ( !$trois_petits_points ) {
                    $page_texte .= "    ...\n";
                    $trois_petits_points = true;
                }
            }

            $page_texte .= "  </td>\n</tr>\n";
        }

        $page_texte .= "<tr>\n";
        $page_texte .= '  <th class="messages_sujet">' . $langue['sujet'] . "</th>\n";
        $page_texte .= '  <th class="messages_destinataire">' . $langue['destinataires'] . "</th>\n";
        $page_texte .= '  <th class="messages_lectures">' . $langue['lectures'] . "</th>\n";
        $page_texte .= '  <th class="messages_date">' . $langue['date'] . "</th>\n";
        $page_texte .= "  <th></th>\n";
        $page_texte .= "</tr>\n</thead>\n\n";

        // Liste des pages (Bas du tableau)
        if ( $nbr_msg_send > $configuration['page_pm'] ) {
            $page_texte .= "<tfoot>\n<tr>\n  <td colspan=\"5\">" . $langue['page'] . "&nbsp;:\n";

            for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
                $affiche_numero = false;

                for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
                    if ( $i == $numero ) $affiche_numero = true;
                }

                if ( !$affiche_numero ) {
                    for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                        if ( $i == $numero ) $affiche_numero = true;
                    }
                }

                if ( !$affiche_numero ) {
                    for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                        if ( $i == $numero ) $affiche_numero = true;
                    }
                }

                if ( $affiche_numero ) {
                    $page_texte .= '    <a href="index.' . EXT . '?page=Messagerie&amp;action=send&amp;start=' . ( $i - 1 ) * $configuration['page_pm'] . '" title="' . $langue['page_goto'] . $i . '">';

                    if ( $start == ( $i - 1 ) * $configuration['page_pm'] ) {
                        $page_texte .= '<span class="page_actuelle">' . $i . '</span>';
                    }
                    else {
                        $page_texte .= $i;
                    }

                    $page_texte .= "</a>\n";

                    $trois_petits_points = false;
                }
                else if ( !$trois_petits_points ) {
                    $page_texte .= "    ...\n";
                    $trois_petits_points = true;
                }
            }

            $page_texte .= "  </td>\n</tr>\n</tfoot>\n\n";
        }

        $page_texte .= "<tbody>\n";

        if ( $database->NbrRowsSelected ( $req ) > 0 ) {
            $sql_limite = 0;
        
            while ( $sql_limite < $configuration['page_pm'] && $row = $database->ResultArray ( $req ) ) {
                $page_texte .= "<tr>\n";
                $page_texte .= '  <td><img src="themes/' . $configuration['style'] . '/images/';

                if ( $row['msg_box_lu'] === '0' ) {
                    $page_texte .= 'message_nouveau.png" title="Message non lu';
                }
                else if ( empty ( $row['msg_box_lu'] ) ) {
                    $page_texte .= 'message_deleted.png" title="Message supprimé';
                }
                else {
                    $page_texte .= 'message.png" title="Message lu';
                }

                $page_texte .= '" alt="" /> <a href="index.' . EXT . '?page=Messagerie&amp;action=voir&amp;id=' . $row['msg_id'] . '">' . $row['msg_sujet'] . "</a></td>\n";
                $page_texte .= '  <td class="centre">';

                $page_texte .= '<a href="' . 'index.' . EXT . '?page=Membre&amp;id=' . $row['msg_dest0'] . '" title="' . $langue['view_fiche'] . $row['destinataire0'] . '">' . $row['destinataire0'] . '</a>';

                if ( !empty ( $row['destinataire1'] ) ) {
                    $page_texte .= ', <a href="' . 'index.' . EXT . '?page=Membre&amp;id=' . $row['msg_dest1'] . '" title="' . $langue['view_fiche'] . $row['destinataire1'] . '">' . $row['destinataire1'] . '</a>';
                }

                if ( !empty ( $row['destinataire2'] ) ) {
                    $page_texte .= ', <a href="' . 'index.' . EXT . '?page=Membre&amp;id=' . $row['msg_dest2'] . '" title="' . $langue['view_fiche'] . $row['destinataire2'] . '">' . $row['destinataire2'] . '</a>';
                }

                if ( !empty ( $row['destinataire3'] ) ) {
                    $page_texte .= ', <a href="' . 'index.' . EXT . '?page=Membre&amp;id=' . $row['msg_dest3'] . '" title="' . $langue['view_fiche'] . $row['destinataire3'] . '">' . $row['destinataire3'] . '</a>';
                }

                if ( !empty ( $row['destinataire4'] ) ) {
                    $page_texte .= ', <a href="' . 'index.' . EXT . '?page=Membre&amp;id=' . $row['msg_dest4'] . '" title="' . $langue['view_fiche'] . $row['destinataire4'] . '">' . $row['destinataire4'] . '</a>';
                }

                $page_texte .= "</td>\n";
                $page_texte .= '  <td class="centre">' . $row['msg_lectures'] . "</td>\n";
                $page_texte .= '  <td class="centre">' . date ( $configuration['format_date'] , $row['msg_time'] + $configuration['decalage'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['msg_time'] + $configuration['decalage'] ) . "</td>\n";
                $page_texte .= '  <td><input type="checkbox" name="msg_' . $row['msg_id'] . "\" /></td>\n";
                $page_texte .= "</tr>\n";

                $sql_limite++;
            }
        }
        else {
            $page_texte .= "<tr>\n  <td colspan=\"6\">" . $langue['aucun_message'] . "</td>\n</tr>\n";
        }

        $page_texte .= "</tbody>\n\n</table>\n\n";

        $page_texte .= "<p class=\"droite\"><input type=\"button\" name=\"deselect_all\" id=\"deselect_all\" onclick=\"deselect_all_msg();\" value=\"Tout désélectionner\" /> <input type=\"button\" name=\"select_all\" id=\"select_all\" onclick=\"select_all_msg();\" value=\"Tout sélectionner\" /><br />\n";
        $page_texte .= "<input type=\"submit\" name=\"delete\" id=\"delete\" value=\"Supprimer\" /></p>\n\n</form>\n\n";

        // Nouveau message
        $page_texte .= '<p class="droite print_hidden"><a href="index.' . EXT . '?page=Messagerie&amp;action=nouveau"><img src="themes/' . $configuration['style'] . '/images/nouveau.png" title="Nouveau message" alt="Nouveau' . "\" /></a></p>\n\n";

        break;

    // Lecture d'un message privé
    case 'voir':

        if ( !isset ( $_GET['id'] ) ) {
            header ( 'Location: index.' . EXT . '?page=Messagerie' );
            die ( -1 );
        }

        $sql = "SELECT msg_sujet,
                       msg_texte,
                       msg_auteur,
                       msg_dest0,
                       msg_dest1,
                       msg_dest2,
                       msg_dest3,
                       msg_dest4,
                       msg_time,
                       msg_box_lu,
                       Mbr.membre_nom AS auteur,
                       Mbr0.membre_nom AS destinataire0,
                       Mbr1.membre_nom AS destinataire1,
                       Mbr2.membre_nom AS destinataire2,
                       Mbr3.membre_nom AS destinataire3,
                       Mbr4.membre_nom AS destinataire4
                FROM " . $database->pref . "msg_box
                LEFT JOIN " . $database->pref . "messages
                    ON msg_id = msg_box_msg
                LEFT JOIN " . $database->pref . "membres Mbr
                    ON Mbr.membre_id = msg_auteur
                LEFT JOIN " . $database->pref . "membres Mbr0
                    ON Mbr0.membre_id = msg_dest0
                LEFT JOIN " . $database->pref . "membres Mbr1
                    ON Mbr1.membre_id = msg_dest1
                LEFT JOIN " . $database->pref . "membres Mbr2
                    ON Mbr2.membre_id = msg_dest2
                LEFT JOIN " . $database->pref . "membres Mbr3
                    ON Mbr3.membre_id = msg_dest3
                LEFT JOIN " . $database->pref . "membres Mbr4
                    ON Mbr4.membre_id = msg_dest4
                WHERE
                        msg_box_msg = '" . $_GET['id'] . "'
                    AND msg_box_membre = '" . $_SESSION['membre_id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // On vérifie que ce message existe
        if ( $database->NbrRowsSelected ( $req ) === 0 ) {
            header ( 'Location: index.' . EXT . '?page=Messagerie' );
            die ( -1 );
        }

        $row = $database->ResultArray ( $req );

        // On vérifie qu'on a le droit de lire ce message
        if ( $row['msg_auteur'] != $_SESSION['membre_id'] && $row['msg_dest0'] != $_SESSION['membre_id'] && $row['msg_dest1'] != $_SESSION['membre_id'] && $row['msg_dest2'] != $_SESSION['membre_id'] && $row['msg_dest3'] != $_SESSION['membre_id'] && $row['msg_dest4'] != $_SESSION['membre_id'] ) {
            header ( 'Location: index.' . EXT . '?page=Messagerie' );
            die ( -1 );
        }

        // On marque le message comme lu si ce n'est pas déjà fait
        if ( $row['msg_box_lu'] == 0 ) {
            $sql = "UPDATE " . $database->pref . "msg_box
                    SET msg_box_lu = '1'
                    WHERE
                            msg_box_msg = '" . $_GET['id'] . "'
                        AND msg_box_membre = '" . $_SESSION['membre_id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            // On décrémente le nombre de messages privés non-lus
            $nbr_new_private_msg--;
        }

        // On incrémente le compteur de lectures
        $sql = "UPDATE " . $database->pref . "messages
                SET msg_lectures = msg_lectures + 1
                WHERE msg_id = '" . $_GET['id'] . "';";

        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        $page_infos = 'Lecture du message privé';

        $page_texte .= '<p class="centre"><a href="index.' . EXT . '?page=Messagerie" title="' . $langue['messagerie_titre'] . '">' . $langue['messagerie_titre'] . "</a></p>\n\n";

        // Affichage du message
        $page_texte .= "<div class=\"private_msg\">\n\n<h2>" . $row['msg_sujet'] . "</h2>\n\n";
        $page_texte .= "<div class=\"private_msg_infos\">\n\n<ul>\n";
        $page_texte .= '  <li>Auteur&nbsp;: ';

        if ( $row['msg_auteur'] == 0 ) {
            $page_texte .= $configuration['titre'];
        }
        else {
            $page_texte .= '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['msg_auteur'] . '" title="' . $langue['view_fiche'] . $row['auteur'] . '">' . $row['auteur'] . '</a>';
        }

        $page_texte .= "</li>\n";
        $page_texte .= '  <li>Date&nbsp;: ' . date ( $configuration['format_date'] , $row['msg_time'] + $configuration['decalage'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['msg_time'] + $configuration['decalage'] ) . "</li>\n";
        $page_texte .= '  <li>';

        if ( empty ( $row['destinataire1'] ) ) {
            $page_texte .= $langue['destinataire'];
        }
        else {
            $page_texte .= $langue['destinataires'];
        }

        $page_texte .= '&nbsp;: ';

        $page_texte .= '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['msg_dest0'] . '" title="' . $langue['view_fiche'] . $row['destinataire0'] . '">' . $row['destinataire0'] . '</a>';

        if ( !empty ( $row['destinataire1'] ) ) {
            $page_texte .= ', <a href="' . 'index.' . EXT . '?page=Membre&amp;id=' . $row['msg_dest1'] . '" title="' . $langue['view_fiche'] . $row['destinataire1'] . '">' . $row['destinataire1'] . '</a>';
        }

        if ( !empty ( $row['destinataire2'] ) ) {
            $page_texte .= ', <a href="' . 'index.' . EXT . '?page=Membre&amp;id=' . $row['msg_dest2'] . '" title="' . $langue['view_fiche'] . $row['destinataire2'] . '">' . $row['destinataire2'] . '</a>';
        }

        if ( !empty ( $row['destinataire3'] ) ) {
            $page_texte .= ', <a href="' . 'index.' . EXT . '?page=Membre&amp;id=' . $row['msg_dest3'] . '" title="' . $langue['view_fiche'] . $row['destinataire3'] . '">' . $row['destinataire3'] . '</a>';
        }

        if ( !empty ( $row['destinataire4'] ) ) {
            $page_texte .= ', <a href="' . 'index.' . EXT . '?page=Membre&amp;id=' . $row['msg_dest4'] . '" title="' . $langue['view_fiche'] . $row['destinataire4'] . '">' . $row['destinataire4'] . '</a>';
        }

        $page_texte .= "</li>\n";
        $page_texte .= "</ul>\n\n</div>\n\n";
        $page_texte .= $site->Parser ( $row['msg_texte'] , 0 );
        $page_texte .= "</div>\n\n";

        // Si le message nous est destiné, on peut y répondre
        if ( $row['msg_auteur'] != 0 && ( $row['msg_dest0'] == $_SESSION['membre_id'] || $row['msg_dest1'] == $_SESSION['membre_id'] || $row['msg_dest2'] == $_SESSION['membre_id'] || $row['msg_dest3'] == $_SESSION['membre_id'] || $row['msg_dest4'] == $_SESSION['membre_id'] ) ) {
            $page_texte .= '<p class="droite print_hidden"><a href="index.' . EXT . '?page=Messagerie&amp;action=repondre&amp;id=' . $_GET['id'] . '" title="' . $langue['repondre_texte'] . '"><img src="themes/' . $configuration['style'] . '/images/repondre.png" title="' . $langue['repondre_texte'] . '" alt="' . $langue['repondre'] . "\" /></a></p>\n";
        }

        break;

    // Nouveau message privé
    case 'nouveau':

        $page_infos = 'Rédaction d\'un message privé';

        // Nombre de messages envoyés
        $sql = "SELECT COUNT(*) AS count
                FROM " . $database->pref . "msg_box
                LEFT JOIN " . $database->pref . "messages
                    ON msg_id = msg_box_msg
                WHERE
                        msg_box_membre = '" . $_SESSION['membre_id'] . "'
                    AND msg_auteur = '" . $_SESSION['membre_id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // Quota de message envoyé dépassé
        if ( $database->Result ( $req , 'count' ) >= $configuration['nbr_msg'] ) {
            $page_msg = 23;
            include_once ( 'systeme/msg.' . EXT );
        }

        $page_texte .= '<p class="centre"><a href="index.' . EXT . '?page=Messagerie" title="' . $langue['messagerie_titre'] . '">' . $langue['messagerie_titre'] . "</a></p>\n\n";

        $form_champ_sujet = '';
        $form_champ_texte = '';
        $form_champ_destinataires = '';

        $form_erreur = 0;
        $form_erreur_destinataires = array ();
        $form_erreur_destisyou = 0;
        $form_erreur_destisempty = 0;

        // Traitement des données du formulaire
        if ( isset ( $_POST['submit'] ) ) {
            $form_champ_sujet = Deprotege ( $_POST['sujet'] );
            $form_champ_texte = Deprotege ( $_POST['texte'] );
            $form_champ_destinataires = Deprotege ( $_POST['destinataires'] );

            if ( empty ( $_POST['texte'] ) || trim ( $_POST['texte'] ) == '' || empty ( $_POST['sujet'] ) || trim ( $_POST['sujet'] ) == '' || empty ( $_POST['destinataires'] ) || trim ( $_POST['destinataires'] ) == '' ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else {
                // Distinction des différentes destinataires
                $destinataires = explode ( ';' , $_POST['destinataires'] );
                $destinataire_liste = array ();

                // On vérifie que chaque destinataire existe
                foreach ( $destinataires as $destinataire ) {
                    if ( empty ( $destinataire ) || trim ( $destinataire ) == '' ) {
                        $form_erreur_destisempty = 1;
                        $form_erreur++;
                    }
                    else if ( $destinataire == $_SESSION['membre'] ) {
                        $form_erreur_destisyou = 1;
                        $form_erreur++;
                    }
                    else if ( !in_array ( $destinataire , $destinataire_liste ) ) {
                        $sql = "SELECT membre_id
                                FROM " . $database->pref . "membres
                                WHERE membre_nom = '" . $destinataire . "';";

                        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                        if ( $database->NbrRowsSelected ( $req ) > 0 ) {
                            $row = $database->ResultArray ( $req );

                            $destinataire_liste[$row['membre_id']] = $destinataire;
                        }
                        else {
                            $form_erreur++;
                            $form_erreur_destinataires[] = $destinataire;
                        }
                    }
                }

                if ( count ( $destinataire_liste ) > 5 ) {
                    $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . 'Vous ne pouvez envoyer un message qu\'à cinq utilisateurs différents (' . count ( $destinataire_liste ) . ' fournis).' . "</p>\n\n";
                    $erreur++;
                }

                if ( $form_erreur == 0 ) {
                    $msg_sujet = $database->Protege ( $_POST['sujet'] );
                    $msg_sujet = str_replace ( '<' , '&lt;' , $msg_sujet );
                    $msg_sujet = str_replace ( '>' , '&gt;' , $msg_sujet );

                    // Création du message
                    $sql = "INSERT INTO " . $database->pref . "messages
                            (msg_sujet, msg_texte, msg_auteur, msg_dest0, msg_dest1, msg_dest2, msg_dest3, msg_dest4, msg_time, msg_lectures, msg_reponse)
                            VALUES
                            ('" . $msg_sujet . "', '" . $database->Protege ( $_POST['texte'] ) . "', '" . $_SESSION['membre_id'] . "', ";

                    // On ajoute chaque destinataire
                    foreach ( $destinataire_liste as $dest_id => $dest_nom ) {
                        $sql .= '\'' . $dest_id . "', ";
                    }

                    // On complète les autres destinataires possibles
                    for ( $i = 5 ; $i > count ( $destinataire_liste ) ; $i-- ) {
                        $sql .= "'0', ";
                    }

                    $sql .= '\'' . $time . "', '0', '0');";

                    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    // Numéro du message
                    $msg_id = $database->LastInsertId ( $req );

                    // Ajout du message dans la boite de réception de l'auteur
                    $sql = "INSERT INTO " . $database->pref . "msg_box
                            (msg_box_msg, msg_box_membre, msg_box_lu)
                            VALUES
                            ('" . $msg_id . "', '" . $_SESSION['membre_id'] . "', '1');";

                    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    // Pour chaque destinataire
                    foreach ( $destinataire_liste as $dest_id => $dest_nom ) {
                        // Ajout du message dans la boite de réception de l'auteur
                        $sql = "INSERT INTO " . $database->pref . "msg_box
                                (msg_box_msg, msg_box_membre, msg_box_lu)
                                VALUES
                                ('" . $msg_id . "', '" . $dest_id . "', '0');";

                        $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                        // On regarde si le destinataire doit recevoir un e-mail pour ce nouveau message
                        $sql = "SELECT membre_mail_pm,
                                       membre_email
                                FROM " . $database->pref . "membres
                                WHERE membre_id = '" . $dest_id . "';";

                        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                        if ( $database->NbrRowsSelected ( $req ) > 0 ) {
                            $row = $database->ResultArray ( $req );

                            if ( $row['membre_mail_pm'] == 1 ) {
                                // Envoi du message
                                SendEmail ( $dest_nom . ' <' . $row['membre_email'] . '>' , $configuration['titre'] . ' <' . $configuration['email'] . '>' , 'Nouveau message privé' , '<h1>' . $configuration['titre'] . "</h1>\n\n<p>Bonjour " . $dest_nom . ",<br /><br />\nVous avez reçu un nouveau message privé venant de " . $_SESSION['membre'] . ' et intitulé&nbsp;: <strong>' . $_POST['sujet'] . "</strong>.</p>\n\n<p><a href=\"" . $configuration['adresse'] . 'index.' . EXT . '?page=Messagerie&amp;action=voir&amp;id=' . $msg_id . '">Cliquez-ici</a> pour le lire.</p>' );
                            }
                        }
                    }

                    header ( 'Location: index.' . EXT . '?page=Messagerie' );
                    die ( -1 );
                }
            }
        }

        if ( count ( $form_erreur_destinataires ) == 1 ) {
            $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> Le destinataire suivant n\'existe pas&nbsp;: ';

            foreach ( $form_erreur_destinataires as $destinataire ) {
                $page_texte .= $destinataire;
            }

            $page_texte .= ".</p>\n\n";
        }
        else if ( count ( $form_erreur_destinataires ) > 1 ) {
            $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> Les destinataires suivants n\'existent pas&nbsp;: ';

            foreach ( $form_erreur_destinataires as $destinataire ) {
                if ( isset ( $go_here ) ) $page_texte .= ', ';
                $page_texte .= $destinataire;
                $go_here = 1;
            }

            $page_texte .= ".</p>\n\n";
        }

        if ( $form_erreur_destisyou == 1 ) {
            $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> Vous ne pouvez pas faire parti des destinataires.' . "</p>\n\n";
        }

        if( $form_erreur_destisempty == 1 ) {
            $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> Un ou plusieurs des destinataires est vide.' . "</p>\n\n";
        }

        // Ouverture du formulaire
        $form_adresse = 'index.' . EXT . '?page=Messagerie&amp;action=nouveau';
        $form_titre = 'Nouveau message';

        $form_sujet = "\n<p class=\"form_input\"><label class=\"form_label\" for=\"id_sujet\">Sujet&nbsp;:</label> <input type=\"text\" id=\"id_sujet\" name=\"sujet\" size=\"60\" maxlength=\"50\" value=\"" . $form_champ_sujet . "\" tabindex=\"10\" /></p>\n";
        $form_sujet .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_destinataires\">" . $langue['destinataires'] . "&nbsp;:</label> <input type=\"text\" id=\"id_destinataires\" value=\"" . $form_champ_destinataires;

        if ( isset ( $_GET['id'] ) ) {
            $sql = "SELECT membre_nom
                    FROM " . $database->pref . "membres
                    WHERE membre_id = '" . $_GET['id'] . "';";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
            
            if ( $database->NbrRowsSelected ( $req ) > 0 ) {
                $row = $database->ResultArray ( $req );
                $form_sujet .= $row['membre_nom'];
            }
        }

        $form_sujet .= "\" name=\"destinataires\" size=\"60\" maxlength=\"104\" tabindex=\"11\" /> <small>Jusqu'à cinq noms séparés par un point-virgule.</small></p><br />\n";

        include ( 'systeme/form_message.' . EXT );

        break;

    // Répondre à un message privé
    case 'repondre':

        $page_infos = 'Rédaction d\'un message privé';

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] <= 0 ) {
            header ( 'Location: index.' . EXT . '?page=Messagerie' );
            die ( -1 );
        }

        // Nombre de messages envoyés
        $sql = "SELECT COUNT(*) AS count
                FROM " . $database->pref . "msg_box
                LEFT JOIN " . $database->pref . "messages
                    ON msg_id = msg_box_msg
                WHERE
                        msg_box_membre = '" . $_SESSION['membre_id'] . "'
                    AND msg_auteur = '" . $_SESSION['membre_id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // Quota de message envoyé dépassé
        if ( $database->Result ( $req , 'count' ) >= $configuration['nbr_msg'] ) {
            $page_msg = 23;
            include_once ( 'systeme/msg.' . EXT );
        }

        // On vérifie que le sujet existe et qu'on peut y répondre
        $sql = "SELECT msg_auteur,
                       msg_sujet,
                       membre_nom
                FROM " . $database->pref . "messages
                LEFT JOIN " . $database->pref . "membres
                    ON membre_id = msg_auteur
                WHERE msg_id = '" . $_GET['id'] . "'
                AND
                (
                      msg_dest0 = '" . $_SESSION['membre_id'] . "'
                   OR msg_dest1 = '" . $_SESSION['membre_id'] . "'
                   OR msg_dest2 = '" . $_SESSION['membre_id'] . "'
                   OR msg_dest3 = '" . $_SESSION['membre_id'] . "'
                   OR msg_dest4 = '" . $_SESSION['membre_id'] . "'
                );";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) === 0 ) {
            header ( 'Location: index.' . EXT . '?page=Messagerie' );
            die ( -1 );
        }

        $row = $database->ResultArray ( $req );
        $destinataires = $row['membre_nom'];

        // On ne met pas plusieurs "Re :" à la suite
        if ( preg_match ( "#^Re: (.+)$#" , $row['msg_sujet'] ) ) {
            $sujet = $row['msg_sujet'];
        }
        else {
            $sujet = 'Re: ' . $row['msg_sujet'];
        }

        // Traitement du formulaire
        if ( isset ( $_POST['submit'] ) ) {
            $sujet = Deprotege ( $_POST['sujet'] );
            $destinataires = Deprotege ( $_POST['destinataires'] );
            $texte = Deprotege ( $_POST['texte'] );

            if ( empty ( $_POST['sujet'] ) || trim ( $_POST['sujet'] ) == '' || empty ( $_POST['destinataires'] ) || trim ( $_POST['destinataires'] ) == '' || empty ( $_POST['texte'] ) || trim ( $_POST['texte'] ) == '' ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else {
                $sql = "SELECT membre_id
                        FROM " . $database->pref . "membres
                        WHERE membre_nom = '" . $database->Protege ( $_POST['destinataires'] ) . "';";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                if ( $database->NbrRowsSelected ( $req ) === 0 ) {
                    $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . 'Cet utilisateur n\'existe pas.' . "</p>\n\n";
                }
                else if ( $_POST['destinataires'] == $_SESSION['membre'] ) {
                    $page_texte .= '<p><strong>' . $langue['erreur'] . '&nbsp;:</strong> ' . 'Vous ne pouvez pas vous envoyer de messages !' . "</p>\n\n";
                }
                else {
                    $row = $database->ResultArray ( $req );

                    $sql = "INSERT INTO " . $database->pref . "messages
                            (msg_sujet, msg_texte, msg_auteur, msg_dest0, msg_dest1, msg_dest2, msg_dest3, msg_dest4, msg_time, msg_lectures, msg_reponse)
                            VALUES
                            ('" . $database->Protege ( $_POST['sujet'] ) . "', '" . $database->Protege ( $_POST['texte'] ) . "', '" . $_SESSION['membre_id'] . "', '" . $row['membre_id'] . "', '', '', '', '', '" . $time . "', '0', '" . $_GET['id'] . "');";

                    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    $msg_id = $database->LastInsertId ( $req );

                    $sql = "INSERT INTO " . $database->pref . "msg_box
                            (msg_box_msg, msg_box_membre, msg_box_lu)
                            VALUES
                            ('" . $msg_id . "', '" . $_SESSION['membre_id'] . "', '1'),
                            ('" . $msg_id . "', '" . $row['membre_id'] . "', '0');";

                    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    // On regarde si le destinataire doit recevoir un e-mail pour ce nouveau message
                    $sql = "SELECT membre_mail_pm,
                                   membre_email
                            FROM " . $database->pref . "membres
                            WHERE membre_id = '" . $row['membre_id'] . "';";

                    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    if ( $database->NbrRowsSelected ( $req ) > 0 ) {
                        $row = $database->ResultArray ( $req );

                        if ( $row['membre_mail_pm'] == 1 ) {
                            SendEmail ( $_POST['destinataires'] . ' <' . $row['membre_email'] . '>' , $configuration['titre'] . ' <' . $configuration['email'] . '>' , 'Nouveau message privé' , '<h1>' . $configuration['titre'] . "</h1>\n\n<p>Bonjour " . $_POST['destinataires'] . ",<br /><br />\nVous avez reçu un nouveau message privé venant de " . $_SESSION['membre'] . ' et intitulé : <strong>' . $_POST['sujet'] . "</strong>.</p>\n\n<p><a href=\"" . $configuration['adresse'] . 'index.' . EXT . '?page=Messagerie&amp;action=voir&amp;id=' . $msg_id . '">Cliquez-ici</a> pour le lire.</p>' );
                        }
                    }

                    header ( 'Location: index.' . EXT . '?page=Messagerie' );
                    die ( -1 );
                }
            }
        }

        $page_texte .= '<p class="centre"><a href="index.' . EXT . '?page=Messagerie">' . $langue['messagerie_titre'] . "</a></p>\n\n";

        // Ouverture du formulaire
        $form_adresse = 'index.' . EXT . '?page=Messagerie&amp;action=repondre&amp;id=' . $_GET['id'];
        $form_titre = 'Nouveau message';
        $form_sujet = "\n<p class=\"form_input\"><label class=\"form_label\" for=\"id_sujet\">" . $langue['sujet'] . "&nbsp;:</label> <input type=\"text\" id=\"id_sujet\" name=\"sujet\" size=\"60\" maxlength=\"50\" value=\"" . $sujet . "\" /></p>\n";
        $form_sujet .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_destinataires\">" . $langue['destinataires'] . "&nbsp;:</label> <input type=\"text\" id=\"id_destinataires\" name=\"destinataires\" size=\"30\" maxlength=\"104\" value=\"" . $destinataires . "\" /></p><br />\n";

        include ( 'systeme/form_message.' . EXT );

        break;

    // Supprimer un ou plusieurs messages
    case 'supprimer':

        $page_texte .= '<p><a href="index.' . EXT . '?page=Messagerie">' . $langue['messagerie_titre'] . "</a></p>\n\n";

        // Suppression de plusieurs messages
        if ( isset ( $_POST['delete'] ) ) {
            $nbr_msg = 0;
            $nbr_msg_deleted = 0;
            $list_msg = array ();

            foreach ( $_POST as $var => $val ) {
                if ( $var != 'delete' && preg_match ( "#^msg_[0-9]{1,9}$#" , $var ) && $val == 'on' ) {
                    $nbr_msg++;
                    $list_msg[] = preg_replace ( "#^msg_([0-9]{1,9})$#" , "$1" , $var );
                }
            }

            if ( $nbr_msg == 0 ) {
                header ( 'Location: index.' . EXT . '?page=Messagerie' );
                die ( -1 );
            }

            foreach ( $list_msg as $msg ) {
                $sql = "DELETE FROM " . $database->pref . "msg_box
                        WHERE
                                msg_box_membre = '" . $_SESSION['membre_id'] . "'
                            AND msg_box_msg = '" . $msg . "';";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                $nbr_msg_deleted += $database->NbrRowsAffected ( $req );
            }

            $page_texte .= '<p>' . $nbr_msg_deleted . ' ';

            if ( $nbr_msg_deleted <= 1 ) {
                $page_texte .= 'message a été supprimé';
            }
            else {
                $page_texte .= 'messages ont été supprimés';
            }

            $page_texte .= ".</p>\n\n";
        }
        // Suppression d'un message
        else if ( isset ( $_GET['id'] ) && is_numeric ( $_GET['id'] ) && $_GET['id'] > 0 ) {
            $sql = "SELECT COUNT(*) AS count
                    FROM " . $database->pref . "msg_box
                    WHERE
                            msg_box_msg = '" . $_GET['id'] . "'
                        AND msg_box_membre = '" . $_SESSION['membre_id'] . "';";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            // Le message n'existe pas
            if ( $database->NbrRowsSelected ( $req ) === 0 ) {
                header ( 'Location: index.' . EXT . '?page=Messagerie' );
                die ( -1 );
            }

            // Suppression du message de la boite de réception
            $sql = "DELETE FROM " . $database->pref . "msg_box
                    WHERE
                            msg_box_msg = '" . $_GET['id'] . "'
                        AND msg_box_membre = '" . $_SESSION['membre_id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            header ( 'Location: index.' . EXT . '?page=Messagerie' );
            die ( -1 );
        }
        else {
            header ( 'Location: index.' . EXT . '?page=Messagerie' );
            die ( -1 );
        }

        break;
}
?>