<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Titre de la page
$page_titre = $langue['recherche'];
$page_infos = $langue['recherche'];

////////////////////
// Champs du formulaire
////////////////////

$dtitre = 0;
$dtexte = 1;
$dforum = 0;
$dnews = 0;

$auteur = '';
$r_compteur = '';

$selected_auteur_est = '';
$selected_auteur_pas = '';
$selected_auteur_contient = '';

$selected_compteur_sup = '';
$selected_compteur_inf = '';
$selected_compteur_est = '';

$selected_langue = $configuration['langue'];

////////////////////
// Traitement des données
////////////////////

if ( isset ( $_POST['expression'] ) ) {
    $dtitre = ( isset ( $_POST['dtitre'] ) ) ? 1 : 0;
    $dtexte = ( isset ( $_POST['dtexte'] ) ) ? 1 : 0;
    $dforum = ( isset ( $_POST['dforum'] ) ) ? 1 : 0;
    $dnews = ( isset ( $_POST['dnews'] ) ) ? 1 : 0;

    $auteur = ( isset ( $_POST['auteur'] ) ) ? $_POST['auteur'] : '';
    $r_compteur = ( isset ( $_POST['compteur'] ) ) ? $_POST['compteur'] : '';

    if ( isset ( $_POST['auteur_op'] ) ) {
        $selected_auteur_est = ( $_POST['auteur_op'] == 'est' ) ? ' selected="selected"' : '';
        $selected_auteur_pas = ( $_POST['auteur_op'] == 'pas' ) ? ' selected="selected"' : '';
        $selected_auteur_contient = ( $_POST['auteur_op'] == 'contient' ) ? ' selected="selected"' : '';
    }

    if ( isset ( $_POST['compteur_op'] ) ) {
        $selected_compteur_sup = ( $_POST['compteur_op'] == 'sup' ) ? ' selected="selected"' : '';
        $selected_compteur_inf = ( $_POST['compteur_op'] == 'inf' ) ? ' selected="selected"' : '';
        $selected_compteur_est = ( $_POST['compteur_op'] == 'est' ) ? ' selected="selected"' : '';
    }

    $selected_langue = ( isset ( $_POST['slangue'] ) ) ? $_POST['slangue'] : '';

    if ( !empty ( $_POST['expression'] ) ) {
        $regex = $database->Protege ( $_POST['expression'] );
        $regex = preg_replace ( "#\*#" , "(.+)" , $regex );
        $regex = preg_replace ( "#\?#" , "(.{1})" , $regex );

        $sql_add = '';

        if ( !empty ( $auteur ) ) {
            switch ( $_POST['auteur_op'] ) {
                case 'est':
                    $sql_add .= " AND `article_auteur` = '" . $auteur . "'";
                    break;

                case 'pas':
                    $sql_add .= " AND `article_auteur` <> '" . $auteur . "'";
                    break;

                case 'contient':
                    $auteur_regex = preg_replace ( "#\*#" , "(.+)" , $auteur );
                    $auteur_regex = preg_replace ( "#\?#" , "(.{1})" , $auteur_regex );

                    $sql_add .= " AND `article_auteur` REGEXP '" . $auteur_regex . "'";
                    break;
            }
        }

        if ( !empty ( $r_compteur ) ) {
            switch ($_POST['compteur_op']) {
                case 'inf':
                    $sql_add .= " AND `article_compteur` < '" . $r_compteur . "'";
                    break;

                case 'sup':
                    $sql_add .= " AND `article_compteur` > '" . $r_compteur . "'";
                    break;

                case 'est':
                    $sql_add .= " AND `article_compteur` = '" . $r_compteur . "'";
                    break;
            }
        }

        if ( !empty ( $_POST['slangue'] ) ) {
            $sql_add .= " AND `article_langue` = '" . $_POST['slangue'] . "'";
        }

        $page_texte .= '<p><small>Pour la requête <q>' . $_POST['expression'] . "</q></small></p>\n\n";

        if ( $dtitre == 1 ) {
            $page_texte .= "<fieldset>\n<legend>Recherche dans les titres</legend>\n\n<ul>\n";

            $sql = "SELECT `article_titre`,
                           `article_id`
                    FROM `" . $database->pref . "article_article`
                    WHERE `article_titre` REGEXP '" . $regex . "'" . $sql_add . "
                    ORDER BY `article_modification` DESC;";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            if ( $database->NbrRowsSelected ( $req ) > 0 ) {
                while ( $row = $database->ResultArray ( $req ) ) {
                    $titre_tmp = preg_replace ( "#(" . str_replace ( '*' , '\*' , $_POST['expression'] ) . "+)#U" , "<strong>$1</strong>" , $row['article_titre'] );

                    if ( empty ( $titre_tmp ) || trim ( $titre_tmp ) == '' ) {
                        $titre_tmp = $row['article_titre'];
                    }

                    $page_texte .= '  <li><a href="index.' . EXT . '?page=Article&amp;id=' . $row['article_id']. '">' . $titre_tmp . "</a></li>\n";
                }
            }
            else {
                $page_texte .= "  <li>Aucun résultat</li>\n";
            }

            $page_texte .= "</ul>\n\n</fieldset>\n\n";
        }

        if ( $dtexte == 1 ) {
            $page_texte .= "<fieldset>\n<legend>Recherche dans les textes</legend>\n\n<ul>\n";
            $page_texte_tmp = "";

            $sql = "SELECT `article_titre`,
                           `article_id`
                    FROM `" . $database->pref . "article_article`
                    WHERE `article_texte` REGEXP '" . $regex . "'" . $sql_add . "
                    ORDER BY `article_modification` DESC;";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            if ( mysql_num_rows ( $req ) > 0 ) {
                while ( $row = $database->ResultArray ( $req ) ) {
                    if ( $row['article_titre'] == ucwords ( $_POST['expression'] ) ) {
                        $page_texte .= '  <li><strong><a href="index.' . EXT . '?page=Article&amp;id=' . $row['article_id'] . '">' . $row['article_titre'] . "</a></strong></li>\n";
                    }
                    else {
                        $page_texte .= '  <li><a href="index.' . EXT . '?page=Article&amp;id=' . $row['article_id'] . '">' . $row['article_titre'] . "</a></li>\n";
                    }
                }
            }
            else {
                $page_texte .= "  <li>Aucun résultat</li>\n";
            }

            $page_texte .= "</ul>\n\n</fieldset>\n\n";
        }

        if ( $dforum == 1 ) {
            $page_texte .= "<fieldset>\n<legend>Recherche dans les messages des forums</legend>\n\n<ul>\n\n";

            $sujet_actuel = 0;

            $sql = "SELECT `membre_nom`,
                           `sujet_id`,
                           `forum_msg_id`,
                           `forum_msg_time`,
                           `forum_msg_auteur`,
                           `sujet_titre`
                    FROM `" . $database->pref . "forum_msg`
                    LEFT JOIN `" . $database->pref . "forum_sujet`
                        ON `sujet_id` = `forum_msg_sujet`
                    LEFT JOIN `" . $database->pref . "membres`
                        ON `membre_id` = `forum_msg_auteur`
                    WHERE `forum_msg_texte` REGEXP '" . $regex . "'" . $sql_add . "
                    ORDER BY `forum_msg_sujet` ASC;";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            if ( $database->NbrRowsSelected ( $req ) > 0 ) {
                while ( $row = $database->ResultArray ( $req ) ) {
                    if ( $sujet_actuel == $row['sujet_id'] ) {
                        $page_texte .= '    <li>';
                        $page_texte .= ( $row['forum_msg_auteur'] == 0 ) ? 'Anonyme' : '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['forum_msg_auteur'] . "\" title=\"" . $langue['view_fiche'] . $row['membre_nom'] . '">' . $row['membre_nom'] . '</a>';
                        $page_texte .= ' le <a href="index.' . EXT . '?page=Sujets&amp;msg=' . $row['forum_msg_id'] . '">' . date ( $configuration['format_date'] , $row['forum_msg_time'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['forum_msg_time'] ) . "</a></li>\n";
                    }
                    else {
                        if ( isset ( $plusieurs ) ) $page_texte .= "  </ul>\n  </li>\n\n";

                        $page_texte .= '  <li><a href="index.' . EXT . '?page=Sujets&id=' . $row['sujet_id'] . '">' . $row['sujet_titre'] . "</a> :\n  <ul>\n";
                        $page_texte .= '    <li>';
                        $page_texte .= ( $row['forum_msg_auteur'] == 0 ) ? 'Anonyme' : '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['forum_msg_auteur'] . '">' . $row['membre_nom'] . '</a>';
                        $page_texte .= ' le <a href="index.' . EXT . '?page=Sujets&msg=' . $row['forum_msg_id'] . '">' . date ( $configuration['format_date'] , $row['forum_msg_time'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['forum_msg_time'] ) . "</a></li>\n";

                        $sujet_actuel = $row['sujet_id'];
                        $plusieurs = 0;
                    }
                }
                
                $page_texte .= "  </ul>\n</li>\n\n";
            }
            else {
                $page_texte .= "  <li>Aucun résultat</li>\n";
            }

            $page_texte .= "</ul>\n\n</fieldset>\n\n";
        }

        if ( $dnews == 1 ) {
            $page_texte .= "<fieldset>\n<legend>Recherche dans les news</legend>\n\n<ul>\n";

            $news_actuelle = 0;

            $sql = "SELECT `news_id`,
                           `news_titre`
                    FROM `" . $database->pref . "news`
                    WHERE `news_texte` REGEXP '" . $regex . "'" . $sql_add . "
                    ORDER BY `news_time` ASC;";

            $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

            if ( $database->NbrRowsSelected ( $req ) > 0 ) {
                while ( $row = $database->ResultArray ( $req ) ) {
                    $page_texte .= '  <li><a href="index.' . EXT . '?page=News&amp;id=' . $row['news_id'] . '">' . $row['news_titre'] . "</a></li>\n";
                }
            }
            else {
                $page_texte .= "  <li>Aucun résultat</li>\n";
            }

            $page_texte .= "</ul>\n\n</fieldset>\n\n";
        }
    }
}

////////////////////
// Affichage du formulaire de recherche
////////////////////

$page_texte .= '<form action="index.' . EXT . '?page=Recherche" title="' . $langue['recherche'] . "\" method=\"post\">

<fieldset>
<legend>" . $langue['recherche'] . "</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_expression\">Expression&nbsp;:</label><input name=\"expression\" id=\"id_expression\" value=\"" . $exp . "\" size=\"40\" type=\"text\" /></p>

</fieldset>

<fieldset>
<legend>Localisation</legend>

<p class=\"form_input\"><input type=\"checkbox\" name=\"dtitre\" id=\"id_dtitre\"";
if ( $dtitre == 1 ) $page_texte .= ' checked="checked"';
$page_texte .= " /> <label for=\"id_dtitre\">Dans les titres des articles</label></p>

<p class=\"form_input\"><input type=\"checkbox\" name=\"dtexte\" id=\"id_dtexte\"";
if ( $dtexte == 1 ) $page_texte .= ' checked="checked"';
$page_texte .= " /> <label for=\"id_dtexte\">Dans les textes des articles</label></p>

<p class=\"form_input\"><input type=\"checkbox\" name=\"dforum\" id=\"id_dforum\"";
if ( $dforum == 1 ) $page_texte .= ' checked="checked"';
$page_texte .= " /> <label for=\"id_dforum\">Dans les messages des forums</label></p>

<p class=\"form_input\"><input type=\"checkbox\" name=\"dnews\" id=\"id_dnews\"";
if ( $dnews == 1 ) $page_texte .= ' checked="checked"';
$page_texte .= " /> <label for=\"id_dnews\">Dans les news</label></p>

</fieldset>

<fieldset>
<legend>Paramètres avancée</legend>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_auteur\">Auteur&nbsp;:</label>
<select name=\"auteur_op\" id=\"id_auteur_op\">
<option value=\"est\"" . $selected_auteur_est . ">est</option>
<option value=\"pas\"" . $selected_auteur_pas . ">n'est pas</option>
<option value=\"contient\"" . $selected_auteur_contient . ">contient</option>
</select> <input name=\"auteur\" id=\"id_auteur\" value=\"" . $auteur . "\" size=\"35\" type=\"text\" /></p>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_compteur\">Compteur&nbsp;:</label>
<select name=\"compteur_op\" id=\"id_compteur_op\">
<option value=\"sup\"" . $selected_compteur_sup . ">est supérieur à</option>
<option value=\"inf\"" . $selected_compteur_inf . ">est inférieur à</option>
<option value=\"est\"" . $selected_compteur_est . ">est égal à</option>
</select> <input name=\"compteur\" id=\"id_compteur\" value=\"" . $r_compteur . "\" size=\"35\" type=\"text\" /></p>

<p class=\"form_input\"><label class=\"form_label\" for=\"id_langue\">" . $langue['langue'] . "&nbsp;:</label>
<select name=\"slangue\" id=\"id_langue\">
  <option value=\"\"";

if ( $selected_langue == '' ) {
    $page_texte .= ' selected="selected"';
}

$page_texte .= '>Toutes</option>';
$page_texte .= $site->FormSelect ( $langues , $selected_langue ) . "
</select></p>

</fieldset>

<p class=\"centre\"><input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['rechercher'] . "\" /></p>

</form>\n";
?>