<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Droits d'administration
if ( $droit['administration'] == 0 ) {
    $page_msg = 2;
    include_once ( 'systeme/msg.' . EXT );
}

// Titre de la page
$page_titre = 'Réponses automatiques';
$page_infos = 'Gestion des réponses automatiques';

if ( isset ( $_GET['action'] ) ) {
    $action = $_GET['action'];
}
else {
    $action = '';
}

switch ( $action ) {
    // Page principale
    default:
        // Haut du tableau
        $page_texte .= "<table>\n\n<thead>\n<tr>\n";
        $page_texte .= '  <th class="autorep_nom">Nom' . "</th>\n";
        $page_texte .= '  <th class="autorep_actions">Actions' . "</th>\n";
        $page_texte .= "</tr>\n</thead>\n\n<tbody>\n";

        $sql = "SELECT `autorep_nom`,
                       `autorep_id`
                FROM `" . $database->pref . "forum_autorep`
                ORDER BY `autorep_nom` ASC;";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) > 0 ) {
            while ( $row = $database->ResultArray ( $req ) ) {
                $page_texte .= "<tr>\n";
                $page_texte .= '  <td><a href="index.' . EXT . '?page=Reponse_automatique&amp;action=editer&amp;id=' . $row['autorep_id'] . '">' . $row['autorep_nom'] . "</a></td>\n";
                $page_texte .= '  <td class="centre"><a href="index.' . EXT . '?page=Reponse_automatique&amp;action=editer&amp;id=' . $row['autorep_id'] . '">Éditer</a> - <a href="index.' . EXT . '?page=Reponse_automatique&amp;action=supprimer&amp;id=' . $row['autorep_id'] . '">Supprimer</a>' . "</td>\n";
                $page_texte .= "</tr>\n";
            }
        }
        else {
            $page_texte .= "<tr>\n  <td colspan=\"2\">Il n'y a aucune réponse automatique de définie.</td>\n</tr>\n";
        }

        $page_texte .= "<tr>\n  <td colspan=\"2\"><a href=\"index." . EXT . '?page=Reponse_automatique&amp;action=new">Nouvelle réponse automatique' . "</a></td>\n</tr>\n";

        // Bas du tableau
        $page_texte .= "</tbody>\n\n</table>\n\n";

        break;

    // Nouvelle réponse automatique
    case 'new':

        $page_texte .= "<p><a href=\"index." . EXT . "?page=Reponse_automatique\" title=\"Gestion des réponses automatiques\">Gestion des réponses automatiques</a></p>\n\n";

        $form_champ_nom = '';
        $form_champ_sujet = '%s';
        $form_champ_texte = '';

        // Traitement du formulaire
        if ( isset ( $_POST['submit'] ) ) {
            $form_champ_nom = $_POST['nom'];
            $form_champ_sujet = $_POST['sujet'];
            $form_champ_texte = $_POST['texte'];

            if ( empty ( $_POST['nom'] ) || empty ( $_POST['texte'] ) ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else {
                // On regarde si une réponse automatique porte ce nom
                $sql = "SELECT COUNT(*) AS `count`
                        FROM `" . $database->pref . "forum_autorep`
                        WHERE `autorep_nom` = '" . $database->Protege ( $_POST['nom'] ) . "';";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                if ( $database->Result ( $req , 'count' ) > 0 ) {
                    $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: Une réponse automatique porte déjà ce nom.' . "</p>\n\n";
                }
                else {
                    if ( isset ( $_POST['epingle'] ) ) {
                        $epingle = 1;
                    }
                    else {
                        $epingle = 0;
                    }

                    if ( isset ( $_POST['ferme'] ) ) {
                        $ferme = 1;
                    }
                    else {
                        $ferme = 0;
                    }

                    $sql = "INSERT INTO `" . $database->pref . "forum_autorep`
                            (`autorep_nom`, `autorep_texte`, `autorep_ferme`, `autorep_epingle`, `autorep_sujet`)
                            VALUES
                            ('" . $database->Protege ( $_POST['nom'] ) . "', '" . $database->Protege ( $_POST['texte'] ) . "', '" . $ferme . "', '" . $epingle . "', '" . $database->Protege ( $_POST['sujet'] ) . "');";

                    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    header ( 'Location: index.' . EXT . '?page=Reponse_automatique' );
                    die ( -1 );
                }
            }
        }


        $page_texte .= '<form action="index.' . EXT . "?page=Reponse_automatique&amp;action=new\" method=\"post\" title=\"Nouvelle réponse automatique\">\n\n";
        $page_texte .= "<fieldset>\n<legend>Nouvelle réponse automatique</legend>\n\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_nom\">Nom&nbsp;:</label> <input type=\"text\" name=\"nom\" id=\"id_nom\" value=\"" . $form_champ_nom . "\" size=\"40\" /></p>\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_sujet\">Modifier le titre du sujet&nbsp;:</label> <input type=\"text\" name=\"sujet\" id=\"id_sujet\" value=\"" . $form_champ_sujet . "\" size=\"40\" /> <small>Utiliser %s pour afficher le titre original du sujet.</small></p>\n";
        $page_texte .= "<p class=\"form_input\"><input type=\"checkbox\" name=\"ferme\" id=\"id_ferme\" /> <label for=\"id_ferme\">Fermer le sujet</label></p>\n";
        $page_texte .= "<p class=\"form_input\"><input type=\"checkbox\" name=\"epingle\" id=\"id_epingle\" /> <label for=\"id_epingle\">Épingler le sujet</label></p>\n";

        $page_texte .= "</fieldset>\n\n<fieldset>\n<legend>Texte du message</legend>\n\n";

        $page_texte .= "<span class=\"boutons\">
  <img src=\"themes/" . $configuration['style'] . "/images/form_gras.png\" alt=\"Gras\" title=\"Gras\" onclick=\"balise('<gras>','</gras>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_italique.png\" alt=\"Italique\" title=\"Italique\" onclick=\"balise('<italique>','</italique>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_souligne.png\" alt=\"Souligné\" title=\"Souligné\" onclick=\"balise('<souligne>','</souligne>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_barre.png\" alt=\"Barré\" title=\"Barré\" onclick=\"balise('<barre>','</barre>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_citation.png\" alt=\"Guillemets\" title=\"Guillemets\" onclick=\"javascript:balise('«&nbsp;','&nbsp;»');preview();\" class=\"bouton\" />
</span>

<span class=\"boutons\">
  <img src=\"themes/" . $configuration['style'] . "/images/form_liste.png\" alt=\"Liste à puces\" title=\"Liste à puces\" onclick=\"ajoute_liste()\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_citation.png\" alt=\"Citation\" title=\"Citation\" onclick=\"ajoute_balise('citation','nom','Veuillez indiquer l\'auteur de la citation', '')\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_image.png\" alt=\"Image\" title=\"Image\" onclick=\"balise('<image>','</image>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_lien.png\" alt=\"Lien\" title=\"Lien\" onclick=\"ajoute_balise('lien','titre','Veuillez indiquer l\'adresse du lien', 'balise')\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_mail.png\" alt=\"E-mail\" title=\"E-mail\" onclick=\"ajoute_balise('email','nom','Veuillez indiquer l\'adresse email', 'balise')\" class=\"bouton\" />
</span>

<span class=\"boutons\">
  <img src=\"themes/" . $configuration['style'] . "/images/icone_info.png\" alt=\"Information\" title=\"Information\" onclick=\"balise('<information>','</information>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/icone_attention.png\" alt=\"Attention\" title=\"Attention\" onclick=\"balise('<attention>','</attention>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/icone_erreur.png\" alt=\"Erreur\" title=\"Erreur\" onclick=\"balise('<erreur>','</erreur>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/icone_question.png\" alt=\"Question\" title=\"Question\" onclick=\"balise('<question>','</question>');preview();\" class=\"bouton\" />
</span>

<br />

<span class=\"boutons\">
  <small>Smilies :</small>
  <img src=\"themes/commun/images/smilies/01.png\" title=\":)\" alt=\":)\" onclick=\"balise( ':)' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/02.png\" title=\":D\" alt=\":D\" onclick=\"balise( ':D' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/03.png\" title=\";)\" alt=\";)\" onclick=\"balise( ';)' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/04.png\" title=\":p\" alt=\":p\" onclick=\"balise( ':p' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/05.gif\" title=\":lol:\" alt=\":lol:\" onclick=\"balise( ':lol:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/06.gif\" title=\":euh:\" alt=\":euh:\" onclick=\"balise( ':euh:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/07.png\" title=\":(\" alt=\":(\" onclick=\"balise( ':(' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/08.png\" title=\":o\" alt=\":o\" onclick=\"balise( ':o' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/09.png\" title=\":colere:\" alt=\":colere:\" onclick=\"balise( ':colere:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/10.gif\" title=\"o_O\" alt=\"o_O\" onclick=\"balise( 'o_O' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/11.png\" title=\"^^\" alt=\"^^\" onclick=\"balise( '^^' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/12.png\" title=\":-°\" alt=\":-°\" onclick=\"balise( ':-°' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/13.png\" title=\":'(\" alt=\":'(\" onclick=\"balise( ':\'(' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/14.png\" title=\">_<\" alt=\">_<\" onclick=\"balise( '>_<' ,'');preview();\" class=\"bouton\" />
</span>

<br />

<span class=\"cleaner\">

  <select id=\"code_texte\" onchange=\"add_bal('code','type','code_texte')\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Code</option>
    <option value=\"html4strict\">(x)HTML</option>
    <option value=\"css\">CSS</option>
    <option value=\"xml\">XML</option>
    <option value=\"php\">PHP</option>
    <option value=\"mysql\">MySQL</option>
    <option value=\"c\">C</option>
    <option value=\"cpp\">C++</option>
    <option value=\"\">Autres</option>
  </select>

  <select id=\"position_texte\" onchange=\"add_bal('position','valeur','position_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Position</option>
    <option value=\"justifie\">Justifié</option>
    <option value=\"gauche\">À gauche</option>
    <option value=\"centre\" class=\"centre\">Centré</option>
    <option value=\"droite\" class=\"droite\">À droite</option>
  </select>

  <select id=\"flottant_texte\" onchange=\"add_bal('flottant','valeur','flottant_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Flottant</option>
    <option value=\"gauche\">À gauche</option>
    <option value=\"droite\" class=\"droite\">À droite</option>
  </select>

  <select id=\"taille_texte\" onchange=\"add_bal('taille','valeur','taille_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Taille</option>
    <option value=\"ttpetit\">Très très petit</option>
    <option value=\"tpetit\">Très petit</option>
    <option value=\"petit\">Petit</option>
    <option value=\"gros\">Gros</option>
    <option value=\"tgros\">Très gros</option>
    <option value=\"ttgros\">Très très gros</option>
  </select>

  <select id=\"couleur_texte\" onchange=\"add_bal('couleur','nom','couleur_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Couleur</option>
    <option value=\"rose\" class=\"rose\">rose</option>
    <option value=\"rouge\" class=\"rouge\">rouge</option>
    <option value=\"orange\" class=\"orange\">orange</option>
    <option value=\"jaune\" class=\"jaune\">jaune</option>
    <option value=\"vertc\" class=\"vertc\">vert clair</option>
    <option value=\"vertf\" class=\"vertf\">vert foncé</option>
    <option value=\"olive\" class=\"olive\">olive</option>
    <option value=\"turquoise\" class=\"turquoise\">turquoise</option>
    <option value=\"bleugris\" class=\"bleugris\">bleu-gris</option>
    <option value=\"bleu\" class=\"bleu\">bleu</option>
    <option value=\"marine\" class=\"marine\">marine</option>
    <option value=\"violet\" class=\"violet\">violet</option>
    <option value=\"marron\" class=\"marron\">marron</option>
    <option value=\"noir\" class=\"noir\">noir</option>
    <option value=\"gris\" class=\"gris\">gris</option>
    <option value=\"argent\" class=\"argent\">argent</option>
    <option value=\"blanc\" class=\"blanc\">blanc</option>
  </select>

  <select id=\"police_texte\" onchange=\"add_bal('police','nom','police_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Police</option>
    <option value=\"arial\" class=\"arial\">arial</option>
    <option value=\"times\" class=\"times\">times</option>
    <option value=\"courrier\" class=\"courrier\">courrier</option>
    <option value=\"impact\" class=\"impact\">impact</option>
    <option value=\"geneva\" class=\"geneva\">geneva</option>
    <option value=\"optima\" class=\"optima\">optima</option>
  </select>

  <select id=\"semantique_texte\" onchange=\"balise('&lt;'+this.value+'&gt;','&lt;/'+this.value+'&gt;');preview();this.options[0].selected=true;\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Sémantique</option>
    <option value=\"titre2\">Titre 2</option>
    <option value=\"titre3\">Titre 3</option>
  </select>
</span>

<div class=\"formulaire\">
  <textarea onselect=\"storeCaret();\" onclick=\"storeCaret();preview();\" onkeyup=\"storeCaret();preview();\" name=\"texte\" id=\"texte\" rows=\"10\">" . $form_champ_texte . "</textarea>
  <div id=\"preview_texte\" class=\"preview\"></div>
</div>";

        $page_texte .= "</fieldset>\n\n";
        $page_texte .= "<p class=\"centre\"><input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" /></p>\n\n";
        $page_texte .= "</form>\n\n";

        break;

    // Éditer une réponse automatique
    case 'editer':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 ) {
            header ( 'Location: index.' . EXT . '?page=Reponse_automatique' );
            die ( -1 );
        }

        $page_texte .= '<p><a href="index.' . EXT . "?page=Reponse_automatique\" title=\"Gestion des réponses automatiques\">Gestion des réponses automatiques</a></p>\n\n";

        $sql = "SELECT `autorep_nom`,
                       `autorep_sujet`,
                       `autorep_texte`,
                       `autorep_epingle`,
                       `autorep_ferme`
                FROM `" . $database->pref . "forum_autorep`
                WHERE `autorep_id` = '" . $_GET['id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        if ( $database->NbrRowsSelected ( $req ) === 0 ) {
            header ( 'Location: index.' . EXT . '?page=Reponse_automatique' );
            die ( -1 );
        }

        $row = $database->ResultArray ( $req );

        $form_champ_nom = $row['autorep_nom'];
        $form_champ_sujet = $row['autorep_sujet'];
        $form_champ_texte = $row['autorep_texte'];
        $form_champ_epingle = $row['autorep_epingle'];
        $form_champ_ferme = $row['autorep_ferme'];

        // Traitement du formulaire
        if ( isset ( $_POST['submit'] ) ) {
            $form_champ_nom = $_POST['nom'];
            $form_champ_sujet = $_POST['sujet'];
            $form_champ_texte = $_POST['texte'];
            $form_champ_epingle = ( isset ( $_POST['epingle'] ) ) ? 1 : 0;
            $form_champ_ferme = ( isset ( $_POST['ferme'] ) ) ? 1 : 0;

            if ( empty ( $_POST['nom'] ) || empty ( $_POST['texte'] ) ) {
                $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: ' . $langue['err_oblig'] . "</p>\n\n";
            }
            else {
                // On regarde si une réponse automatique porte ce nom
                $sql = "SELECT COUNT(*) AS `count`
                        FROM `" . $database->pref . "forum_autorep`
                        WHERE
                                `autorep_nom` = '" . $database->Protege ( $_POST['nom'] ) . "'
                            AND `autorep_id` <> '" . $_GET['id'] . "';";

                $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                if ( $database->Result ( $req , 'count' ) > 0 ) {
                    $page_texte .= '<p><strong>' . $langue['erreur'] . '</strong>&nbsp;: Une réponse automatique porte déjà ce nom.' . "</p>\n\n";
                }
                else {
                    $sql = "UPDATE `" . $database->pref . "forum_autorep`
                            SET `autorep_nom` = '" . $database->Protege ( $_POST['nom'] ) . "',
                                `autorep_texte` = '" . $database->Protege ( $_POST['texte'] ) . "',
                                `autorep_ferme` = '" . $form_champ_ferme . "',
                                `autorep_epingle` = '" . $form_champ_epingle . "',
                                `autorep_sujet` = '" . $database->Protege ( $_POST['sujet'] ) . "'
                            WHERE `autorep_id` = '" . $_GET['id'] . "';";

                    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

                    header ( 'Location: index.' . EXT . '?page=Reponse_automatique' );
                    die ( -1 );
                }
            }
        }


        $page_texte .= '<form action="index.' . EXT . "?page=Reponse_automatique&amp;action=editer&amp;id=" . $_GET['id'] . "\" method=\"post\" title=\"Nouvelle réponse automatique\">\n\n";
        $page_texte .= "<fieldset>\n<legend>Nouvelle réponse automatique</legend>\n\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_nom\">Nom&nbsp;:</label> <input type=\"text\" name=\"nom\" id=\"id_nom\" value=\"" . $form_champ_nom . "\" size=\"40\" /></p>\n";
        $page_texte .= "<p class=\"form_input\"><label class=\"form_label\" for=\"id_sujet\">Modifier le titre du sujet&nbsp;:</label> <input type=\"text\" name=\"sujet\" id=\"id_sujet\" value=\"" . $form_champ_sujet . "\" size=\"40\" /> <small>Utiliser %s pour afficher le titre original du sujet.</small></p>\n";
        $page_texte .= "<p class=\"form_input\"><input type=\"checkbox\" name=\"ferme\" id=\"id_ferme\"";

        if ( $form_champ_ferme == 1 ) {
            $page_texte .= ' checked="checked"';
        }

        $page_texte .= " /> <label for=\"id_ferme\">Fermer le sujet</label></p>\n";
        $page_texte .= "<p class=\"form_input\"><input type=\"checkbox\" name=\"epingle\" id=\"id_epingle\"";

        if ( $form_champ_epingle == 1 ) {
            $page_texte .= ' checked="checked"';
        }

        $page_texte .= " /> <label for=\"id_epingle\">Épingler le sujet</label></p>\n";

        $page_texte .= "</fieldset>\n\n<fieldset>\n<legend>Texte du message</legend>\n\n";

        $page_texte .= "<span class=\"boutons\">
  <img src=\"themes/" . $configuration['style'] . "/images/form_gras.png\" alt=\"Gras\" title=\"Gras\" onclick=\"balise('<gras>','</gras>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_italique.png\" alt=\"Italique\" title=\"Italique\" onclick=\"balise('<italique>','</italique>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_souligne.png\" alt=\"Souligné\" title=\"Souligné\" onclick=\"balise('<souligne>','</souligne>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_barre.png\" alt=\"Barré\" title=\"Barré\" onclick=\"balise('<barre>','</barre>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_citation.png\" alt=\"Guillemets\" title=\"Guillemets\" onclick=\"javascript:balise('«&nbsp;','&nbsp;»');preview();\" class=\"bouton\" />
</span>

<span class=\"boutons\">
  <img src=\"themes/" . $configuration['style'] . "/images/form_liste.png\" alt=\"Liste à puces\" title=\"Liste à puces\" onclick=\"ajoute_liste()\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_citation.png\" alt=\"Citation\" title=\"Citation\" onclick=\"ajoute_balise('citation','nom','Veuillez indiquer l\'auteur de la citation', '')\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_image.png\" alt=\"Image\" title=\"Image\" onclick=\"balise('<image>','</image>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_lien.png\" alt=\"Lien\" title=\"Lien\" onclick=\"ajoute_balise('lien','titre','Veuillez indiquer l\'adresse du lien', 'balise')\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/form_mail.png\" alt=\"E-mail\" title=\"E-mail\" onclick=\"ajoute_balise('email','nom','Veuillez indiquer l\'adresse email', 'balise')\" class=\"bouton\" />
</span>

<span class=\"boutons\">
  <img src=\"themes/" . $configuration['style'] . "/images/icone_info.png\" alt=\"Information\" title=\"Information\" onclick=\"balise('<information>','</information>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/icone_attention.png\" alt=\"Attention\" title=\"Attention\" onclick=\"balise('<attention>','</attention>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/icone_erreur.png\" alt=\"Erreur\" title=\"Erreur\" onclick=\"balise('<erreur>','</erreur>');preview();\" class=\"bouton\" />
  <img src=\"themes/" . $configuration['style'] . "/images/icone_question.png\" alt=\"Question\" title=\"Question\" onclick=\"balise('<question>','</question>');preview();\" class=\"bouton\" />
</span>

<br />

<span class=\"boutons\">
  <small>Smilies :</small>
  <img src=\"themes/commun/images/smilies/01.png\" title=\":)\" alt=\":)\" onclick=\"balise( ':)' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/02.png\" title=\":D\" alt=\":D\" onclick=\"balise( ':D' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/03.png\" title=\";)\" alt=\";)\" onclick=\"balise( ';)' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/04.png\" title=\":p\" alt=\":p\" onclick=\"balise( ':p' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/05.gif\" title=\":lol:\" alt=\":lol:\" onclick=\"balise( ':lol:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/06.gif\" title=\":euh:\" alt=\":euh:\" onclick=\"balise( ':euh:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/07.png\" title=\":(\" alt=\":(\" onclick=\"balise( ':(' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/08.png\" title=\":o\" alt=\":o\" onclick=\"balise( ':o' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/09.png\" title=\":colere:\" alt=\":colere:\" onclick=\"balise( ':colere:' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/10.gif\" title=\"o_O\" alt=\"o_O\" onclick=\"balise( 'o_O' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/11.png\" title=\"^^\" alt=\"^^\" onclick=\"balise( '^^' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/12.png\" title=\":-°\" alt=\":-°\" onclick=\"balise( ':-°' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/13.png\" title=\":'(\" alt=\":'(\" onclick=\"balise( ':\'(' ,'');preview();\" class=\"bouton\" />
  <img src=\"themes/commun/images/smilies/14.png\" title=\">_<\" alt=\">_<\" onclick=\"balise( '>_<' ,'');preview();\" class=\"bouton\" />
</span>

<br />

<span class=\"cleaner\">

  <select id=\"code_texte\" onchange=\"add_bal('code','type','code_texte')\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Code</option>
    <option value=\"html4strict\">(x)HTML</option>
    <option value=\"css\">CSS</option>
    <option value=\"xml\">XML</option>
    <option value=\"php\">PHP</option>
    <option value=\"mysql\">MySQL</option>
    <option value=\"c\">C</option>
    <option value=\"cpp\">C++</option>
    <option value=\"\">Autres</option>
  </select>

  <select id=\"position_texte\" onchange=\"add_bal('position','valeur','position_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Position</option>
    <option value=\"justifie\">Justifié</option>
    <option value=\"gauche\">À gauche</option>
    <option value=\"centre\" class=\"centre\">Centré</option>
    <option value=\"droite\" class=\"droite\">À droite</option>
  </select>

  <select id=\"flottant_texte\" onchange=\"add_bal('flottant','valeur','flottant_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Flottant</option>
    <option value=\"gauche\">À gauche</option>
    <option value=\"droite\" class=\"droite\">À droite</option>
  </select>

  <select id=\"taille_texte\" onchange=\"add_bal('taille','valeur','taille_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Taille</option>
    <option value=\"ttpetit\">Très très petit</option>
    <option value=\"tpetit\">Très petit</option>
    <option value=\"petit\">Petit</option>
    <option value=\"gros\">Gros</option>
    <option value=\"tgros\">Très gros</option>
    <option value=\"ttgros\">Très très gros</option>
  </select>

  <select id=\"couleur_texte\" onchange=\"add_bal('couleur','nom','couleur_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Couleur</option>
    <option value=\"rose\" class=\"rose\">rose</option>
    <option value=\"rouge\" class=\"rouge\">rouge</option>
    <option value=\"orange\" class=\"orange\">orange</option>
    <option value=\"jaune\" class=\"jaune\">jaune</option>
    <option value=\"vertc\" class=\"vertc\">vert clair</option>
    <option value=\"vertf\" class=\"vertf\">vert foncé</option>
    <option value=\"olive\" class=\"olive\">olive</option>
    <option value=\"turquoise\" class=\"turquoise\">turquoise</option>
    <option value=\"bleugris\" class=\"bleugris\">bleu-gris</option>
    <option value=\"bleu\" class=\"bleu\">bleu</option>
    <option value=\"marine\" class=\"marine\">marine</option>
    <option value=\"violet\" class=\"violet\">violet</option>
    <option value=\"marron\" class=\"marron\">marron</option>
    <option value=\"noir\" class=\"noir\">noir</option>
    <option value=\"gris\" class=\"gris\">gris</option>
    <option value=\"argent\" class=\"argent\">argent</option>
    <option value=\"blanc\" class=\"blanc\">blanc</option>
  </select>

  <select id=\"police_texte\" onchange=\"add_bal('police','nom','police_texte');\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Police</option>
    <option value=\"arial\" class=\"arial\">arial</option>
    <option value=\"times\" class=\"times\">times</option>
    <option value=\"courrier\" class=\"courrier\">courrier</option>
    <option value=\"impact\" class=\"impact\">impact</option>
    <option value=\"geneva\" class=\"geneva\">geneva</option>
    <option value=\"optima\" class=\"optima\">optima</option>
  </select>

  <select id=\"semantique_texte\" onchange=\"balise('&lt;'+this.value+'&gt;','&lt;/'+this.value+'&gt;');preview();this.options[0].selected=true;\">
    <option class=\"opt_titre\" selected=\"selected\" disabled=\"disabled\">Sémantique</option>
    <option value=\"titre2\">Titre 2</option>
    <option value=\"titre3\">Titre 3</option>
  </select>
</span>

<div class=\"zform\">
  <textarea onselect=\"storeCaret();\" onclick=\"storeCaret();preview();\" onkeyup=\"storeCaret();preview();\" name=\"texte\" id=\"texte\" rows=\"10\">" . $form_champ_texte . "</textarea>
  <div id=\"preview_texte\" class=\"preview\"></div>
</div>";

        $page_texte .= "</fieldset>\n\n";
        $page_texte .= "<p class=\"centre\"><input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"" . $langue['valider'] . "\" /></p>\n\n";
        $page_texte .= "</form>\n\n";

        break;

    // Supprimer une réponse automatique
    case 'supprimer':

        if ( !isset ( $_GET['id'] ) || !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 ) {
            header ( 'Location: index.' . EXT . '?page=Reponse_automatique' );
            die ( -1 );
        }

        break;
}
?>