<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

if ( $_SESSION['groupe'] != 3 ) {
    header ( 'Location: ./index.' . EXT );
    die ( -1 );
}

// Titre de la page
$page_titre = $langue['statistiques'];
$page_infos = $langue['administration_texte'];

// Statistiques
if ( $database->connected && is_file ( './systeme/statistiques.' . EXT ) ) {
    include_once ( './systeme/statistiques.' . EXT );
}

/*******************************
 * Quelques chiffres
 ******************************/

$sql = "SELECT COUNT(*) AS count
        FROM " . $database->pref . "visiteurs;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$nbr_ip = $database->Result ( $req , 'count' );

$sql = "SELECT COUNT(*) AS count,
               SUM(stat_hit) AS pages_vues
        FROM " . $database->pref . "stat;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$row = $database->ResultArray ( $req );

$nbr_stats = $row['count'];
$nbr_pages_vues = $row['pages_vues'];

// Nombre de visites au total et journée record
$nbr_visites = 0;
$jour_record_nbr = 0;
$jour_record_mois_nbr = 0;

$page_texte .= "<h2>Quelques chiffres</h2>\n\n<ul>\n";
$page_texte .= '  <li>Visiteurs uniques&nbsp;: <strong>' . $nbr_ip . "</strong></li>\n";
$page_texte .= '  <li>Pages vues&nbsp;: <strong>' . $nbr_pages_vues . "</strong></li>\n";
$page_texte .= "</ul>\n\n";

/*******************************
 * Nombre de visites pour chaque jour du mois
 ******************************/

$page_texte .= "<h2>Statistiques du mois en cours</h2>\n\n";

// Nombre de jour du mois en cours
$nbr_jour = date ( 't' );

for ( $i = 1 ; $i <= $nbr_jour ; $i++ ) {
    $visite_month[$i] = 0;
}

$mois = date ( 'm-Y' );

// Unix timestamp du début de ce mois et du suivant
$time_m0 = $time - ( ( date ( 'j' ) - 1 ) * 86400 + date ( 'H' ) * 3600 + date ( 'i' ) * 60 + date ( 's' ) );
$time_m1 = $time_m0 + 86400 * date ( 't' );

// Attention : cette requête n'est valable qu'avec MySQL
$sql = "SELECT FROM_UNIXTIME(stat_time,'%e') AS stat_jour,
               COUNT(DISTINCT(stat_ip)) AS count
        FROM " . $database->pref . "stat
        WHERE
                stat_time < '" . $time_m1 . "'
            AND stat_time > '" . $time_m0 . "'
        GROUP BY FROM_UNIXTIME(stat_time,'%m-%d');";

// WHERE FROM_UNIXTIME(stat_time,'%m-%Y') = '" . $mois . "'

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

while ( $row = $database->ResultArray ( $req ) ) {
    $visite_month[$row['stat_jour']] = $row['count'];
}

$image = ImageCreate ( $nbr_jour * 20 + 10 , 220 );

// Couleurs de l'image
$couleur_blanc = ImageColorAllocate ( $image , 255 , 255 , 255 );
$couleur_noir = ImageColorAllocate ( $image , 0 , 0 , 0 );
$couleur_orange = ImageColorAllocate ( $image , 255 , 210 , 130 );

ImageLine ( $image , 5 , 200 , 5 , 205, $couleur_noir );
ImageLine ( $image , 5 , 200 , $nbr_jour * 20 + 5 , 200 , $couleur_noir );

// Titre du graphique
ImageString ( $image , 5 , $nbr_jour * 10 + 25 - ImageFontWidth ( 5 ) * strlen ( 'Statistiques du mois de ' . $langue['mois_' . date ( 'm' ) ] . ' ' . date ( 'Y' ) ) / 2 , 0 , 'Statistiques du mois de ' . $langue['mois_' . date ( 'm' ) ] . ' ' . date ( 'Y' ) , $couleur_noir );

// Hauteur en pixels d'un visiteur sur une barre
$hauteur_par_visiteur = 150 / max ( $visite_month );

// Nombre de visites pour chaque jour
for ( $i = 0 ; list ( $day , $nbr ) = each ( $visite_month ) ; $i++ ) {
    $position = 20 * $i + 5;

    // Numéro du jour
    ImageString ( $image , 3 , $position + 10 - ImageFontWidth ( 3 ) * strlen ( $day ) / 2 , 205 , $day , $couleur_noir );

    // Barre de l'histogramme
    ImageFilledRectangle ( $image , $position + 1 , 199 - $hauteur_par_visiteur * $nbr , $position + 19 , 199 , $couleur_orange );

    // Nombre de visiteurs
    if ( $nbr != 0 ) ImageString ( $image , 2 , $position + 10 - ImageFontWidth ( 2 ) * strlen ( $nbr ) / 2 , 199 - $hauteur_par_visiteur * $nbr - ImageFontHeight ( 2 ) , $nbr , $couleur_noir );

    // Petite ligne en bas pour séparer les jours
    ImageLine ( $image , $position + 20 , 200 , $position + 20 , 205 , $couleur_noir );
}

ImageColorTransparent ( $image , $couleur_blanc );
ImagePNG ( $image , 'fichiers/stats/' . date ( 'Y-m' ) . '.png' );

$page_texte .= '<p class="centre"><img src="fichiers/stats/' . date ( 'Y-m' ) . '.png" alt="" title="Statistiques du mois de ' . $langue['mois_' . date ( 'm' ) ] . ' ' . date ( 'Y' ) . "\" /></p>\n\n";

/*******************************
 * Statistiques des navigateurs
 ******************************/

$page_texte .= '<h2>' . $langue['navigateurs'] . "</h2>\n\n<ul>\n";

$navigateurs = array ();
$total_nav = 0;

if ( $configuration['stat_count'] == 'hits' ) {
    $sql = "SELECT stat_navigateur,
                   SUM(stat_hit) AS count
            FROM " . $database->pref . "stat
            GROUP BY stat_navigateur;";
}
else {
    $sql = "SELECT stat_navigateur,
                   COUNT(*) AS count
            FROM " . $database->pref . "stat
            GROUP BY stat_navigateur;";
}

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

while ( $row = $database->ResultArray ( $req ) ) {
    $row_navigateur = preg_replace ( "#^(.+)\|(.+)$#" , "$1" , $row['stat_navigateur'] );

    // On n'affiche pas les robots
    if ( $row_navigateur == 'rb' ) {
        continue;
    }

    if ( isset ( $navigateurs[$row_navigateur] ) ) {
        $navigateurs[$row_navigateur][$row_navigateur] += $row['count'];
    }
    else {
        $navigateurs[$row_navigateur][$row_navigateur] = $row['count'];
    }

    $version = preg_replace ( "#^(.+)\|(.+)$#" , "$2" , $row['stat_navigateur'] );

    if ( isset ( $navigateurs[$row_navigateur][$version] ) ) {
        $navigateurs[$row_navigateur][$version] += $row['count'];
    }
    else {
        $navigateurs[$row_navigateur][$version] = $row['count'];
    }

    $total_nav += $row['count'];
}

// Tri des navigateurs par ordre décroissant
array_multisort ( $navigateurs , SORT_DESC );

foreach ( $navigateurs as $nav_nom => $nav_versions ) {
    if ( sizeof ( $nav_versions ) > 1 ) {
        $id = mt_rand ( 1000000 , 2000000 );

        $page_texte .= '  <li><a href="#" onclick="javascript:Toggle(\'nav_' . $id . '\');return false;"><img src="./themes/' . $configuration['style'] . '/images/fleche_desc.bmp" alt="" id="nav_' . $id . 'i" title="Afficher" /></a> <img src="themes/commun/images/statistiques/';

        switch ( $nav_nom ) {
            default:
                $page_texte .= 'inconnu.png';
                $nav_name = $nav_nom;
                break;

            case 'un':
                $page_texte .= 'inconnu.png';
                $nav_name = 'Inconnu';
                break;

            case 'ep':
                $page_texte .= 'nav_epiphany.png';
                $nav_name = 'Epiphany';
                break;

            case 'ie':
                $page_texte .= 'nav_explorer.png';
                $nav_name = 'Internet Explorer';
                break;

            case 'mf':
                $page_texte .= 'nav_firefox.png';
                $nav_name = 'Mozilla Firefox';
                break;

            case 'ko':
                $page_texte .= 'nav_konqueror.png';
                $nav_name = 'Konqueror';
                break;

            case 'mo':
                $page_texte .= 'nav_mozilla.png';
                $nav_name = 'Mozilla';
                break;

            case 'op':
                $page_texte .= 'nav_opera.png';
                $nav_name = 'Opera';
                break;

            case 'sa':
                $page_texte .= 'nav_safari.png';
                $nav_name = 'Safari';
                break;
        }

        $page_texte .= '" alt="" title="' . $nav_name . '" /> <strong>' . $nav_name . '</strong>&nbsp;: ' . round ( ( $nav_versions[$nav_nom] / $total_nav * 100 ) , 2 ) . ' %';
        $page_texte .= " \n  <div id=\"nav_" . $id . "\" style=\"display: none;\">\n  <ul>\n";

        array_multisort ( $nav_versions , SORT_DESC );

        foreach ( $nav_versions as $nav_ver => $nav_nbr ) {
            if ( $nav_nom == $nav_ver ) {
                continue;
            }

            $page_texte .= '    <li>' . $nav_ver . '&nbsp;: ' . round ( ( $nav_nbr / $nav_versions[$nav_nom] * 100 ) , 2 ) . " %</li>\n";
        }

        $page_texte .= "  </ul>\n  </div>\n";
    }
    else {
        $page_texte .= '  <li><img src="themes/commun/images/statistiques/';

        switch ( $nav_nom ) {
            default:
                $page_texte .= 'inconnu.png';
                $nav_name = $nav_nom;
                break;

            case 'un':
                $page_texte .= 'inconnu.png';
                $nav_name = 'Inconnu';
                break;

            case 'ep':
                $page_texte .= 'nav_epiphany.png';
                $nav_name = 'Epiphany';
                break;

            case 'ie':
                $page_texte .= 'nav_explorer.png';
                $nav_name = 'Internet Explorer';
                break;

            case 'mf':
                $page_texte .= 'nav_firefox.png';
                $nav_name = 'Mozilla Firefox';
                break;

            case 'ko':
                $page_texte .= 'nav_konqueror.png';
                $nav_name = 'Konqueror';
                break;

            case 'mo':
                $page_texte .= 'nav_mozilla.png';
                $nav_name = 'Mozilla';
                break;

            case 'op':
                $page_texte .= 'nav_opera.png';
                $nav_name = 'Opera';
                break;

            case 'sa':
                $page_texte .= 'nav_safari.png';
                $nav_name = 'Safari';
                break;
        }

    $page_texte .= '" alt="" title="' . $nav_name . '" /> <strong>' . $nav_name . '</strong>&nbsp;: ' . round ( ( $nav_versions[$nav_nom] / $total_nav * 100 ) , 2 ) . " %";
    }

    $page_texte .= "</li>\n";
}

$page_texte .= "</ul>\n\n";

/*******************************
 * Statistiques des systèmes d'exploitation
 ******************************/

$page_texte .= '<h2>' . $langue['systemes'] . "</h2>\n\n<ul>\n";

$systemes = array ();
$total_os = 0;

if ( $configuration['stat_count'] == 'hits' ) {
    $sql = "SELECT stat_os,
                   SUM(stat_hit) AS count
            FROM " . $database->pref . "stat
            GROUP BY stat_os;";
}
else {
    $sql = "SELECT stat_os,
                   COUNT(*) AS count
            FROM " . $database->pref . "stat
            GROUP BY stat_os;";
}

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

while ( $row = $database->ResultArray ( $req ) ) {
    $type = preg_replace ( "#^(.+)\|(.+)$#" , "$1" , $row['stat_os'] );

    // On n'affiche pas les robots
    if ( $type == 'rb' ) {
        continue;
    }

    if ( isset ( $systemes[$type] ) ) {
        $systemes[$type][$type] += $row['count'];
    }
    else {
        $systemes[$type][$type] = $row['count'];
    }

    $nom = preg_replace ( "#^(.+)\|(.+)$#" , "$2" , $row['stat_os'] );

    if ( $nom != $type && isset ( $systemes[$type][$nom] ) ) {
        $systemes[$type][$nom] += $row['count'];
    }
    else if ( $nom != $type ) {
        $systemes[$type][$nom] = $row['count'];
    }

    $total_os += $row['count'];
}

// Tri des systèmes d'exploitation par ordre décroissant
array_multisort ( $systemes , SORT_DESC );

foreach ( $systemes as $os_type => $os_content ) {
    if ( sizeof ( $os_content ) > 1 ) {
        $id = mt_rand ( 2000000 , 3000000 );

        $page_texte .= '  <li><a href="#" onclick="javascript:Toggle(\'os_' . $id . '\');return false;"><img src="./themes/' . $configuration['style'] . '/images/fleche_desc.bmp" alt="" id="os_' . $id . 'i" title="Afficher" /></a> <img src="themes/commun/images/statistiques/';

        switch ( $os_type ) {
            default:
                $page_texte .= 'inconnu.png';
                $os_name = $nav_nom;
                break;

            case 'un':
                $page_texte .= 'inconnu.png';
                $os_name = 'Inconnu';
                break;

            case 'wn':
                $page_texte .= 'os_windows.png';
                $os_name = 'Windows';
                break;

            case 'li':
                $page_texte .= 'os_linux.png';
                $os_name = 'Linux';
                break;

            case 'FreeBSD':
                $page_texte .= 'os_freebsd.png';
                $os_name = 'FreeBSD';
                break;

            case 'mc':
                $page_texte .= 'os_macosx.png';
                $os_name = 'Mac';
                break;
        }

        $page_texte .= '" alt="" title="' . $os_name . '" /> <strong>' . $os_name . '</strong>&nbsp;: ' . round ( ( $os_content[$os_type] / $total_os * 100 ) , 2 ) . " %";

        $page_texte .= "\n  <div id=\"os_" . $id . "\" style=\"display: none;\">\n  <ul>\n";

        array_multisort ( $os_content , SORT_DESC );

        foreach ( $os_content as $os_nom => $os_nbr ) {
            if ( $os_nom == $os_type ) {
                continue;
            }

            $page_texte .= '    <li>' . $os_nom . '&nbsp;: ' . round ( ( $os_nbr / $os_content[$os_type] * 100 ) , 2 ) . " %</li>\n";
        }

        $page_texte .= "  </ul>\n  </div>\n";
    }
    else {
        $page_texte .= '  <li><img src="themes/commun/images/statistiques/';

        switch ( $os_type ) {
            default:
                $page_texte .= 'inconnu.png';
                $os_name = $nav_nom;
                break;

            case 'un':
                $page_texte .= 'inconnu.png';
                $os_name = 'Inconnu';
                break;

            case 'wn':
                $page_texte .= 'os_windows.png';
                $os_name = 'Windows';
                break;

            case 'li':
                $page_texte .= 'os_linux.png';
                $os_name = 'Linux';
                break;

            case 'FreeBSD':
                $page_texte .= 'os_freebsd.png';
                $os_name = 'FreeBSD';
                break;

            case 'mc':
                $page_texte .= 'os_macosx.png';
                $os_name = 'Mac';
                break;
        }

        $page_texte .= '" alt="" title="' . $os_name . '" /> <strong>' . $os_name . '</strong>&nbsp;: ' . round ( ( $os_content[$os_type] / $total_os * 100 ) , 2 ) . " %";
    }

    $page_texte .= "</li>\n";
}

$page_texte .= "</ul>\n\n";

/*******************************
 * Statistiques des robots
 ******************************/

$robots = array ();
$total_robot = 0;

if ( $configuration['stat_count'] == 'hits' ) {
    $sql = "SELECT stat_os,
                   SUM(stat_hit) AS count
            FROM " . $database->pref . "stat
            WHERE stat_os REGEXP 'rb'
            GROUP BY stat_os;";
}
else {
    $sql = "SELECT stat_os,
                   COUNT(*) AS count
            FROM " . $database->pref . "stat
            WHERE stat_os REGEXP 'rb'
            GROUP BY stat_os;";
}

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

while ( $row = $database->ResultArray ( $req ) ) {
    $robot = preg_replace ( "#^rb\|(.+)$#" , "$1" , $row['stat_os'] );

    if ( isset ( $robots[$robot] ) ) {
        $robots[$robot] += $row['count'];
    }
    else {
        $robots[$robot] = $row['count'];
    }

    $total_robot += $row['count'];
}

// Tri des robots par ordre décroissant
array_multisort ( $robots , SORT_DESC );

if ( $total_robot > 0 ) {
    $page_texte .= "<h2>Robots</h2>\n\n<ul>\n";

    foreach ( $robots as $robot => $count ) {
        $page_texte .= '  <li><img src="./themes/commun/images/statistiques/';

        if ( $robot == 'Exabot' || $robot == 'Exabot Thumbnails' ) {
            $page_texte .= 'robot_exabot';
        }
        else if ( $robot == 'GoogleBot' ) {
            $page_texte .= 'robot_google';
        }
        else if ( $robot == 'Validateur CSS W3C' || $robot == 'Validateur W3C' ) {
            $page_texte .= 'robot_validator';
        }
        else if ( $robot == 'Yahoo' ) {
            $page_texte .= 'robot_yahoo';
        }
        else if ( $robot == 'MSN Bot' ) {
            $page_texte .= 'robot_msn';
        }
        else {
            $page_texte .= 'inconnu';
        }

        $page_texte .= '.png" alt="" title="' . $robot . '" /> ' . $robot . '&nbsp;: ' . round ( ( $count / $total_robot * 100 ) , 2 ) . " %</li>\n";
    }

    $page_texte .= "</ul>\n\n";
}

/*******************************
 * Statistiques des langues
 ******************************/

$page_texte .= '<h2>' . $langue['langues'] . "</h2>\n\n<ul>\n";

$stat_langues = array ();
$total_langues = 0;

if ( $configuration['stat_count'] == 'hits' ) {
    $sql = "SELECT stat_langue,
                   SUM(stat_hit) AS count
            FROM " . $database->pref . "stat
            GROUP BY stat_langue;";
}
else {
    $sql = "SELECT stat_langue,
                   COUNT(*) AS count
            FROM " . $database->pref . "stat
            GROUP BY stat_langue;";
}

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

while ( $row = $database->ResultArray ( $req ) ) {
    if ( preg_match ( "#^([a-z]{2})-([a-z]{2})$#" , $row['stat_langue'] ) ) {
        $lng = preg_replace ( "#^([a-z]{2})-([a-z]{2})$#" , "$1" , $row['stat_langue'] );
        $ss_lng = preg_replace ( "#^([a-z]{2})-([a-z]{2})$#" , "$2" , $row['stat_langue'] );
    }
    else {
        $lng = $row['stat_langue'];
        $ss_lng = '';
    }

    if ( isset ( $stat_langues[$lng]['0'] ) ) {
        $stat_langues[$lng]['0'] += $row['count'];
    }
    else {
        $stat_langues[$lng]['0'] = $row['count'];
    }

    if ( !empty ( $ss_lng ) ) {
        if ( isset ( $stat_langues[$lng][$ss_lng] ) ) {
            $stat_langues[$lng][$ss_lng] += $row['count'];
        }
        else {
            $stat_langues[$lng][$ss_lng] = $row['count'];
        }
    }
    else {
        if ( isset ( $stat_langues[$lng]['1'] ) ) {
            $stat_langues[$lng]['1'] += $row['count'];
        }
        else {
            $stat_langues[$lng]['1'] = $row['count'];
        }
    }

    $total_langues += $row['count'];
}

// Tri des langues par ordre décroissant
array_multisort ( $stat_langues , SORT_DESC );

foreach ( $stat_langues as $lng_nom => $lng_ss_lng ) {
    // Sous-langues (pays)
    if ( sizeof ( $lng_ss_lng ) > 2 || !isset ( $lng_ss_lng['1'] ) ) {
        $id = mt_rand ( 3000000 , 4000000 );

        $page_texte .= '  <li><a href="#" onclick="javascript:Toggle(\'lng_' . $id . '\');return false;"><img src="./themes/' . $configuration['style'] . '/images/fleche_desc.bmp" alt="" id="lng_' . $id . 'i" title="Afficher" /></a> <strong>'. $langue['langue_' . $lng_nom] . '</strong>&nbsp;: ' . round ( ( $lng_ss_lng['0'] / $total_langues * 100 ) , 2 ) . ' %';

        $page_texte .= "\n  <div id=\"lng_" . $id . "\" style=\"display: none;\">\n  <ul>\n";

        array_multisort ( $lng_ss_lng , SORT_DESC );

        foreach ( $lng_ss_lng as $lng_ss_nom => $lng_nbr ) {
            // Langue standard
            if ( $lng_ss_nom == '1' ) {
                $page_texte .= '    <li>' . $langue['langue_' . $lng_nom] . ' (Standard)&nbsp;: ' . round ( ( $lng_nbr / $lng_ss_lng['0'] * 100 ) , 2 ) . " %</li>\n";
            }
            // Langue spécifique à un pays
            else if ( $lng_ss_nom != '0' ) {
                $page_texte .= '    <li>' . $langue['langue_' . $lng_nom] . ' (' . $langue['pays_' . strtoupper ( $lng_ss_nom )] . ')&nbsp;: ' . round ( ( $lng_nbr / $lng_ss_lng['0'] * 100 ) , 2 ) . " %</li>\n";
            }
        }

        $page_texte .= "</ul>\n</div>\n";
    }
    else {
        $page_texte .= '<li><strong>'. $langue['langue_' . $lng_nom] . '</strong>&nbsp;: ' . round ( ( $lng_ss_lng['0'] / $total_langues * 100 ) , 2 ) . ' %';
    }

    $page_texte .= "  </li>\n";
}

$page_texte .= "</ul>\n\n";

/*******************************
 * Statistiques des pays
 ******************************/

$page_texte .= "<h2>Pays</h2>\n\n<ul>\n";

$pays = array ();
$total_pays = 0;

if ( $configuration['stat_count'] == 'hits' ) {
    $sql = "SELECT stat_pays,
                   SUM(stat_hit) AS count
            FROM " . $database->pref . "stat
            GROUP BY stat_pays;";
}
else {
    $sql = "SELECT stat_pays,
                   COUNT(*) AS count
            FROM " . $database->pref . "stat
            GROUP BY stat_pays;";
}

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

while ( $row = $database->ResultArray ( $req ) ) {
    if ( $row['stat_pays'] == 'GB' ) $row['stat_pays'] = 'UK';

    if ( isset ( $pays[$row['stat_pays']] ) ) {
        $pays[$row['stat_pays']] += $row['count'];
    }
    else {
        $pays[$row['stat_pays']] = $row['count'];
    }

    $total_pays += $row['count'];
}

// Tri des pays par ordre décroissant
array_multisort ( $pays , SORT_DESC );

foreach ( $pays as $pays_nom => $pays_nbr ) {
    $page_texte .= '  <li><img src="themes/commun/images/pays/' . strtolower ( $pays_nom ) . '.png" alt="" title="' . $langue['pays_' . $pays_nom] . '" /> ' . $langue['pays_' . $pays_nom] . '&nbsp;: ' . round ( ( $pays_nbr / $total_pays * 100 ) , 2 ) . " %</li>\n";
}

$page_texte .= "</ul>\n\n";

/*******************************
 * Statistiques des FAI
 ******************************/

$page_texte .= "<h2>FAI</h2>\n\n<ul>\n";

$fai = array ();
$total_fai = 0;

if ( $configuration['stat_count'] == 'hits' ) {
    $sql = "SELECT stat_fai,
                   SUM(stat_hit) AS count
            FROM " . $database->pref . "stat
            GROUP BY stat_fai;";
}
else {
    $sql = "SELECT stat_fai,
                   COUNT(*) AS count
            FROM " . $database->pref . "stat
            GROUP BY stat_fai;";
}

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

while ( $row = $database->ResultArray ( $req ) ) {
    if ( $row['stat_fai'] == 'proxad' ) $row['stat_fai'] = 'free';
    if ( $row['stat_fai'] == 'noos' ) $row['stat_fai'] = 'numericable';

    if ( isset ( $fai[$row['stat_fai']] ) ) {
        $fai[$row['stat_fai']] += $row['count'];
    }
    else {
        $fai[$row['stat_fai']] = $row['count'];
    }

    $total_fai += $row['count'];
}

// Tri des FAI par ordre décroissant
array_multisort ( $fai , SORT_DESC );

$i = 0;

foreach ( $fai as $fai_nom => $fai_nbr ) {
    $i++;

    if ( $i > 15 ) {
        break;
    }

    $page_texte .= '  <li>';

    switch ( $fai_nom ) {
        default:
            $page_texte .= $fai_nom;
            break;

        case 'inconnu':
            $page_texte .= 'Inconnu';
            break;

        case 'free':
            $page_texte .= '<a href="http://www.free.fr/">Free</a>';
            break;

        case 'wanadoo':
            $page_texte .= '<a href="http://www.orange.fr/">Wanadoo</a>';
            break;

        case 'belgacom':
            $page_texte .= '<a href="http://www.belgacom.be/">Belgacom</a>';
            break;

        case 'bluewin':
            $page_texte .= '<a href="http://www.bluewin.ch/">Bluewin</a>';
            break;

        case 'club-internet':
            $page_texte .= '<a href="http://www.club-internet.fr/">Club-Internet</a>';
            break;

        case 'tele2':
            $page_texte .= '<a href="http://www.tele2.fr/">TELE2</a>';
            break;

        case 'tpnet':
            $page_texte .= '<a href="http://www.tpnet.psi.br/">TPNET</a>';
            break;

        case 'numericable':
            $page_texte .= '<a href="http://www.numericable.fr/">Numericable</a>';
            break;

        case 'tiscali':
            $page_texte .= '<a href="http://www.aliceadsl.fr/">Alice ADSL</a>';
            break;

        case 'videotron':
            $page_texte .= '<a href="http://www.videotron.com/">Vidéotron</a>';
            break;

        case 'mobileinternet.proxi':
            $page_texte .= 'Mobile Internet';
            break;

        case 'bell':
            $page_texte .= '<a href="http://www.att.com/">AT&T (Bell)</a>';
            break;

        case 'alcatel':
            $page_texte .= '<a href="http://www.alcatel.fr/">Alcatel</a>';
            break;

        case 'scarlet':
            $page_texte .= '<a href="http://www.scarlet.be/">Scarlet</a>';
            break;
    }

    $page_texte .= '&nbsp;: ' . round ( ( $fai_nbr / $total_fai * 100 ) , 2 ) . " %</li>\n";
}

$page_texte .= "</ul>\n\n";

/*******************************
 * Forums
 ******************************/

// Nombre de messages
$sql = "SELECT COUNT(*) AS count
        FROM " . $database->pref . "forum_msg;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$forum_nbr_msg = $database->Result ( $req , 'count' );

$sql = "SELECT COUNT(*) AS count
        FROM " . $database->pref . "forum_sujet;";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$forum_nbr_sujet = $database->Result ( $req , 'count' );

$page_texte .= '<h2>' . $langue['forums'] . "</h2>\n\n<ul>\n";
$page_texte = sprintf ( "%s  <li>" . $langue['nbr_sujets'] . "</li>\n"  , $page_texte , $forum_nbr_sujet );
$page_texte = sprintf ( "%s  <li>" . $langue['nbr_msg'] . "</li>\n"  , $page_texte , $forum_nbr_msg );
$page_texte .= '  <li>';
$page_texte .= ( $forum_nbr_sujet == 0 ) ? 0 : round ( $forum_nbr_msg / $forum_nbr_sujet , 1 );
$page_texte .= " messages par sujets</li>\n</ul>\n\n";

/*******************************
 *  Liste des visites
 ******************************/

$page_texte .= '<h2 id="liste">' . $langue['stat_visites'] . "</h2>\n\n";
$page_texte .= "<table>\n\n<thead>\n";

// Première entrée des stats et numéro de la page affichée
$start = ( isset ( $_GET['start'] ) && is_numeric ( $_GET['start'] ) ) ? $_GET['start'] : 0;
$page_actuelle = intval ( $start / 50 ) + 1;

// Liste des pages (Haut du tableau)
if ( $nbr_stats > 50 ) {
    $page_texte .= "<tr>\n  <td colspan=\"6\">" . $langue['page'] . "&nbsp;:\n";

    $nbr_page = ( $nbr_stats - $nbr_stats % 50 ) / 50 + 1;

    for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
        $affiche_numero = false;

        for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
            if ( $i == $numero ) $affiche_numero = true;
        }

        if ( !$affiche_numero ) {
            for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }
        }

        if ( !$affiche_numero )
        {
            for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }
        }

        // On affiche que certaines pages
        if ( $affiche_numero ) {
            $page_texte .= ' <a href="index.' . EXT . '?page=Statistiques&start=' . ( $i - 1 ) * 50 . '#liste" title="' . $langue['page_goto'] . $i . '">';
            $page_texte .= ( $start == ( $i - 1 ) * 50 ) ? '<span class="page_actuelle">' . $i . "</span></a>\n" : $i . "</a>\n";
            $trois_petits_points = false;
        }
        // On affiche trois petits points entre les numéros de page
        else if ( !$trois_petits_points ) {
            $page_texte .= '    ...';
            $trois_petits_points = true;
        }
    }

    $page_texte .= "  </td>\n</tr>\n";
}

// En-tête du tableau
$page_texte .= "<tr>\n";
$page_texte .= "  <th class=\"stat_date\">Date et heure</th>\n";
$page_texte .= '  <th class="stat_ip">' . $langue['adresse_ip'] . "</th>\n";
$page_texte .= '  <th class="stat_navigateur">' . $langue['navigateur'] . "</th>\n";
$page_texte .= '  <th class="stat_systeme">' . $langue['systeme'] . "</th>\n";
$page_texte .= '  <th class="stat_langue">' . $langue['langue'] . "</th>\n";
$page_texte .= '  <th class="stat_pays">' . $langue['pays'] . "</th>\n";
$page_texte .= "</tr>\n</thead>\n\n";

// Liste des pages (Bas du tableau)
if ( $nbr_stats > 50 ) {
    $page_texte .= "<tfoot>\n<tr>\n  <td colspan=\"6\">" . $langue['page'] . "&nbsp;:\n";

    $nbr_page = ( $nbr_stats - $nbr_stats % 50 ) / 50 + 1;

    for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
        $affiche_numero = false;

        for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
            if ( $i == $numero ) $affiche_numero = true;
        }

        if ( !$affiche_numero ) {
            for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }
        }

        if ( !$affiche_numero ) {
            for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }
        }

        // On affiche que certaines pages
        if ( $affiche_numero ) {
            $page_texte .= ' <a href="index.' . EXT . '?page=Statistiques&start=' . ( $i - 1 ) * 50 . '#liste" title="' . $langue['page_goto'] . $i . '">';
            $page_texte .= ( $start == ( $i - 1 ) * 50 ) ? '<span class="page_actuelle">' . $i . "</span></a>\n" : $i . "</a>\n";
            $trois_petits_points = false;
        }
        // On affiche trois petits points entre les numéros de page
        else if ( !$trois_petits_points ) {
            $page_texte .= '    ...';
            $trois_petits_points = true;
        }
    }

    $page_texte .= "  </td>\n</tr>\n</tfoot>\n\n";
}
$page_texte .= "<tbody>\n";

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$sql = "SELECT stat_time,
               stat_ip,
               stat_navigateur,
               stat_os,
               stat_langue,
               stat_pays
        FROM " . $database->pref . "stat
        ORDER BY stat_time DESC";

//=>MYSQL
    if ( SGBD == 'mysql' ) $sql .= ' LIMIT ' . $start . ', 50';
//
    $sql .= ';';

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$sql_limite = 0;

while ( $sql_limite < $start + 50 && $row = $database->ResultArray ( $req ) ) {
    $sql_limite++;
    // On affiche les enregistrements à partir de $start
    if ( SGBD != 'mysql' && $sql_limite < $start ) {
        continue;
    }

    if ( preg_match ( "#^rb\|(.+)$#" , $row['stat_navigateur'] ) ) {
        $navigateur = preg_replace ( "#^rb\|(.+)$#" , "$1" , $row['stat_navigateur'] );
    }
    else if ( preg_match ( "#^(.+)\|(.+)$#" , $row['stat_navigateur'] ) ) {
        $nav_nom = preg_replace ( "#^(.+)\|(.+)$#" , "$1" , $row['stat_navigateur'] );
        $nav_ver = preg_replace ( "#^(.+)\|(.+)$#" , "$2" , $row['stat_navigateur'] );

        switch ( $nav_nom ) {
            default:
            case 'un':
                $nav_name = 'Inconnu';
                break;

            case 'ep':
                $nav_name = 'Epiphany';
                break;

            case 'ie':
                $nav_name = 'Internet Explorer';
                break;

            case 'mf':
                $nav_name = 'Mozilla Firefox';
                break;

            case 'ko':
                $nav_name = 'Konqueror';
                break;

            case 'mo':
                $nav_name = 'Mozilla';
                break;

            case 'op':
                $nav_name = 'Opera';
                break;

            case 'sa':
                $nav_name = 'Safari';
                break;
        }

        $navigateur = $nav_name . ' ' . $nav_ver;
    }
    else {
        $navigateur = $row['stat_navigateur'];
    }

    $page_texte .= "<tr>\n";
    $page_texte .= '  <td class="centre">' . date ( $configuration['format_date'] , $row['stat_time'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['stat_time'] ) . "</td>\n";
    $page_texte .= '  <td>' . ConvertIP ( '' , $row['stat_ip'] ) . "</td>\n";

    // Navigateur et système d'exploitation
    if ( $navigateur == preg_replace ( "#^(.+)\|(.+)$#" , "$2" , $row['stat_os'] ) ) {
        $page_texte .= '  <td colspan="2"><img src="./themes/commun/images/statistiques/';

        if ( preg_match ( "#^rb\|(.+)$#" , $row['stat_navigateur'] ) ) {
            if ( $navigateur == 'Exabot' || $navigateur == 'Exabot Thumbnails' ) {
                $page_texte .= 'robot_exabot';
            }
            else if ( $navigateur == 'GoogleBot' ) {
                $page_texte .= 'robot_google';
            }
            else if ( $navigateur == 'Validateur CSS W3C' || $navigateur == 'Validateur W3C' ) {
                $page_texte .= 'robot_validator';
            }
            else if ( $navigateur == 'Yahoo' ) {
                $page_texte .= 'robot_yahoo';
            }
            else if ( $navigateur == 'MSN Bot' ) {
                $page_texte .= 'robot_msn';
            }
            else {
                $page_texte .= 'inconnu';
            }
        }
        else {
            $page_texte .= 'inconnu';
            if ( $navigateur == 'un' ) $navigateur = 'Inconnu';
        }

        $page_texte .= '.png" alt="" title="' . $navigateur . '" /> ' . $navigateur . "</td>\n";
    }
    else {
        $page_texte .= '  <td><img src="./themes/commun/images/statistiques/';

        switch ( preg_replace ( "#^(.+)\|(.+)$#" , "$1" , $row['stat_navigateur'] ) ) {
            default:
            case 'un':
                $page_texte .= 'inconnu.png';
                $navigateur = 'Inconnu';
                break;

            case 'ep':
                $page_texte .= 'nav_epiphany.png';
                break;

            case 'ie':
                $page_texte .= 'nav_explorer.png';
                break;

            case 'mf':
                $page_texte .= 'nav_firefox.png';
                break;

            case 'ko':
                $page_texte .= 'nav_konqueror.png';
                break;

            case 'mo':
                $page_texte .= 'nav_mozilla.png';
                break;

            case 'op':
                $page_texte .= 'nav_opera.png';
                break;

            case 'sa':
                $page_texte .= 'nav_safari.png';
                break;
        }

        $page_texte .= '" alt="" title="' . $navigateur . '" /> ' . $navigateur . "</td>\n";
        $page_texte .= '  <td><img src="./themes/commun/images/statistiques/';

        $os_nom = preg_replace ( "#^(.+)\|(.+)$#" , "$2" , $row['stat_os'] );
        $os_type = preg_replace ( "#^(.+)\|(.+)$#" , "$1" , $row['stat_os'] );

        switch ( $os_type ) {
            default:
            case 'un':
                $page_texte .= 'inconnu.png';
                $os_nom = 'Inconnu';
                break;

            case 'wn':
                $page_texte .= 'os_windows.png';
                if ( $os_nom == $os_type ) { $os_nom = 'Windows'; }
                break;

            case 'li':
                $page_texte .= 'os_linux.png';
                if ( $os_nom == $os_type ) { $os_nom = 'Linux'; }
                break;

            case 'FreeBSD':
                $page_texte .= 'os_freebsd.png';
                break;

            case 'mc':
                $page_texte .= 'os_macosx.png';
                if ( $os_nom == $os_type ) { $os_nom = 'Mac'; }
                break;
        }
        $page_texte .= '" alt="" title="' . $os_nom . '" /> ' . $os_nom . "</td>\n";
    }

    $page_texte .= '  <td>';

    if ( empty ( $row['stat_langue'] ) ) {
        $page_texte .= $langue['langue_00'];
    }
    else if ( preg_match ( "#^([a-z]{2})-([a-z]{2})$#" , $row['stat_langue'] ) ) {
        $page_texte .= $langue['langue_' . preg_replace ( "#^([a-z]{2})-([a-z]{2})$#" , "$1" , $row['stat_langue'] )] . ' (' . $langue['pays_' . strtoupper ( preg_replace ( "#^([a-z]{2})-([a-z]{2})$#" , "$2" , $row['stat_langue'] ) ) ] . ')';
    }
    else {
        $page_texte .= $langue['langue_' . $row['stat_langue']];
    }

    $page_texte .= "</td>\n  <td class=\"centre\">";

    // Si l'adresse IP est 127.0.0.1
    if ( $row['stat_ip'] == '2130706433' ) {
        $pays = '00';
    }
    else if ( empty ( $row['stat_pays'] ) ) {
        $pays = '00';
    }
    else {
        $pays = $row['stat_pays'];
    }

    $page_texte .= '<img src="./themes/commun/images/pays/' . strtolower ( $pays ) . '.png" alt="" title="' . $langue['pays_' . $pays] . '" /> ' . $langue['pays_' . $pays] . "</td>\n";
    $page_texte .= "</tr>\n";
}

$page_texte .= "</tbody>\n\n</table>\n\n";
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

if ( isset ( $_GET['delete'] ) ) {
	$sql = "TRUNCATE " . $database->pref . "stat";

	$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

	header ( 'Location: index.' . EXT . '?page=Statistiques' );
	die ( -1 );
}

$page_texte .= '<div class="attention">Cette action de vider la table des stats est irréversible mais peut s\'avérer utile en cas de surcharge de votre base de donnée !</div>';

$page_texte .= '<div align="center"><a href="index.' . EXT . '?page=Statistiques&amp;delete">Vider la liste détaillée des visites</a></div>';
?>