<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Il faut obligatoirement un identifiant de sujet ou de message
if ( !isset ( $_GET['id'] ) && !isset ( $_GET['msg'] ) ) {
    header ( 'Location: index.' . EXT . '?page=Forums' );
    die ( -1 );
}

if ( $droit['message_lecture'] == 0 ) {
    $page_msg = 10;
    include_once ( 'systeme/msg.' . EXT );
}

if ( isset ( $_GET['id'] ) ) {
    if ( !is_numeric ( $_GET['id'] ) || $_GET['id'] < 1 ) {
        header ( 'Location: index.' . EXT . '?page=Forums' );
        die ( -1 );
    }

    if ( $_SESSION['groupe'] == 1 ) {
        $sql = "SELECT sujet_titre,
                       sujet_forum,
                       sujet_compteur,
                       sujet_epingle,
                       sujet_ferme,
                       sujet_last_msg
                FROM " . $database->pref . "forum_sujet
                WHERE sujet_id = '" . $_GET['id'] . "';";
    }
    else {
        $sql = "SELECT sujet_titre,
                       sujet_forum,
                       sujet_compteur,
                       sujet_epingle,
                       sujet_ferme,
                       sujet_last_msg,
                       fav_sujet
                FROM " . $database->pref . "forum_sujet
                LEFT JOIN " . $database->pref . "forum_fav
                    ON fav_sujet = sujet_id
                    AND fav_membre = '" . $_SESSION['membre_id'] . "'
                WHERE sujet_id = '" . $_GET['id'] . "';";
    }

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    // On vérifie que le sujet existe
    if ( $database->NbrRowsSelected ( $req ) === 0 ) {
        header ( 'Location: index.' . EXT . '?page=Forums' );
        die ( -1 );
    }

    // On récupère les informations de ce sujet
    $row = $database->ResultArray ( $req );

    $sujet = $row['sujet_titre'];
    $forum_id = $row['sujet_forum'];
    $compteur_sujet = $row['sujet_compteur'] + 1;
    $sujet_epingle = $row['sujet_epingle'];
    $sujet_ferme = $row['sujet_ferme'];

    // Le sujet est dans les favoris
    if ( empty ( $row['fav_sujet'] ) ) {
        $in_favoris = false;
    }
    else {
        $in_favoris = true;
    }

    // Fermeture / Ouverture pour les modérateurs
    if ( isset ( $_GET['fermer'] ) && $sujet_ferme == 0 && $droit['sujet_fermer'] == 1 ) {
        $sujet_ferme = 1;

        // Mise-à-jour du sujet (fermeture et compteur)
        $sql = "UPDATE " . $database->pref . "forum_sujet
                SET sujet_ferme = '1',
                    sujet_compteur = sujet_compteur + 1
                WHERE sujet_id = '" . $_GET['id'] . "';";
    }
    else if ( isset ( $_GET['ouvrir'] ) && $sujet_ferme == 1 && $droit['sujet_fermer'] == 1 ) {
        $sujet_ferme = 0;

        // Mise-à-jour du sujet (ouverture et compteur)
        $sql = "UPDATE " . $database->pref . "forum_sujet
                SET sujet_ferme = '0',
                    sujet_compteur = sujet_compteur + 1
                WHERE sujet_id = '" . $_GET['id'] . "';";
    }
    else {
        // Mise-à-jour du sujet (compteur)
        $sql = "UPDATE " . $database->pref . "forum_sujet
                SET sujet_compteur = sujet_compteur + 1
                WHERE sujet_id = '" . $_GET['id'] . "';";
    }

    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    // Nom du forum
    $sql = "SELECT forum_nom,
                   forum_cat_id,
                   forum_cat_nom
            FROM " . $database->pref . "forum_forum
            LEFT JOIN " . $database->pref . "forum_cat
                ON forum_cat_id = forum_categorie
            WHERE forum_id = '" . $forum_id . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    $row = $database->ResultArray ( $req );

    // Titre de la page
    $page_titre = $sujet;
    $page_infos = 'Lecture du sujet ' . $sujet;

    // Navigation
    $page_texte .= '<p>' . $langue['navigation'] . '&nbsp;: <a href="index.' . EXT . '?page=Forums" title="' . $langue['forums_texte'] . '">' . $langue['forums'] . '</a> > ';
    $page_texte .= '<a href="index.' . EXT . '?page=Forums&amp;cat=' .  $row['forum_cat_id'] . '">' . $row['forum_cat_nom'] . '</a> > ';
    $page_texte .= '<a href="index.' . EXT . '?page=Forums&amp;id=' . $forum_id . '">' . $row['forum_nom'] . '</a> > ';
    $page_texte .= '<a href="index.' . EXT . '?page=Sujets&amp;id=' . $_GET['id'] . '">' . $sujet . "</a></p>\n\n";

    // Nombre de messages du sujet
    // Nécessite une requête à part car celle du dessous ne s'occupe que des messages à afficher
    $sql = "SELECT COUNT(*) AS count
            FROM " . $database->pref . "forum_msg
            WHERE forum_msg_sujet = '" . $_GET['id'] . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    $nbr_msg = $database->Result ( $req , 'count' );

    // Premier message et numéro de la page affichée
    if ( isset ( $_GET['start'] ) && is_numeric ( $_GET['start'] ) && $_GET['start'] > 0 && $_GET['start'] < $nbr_msg ) {
        $start = $_GET['start'];
    }
    else {
        $start = 0;
    }

    $page_actuelle = intval ( $start / $configuration['page_messages'] ) + 1;

    // Nombre de pages
    $nbr_page = ( ( $nbr_msg - 1 ) - ( $nbr_msg - 1 ) % $configuration['page_messages'] ) / $configuration['page_messages'] + 1;

    // Accès vers les autres forums
    $sql = "SELECT forum_id, 
                   forum_nom,
                   forum_cat_id,
                   forum_cat_nom
            FROM " . $database->pref . "forum_forum
            LEFT JOIN " . $database->pref . "forum_cat
                ON forum_cat_id = forum_categorie
            ORDER BY
                forum_cat_ordre ASC,
                forum_ordre ASC;";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    if ( $database->NbrRowsSelected ( $req ) > 1 ) {
        $saut_forum = '<form action="index.' . EXT . "?page=Forums\" method=\"get\">\n\n<p class=\"form_input droite\"><input type=\"hidden\" name=\"page\" value=\"Forums\" />\n";
        $saut_forum .= "<select name=\"id\" onchange=\"document.location='index." . EXT . "?page=Forums&amp;id='+this.options[this.selectedIndex].value\">\n";
        $saut_forum .= "  <option value=\"\">Liste des forums</option>\n";

        $categorie = 0;

        while ( $row = $database->ResultArray ( $req ) ) {
            if ( $categorie != $row['forum_cat_id'] ) {
                if ( isset ( $go_here ) ) {
                    $saut_forum .= "  </optgroup>\n";
                }

                $saut_forum .= "  <optgroup label=\"" . $row['forum_cat_nom'] . "\">\n";
                $categorie = $row['forum_cat_id'];
            }

            $go_here = 1;

            $saut_forum .= '    <option value="' . $row['forum_id'] . '"';

            if ( $row['forum_id'] == $forum_id ) {
                $saut_forum .= ' selected="selected"';
            }

            $saut_forum .= '>' . $row['forum_nom'] . "</option>\n";
        }

        $saut_forum .= "  </optgroup>\n</select>\n";
        $saut_forum .= "<input type=\"submit\" value=\"Go\" /></p>\n\n";
        $saut_forum .= "</form>\n\n";
    }
    else {
        $saut_forum = '';
    }

    // Accès vers les autres forums
    $page_texte .= $saut_forum;

    // Droits de répondre à un message
    if ( $droit['sujet_fermer'] == 1 && $sujet_ferme == 1 ) {
        $bouton_open = '<a href="index.' . EXT . '?page=Sujets&amp;id=' . $_GET['id'] . '&amp;ouvrir' . '" title="' . $langue['ouvrir_texte'] . '"><img src="themes/' . $configuration['style'] . '/images/ouvrir.png" title="' . $langue['ouvrir_texte'] . '" alt="' . $langue['ouvrir'] . '" /></a> ';
        $bouton_close = '';
    }
    else if ( $droit['sujet_fermer'] == 1 && $sujet_ferme == 0 ) {
        $bouton_close = '<a href="index.' . EXT . '?page=Sujets&amp;id=' . $_GET['id'] . '&amp;fermer" title="' . $langue['fermer_texte'] . '"><img src="themes/' . $configuration['style'] . '/images/fermer.png" title="' . $langue['fermer_texte'] . '" alt="' . $langue['fermer'] . '" /></a> ';
        $bouton_open = '';
    }
    else {
        $bouton_open = '';
        $bouton_close = '';
    }

    // Droit de fermer un sujet
    if ( $droit['message_edition_auteur'] == 1 || $droit['message_edition'] == 1 ) {
        $bouton_repondre = '<a href="index.' . EXT . '?page=Messages&amp;action=repondre&amp;id=' . $_GET['id'] . '" title="' . $langue['repondre_texte'] . '"><img src="themes/' . $configuration['style'] . '/images/repondre.png" title="' . $langue['repondre_texte'] . '" alt="' . $langue['repondre'] . '" /></a> ';
    }
    else {
        $bouton_repondre = '';
    }

    // Droit de déplacer un sujet
    if ( $droit['deplacer_sujet'] == 1 ) {
        $bouton_deplacer = '<a href="index.' . EXT . '?page=Messages&amp;action=deplacer&amp;id=' . $_GET['id'] . '" title="Déplacer ce sujet"><img src="themes/' . $configuration['style'] . '/images/deplacer.png" title="Déplacer ce sujet" alt="Déplacer" /></a> ';
    }
    else {
        $bouton_deplacer = '';
    }

    if ( !empty ( $bouton_open ) || !empty ( $bouton_close ) || !empty ( $bouton_repondre ) || !empty ( $bouton_deplacer ) ) {
        $page_texte .= '<p class="droite print_hidden">';
        $page_texte .= $bouton_deplacer . $bouton_repondre . $bouton_open . $bouton_close;
        $page_texte .= "</p>\n\n";
    }

    // Liste des messages
    $sql = "SELECT forum_msg_id,
                   forum_msg_auteur,
                   forum_msg_time,
                   forum_msg_texte,
                   groupe_nom,
                   forum_msg_edit_auteur,
                   forum_msg_edit_time,
                   Ma.membre_nom AS auteur,
                   Ma.membre_avatar,
                   Ma.membre_signature,
                   Mb.membre_nom AS auteur_edit
            FROM " . $database->pref . "forum_msg
            LEFT JOIN " . $database->pref . "membres Ma
                ON Ma.membre_id = forum_msg_auteur
            LEFT JOIN " . $database->pref . "membres Mb
                ON Mb.membre_id = forum_msg_edit_auteur
            LEFT JOIN " . $database->pref . "groupes
                ON Ma.membre_groupe = groupe_id
            WHERE forum_msg_sujet = '" . $_GET['id'] . "'
            ORDER BY forum_msg_time ";

    // Ordre d'affichage des messages
    if ( isset ( $_POST['tri'] ) && $_POST['tri'] == 'DESC' ) {
        $sql .= 'DESC';
    }
    else {
        $sql .= 'ASC';
    }

    //=>MYSQL
        if ( SGBD == 'mysql' ) $sql .= ' LIMIT ' . $start . ', ' . $configuration['page_messages'];
        $sql .= ';';
    //=>END

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    $page_texte .= "<table class=\"forum_messages\">\n\n<thead>\n";

    // Liste des pages (Haut du tableau)
    if ( $nbr_msg > $configuration['page_messages'] ) {
        $page_texte .= "<tr>\n  <td colspan=\"2\">" . $langue['page'] . "&nbsp;:\n";

        for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
            $affiche_numero = false;

            for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }

            if ( !$affiche_numero ) {
                for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                    if ( $i == $numero ) $affiche_numero = true;
                }
            }

            if ( !$affiche_numero ) {
                for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                    if ( $i == $numero ) $affiche_numero = true;
                }
            }

            if ( $affiche_numero ) {
                $page_texte .= '    <a href="index.' . EXT . '?page=Sujets&amp;id=' . $_GET['id'] . '&amp;start=' . ( $i - 1 ) * $configuration['page_messages'] . '" title="' . $langue['page_goto'] . $i . '">';

                if ( $start == ( $i - 1 ) * $configuration['page_messages'] ) {
                    $page_texte .= '<span class="page_actuelle">' . $i . '</span>';
                }
                else {
                    $page_texte .= $i;
                }

                $page_texte .= "</a>\n";

                $trois_petits_points = false;
            }
            else if ( !$trois_petits_points ) {
                $page_texte .= "    ...\n";
                $trois_petits_points = true;
            }
        }

        $page_texte .= "  </td>\n</tr>\n";
    }

    // En-tête du tableau
    $page_texte .= "<tr>\n";
    $page_texte .= '  <th class="forum_messages_auteur">' . $langue['auteur'] . "</th>\n";
    $page_texte .= '  <th class="forum_messages_valeur">' . $langue['message'] . "</th>\n";
    $page_texte .= "</tr>\n</thead>\n\n";

    // Liste des pages (Bas du tableau)
    if ( $nbr_msg > $configuration['page_messages'] ) {
        $page_texte .= "<tfoot>\n<tr class=\"forum_pages\">\n  <td colspan=\"2\">" . $langue['page'] . "&nbsp;:\n";

        for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
            $affiche_numero = false;

            for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }

            if ( !$affiche_numero ) {
                for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                    if ( $i == $numero ) $affiche_numero = true;
                }
            }

            if ( !$affiche_numero ) {
                for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                    if ( $i == $numero ) $affiche_numero = true;
                }
            }

            if ( $affiche_numero ) {
                $page_texte .= '    <a href="index.' . EXT . '?page=Sujets&amp;id=' . $_GET['id'] . '&amp;start=' . ( $i - 1 ) * $configuration['page_messages'] . '" title="' . $langue['page_goto'] . $i . '">';

                if ( $start == ( $i - 1 ) * $configuration['page_messages'] ) {
                    $page_texte .= '<span class="page_actuelle">' . $i . '</span>';
                }
                else {
                    $page_texte .= $i;
                }

                $page_texte .= "</a>\n";

                $trois_petits_points = false;
            }
            else if ( !$trois_petits_points ) {
                $page_texte .= "    ...\n";
                $trois_petits_points = true;
            }
        }

        $page_texte .= "  </td>\n</tr>\n</tfoot>\n\n";
    }

    $page_texte .= "<tbody>\n";

    $sql_limite = 0;

    // Liste des messages
    while ( $sql_limite < $start + $configuration['page_messages'] && $row = $database->ResultArray ( $req ) ) {
        // On affiche les enregistrements à partir de $start
        if ( SGBD != 'mysql' && $sql_limite < $start ) {
            continue;
        }

        $administration = '';

        // Droit d'édition d'un message
        if ( $_SESSION['groupe'] != 1 ) {
            // Si on peut répondre au sujet, on peut citer ce message
            if ( $bouton_repondre ) {
                $administration .= ' - <a href="index.' . EXT . '?page=Messages&amp;action=repondre&amp;id=' . $_GET['id'] . '&amp;cite=' . $row['forum_msg_id'] . '" title="Répondre en citant ce message">Citer</a>';
            }

            // Droit d'édition du message
            if ( ( $droit['message_edition_auteur'] == 1 && $_SESSION['membre_id'] == $row['forum_msg_auteur'] ) || $droit['message_edition'] == 1 ) {
                $administration .= ' - <a href="index.' . EXT . '?page=Messages&amp;action=editer&amp;id=' . $row['forum_msg_id'] . '" title="' . $langue['editer_message'] . '">' . $langue['editer'] . '</a>';
            }

            // Droit de suppression du message
            if ( ( $droit['message_sup_auteur'] == 1 && $_SESSION['membre_id'] == $row['forum_msg_auteur'] ) || $droit['message_sup'] == 1 ) {
                $administration .= ' - <a href="index.' . EXT . '?page=Messages&amp;action=supprimer&amp;id=' . $row['forum_msg_id'] . '" title="' . $langue['supprimer_message'] . '">' . $langue['supprimer'] . '</a>';
            }
        }

        // Première ligne : auteur et date
        $page_texte .= '<tr class="message_entete" id="msg_' . $row['forum_msg_id'] . "\">\n";
        $page_texte .= '  <td class="centre">';

        if ( $row['forum_msg_auteur'] == 0 ) {
            $page_texte .= $langue['anonyme'];
        }
        else {
            $page_texte .= '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['forum_msg_auteur'] . '" title="' . $langue['view_fiche'] . $row['auteur'] . '">' . $row['auteur'] . '</a>';
        }

        $page_texte .= "</td>\n";
        $page_texte .= '  <td class="message_infos">' . $langue['poste_le'] . date ( $configuration['format_date'] , $row['forum_msg_time'] + $configuration['decalage'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['forum_msg_time'] + $configuration['decalage'] ) . $administration . "</td>\n</tr>\n";

        // Deuxième ligne : avatar, message et signature
        $page_texte .= "<tr class=\"message_corps\">\n";
        $page_texte .= '  <td class="centre">';

        if ( !empty ( $row['membre_avatar'] ) ) {
            if ( is_file ( 'fichiers/thumbs/100px-' . $row['membre_avatar'] ) ) {
                $page_texte .= '<img src="fichiers/thumbs/100px-' . $row['membre_avatar'] . '" alt="[' . $langue['avatar'] . ']" title="' . $langue['avatar_of'] . $row['auteur'] . '" />';
            }
            else {
                $page_texte .= '<img src="fichiers/' . $row['membre_avatar'] . '" alt="[' . $langue['avatar'] . ']" title="' . $langue['avatar_of'] . $row['auteur'] . '" />';
            }
        }

        if ( $row['forum_msg_auteur'] > 0 ) {
            $page_texte .= '<br />' . $langue['groupe'] . '&nbsp;: ' . $row['groupe_nom'];
        }

        $page_texte .= "</td>\n" . '  <td><div class="message">' . $site->Parser ( $row['forum_msg_texte'] , 1 );

        // Message édité
        if ( !empty ( $row['forum_msg_edit_auteur'] ) && !empty ( $row['forum_msg_edit_time'] ) ) {
            $page_texte .= '<br /><p><small><em>Édité le ' . date ( $configuration['format_date'] , $row['forum_msg_edit_time'] + $configuration['decalage'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['forum_msg_edit_time'] + $configuration['decalage'] ) . $langue['_par_'] . '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['forum_msg_edit_auteur'] . '" title="' . $langue['view_fiche'] . $row['auteur_edit'] . '">' . $row['auteur_edit'] . '</a></em></small></p>';
        }

        $page_texte .= '</div>';

        if ( !empty ( $row['membre_signature'] ) ) {
            $page_texte .= '<div class="signature"><hr />' . $site->Parser ( $row['membre_signature'] , 0 ) . '</div>';
        }

        $page_texte .= "</td>\n</tr>\n";

        // On récupère l'identifiant du dernier message affiché
        $sujet_last_msg = $row['forum_msg_id'];

        $sql_limite++;
    } // Fin du while()

    $page_texte .= "</tbody>\n\n</table>\n\n";

    // Mise-à-jour de la table des sujets lus/non lus pour les membres enregistrés
    if ( $_SESSION['groupe'] != 1 ) {
        $sql = "SELECT sv_message
                FROM " . $database->pref . "forum_sujet_view
                WHERE
                        sv_sujet = '" . $_GET['id'] . "'
                    AND sv_membre = '" . $_SESSION['membre_id'] . "';";

        $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

        // Si on n'a jamais lu ce sujet on insère une ligne
        if ( $database->NbrRowsSelected ( $req ) === 0 ) {
            $sql = "INSERT INTO " . $database->pref . "forum_sujet_view
                    (sv_membre, sv_sujet, sv_message, sv_participe)
                    VALUES
                    ('" . $_SESSION['membre_id'] . "', '" . $_GET['id'] . "', '" . $sujet_last_msg . "', '0');";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }
        // Sinon on met-à-jour
        else if ( $database->Result ( $req , 'sv_message' ) < $sujet_last_msg ) {
            $sql = "UPDATE " . $database->pref . "forum_sujet_view
                    SET sv_message = '" . $sujet_last_msg . "'
                    WHERE
                            sv_membre = '" . $_SESSION['membre_id'] . "'
                        AND sv_sujet = '" . $_GET['id'] . "';";

            $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
        }
    }

    if ( !empty ( $bouton_open ) || !empty ( $bouton_close ) || !empty ( $bouton_repondre ) || !empty ( $bouton_deplacer ) ) {
        $page_texte .= '<p class="droite print_hidden">';
        $page_texte .= $bouton_deplacer . $bouton_repondre . $bouton_open . $bouton_close;
        $page_texte .= "</p>\n\n";
    }

    // Accès vers les autres forums
    $page_texte .= $saut_forum;

    if ( !empty ( $bouton_repondre ) ) {
        // Réponse rapide
        $page_texte .= '<form action="index.' . EXT . '?page=Messages&amp;action=repondre&amp;id=' . $_GET['id'] . "\" method=\"post\" title=\"\">\n\n";
        $page_texte .= "<fieldset id=\"reponse_rapide\">\n";
        $page_texte .= "<label for=\"texte\">Réponse rapide&nbsp;:</label><br />\n";
        $page_texte .= "<textarea name=\"texte\" id=\"texte\" tabindex=\"15\" cols=\"40\" rows=\"8\"></textarea>\n<br />\n";
        $page_texte .= "<input name=\"time_form\" value=\"" . $time . "\" type=\"hidden\" />\n";
        $page_texte .= "<p class=\"centre\"><input name=\"submit\" value=\"" . $langue['valider'] . "\" tabindex=\"16\" accesskey=\"s\" type=\"submit\"> <input name=\"more\" value=\"Plus d'options\" tabindex=\"17\" type=\"submit\"></p>\n";
        $page_texte .= "</fieldset>\n";
        $page_texte .= "</form>\n\n";
    }

    if ( $_SESSION['groupe'] != 1 ) {
        // Options pour les membres enregistrés
        if ( $in_favoris ) {
            $page_texte .= "<div class=\"forum_options\">\n<ul>\n  <li><a href=\"index." . EXT . "?page=Messages&amp;action=fav&amp;id=" . $_GET['id'] . "\">Enlever ce sujet des favoris</a></li>\n</ul>\n</div>\n";
        }
        else {
            $page_texte .= "<div class=\"forum_options\">\n<ul>\n  <li><a href=\"index." . EXT . "?page=Messages&amp;action=fav&amp;id=" . $_GET['id'] . "\">Mettre ce sujet en favori</a></li>\n</ul>\n</div>\n";
        }
    }
}

// Redirection vers la page contenant un message
else if ( isset ( $_GET['msg'] ) ) {
    // On récupère l'identifiant du sujet
    $sql = "SELECT forum_msg_sujet
            FROM " . $database->pref . "forum_msg
            WHERE forum_msg_id = '" . $_GET['msg'] . "';";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    // Le sujet n'existe pas
    if ( $database->NbrRowsSelected ( $req ) === 0 ) {
        header ( 'Location: index.' . EXT . '?page=Forums' );
        die ( -1 );
    }

    $row = $database->ResultArray ( $req );
    $sujet = $row['forum_msg_sujet'];

    // On regarde à quelle page se trouve le message
    $sql = "SELECT forum_msg_id
            FROM " . $database->pref . "forum_msg
            WHERE forum_msg_sujet = '" . $sujet . "'
            ORDER BY forum_msg_time ASC;";

    $req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    for ( $i = 0 ; $row = $database->ResultArray ( $req ) ; $i++ ) {
        if ( $row['forum_msg_id'] == $_GET['msg'] ) {
            $page = $i - $i % $configuration['page_messages'];
        }
    }

    // On redirige vers cette page
    if ( $page == 0 ) {
        header ( 'Location: index.' . EXT . '?page=Sujets&id=' . $sujet . '#msg_' . $_GET['msg'] );
    }
    else {
        header ( 'Location: index.' . EXT . '?page=Sujets&id=' . $sujet . '&start=' . $page . '#msg_' . $_GET['msg'] );
    }

    die ( -1 );
}
?>