<?php
/***************************************************************************
 *  Copyright (C) 2012 Woopress
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************
 *  Woopress Développement : Hamy Patrick et Midoux Nathan
 *
 *  Date : 02/02/2012
 *
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) ) {
    header ( 'Location: ../' );
    die ( -1 );
}

// Titre de la page
$page_titre = $langue['liste_visiteurs'];
$page_infos = $langue['liste_visiteurs'];

// Statistiques
if ( $database->connected && is_file ( './systeme/statistiques.' . EXT ) ) {
    include_once ( './systeme/statistiques.' . EXT );
}

$page_texte .= '<p>Record de visiteurs sur le site&nbsp;: ' . $configuration['record_visiteurs'] . ' le ' . date ( $configuration['format_date'] , $configuration['record_time'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $configuration['record_time'] + $configuration['decalage'] ) . "</p>\n\n";

// On regarde le nombre de visiteurs
$sql = "SELECT COUNT(*) AS count
        FROM " . $database->pref . "visiteurs
        WHERE visiteur_time > '" . ( $time - 300 ) . "';";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$nbr_visites_now = $database->Result ( $req , 'count' );

// Premier membre et numéro de la page affichée
if ( isset ( $_GET['start'] ) && is_numeric ( $_GET['start'] ) && $_GET['start'] >= 0 && $_GET['start'] < $nbr_visites_now ) {
    $start = $_GET['start'];
}
else {
    $start = 0;
}

$page_actuelle = intval ( $start / $configuration['page_membres'] ) + 1;

// Nombre de pages
$nbr_page = ( ( $nbr_visites_now - 1 ) - ( $nbr_visites_now - 1 ) % $configuration['page_membres'] ) / $configuration['page_membres'] + 1;

$tpl = new Template ( 'themes/' . $configuration['style'] . '/templates/visiteurs.tpl' );

$liste_page_haut = '';
$liste_page_bas = '';

// Liste des pages
if ( $nbr_visites_now > $configuration['page_membres'] ) {
    $liste_page_haut = "<tr>\n  <td colspan=\"2\">" . $langue['page'] . "&nbsp;:\n";

    for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
        $affiche_numero = false;

        for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
            if ( $i == $numero ) $affiche_numero = true;
        }

        if ( !$affiche_numero ) {
            for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }
        }

        if ( !$affiche_numero ) {
            for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }
        }

        if ( $affiche_numero ) {
            $liste_page_haut .= '    <a href="index.' . EXT . '?page=Visiteurs&amp;start=' . ( $i - 1 ) * $configuration['page_membres'] . '" title="' . $langue['page_goto'] . $i . '">';
            $liste_page_haut .= ( $start == ( $i - 1 ) * $configuration['page_membres'] ) ? '<span class="page_actuelle">' . $i . "</span></a>\n" : $i . "</a>\n";
            $trois_petits_points = false;
        }
        else if ( !$trois_petits_points ) {
            $liste_page_haut .= "    ...\n";
            $trois_petits_points = true;
        }
    }

    $liste_page_haut .= "  </td>\n</tr>\n";

    $liste_page_bas = "<tfoot>\n<tr>\n  <td colspan=\"2\">" . $langue['page'] . "&nbsp;:\n";

    for ( $i = 1 ; $i <= $nbr_page ; $i++ ) {
        $affiche_numero = false;

        for ( $numero = 1 ; $numero <= $configuration['numero_debut'] ; $numero++ ) {
            if ( $i == $numero ) $affiche_numero = true;
        }

        if ( !$affiche_numero ) {
            for ( $numero = $page_actuelle - $configuration['numero_autour'] ; $numero <= $page_actuelle + $configuration['numero_autour'] ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }
        }

        if ( !$affiche_numero ) {
            for ( $numero = $nbr_page + 1 - $configuration['numero_fin'] ; $numero <= $nbr_page ; $numero++ ) {
                if ( $i == $numero ) $affiche_numero = true;
            }
        }

        if ( $affiche_numero ) {
            $liste_page_bas .= '    <a href="index.' . EXT . '?page=Visiteurs&amp;start=' . ( $i - 1 ) * $configuration['page_membres'] . '" title="' . $langue['page_goto'] . $i . '">';
            $liste_page_bas .= ( $start == ( $i - 1 ) * $configuration['page_membres'] ) ? '<span class="page_actuelle">' . $i . "</span></a>\n" : $i . "</a>\n";
            $trois_petits_points = false;
        }
        else if ( !$trois_petits_points ) {
            $liste_page_bas .= "    ...\n";
            $trois_petits_points = true;
        }
    }

    $liste_page_bas .= "  </td>\n</tr>\n</tfoot>\n\n";
}

$tpl->SetVar ( array (
    'LNG_USERNAME'    => $langue['user'],
    'LNG_PAGE'        => $langue['page'],
    'LNG_LAST_VISITE' => $langue['last_visite'],
    'LISTE_PAGE_HAUT' => $liste_page_haut,
    'LISTE_PAGE_BAS'  => $liste_page_bas,
    '#EXT'            => EXT
) );

$sql = "SELECT visiteur_ip,
               visiteur_nom,
               visiteur_time,
               visiteur_page,
               membre_id,
               groupe_couleur
        FROM " . $database->pref . "visiteurs
        LEFT JOIN " . $database->pref . "membres
            ON membre_nom = visiteur_nom
        LEFT JOIN " . $database->pref . "groupes
            ON groupe_id = membre_groupe
        WHERE visiteur_time > '" . ( $time - 300 ) . "'
        ORDER BY visiteur_time DESC";

//=>MYSQL
    if ( SGBD == 'mysql' ) $sql .= ' LIMIT ' . $start . ', ' . $configuration['page_membres'];
    $sql .= ';';
//=>END

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$sql_limite = 0;

while ( $sql_limite < $start + $configuration['page_membres'] && $row = $database->ResultArray ( $req ) ) { // On affiche les enregistrements à partir de $start
    if ( SGBD != 'mysql' && $sql_limite < $start ) {
        continue;
    }

    if ( $row['visiteur_nom'] == 'Anonyme' ) {
        $nom = $langue['anonyme'];
    }
    else {
        $nom = '<a href="index.' . EXT . '?page=Membre&amp;id=' . $row['membre_id'] . '" title="' . $langue['view_fiche'] . $row['visiteur_nom'] . '">';
        if ( !empty ( $row['groupe_couleur'] ) ) $nom .= '<span class="' . $row['groupe_couleur'] . '">';
        $nom .= $row['visiteur_nom'];
        if ( !empty ( $row['groupe_couleur'] ) ) $nom .= '</span>';
        $nom .= '</a>';
    }

    $tpl->SetBlock ( 'VISITEUR' , array (
        'ID'      => $row['membre_id'],
        'NOM'     => $nom,
        'PAGE'    => $row['visiteur_page'],
        'DATE'    => date ( $configuration['format_date'] , $row['visiteur_time'] + $configuration['decalage'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $row['visiteur_time'] + $configuration['decalage'] )
    ) );

    $sql_limite++;
}

$page_texte .= $tpl->Parse ();
?>