<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


$numero_erreur = 0;

// Gestionnaire d'erreurs
function ErrorHandler ( $errno , $errstr , $errfile , $errline )
{
    global $numero_erreur;

    // On ne traite pas les erreurs
    #return true;

    // Types d'erreurs
    $type_erreurs = array (
        E_WARNING       => 'Warning     ',
        E_NOTICE        => 'Notice      ',
        E_STRICT        => 'Strict      ',
        E_PARSE         => 'Parse       ',
        E_ERROR         => 'Error       ',
        E_USER_ERROR    => 'User Error  ',
        E_USER_WARNING  => 'User Warning',
        E_USER_NOTICE   => 'User Notice '
    );


    $texte = date ( 'd/m/Y H:i:s' ) . ' | ' . $type_erreurs[$errno] . ' | ' . $errstr . ' | ' . $errfile . ' (ligne ' . $errline . ")\n";

    // On ouvre le fichier en écriture, mode binaire, et on le crée s'il n'existe pas
    $file = fopen ( 'error.txt' , 'ab' );

    if ( $file )
    {
        if ( fwrite ( $file , $texte ) )
        {
            fclose ( $file );
        }
    }


    // Si c'est une erreur fatale, on arrête l'exécution du script
    if ( $errno == E_ERROR || $errno == E_USER_ERROR ) die ( -1 );

    return true;
}

?>