<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


class Database
{
    /*****************************************
     * Paramètres du serveur
     ****************************************/
    var $hote = 'localhost';
    var $user = 'root';
    var $pass = '';

    /*****************************************
     * Paramètres de la base de données
     ****************************************/
    var $base = '';
    var $pref = '';


    /*****************************************
     * État de la connexion
     ****************************************/
    var $connected = false;
    var $link = 0;

    /*****************************************
     * Nombre de requêtes exécutées et temps
     ****************************************/
    var $nbr_requetes = 0;
    var $tps_requetes = 0;


    /*****************************************
     * Database->__construct ( void )
     *
     * Constructeur de la classe.
     * Modifie les données de la classe
     ****************************************/

    function Database ()
    {
        if ( is_file ( 'systeme/configuration.' . EXT ) )
        {
            // Ce fichier contient les informations sur les base de données
            include_once ( 'systeme/configuration.' . EXT );

            // On modifie les données de la classe
            if ( isset ( $bdd_hote ) ) $this->hote = $bdd_hote;
            if ( isset ( $bdd_user ) ) $this->user = $bdd_user;
            if ( isset ( $bdd_pass ) ) $this->pass = $bdd_pass;
            if ( isset ( $bdd_port ) ) $this->port = $bdd_port;
            if ( isset ( $bdd_base ) ) $this->base = $bdd_base;
            if ( isset ( $bdd_pref ) ) $this->pref = $bdd_pref;
        }
        else if ( is_file ( 'systeme/configuration-tmp.' . EXT ) )
        {
            // Ce fichier contient les informations sur les base de données
            include_once ( 'systeme/configuration-tmp.' . EXT );

            // On modifie les données de la classe
            if ( isset ( $bdd_hote ) ) $this->hote = $bdd_hote;
            if ( isset ( $bdd_user ) ) $this->user = $bdd_user;
            if ( isset ( $bdd_pass ) ) $this->pass = $bdd_pass;
            if ( isset ( $bdd_port ) ) $this->port = $bdd_port;
            if ( isset ( $bdd_base ) ) $this->base = $bdd_base;
            if ( isset ( $bdd_pref ) ) $this->pref = $bdd_pref;
        }
        else
        {
            trigger_error ( 'Le fichier de configuration de la base de données est introuvable.' , E_USER_NOTICE );
        }
    }


    /*****************************************
     * void Database->SetParametres ( string $Hote , string $User , string $Pass , string $Base = '' , string $Pref = '' )
     *
     * Modifie les données de la classe
     *
     *  $Hote : serveur
     *  $User : utilisateur
     *  $Pass : mot de passe
     *  $Base : base de données
     *  $Pref : préfixes des tables
     ****************************************/

    function SetParametres ( $Hote , $User , $Pass , $Base = '' , $Pref = '' )
    {
        $this->hote = $Hote;
        $this->user = $User;
        $this->pass = $Pass;
        if ( !empty ( $Base ) ) $this->base = $Base;
        if ( !empty ( $Pref ) ) $this->pref = $Pref;
    }
}

?>