<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}

// Affichage d'une page normale si le fichier du template existe
if ( $page_simple == 0 && is_file ( 'themes/' . $configuration['style'] . '/templates/page_content.tpl' ) )
{
    $tpl_page_content = new Template ( 'themes/' . $configuration['style'] . '/templates/page_content.tpl' );

    $tpl_page_content->SetVar ( array (
        'TITRE'         => $page_titre,
        'TEXTE'         => $page_texte,
        'NBR_VISITEURS' => $visiteurs,
        'NBR_REQUETES'  => $database->nbr_requetes,
        'TPS_REQUETES'  => round ( $database->tps_requetes , 4 ),
        'TPS_EXECUTION' => $tps_execution,
        'LNG_SECONDE'   => $langue['seconde'],
        'LOGO'          => $configuration['titre'],
        'LIENS'         => '',
        'COPYRIGHT'     => ''
    ) );


    // Menus
    $menus = explode ( ';' , $configuration['menus'] );

    $menu_content = '';

    foreach ( $menus as $menu )
    {
        if ( $menu == 'Recherche' )
        {
            include_once ( 'systeme/menus/recherche.' . EXT );
            if ( !empty ( $menu_texte ) ) $menu_content .= '<h2>' . $menu_titre . "</h2>\n\n" . $menu_texte;
        }
        else if ( $menu == 'Communaute' )
        {
            include_once ( 'systeme/menus/communaute.' . EXT );
            if ( !empty ( $menu_texte ) ) $menu_content .= '<h2>' . $menu_titre . "</h2>\n\n" . $menu_texte;
        }
        else if ( $menu == 'LastMessages' )
        {
            include_once ( 'systeme/menus/last_forums.' . EXT );
            if ( !empty ( $menu_texte ) ) $menu_content .= '<h2>' . $menu_titre . "</h2>\n\n" . $menu_texte;
        }
        else if ( $menu == 'LastArticles' )
        {
            include_once ( 'systeme/menus/last_articles.' . EXT );
            if ( !empty ( $menu_texte ) ) $menu_content .= '<h2>' . $menu_titre . "</h2>\n\n" . $menu_texte;
        }
        else if ( $menu == 'Anniversaires' )
        {
            include_once ( 'systeme/menus/birthday.' . EXT );
            if ( !empty ( $menu_texte ) ) $menu_content .= '<h2>' . $menu_titre . "</h2>\n\n" . $menu_texte;
        }
        else if ( $menu == 'TopArticles' )
        {
            include_once ( 'systeme/menus/top_articles.' . EXT );
            if ( !empty ( $menu_texte ) ) $menu_content .= '<h2>' . $menu_titre . "</h2>\n\n" . $menu_texte;
        }
        else if ( $menu == 'TopMessages' )
        {
            include_once ( 'systeme/menus/top_forums.' . EXT );
            if ( !empty ( $menu_texte ) ) $menu_content .= '<h2>' . $menu_titre . "</h2>\n\n" . $menu_texte;
        }
        else if ( $menu == 'LivreOr' )
        {
            include_once ( 'systeme/menus/livre_or.' . EXT );
            if ( !empty ( $menu_texte ) ) $menu_content .= '<h2>' . $menu_titre . "</h2>\n\n" . $menu_texte;
        }
				else if ( $menu == 'Facebook' )
        {
            include_once ( 'systeme/menus/facebook.' . EXT );
            if ( !empty ( $menu_texte ) ) $menu_content .= '<h2>' . $menu_titre . "</h2>\n\n" . $menu_texte;
        }
    }

    $tpl_page_content->SetVar ( array ( 'MENUS' => $menu_content ) );


    // Visiteurs
    if ( $_SESSION['groupe'] == 1 )
    {
        $tpl_page_content->SetVar ( array ( 'MENU_MEMBRE' => '  <li class="barredroite"><a href="index.' . EXT . '?page=Inscription" title="' . $langue['inscription_texte'] . '">' . $langue['inscription'] . "</a></li>\n  <li class=\"barredroite\"><a href=\"index." . EXT . '?page=Connexion" title="' . $langue['login_texte'] . '">' . $langue['login'] . '</a></li>' ) );
    }
    else
    {
        if ( $configuration['bloquage'] == 0 )
        {
            $logout = '<a href="index.' . EXT . '?page=Deconnexion" title="' . $langue['logout_texte'] . '">' . $langue['logout'] . '</a>';
        }
        else
        {
            $logout = '<a href="#" title="' . $langue['logout_texte'] . '"><span class="rouge">' . $langue['logout'] . '</span></a>';
        }
    
        $tpl_page_content->SetVar ( array ( 'MENU_MEMBRE' => '  <li class="barredroite"><a href="index.' . EXT . '?page=Membre&amp;id=' . $_SESSION['membre_id'] . '" title="' . $langue['view_fiche'] . $_SESSION['membre'] . '">' . $_SESSION['membre'] . "</a></li>\n  <li class=\"barredroite\"><a href=\"index." . EXT . '?page=Preferences" title="' . $langue['prefs_texte'] . '">' . $langue['prefs'] . "</a></li>\n  <li class=\"barredroite\">" . $logout . '</li>' ) );
    }


    $menu_navigation = '';
    $menu_navigation_explode = explode ( ';' , $configuration['navigation'] );

    foreach ( $menu_navigation_explode as $entree )
    {
        if ( $entree == 'Administration' && $droit['administration'] == 0 )
        {
            continue;
        }

        $menu_navigation .= '  <li class="barregauche">';

        if ( $entree == 'Accueil' ) $menu_navigation .= '<a href="index.' . EXT . '" title="' . $langue['accueil_texte'] . '">' . $langue['accueil'] . '</a>';
        else if ( $entree == 'News' ) $menu_navigation .= '<a href="index.' . EXT . '?page=News" title="' . $langue['news_texte'] . '">' . $langue['news'] . '</a>';
        else if ( $entree == 'Articles' ) $menu_navigation .= '<a href="index.' . EXT . '?page=Liste_des_articles" title="' . $langue['articles_texte'] . '">' . $langue['articles'] . '</a>';
        else if ( $entree == 'Forums' ) $menu_navigation .= '<a href="index.' . EXT . '?page=Forums" title="' . $langue['forums_texte'] . '">' . $langue['forums'] . '</a>';
        else if ( $entree == 'Sondages' ) $menu_navigation .= '<a href="index.' . EXT . '?page=Sondages" title="' . $langue['sondages_texte'] . '">' . $langue['sondages'] . '</a>';
        else if ( $entree == 'Plan' ) $menu_navigation .= '<a href="index.' . EXT . '?page=Plan_du_site" title="Plan du site">Plan du site</a>';
        else if ( $entree == 'Contact' ) $menu_navigation .= '<a href="index.' . EXT . '?page=Contact" title="Contactez-nous">Contact</a>';
        else if ( $entree == 'Equipe' ) $menu_navigation .= '<a href="index.' . EXT . '?page=Equipe" title="Membres de l\'équipe">Équipe</a>';
        else if ( $entree == 'Membres' ) $menu_navigation .= '<a href="index.' . EXT . '?page=Liste_des_membres" title="' . $langue['membres_texte'] . '">' . $langue['membres'] . "</a>";
        else if ( $entree == 'LivreOr' ) $menu_navigation .= '<a href="index.' . EXT . '?page=Livre_or" title="Livre d\'or">Livre d\'or' . "</a>";
        else if ( $entree == 'Calendrier' ) $menu_navigation .= '<a href="index.' . EXT . '?page=Calendrier" title="Calendrier">Calendrier' . "</a>";
        else if ( $entree == 'Visiteurs' ) $menu_navigation .= '<a href="index.' . EXT . '?page=Visiteurs" title="Liste des visiteurs">Visiteurs' . "</a>";
        else if ( $entree == 'Administration' && $droit['administration'] == 1 ) $menu_navigation .= '<a href="index.' . EXT . '?page=Administration" title="' . $langue['administration_texte'] . '">' . $langue['administration'] . '</a></li>';
        else $menu_navigation .= '<a href="#">' . $entree . '</a>';

        $menu_navigation .= "</li>\n";
    }

    $tpl_page_content->SetVar ( array ( 'MENU_NAVIGATION' => $menu_navigation ) );


    if ( is_file ( './themes/' . $configuration['style'] . '/images/logo.png' ) )
    {
        $tpl_page_content->SetVar ( array ( 'LOGO' => '<img src="themes/' . $configuration['style'] . '/images/logo.png" alt="' . $configuration['titre'] . '" title="' , $configuration['titre'] . '" />' ) );
    }

    if ( !empty ( $configuration['liens'] ) ) 
    {
        $tpl_page_content->SetVar ( array ( 'LIENS' => '<p>' . $configuration['liens'] . "</p>\n" ) );
    }

    if ( !empty ( $configuration['copyright'] ) )
    {
        $tpl_page_content->SetVar ( array ( 'COPYRIGHT' => '<p>' . $configuration['copyright'] . "</p>\n" ) );
    }

    $page_CSS .= '<link rel="stylesheet" type="text/css" media="screen" title="' . $configuration['style'] . '" href="' . $configuration['adresse'] . 'themes/' . $configuration['style'] . '/styles/table.css" />';

    $content = $tpl_page_content->Parse ();
}

// Affichage d'une page simple
else
{
    $tpl_page_content = new Template ( './themes/' . $configuration['style'] . '/templates/page_simple.tpl' );

    $tpl_page_content->SetVar ( array (
        'TITRE'    => $page_titre,
        'LOGO'     => $configuration['titre'],
        'TEXTE'    => $page_texte
    ) );

    $content = $tpl_page_content->Parse ();
}


// Page
$tpl_page = new Template ( 'themes/' . $configuration['style'] . '/templates/page.tpl' );

$tpl_page->SetVar ( array (
    'TITRE'         => $page_titre . ' - ' . $configuration['titre'],
    'STYLE'         => $configuration['style'],
    'ADRESSE'       => $configuration['adresse'],
    'LANGUE'        => $configuration['langue'],
    'DATETIME'      => date ( $configuration['format_date'] , $time + $configuration['decalage'] ) . $langue['time_at'] . date ( $configuration['format_heure'] , $time + $configuration['decalage'] ),
    'ADRESSE_IP'    => $_SERVER['REMOTE_ADDR'],
    'ADD_CSS'       => $page_CSS,
    'CONTENT'       => $content,
    'ONLOAD'        => '',
    'DESCRIPTION'   => $configuration['description'],
    'KEYWORDS'      => $configuration['keywords'],
    '#EXT'          => EXT
) );


// Affichage d'un pop-up pour les nouveaux messages privés
if ( $_SESSION['groupe'] != 1 && $configuration['popup'] == 1 )
{
    // Il y a des nouveaux messages et le pop-up n'a pas encore été affiché
    if ( $nbr_new_private_msg > 0 && !isset ( $_SESSION['newmp'] ) )
    {
        $tpl_page->SetVar ( array ( 'ONLOAD' => ' onload="javascript:window.open ( \'index.' . EXT . '?page=Nouveau_mp\' , \'_newmp\' , \'height=200,resizable=yes,width=600\' );"' ) );

        $_SESSION['newmp'] = 1;
    }
    // Il n'y a pas de nouveaux messages, le pop-up peut être de nouveau affiché
    else if ( isset ( $_SESSION['newmp'] ) && $nbr_new_private_msg == 0  )
    {
        unset ( $_SESSION['newmp'] );
    }
}


// Flux RSS
if ( isset ( $page_link ) )
{
    $tpl_page->SetVar ( array ( 'ADD_LINK' => $page_link ) );
}
else
{
    $tpl_page->SetVar ( array ( 'ADD_LINK' => '' ) );
}


echo $tpl_page->Parse ();


die ( -1 );

?>