<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


////////////////////
// Nombre de visiteurs connectés
////////////////////

// Nom du visiteur
$connecte = ( isset ( $_SESSION['membre'] ) && isset ( $_SESSION['membre_id'] ) ) ? $_SESSION['membre'] : 'Anonyme';

// On regarde si le visiteur est déjà dans la base
$sql = "SELECT COUNT(*) AS count
        FROM " . $database->pref . "visiteurs
        WHERE visiteur_ip = '" . ConvertIP ( $_SERVER['REMOTE_ADDR'] , '' ) . "';";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

// Si non : on l'ajoute
if ( $database->Result ( $req ,'count' ) == 0 )
{
    $sql = 'INSERT INTO ' . $database->pref . "visiteurs
            (visiteur_ip, visiteur_nom, visiteur_time, visiteur_page)
            VALUES
            ('" . ConvertIP ( $_SERVER['REMOTE_ADDR'] , '' ) . "', '" . $connecte . "', '" . $time . "', '" . $database->Protege ( $page_infos , false ) . "');";

    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
}
// Si oui : on le met à jour
else
{
    $sql = 'UPDATE ' . $database->pref . "visiteurs
            SET visiteur_time = '" . $time . "',
                visiteur_nom = '" . $connecte . "',
                visiteur_page = '" . $database->Protege ( $page_infos , false ) . "'
            WHERE visiteur_ip = '" . ConvertIP ( $_SERVER['REMOTE_ADDR'] , '' ) . "';";

    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
}

// On regarde le nombre de visiteurs
$sql = "SELECT COUNT(*) AS count
        FROM " . $database->pref . "visiteurs
        WHERE visiteur_time > '" . ( $time - $configuration['stat_time'] ) . "';";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

$nbr_visites_now = $database->Result ( $req , 'count' );

if ( $nbr_visites_now <= 1 )
{
    $visiteurs = '1 visiteur';
}
else
{
    $visiteurs = $nbr_visites_now . ' visiteurs';
}

// Record du nombre de visiteurs
if ( $nbr_visites_now > $configuration['record_visiteurs'] )
{
    $configuration['record_visiteurs'] = $nbr_visites_now;

    $sql = 'UPDATE ' . $database->pref . "configuration
            SET config_valeur = '" . $nbr_visites_now . "'
            WHERE `config_nom` = 'record_visiteurs';";

    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    $sql = 'UPDATE ' . $database->pref . "configuration
            SET config_valeur = '" . $time . "'
            WHERE config_nom = 'record_time';";

    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
}


////////////////////
// Statistiques
////////////////////

// On regarde s'il y a une entrée pour ce visiteur qui date de moins de 5 minutes
$sql = "SELECT stat_id
        FROM " . $database->pref . "stat
        WHERE
                stat_ip = '" . ConvertIP ( $_SERVER['REMOTE_ADDR'] , '' ) . "'
            AND stat_time > '" . ( $time - $configuration['stat_time'] ) . "';";

$req = $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

if ( $database->NbrRowsSelected ( $req ) > 0 )
{
    // On incrémente le nombre de pages vues
    $sql = "UPDATE " . $database->pref . "stat
            SET stat_hit = stat_hit + 1
            WHERE stat_id = '" . $database->Result ( $req , 'stat_id' ) . "';";

    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );
}
else
{
    if ( !isset ( $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $_SERVER['HTTP_USER_AGENT'] = '';
    }


    // Recherche du navigateur

    if ( preg_match ( "#(.{0,})Opera(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = preg_replace ( "#(.{0,})Opera[ /]([0-9.+]{1,10})(.{0,})#i" , "op|$2" , $_SERVER['HTTP_USER_AGENT'] );
    }

    // Robots
    else if ( preg_match ( "#(.{0,})Exabot(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'rb|Exabot';
    }
    else if ( preg_match ( "#(.{0,})\(Exabot-Thumbnails\)(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'rb|Exabot Thumbnails';
    }
    else if ( preg_match ( "#(.{0,})msnbot(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'rb|MSN Bot';
    }
    else if ( preg_match ( "#(.{0,})W3C_Validator(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'rb|Validateur W3C';
    }
    else if ( preg_match ( "#(.{0,})W3C_CSS_Validator(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'rb|Validateur CSS W3C';
    }
    else if ( preg_match ( "#(.{0,})Googlebot(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'rb|GoogleBot';
    }
    else if ( preg_match ( "#(.{0,})yahoo(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'rb|Yahoo';
    }
    else if ( preg_match ( "#(.{0,})NG/4.5(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'rb|Exabot';
    }
    else if ( preg_match ( "#(.{0,})yetibot(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'rb|Yetibot';
    }
    else if ( preg_match ( "#(.{0,})HMSE_Robot(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'rb|HMSE';
    }
    else if ( preg_match ( "#(.{0,})Gaisbot(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'rb|GAISWWW Query Page';
    }
    else if ( preg_match ( "#(.{0,})Nutch(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'rb|Nutch';
    }
    else if ( preg_match ( "#(.{0,})Mediapartners-Google(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'rb|Mediapartners-Google';
    }
    else if ( preg_match ( "#(.{0,})Microsoft URL Control(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'rb|Microsoft URL Control';
    }

    else if ( preg_match ( "#(.{0,})compatible; MSIE(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = preg_replace ( "#(.{0,})\(compatible; MSIE[ /]([0-9.]{1,10})(.{0,})#i" , "ie|$2" , $_SERVER['HTTP_USER_AGENT'] );
    }
    else if ( preg_match ( "#(.{0,})Konqueror(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = preg_replace ( "#(.{0,})Konqueror[ /]([0-9.]{1,10})(.{0,})#i" , "ko|$2" , $_SERVER['HTTP_USER_AGENT'] );
    }
    else if ( preg_match ( "#(.{0,})Safari(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = preg_replace ( "#(.{0,})Safari[ /]([0-9.]{1,10})(.{0,})#i" , "sa|$2" , $_SERVER['HTTP_USER_AGENT'] );
    }
    else if ( preg_match ( "#(.{0,})Firefox(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = preg_replace ( "#(.{0,})Firefox[ /]([0-9.+]{1,10})(.{0,})#i" , "mf|$2" , $_SERVER['HTTP_USER_AGENT'] );
    }
    else if ( preg_match ( "#(.{0,})Epiphany(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = preg_replace ( "#(.{0,})Epiphany[ /]([0-9.+]{1,10})(.{0,})#i" , "ep|^$2" , $_SERVER['HTTP_USER_AGENT'] );
    }

    else if ( preg_match ( "#(.{0,})Mozilla(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = preg_replace ( "#(.{0,})Mozilla[ /]([0-9.+]{1,10})(.{0,})#i" , "mo|$2" , $_SERVER['HTTP_USER_AGENT'] );
    }

    else if ( preg_match ( "#(.{0,})SonyEricssonW850i(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $navigateur = 'SonyEricsson W850i';
    }

    // Autres
    else
    {
        $navigateur = 'un';
        trigger_error ( 'Navigateur non identifié pour HTTP_USER_AGENT : ' . $_SERVER['HTTP_USER_AGENT']  , E_USER_NOTICE );
    }


    // Recherche du système d'exploitation

    // Windows
    if ( preg_match ( "#(.{0,})windows(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        if ( preg_match ( "#(.{0,})Windows 95(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'wn|Windows 95';
        }
        else if ( preg_match ( "#(.{0,})Windows 98(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'wn|Windows 98';
        }
        else if ( preg_match ( "#(.{0,})Windows CE(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'wn|Windows CE';
        }
        else if ( preg_match ( "#(.{0,})Windows NT 4.0(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'wn|Windows NT';
        }
        else if ( preg_match ( "#(.{0,})Windows (NT 5.0|2000)(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'wn|Windows 2000';
        }
        else if ( preg_match ( "#(.{0,})Windows (NT 5.1|XP)(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'wn|Windows XP';
        }
        else if ( preg_match ( "#(.{0,})Windows NT 5.2(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'wn|Windows Server 2003';
        }
        else if ( preg_match ( "#(.{0,})Windows NT 6.0(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'wn|Windows Vista';
        }
        else
        {
            $systeme = 'wn';
        }
    }

    // Robots
    else if ( preg_match ( "#(.{0,})Googlebot(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'rb|GoogleBot';
    }
    else if ( preg_match ( "#(.{0,})\(Exabot-Thumbnails\)(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'rb|Exabot Thumbnails';
    }
    else if ( preg_match ( "#(.{0,})Exabot(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'rb|Exabot';
    }
    else if ( preg_match ( "#(.{0,})msnbot(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'rb|MSN Bot';
    }
    else if ( preg_match ( "#(.{0,})W3C_Validator(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'rb|Validateur W3C';
    }
    else if ( preg_match ( "#(.{0,})W3C_CSS_Validator(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'rb|Validateur CSS W3C';
    }
    else if ( preg_match ( "#(.{0,})yahoo(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'rb|Yahoo';
    }
    else if ( preg_match ( "#(.{0,})NG/4.5(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'rb|Exabot';
    }
    else if ( preg_match ( "#(.{0,})yetibot(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'rb|Yetibot';
    }
    else if ( preg_match ( "#(.{0,})HMSE_Robot(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'rb|HMSE';
    }
    else if ( preg_match ( "#(.{0,})Gaisbot(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'rb|GAISWWW Query Page';
    }
    else if ( preg_match ( "#(.{0,})Nutch(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'rb|Nutch';
    }
    else if ( preg_match ( "#(.{0,})Mediapartners-Google(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'rb|Mediapartners-Google';
    }
    else if ( preg_match ( "#(.{0,})Microsoft URL Control(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'rb|Microsoft URL Control';
    }

    // Linux
    else if ( preg_match ( "#(.{0,})Linux(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        if ( preg_match ( "#(.{0,})SUSE(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'li|SUSE';
        }
        else if ( preg_match ( "#(.{0,})Ubuntu(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'li|Ubuntu';
        }
        else if ( preg_match ( "#(.{0,})Debian(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'li|Debian';
        }
        else if ( preg_match ( "#(.{0,})Fedora(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'li|Fedora';
        }
        else if ( preg_match ( "#(.{0,})Gentoo(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'li|Gentoo';
        }
        else if ( preg_match ( "#(.{0,})Red Hat(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'li|Red Hat';
        }
        else if ( preg_match ( "#(.{0,})Mandriva(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
        {
            $systeme = 'li|Mandriva';
        }
        else
        {
            $systeme = 'li';
        }
    }

    // FreeBSD
    else if ( preg_match ( "#(.{0,})FreeBSD(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'FreeBSD';
    }

    // Mac
    else if ( preg_match ( "#(.{0,})(PPC|Mac_PowerPC) Mac OS X(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'mc|Mac OS X PowerPC';
    }
    else if ( preg_match ( "#(.{0,})Intel Mac OS X(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'mc|Mac OS X Intel';
    }
    else if ( preg_match ( "#(.{0,})Mac OS X(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'mc|Mac OS X';
    }
    else if ( preg_match ( "#(.{0,})PPC(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'mc|PowerPC';
    }

    else if ( preg_match ( "#(.{0,})SonyEricssonW850i(.{0,})#i" , $_SERVER['HTTP_USER_AGENT'] ) )
    {
        $systeme = 'SonyEricsson W850i';
    }

    // Autres
    else
    {
        $systeme = 'un';
        //trigger_error ( 'Système d\'exploitation non identifié pour HTTP_USER_AGENT : ' . $_SERVER['HTTP_USER_AGENT']  , E_USER_NOTICE );
    }


    // Langue
    if ( isset ( $_SERVER['HTTP_ACCEPT_LANGUAGE'] ) )
    {
        $visiteur_langue = strtolower ( preg_replace ( "#^([a-z_-]{2,5})(,|;)(.+)$#i" , "$1" , $_SERVER['HTTP_ACCEPT_LANGUAGE'] ) );
        $visiteur_langue = preg_replace ( "#^([a-z]{2})_([a-z]{2})$#" , "$1-$2" , $visiteur_langue );
    }
    else
    {
        $visiteur_langue = '00';
    }


    if ( $_SESSION['groupe'] != 1 )
    {
        $member = $_SESSION['membre_id'];
    }
    else
    {
        $member = 0;
    }

    if ( $_SERVER['REMOTE_ADDR'] === '127.0.0.1' )
    {
        $stat_pays = '00';
        $stat_fai = 'inconnu';
    }
    else
    {
        $host = trim ( strtolower ( GetHostByAddr ( $_SERVER['REMOTE_ADDR'] ) ) );

        $host_explode = explode ( '.' , $host );

        // Extension de l'hôte
        $ext = $host_explode[sizeof ( $host_explode ) - 1];

        if ( is_numeric ( $ext ) || in_array ( $ext , array ( 'com' , 'net' , 'org' , 'co' , 'info' , 'biz' , 'name' , 'pro' , 'arpa' , 'gov' ) ) )
        {
            $stat_pays = '00';
        }
        else
        {
            $stat_pays = strtoupper ( $ext );
        }

        if ( sizeof ( $host_explode ) > 1 )
        {
            $fai = $host_explode[sizeof ( $host_explode ) - 2];
        }
        else
        {
            $fai = '00';
        }

        // Les visiteurs de Free se terminent par .proxad.net
        if ( $ext == 'net' && $fai == 'proxad' )
        {
            $stat_pays = 'FR';
        }

        // Recherche du FAI
        if ( $stat_pays != '00' )
        {
            $stat_fai = $fai;
        }
        else
        {
            $stat_fai = 'inconnu';
        }
    }


    // Ajout de l'entrée dans la base
    $sql = "INSERT INTO " . $database->pref . "stat
            (stat_ip, stat_navigateur, stat_os, stat_time, stat_langue, stat_membre, stat_hit, stat_pays, stat_fai)
            VALUES
            ('" . ConvertIP ( $_SERVER['REMOTE_ADDR'] , '' ) . "', '" . $navigateur . "', '" . $systeme . "', '" . $time . "', '" . $visiteur_langue . "', '" . $member . "', '1', '" . $stat_pays . "', '" . $stat_fai . "');";

    $database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

    // Suppression des variables
    unset ( $stat_fai );
    unset ( $stat_pays );
    unset ( $ext );
    unset ( $host_explode );
    unset ( $host );
    unset ( $fai );
    unset ( $visiteur_langue );

    if ( $page_infos == 'Inconnue' || $page_infos == '' )
    {
        trigger_error ( 'Les informations de la page ne sont pas renseignées : ' . $page  , E_USER_NOTICE );
    }
}

?>