<?php
/***************************************************************************
 *  Copyright (C) 
 *  This file is part of WOOPRESS
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published
 *  by the Free Software Foundation; either version 2.1 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 ***************************************************************************/

// Sécurité
if ( !defined ( 'WOOPRESS' ) )
{
    header ( 'Location: ../' );
    die ( -1 );
}


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "amis (
  ami_from INT(9) UNSIGNED NOT NULL,
  ami_to INT(9) UNSIGNED NOT NULL,
  ami_time INT(10) UNSIGNED NOT NULL,
  ami_accepte ENUM('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (ami_from, ami_to)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "article_article (
  article_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  article_texte TEXT NOT NULL,
  article_langue CHAR(2) NOT NULL DEFAULT 'fr',
  article_titre VARCHAR(100) NOT NULL,
  article_auteur INT(9) UNSIGNED NOT NULL,
  article_modification INT(10) UNSIGNED NOT NULL,
  article_compteur INT(9) UNSIGNED NOT NULL DEFAULT 0,
  article_categorie INT(9) UNSIGNED NOT NULL DEFAULT 0,
  article_actif ENUM('0','1') NOT NULL DEFAULT '1',
  article_commentaires INT(9) UNSIGNED NOT NULL DEFAULT '0',
  article_last_commentaire INT(9) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (article_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "article_cat (
  cat_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  cat_nom VARCHAR(50) NOT NULL,
  cat_categorie INT(9) UNSIGNED NOT NULL,
  PRIMARY KEY (cat_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "article_historique (
  historique_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  historique_article INT(9) UNSIGNED NOT NULL,
  historique_texte TEXT NOT NULL,
  historique_langue VARCHAR(10) NOT NULL DEFAULT 'fr',
  historique_titre VARCHAR(100) NOT NULL,
  historique_categorie INT(9) UNSIGNED NOT NULL,
  historique_auteur INT(9) UNSIGNED NOT NULL,
  historique_time INT(10) UNSIGNED NOT NULL,
  PRIMARY KEY (historique_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "bannis (
  banni_ip INT(10) UNSIGNED NOT NULL,
  banni_time INT(10) UNSIGNED NOT NULL,
  banni_duree INT(9) UNSIGNED NOT NULL,
  banni_motif VARCHAR(250) NOT NULL,
  banni_membre INT(9) UNSIGNED NOT NULL,
  PRIMARY KEY (banni_ip)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "commentaires (
  commentaire_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  commentaire_auteur INT(9) UNSIGNED NOT NULL,
  commentaire_time INT(10) UNSIGNED NOT NULL,
  commentaire_type ENUM('0','1') NOT NULL,
  commentaire_reference INT(9) UNSIGNED NOT NULL,
  commentaire_texte TEXT NOT NULL,
  PRIMARY KEY (commentaire_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "commentaire_view (
  cv_referent INT(9) UNSIGNED NOT NULL,
  cv_membre INT(9) UNSIGNED NOT NULL,
  cv_message INT(9) UNSIGNED NOT NULL,
  cv_type ENUM('0','1') NOT NULL,
  PRIMARY KEY (cv_membre, cv_referent, cv_type)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "configuration (
  config_nom VARCHAR(50) NOT NULL,
  config_valeur TEXT NOT NULL,
  PRIMARY KEY (config_nom)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "contact (
  contact_id INT(9) UNSIGNED NOT NULL auto_increment,
  contact_auteur VARCHAR(20) NOT NULL,
  contact_email VARCHAR(50) NOT NULL,
  contact_time INT(10) unsigned NOT NULL,
  contact_titre VARCHAR(50) NOT NULL,
  contact_texte TEXT NOT NULL,
  PRIMARY KEY (contact_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "droits (
  droit_groupe SMALLINT(3) UNSIGNED NOT NULL,
  droit_nom VARCHAR(50) NOT NULL,
  droit_valeur ENUM('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (droit_groupe, droit_nom)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "event (
  event_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  event_auteur INT(9) UNSIGNED NOT NULL,
  event_titre VARCHAR(30) NOT NULL,
  event_texte TEXT NOT NULL,
  event_date DATE NOT NULL,
  event_visible ENUM ('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (event_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "fichiers (
  fichier_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  fichier_nom VARCHAR(50) NOT NULL,
  fichier_extension VARCHAR(4) NOT NULL,
  fichier_time INT(10) UNSIGNED NOT NULL,
  fichier_membre INT(9) UNSIGNED NOT NULL,
  fichier_taille INT(9) UNSIGNED NOT NULL,
  fichier_dir INT(9) UNSIGNED NOT NULL,
  PRIMARY KEY (fichier_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "file_dir (
  dir_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  dir_nom VARCHAR(50) NOT NULL,
  dir_membre INT(9) UNSIGNED NOT NULL,
  PRIMARY KEY (dir_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "forum_autorep (
  autorep_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  autorep_nom VARCHAR(30) NOT NULL,
  autorep_sujet VARCHAR(50) NOT NULL DEFAULT '%s',
  autorep_ferme ENUM('0','1') NOT NULL DEFAULT '0',
  autorep_epingle ENUM('0','1') NOT NULL DEFAULT '0',
  autorep_texte TEXT NOT NULL,
  PRIMARY KEY (autorep_id),
  UNIQUE KEY autorep_nom (autorep_nom)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "forum_cat (
  forum_cat_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  forum_cat_nom VARCHAR(50) NOT NULL,
  forum_cat_ordre INT(9) UNSIGNED NOT NULL,
  PRIMARY KEY (forum_cat_id),
  UNIQUE KEY forum_cat_ordre (forum_cat_ordre)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "forum_fav (
  fav_sujet INT(9) UNSIGNED NOT NULL,
  fav_membre INT(9) UNSIGNED NOT NULL,
  PRIMARY KEY (fav_sujet, fav_membre)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "forum_forum (
  forum_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  forum_categorie INT(9) UNSIGNED NOT NULL,
  forum_nom VARCHAR(50) NOT NULL,
  forum_description VARCHAR(250) DEFAULT NULL,
  forum_ordre INT(9) UNSIGNED NOT NULL DEFAULT 1,
  forum_last_msg INT(9) UNSIGNED NOT NULL DEFAULT 0,
  forum_nbr_sujet INT(9) UNSIGNED NOT NULL DEFAULT 0,
  forum_nbr_msg INT(9) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (forum_id),
  UNIQUE KEY ordre (forum_categorie, forum_ordre)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "forum_msg (
  forum_msg_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  forum_msg_auteur INT(9) UNSIGNED NOT NULL,
  forum_msg_texte TEXT NOT NULL,
  forum_msg_time INT(10) UNSIGNED NOT NULL,
  forum_msg_sujet INT(9) UNSIGNED NOT NULL,
  forum_msg_forum INT(9) UNSIGNED NOT NULL,
  forum_msg_edit_auteur INT(9) UNSIGNED DEFAULT NULL,
  forum_msg_edit_time INT(10) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (forum_msg_id),
  KEY forum_msg_sujet (forum_msg_sujet)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "forum_sujet (
  sujet_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  sujet_forum INT(9) UNSIGNED NOT NULL,
  sujet_titre VARCHAR(100) NOT NULL,
  sujet_auteur INT(9) UNSIGNED NOT NULL,
  sujet_compteur INT(9) UNSIGNED NOT NULL,
  sujet_time INT(10) UNSIGNED NOT NULL,
  sujet_last_msg INT(9) UNSIGNED NOT NULL,
  sujet_first_msg INT(9) UNSIGNED NOT NULL,
  sujet_nbr_msg INT(9) UNSIGNED NOT NULL DEFAULT 0,
  sujet_epingle ENUM('0','1') NOT NULL DEFAULT '0',
  sujet_ferme ENUM('0','1') NOT NULL DEFAULT '0',
  sujet_deplace INT(9) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (sujet_id),
  UNIQUE KEY sujet_last_msg (sujet_last_msg)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "forum_sujet_view (
  sv_membre INT(9) UNSIGNED NOT NULL,
  sv_sujet INT(9) UNSIGNED NOT NULL,
  sv_message INT(9) UNSIGNED NOT NULL,
  sv_participe ENUM('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (sv_membre, sv_sujet)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "gestiondl (
  id int(11) NOT NULL auto_increment,
  titre text collate latin1_general_ci NOT NULL,
  description text collate latin1_general_ci NOT NULL,
  fichier text collate latin1_general_ci NOT NULL default '',
  clic int(11) NOT NULL default '0',
  date date NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "groupes (
  groupe_id SMALLINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  groupe_nom VARCHAR(50) NOT NULL,
  groupe_modo INT(9) UNSIGNED NOT NULL,
  groupe_couleur VARCHAR(15) NOT NULL DEFAULT '',
  groupe_nbrmp MEDIUMINT(6) NOT NULL DEFAULT 100,
  PRIMARY KEY (groupe_id),
  UNIQUE KEY nom (groupe_nom)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "livre_or (
  livre_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  livre_auteur VARCHAR(50) NOT NULL,
  livre_membre INT(9) UNSIGNED NOT NULL,
  livre_time INT(10) UNSIGNED NOT NULL,
  livre_texte TEXT NOT NULL,
  livre_actif CHAR(1) NOT NULL,
  PRIMARY KEY (livre_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "membres (
  membre_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  membre_nom VARCHAR(20) NOT NULL,
  membre_mdp VARCHAR(32) NOT NULL,
  membre_email VARCHAR(50) NOT NULL,
  membre_afficher_email ENUM('0','1') NOT NULL DEFAULT '1',
  membre_cle VARCHAR(32) NOT NULL DEFAULT '0',
  membre_actif ENUM('0','1') NOT NULL DEFAULT '1',
  membre_inscription INT(10) UNSIGNED NOT NULL,
  membre_visite INT(10) UNSIGNED NOT NULL,
  membre_groupe SMALLINT(3) UNSIGNED NOT NULL DEFAULT 2,
  membre_langue VARCHAR(50) NOT NULL DEFAULT 'fr',
  membre_avatar VARCHAR(14) DEFAULT NULL,
  membre_signature TEXT NOT NULL,
  membre_style VARCHAR(50) NOT NULL DEFAULT 'Chuwiki',
  membre_site VARCHAR(50) DEFAULT NULL,
  membre_anniversaire DATE NOT NULL DEFAULT '0000-00-00',
  membre_profession VARCHAR(50) DEFAULT NULL,
  membre_localisation VARCHAR(50) DEFAULT NULL,
  membre_messagerie VARCHAR(50) DEFAULT NULL,
  membre_decalage MEDIUMINT(6) NOT NULL DEFAULT 0,
  membre_mail_pm ENUM('0','1') NOT NULL DEFAULT '0',
  membre_mail_fav ENUM('0','1') NOT NULL DEFAULT '0',
  membre_popup ENUM('0','1') NOT NULL DEFAULT '1',
  PRIMARY KEY (membre_id),
  UNIQUE KEY nom (membre_nom),
  UNIQUE KEY email (membre_email)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "messages (
  msg_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  msg_auteur INT(9) UNSIGNED NOT NULL,
  msg_dest0 INT(9) UNSIGNED NOT NULL,
  msg_dest1 INT(9) UNSIGNED NOT NULL DEFAULT 0,
  msg_dest2 INT(9) UNSIGNED NOT NULL DEFAULT 0,
  msg_dest3 INT(9) UNSIGNED NOT NULL DEFAULT 0,
  msg_dest4 INT(9) UNSIGNED NOT NULL DEFAULT 0,
  msg_time INT(10) UNSIGNED NOT NULL,
  msg_sujet VARCHAR(50) NOT NULL,
  msg_texte TEXT NOT NULL,
  msg_reponse INT(9) UNSIGNED NOT NULL DEFAULT 0,
  msg_lectures INT(9) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (msg_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "msg_box (
  msg_box_msg INT(9) UNSIGNED NOT NULL,
  msg_box_membre INT(9) UNSIGNED NOT NULL,
  msg_box_lu ENUM('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (msg_box_msg,msg_box_membre)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "news (
  news_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  news_titre VARCHAR(50) NOT NULL,
  news_texte TEXT NOT NULL,
  news_auteur INT(9) UNSIGNED NOT NULL,
  news_time INT(10) UNSIGNED NOT NULL,
  news_lectures INT(9) UNSIGNED NOT NULL DEFAULT 0,
  news_commentaires INT(9) UNSIGNED NOT NULL DEFAULT '0',
  news_last_commentaire INT(9) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (news_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "sondages (
  sondage_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  sondage_time INT(10) UNSIGNED NOT NULL,
  sondage_question VARCHAR(50) NOT NULL,
  sondage_rep_0 VARCHAR(50) NOT NULL,
  sondage_rep_1 VARCHAR(50) NOT NULL,
  sondage_rep_2 VARCHAR(50) DEFAULT NULL,
  sondage_rep_3 VARCHAR(50) DEFAULT NULL,
  sondage_rep_4 VARCHAR(50) DEFAULT NULL,
  sondage_rep_5 VARCHAR(50) DEFAULT NULL,
  sondage_rep_6 VARCHAR(50) DEFAULT NULL,
  sondage_rep_7 VARCHAR(50) DEFAULT NULL,
  sondage_rep_8 VARCHAR(50) DEFAULT NULL,
  sondage_rep_9 VARCHAR(50) DEFAULT NULL,
  sondage_type ENUM('0','1') NOT NULL DEFAULT '0',
  sondage_actif ENUM('0','1') NOT NULL DEFAULT '1',
  sondage_auteur INT(9) UNSIGNED NOT NULL,
  PRIMARY KEY (sondage_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "stat (
  stat_id INT(9) UNSIGNED NOT NULL AUTO_INCREMENT,
  stat_ip INT(10) UNSIGNED NOT NULL,
  stat_navigateur VARCHAR(50) DEFAULT NULL,
  stat_os VARCHAR(50) DEFAULT NULL,
  stat_langue VARCHAR(20) DEFAULT NULL,
  stat_time INT(10) UNSIGNED NOT NULL,
  stat_membre INT(9) UNSIGNED NOT NULL DEFAULT 0,
  stat_hit SMALLINT(4) UNSIGNED NOT NULL DEFAULT 1,
  stat_pays CHAR(2) NOT NULL DEFAULT '00',
  stat_fai VARCHAR(20) NOT NULL DEFAULT 'inconnu',
  PRIMARY KEY (stat_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "visiteurs (
  visiteur_ip INT(10) UNSIGNED NOT NULL,
  visiteur_nom VARCHAR(50) NOT NULL,
  visiteur_time INT(10) UNSIGNED NOT NULL,
  visiteur_page VARCHAR(50) DEFAULT NULL,
  PRIMARY KEY (visiteur_ip)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );


$sql = "CREATE TABLE IF NOT EXISTS " . $database->pref . "votes (
  vote_sondage INT(9) UNSIGNED NOT NULL,
  vote_membre INT(9) UNSIGNED NOT NULL,
  vote_rep_0 ENUM('0','1') NOT NULL DEFAULT '0',
  vote_rep_1 ENUM('0','1') NOT NULL DEFAULT '0',
  vote_rep_2 ENUM('0','1') NOT NULL DEFAULT '0',
  vote_rep_3 ENUM('0','1') NOT NULL DEFAULT '0',
  vote_rep_4 ENUM('0','1') NOT NULL DEFAULT '0',
  vote_rep_5 ENUM('0','1') NOT NULL DEFAULT '0',
  vote_rep_6 ENUM('0','1') NOT NULL DEFAULT '0',
  vote_rep_7 ENUM('0','1') NOT NULL DEFAULT '0',
  vote_rep_8 ENUM('0','1') NOT NULL DEFAULT '0',
  vote_rep_9 ENUM('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (vote_sondage, vote_membre)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$database->Requete ( $sql ) or $database->Erreur ( __LINE__ , __FILE__ , $sql );

?>